const merge = require('deepmerge');
const StyleLoader = require('./style-loader');

class AdminStyleLoader extends StyleLoader {
    /**
     * @inheritdoc
     */
    _fetchThemeConfig(themeName) {
        const {rtl_support: rtlSupport = false, styles: extraThemeConfig} =
            this._configLoader.loadConfig(themeName, 'Resources/public/themes/' + themeName + '/settings.yml');
        const baseThemeConfig = this._configLoader.loadConfig(themeName, 'Resources/config/oro/assets.yml');
        const appRootExtraConfig = this._configLoader.loadConfig(themeName, 'config/oro/assets.yml');
        /** @type {Object.<string, ThemeGroupConfig>} */
        const themeConfig = merge(baseThemeConfig, appRootExtraConfig, extraThemeConfig);

        return {
            themeConfig,
            settings: {rtlSupport}
        };
    }
}

module.exports = AdminStyleLoader;
