const StyleLoader = require('./style-loader');

class LayoutStyleLoader extends StyleLoader {
    /**
     * @inheritdoc
     */
    _fetchThemeConfig(themeName) {
        const {rtl_support: rtlSupport = false} = this._configLoader.themes[themeName];
        /** @type {Object.<string, ThemeGroupConfig>} */
        const themeConfig = this._configLoader.loadConfig(themeName, 'config/assets.yml');

        return {
            themeConfig,
            settings: {rtlSupport}
        };
    }
}

module.exports = LayoutStyleLoader;
