let prodMode;
let verboseMode;

module.exports = {
    isVerboseMode() {
        if (verboseMode === void 0) {
            verboseMode = process.argv.filter(arg => {
                // Depending on how the command was run (-v, -vv, -vvv, --verbose) -
                // arguments can be present in different formats: stats=normal, stats=detailed, stats=verbose, verbose
                return arg.search(/^verbose|(^stats=(normal|detailed|verbose))/) !== -1;
            }).length > 0;
        }

        return verboseMode;
    },
    isProdMode() {
        if (prodMode !== void 0) {
            return prodMode;
        }

        process.argv.forEach(arg => {
            if (prodMode) {
                return;
            }
            prodMode = ['--mode=production', '--env=prod'].some(item => item === arg);
        });

        return prodMode;
    }
};
