const BaseError = require('./base-error');

class JsmodulesExtraModulesError extends BaseError {
    /**
     * @example
     * Failed assembly JS: sections ["shim"] are not allowed in extra js build definition.
     * Please, find more information in the documentation https://doc.oroinc.com/...
     *
     * @param {Array} parts
     */
    constructor(parts) {
        const msg = `sections ["${parts.join('", "')}"] are not allowed in extra js build definition.`;

        super(msg);

        this.name = 'Failed assembly JS';
        this.docLink =
            'https://doc.oroinc.com/master/frontend/storefront/how-to/how-to-create-extra-js-build-for-landing-page';
    }
}

module.exports = JsmodulesExtraModulesError;
