/**
 * Schema to validate assets.yml files
 *
 * @description
 * Full scheme complements "assets-schema" one.
 * It should have only rules which are not defined in "assets-schema" schema due to avoid duplicates in error messages
 */
module.exports = {
    type: 'object',
    patternProperties: {
        '.*': {
            type: 'object',
            properties: {
                inputs: {
                    description: 'The "inputs" property is an array of files to load.',
                    minItems: 1
                }
            },
            required: ['inputs', 'output']
        }
    }
};
