/**
 * Schema to validate assets.yml files
 */
module.exports = {
    type: 'object',
    patternProperties: {
        '.*': {
            type: 'object',
            properties: {
                inputs: {
                    description: 'The "inputs" property is an array of files to load.',
                    type: 'array',
                    items: {
                        type: ['string', 'object']
                    }
                },
                output: {
                    description: 'Output file path inside "public/" directory for the entry point',
                    type: 'string'
                },
                auto_rtl_inputs: {
                    description: 'List of wildcard file masks for inputs that has to be processed with RTL plugin.',
                    type: 'array',
                    items: {
                        type: 'string'
                    }
                }
            },
            additionalProperties: false
        }
    }
};
