/**
 * Schema to validate jsmodules.yml files
 */
module.exports = {
    type: 'object',
    properties: {
        'entry': {
            description: 'Webpack entry points configuration.',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'array',
                    items: {
                        type: 'string'
                    }
                }
            }
        },
        'shim': {
            description: 'Configure a webpack shimming feature',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'object'
                }
            }
        },
        'map': {
            description: 'The map option allows to substitute a module with the given ID with a different module.',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'object'
                }
            }
        },
        'app-modules': {
            description: 'Introduces a list of modules that should be initialized before application is launched.',
            type: 'array',
            items: {
                type: 'string'
            }
        },
        'dynamic-imports': {
            description: 'Gives possibility to import a module with the name that is determined at runtime.',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'array',
                    items: {
                        type: 'string'
                    }
                }
            }
        },
        'configs': {
            description: 'Runtime configuration for a the module.',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'object'
                }
            }
        },
        'aliases': {
            description: 'An alias is an alternative name.',
            type: 'object',
            patternProperties: {
                '.*': {
                    type: 'string'
                }
            }
        }
    },
    additionalProperties: false
};
