- [CatalogBundle](#catalogbundle)
- [CheckoutBundle](#checkoutbundle)
- [FallbackBundle](#fallbackbundle)
- [FrontendTestFrameworkBundle](#frontendtestframeworkbundle)
- [OrderBundle](#orderbundle)
- [PaymentBundle](#paymentbundle)
- [PaymentTermBundle](#paymenttermbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [SEOBundle](#seobundle)
- [SaleBundle](#salebundle)
- [ShippingBundle](#shippingbundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [Testing](#testing)
- [VisibilityBundle](#visibilitybundle)
- [WebCatalog](#webcatalog)
- [WebCatalogBundle](#webcatalogbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

CatalogBundle
-------------
* The `CategoryProvider::getIncludeSubcategoriesChoice()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L169 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup> method was changed to `CategoryProvider::getIncludeSubcategoriesChoice($defaultValue = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L169 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup>
* The `RequestProductHandler::getIncludeSubcategoriesChoice()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/Handler/RequestProductHandler.php#L53 "Oro\Bundle\CatalogBundle\Handler\RequestProductHandler")</sup> method was changed to `RequestProductHandler::getIncludeSubcategoriesChoice($defaultValue = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/CatalogBundle/Handler/RequestProductHandler.php#L54 "Oro\Bundle\CatalogBundle\Handler\RequestProductHandler")</sup>
* The following methods in class `ProductStrategyEventListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/EventListener/ProductStrategyEventListener.php#L60 "Oro\Bundle\CatalogBundle\EventListener\ProductStrategyEventListener")</sup> were removed:
   - `preFlush`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/EventListener/ProductStrategyEventListener.php#L60 "Oro\Bundle\CatalogBundle\EventListener\ProductStrategyEventListener::preFlush")</sup>
   - `onClear`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CatalogBundle/EventListener/ProductStrategyEventListener.php#L91 "Oro\Bundle\CatalogBundle\EventListener\ProductStrategyEventListener::onClear")</sup>

CheckoutBundle
--------------
* The `CheckoutShipUntilType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/Form/Type/CheckoutShipUntilType.php#L34 "Oro\Bundle\CheckoutBundle\Form\Type\CheckoutShipUntilType::setDefaultOptions")</sup> method was removed.
* The `IsWorkflowStartFromShoppingListAllowed::isAllowed`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/Condition/IsWorkflowStartFromShoppingListAllowed.php#L35 "Oro\Bundle\CheckoutBundle\Condition\IsWorkflowStartFromShoppingListAllowed::isAllowed")</sup> method was removed.
* The `CheckoutPaymentContextFactory::__construct(CheckoutLineItemsManager $checkoutLineItemsManager, TotalProcessorProvider $totalProcessor, OrderPaymentLineItemConverterInterface $paymentLineItemConverter, PaymentContextBuilderFactoryInterface $paymentContextBuilderFactory = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/CheckoutBundle/Factory/CheckoutPaymentContextFactory.php#L41 "Oro\Bundle\CheckoutBundle\Factory\CheckoutPaymentContextFactory")</sup> method was changed to `CheckoutPaymentContextFactory::__construct(CheckoutLineItemsManager $checkoutLineItemsManager, TotalProcessorProvider $totalProcessor, OrderPaymentLineItemConverterInterface $paymentLineItemConverter, ShippingOriginProvider $shippingOriginProvider, PaymentContextBuilderFactoryInterface $paymentContextBuilderFactory = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/CheckoutBundle/Factory/CheckoutPaymentContextFactory.php#L52 "Oro\Bundle\CheckoutBundle\Factory\CheckoutPaymentContextFactory")</sup>

FallbackBundle
--------------
* The `WebsiteCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/FallbackBundle/Form/Type/WebsiteCollectionType.php#L73 "Oro\Bundle\FallbackBundle\Form\Type\WebsiteCollectionType::setDefaultOptions")</sup> method was removed.
* The `WebsitePropertyType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/FallbackBundle/Form/Type/WebsitePropertyType.php#L56 "Oro\Bundle\FallbackBundle\Form\Type\WebsitePropertyType::setDefaultOptions")</sup> method was removed.

FrontendTestFrameworkBundle
---------------------------
* The following methods in class `FrontendWebTestCase`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/FrontendWebTestCase.php#L39 "Oro\Bundle\FrontendTestFrameworkBundle\Test\FrontendWebTestCase")</sup> were removed:
   - `setCurrentWebsite`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/FrontendWebTestCase.php#L39 "Oro\Bundle\FrontendTestFrameworkBundle\Test\FrontendWebTestCase::setCurrentWebsite")</sup>
   - `getDefaultWebsiteId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/FrontendWebTestCase.php#L62 "Oro\Bundle\FrontendTestFrameworkBundle\Test\FrontendWebTestCase::getDefaultWebsiteId")</sup>

OrderBundle
-----------
* The `LineItemsFrontendDatagridListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/OrderBundle/EventListener/LineItemsFrontendDatagridListener.php#L9 "Oro\Bundle\OrderBundle\EventListener\LineItemsFrontendDatagridListener")</sup> class was removed.
* The `TotalCalculateListener::__construct(FormFactory $formFactory, CurrentApplicationProviderInterface $applicationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L32 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener")</sup> method was changed to `TotalCalculateListener::__construct(FormFactory $formFactory, CurrentApplicationProviderInterface $applicationProvider, FormRegistryInterface $formRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L34 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener")</sup>

PaymentBundle
-------------
* The `PaymentMethodsConfigsRuleHandler::__construct(Request $request, EntityManager $em)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PaymentBundle/Form/Handler/PaymentMethodsConfigsRuleHandler.php#L31 "Oro\Bundle\PaymentBundle\Form\Handler\PaymentMethodsConfigsRuleHandler")</sup> method was changed to `PaymentMethodsConfigsRuleHandler::__construct(RequestStack $requestStack, EntityManager $em)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PaymentBundle/Form/Handler/PaymentMethodsConfigsRuleHandler.php#L34 "Oro\Bundle\PaymentBundle\Form\Handler\PaymentMethodsConfigsRuleHandler")</sup>
* The `PaymentMethodsConfigsRuleHandler::$request`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PaymentBundle/Form/Handler/PaymentMethodsConfigsRuleHandler.php#L16 "Oro\Bundle\PaymentBundle\Form\Handler\PaymentMethodsConfigsRuleHandler::$request")</sup> property was removed.

PaymentTermBundle
-----------------
* The `PaymentTermSelectType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PaymentTermBundle/Form/Type/PaymentTermSelectType.php#L17 "Oro\Bundle\PaymentTermBundle\Form\Type\PaymentTermSelectType::setDefaultOptions")</sup> method was removed.

PricingBundle
-------------
* The following methods in class `AbstractPriceCombiningStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L99 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup> were changed:
  > - `combinePrices(CombinedPriceList $combinedPriceList, Product $product = null, $startTimestamp = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L99 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup>
  > - `combinePrices(CombinedPriceList $combinedPriceList, $products = [], $startTimestamp = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L99 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup>

  > - `processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L211 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup>
  > - `processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/AbstractPriceCombiningStrategy.php#L291 "Oro\Bundle\PricingBundle\PricingStrategy\AbstractPriceCombiningStrategy")</sup>

* The `MergePricesCombiningStrategy::processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MergePricesCombiningStrategy.php#L19 "Oro\Bundle\PricingBundle\PricingStrategy\MergePricesCombiningStrategy")</sup> method was changed to `MergePricesCombiningStrategy::processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MergePricesCombiningStrategy.php#L18 "Oro\Bundle\PricingBundle\PricingStrategy\MergePricesCombiningStrategy")</sup>
* The `MinimalPricesCombiningStrategy::processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MinimalPricesCombiningStrategy.php#L44 "Oro\Bundle\PricingBundle\PricingStrategy\MinimalPricesCombiningStrategy")</sup> method was changed to `MinimalPricesCombiningStrategy::processRelation(CombinedPriceList $combinedPriceList, CombinedPriceListToPriceList $priceListRelation, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/MinimalPricesCombiningStrategy.php#L43 "Oro\Bundle\PricingBundle\PricingStrategy\MinimalPricesCombiningStrategy")</sup>
* The `CombinedPriceListTriggerHandler::processByProduct(CombinedPriceList $combinedPriceList, Product $product = null, Website $website = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/CombinedPriceListTriggerHandler.php#L70 "Oro\Bundle\PricingBundle\Model\CombinedPriceListTriggerHandler")</sup> method was changed to `CombinedPriceListTriggerHandler::processByProduct(CombinedPriceList $combinedPriceList, $productIds = [], Website $website = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/CombinedPriceListTriggerHandler.php#L72 "Oro\Bundle\PricingBundle\Model\CombinedPriceListTriggerHandler")</sup>
* The `PriceListTreeHandler::__construct(ManagerRegistry $registry, WebsiteManager $websiteManager, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTreeHandler.php#L49 "Oro\Bundle\PricingBundle\Model\PriceListTreeHandler")</sup> method was changed to `PriceListTreeHandler::__construct(ManagerRegistry $registry, WebsiteManager $websiteManager, ConfigManager $configManager, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceListTreeHandler.php#L62 "Oro\Bundle\PricingBundle\Model\PriceListTreeHandler")</sup>
* The `PriceListTriggerFactory::create(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L34 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory")</sup> method was changed to `PriceListTriggerFactory::create($products)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L18 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory")</sup>
* The following methods in class `PriceListTriggerHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L46 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler")</sup> were changed:
  > - `addTriggerForPriceList($topic, PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L44 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler")</sup>
  > - `addTriggerForPriceList($topic, PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L46 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler")</sup>

  > - `isScheduledTrigger($topic, PriceListTrigger $trigger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L103 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler")</sup>
  > - `isScheduledTrigger($topic, PriceList $priceList, $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L129 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler")</sup>

* The `PriceRuleLexemeTriggerHandler::addTriggersByLexemes($lexemes, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L57 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup> method was changed to `PriceRuleLexemeTriggerHandler::addTriggersByLexemes($lexemes, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L57 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup>
* The `PriceListTrigger::__construct(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L24 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger")</sup> method was changed to `PriceListTrigger::__construct($products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L17 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger")</sup>
* The `UserCurrencyManager::getUserCurrency(Website $website = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L68 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup> method was changed to `UserCurrencyManager::getUserCurrency(Website $website = null, $fallbackToDefault = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L72 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup>
* The `ProductPriceWriter::__construct(RegistryInterface $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L21 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup> method was changed to `ProductPriceWriter::__construct(RegistryInterface $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager, OptionalListenerManager $listenerManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L40 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup>
* The `BuildPricesDemoDataFixturesListener::__construct(OptionalListenerManager $listenerManager, CombinedPriceListsBuilder $priceListBuilder, ProductPriceBuilder $priceBuilder, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/EventListener/BuildPricesDemoDataFixturesListener.php#L31 "Oro\Bundle\PricingBundle\EventListener\BuildPricesDemoDataFixturesListener")</sup> method was changed to `BuildPricesDemoDataFixturesListener::__construct(OptionalListenerManager $listenerManager, CombinedPriceListsBuilderFacade $builderFacade, ProductPriceBuilder $priceBuilder, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/EventListener/BuildPricesDemoDataFixturesListener.php#L35 "Oro\Bundle\PricingBundle\EventListener\BuildPricesDemoDataFixturesListener")</sup>
* The `AssignmentBuilderBuildEvent::__construct(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Event/AssignmentBuilderBuildEvent.php#L27 "Oro\Bundle\PricingBundle\Event\AssignmentBuilderBuildEvent")</sup> method was changed to `AssignmentBuilderBuildEvent::__construct(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Event/AssignmentBuilderBuildEvent.php#L27 "Oro\Bundle\PricingBundle\Event\AssignmentBuilderBuildEvent")</sup>
* The following methods in class `BaseProductPriceRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L68 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup> were changed:
  > - `deleteByPriceList(ShardManager $shardManager, BasePriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L67 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup>
  > - `deleteByPriceList(ShardManager $shardManager, BasePriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L68 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup>

  > - `getDeleteQbByPriceList(BasePriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L102 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup>
  > - `getDeleteQbByPriceList(BasePriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/BaseProductPriceRepository.php#L110 "Oro\Bundle\PricingBundle\Entity\Repository\BaseProductPriceRepository")</sup>

* The `CombinedPriceListToPriceListRepository::getPriceListRelations(CombinedPriceList $combinedPriceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedPriceListToPriceListRepository.php#L20 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedPriceListToPriceListRepository")</sup> method was changed to `CombinedPriceListToPriceListRepository::getPriceListRelations(CombinedPriceList $combinedPriceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedPriceListToPriceListRepository.php#L22 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedPriceListToPriceListRepository")</sup>
* The following methods in class `CombinedProductPriceRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L37 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup> were changed:
  > - `insertPricesByPriceList(ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, $mergeAllowed, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L30 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>
  > - `insertPricesByPriceList(ShardQueryExecutorInterface $insertFromSelectQueryExecutor, CombinedPriceList $combinedPriceList, PriceList $priceList, $mergeAllowed, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L37 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>

  > - `deleteInvalidPricesForMinimalStrategy(ShardManager $shardManager, CombinedPriceList $combinedPriceList, PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L350 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>
  > - `deleteInvalidPricesForMinimalStrategy(ShardManager $shardManager, CombinedPriceList $combinedPriceList, PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/CombinedProductPriceRepository.php#L395 "Oro\Bundle\PricingBundle\Entity\Repository\CombinedProductPriceRepository")</sup>

* The `PriceAttributeProductPriceRepository::findByPriceAttributeProductPriceIdsAndProductIds($priceAttributePriceListIds, $productIds, $orderBy = [ ... ])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceAttributeProductPriceRepository.php#L20 "Oro\Bundle\PricingBundle\Entity\Repository\PriceAttributeProductPriceRepository")</sup> method was changed to `PriceAttributeProductPriceRepository::findByPriceAttributeProductPriceIdsAndProductIds($priceAttributePriceListIds, $productIds, $orderBy = [ ... ])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceAttributeProductPriceRepository.php#L20 "Oro\Bundle\PricingBundle\Entity\Repository\PriceAttributeProductPriceRepository")</sup>
* The following methods in class `PriceListToProductRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceListToProductRepository.php#L73 "Oro\Bundle\PricingBundle\Entity\Repository\PriceListToProductRepository")</sup> were changed:
  > - `getDeleteRelationsQueryBuilder(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceListToProductRepository.php#L71 "Oro\Bundle\PricingBundle\Entity\Repository\PriceListToProductRepository")</sup>
  > - `getDeleteRelationsQueryBuilder(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceListToProductRepository.php#L73 "Oro\Bundle\PricingBundle\Entity\Repository\PriceListToProductRepository")</sup>

  > - `deleteGeneratedRelations(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceListToProductRepository.php#L90 "Oro\Bundle\PricingBundle\Entity\Repository\PriceListToProductRepository")</sup>
  > - `deleteGeneratedRelations(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceListToProductRepository.php#L92 "Oro\Bundle\PricingBundle\Entity\Repository\PriceListToProductRepository")</sup>

* The `ProductPriceRepository::deleteGeneratedPrices(ShardManager $shardManager, PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/Repository/ProductPriceRepository.php#L36 "Oro\Bundle\PricingBundle\Entity\Repository\ProductPriceRepository")</sup> method was changed to `ProductPriceRepository::deleteGeneratedPrices(ShardManager $shardManager, PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/Repository/ProductPriceRepository.php#L34 "Oro\Bundle\PricingBundle\Entity\Repository\ProductPriceRepository")</sup>
* The `PriceListToProductEntityListener::scheduleDependentPriceListsUpdate(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/PriceListToProductEntityListener.php#L104 "Oro\Bundle\PricingBundle\Entity\EntityListener\PriceListToProductEntityListener")</sup> method was changed to `PriceListToProductEntityListener::scheduleDependentPriceListsUpdate(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/PriceListToProductEntityListener.php#L122 "Oro\Bundle\PricingBundle\Entity\EntityListener\PriceListToProductEntityListener")</sup>
* The `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L52 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup> method was changed to `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L60 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup>
* The following methods in class `PriceListRuleCompiler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/PriceListRuleCompiler.php#L74 "Oro\Bundle\PricingBundle\Compiler\PriceListRuleCompiler")</sup> were changed:
  > - `compile(PriceRule $rule, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Compiler/PriceListRuleCompiler.php#L74 "Oro\Bundle\PricingBundle\Compiler\PriceListRuleCompiler")</sup>
  > - `compile(PriceRule $rule, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/PriceListRuleCompiler.php#L74 "Oro\Bundle\PricingBundle\Compiler\PriceListRuleCompiler")</sup>

  > - `restrictByGivenProduct(QueryBuilder $qb, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Compiler/PriceListRuleCompiler.php#L296 "Oro\Bundle\PricingBundle\Compiler\PriceListRuleCompiler")</sup>
  > - `restrictByGivenProduct(QueryBuilder $qb, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/PriceListRuleCompiler.php#L296 "Oro\Bundle\PricingBundle\Compiler\PriceListRuleCompiler")</sup>

* The following methods in class `ProductAssignmentRuleCompiler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/ProductAssignmentRuleCompiler.php#L26 "Oro\Bundle\PricingBundle\Compiler\ProductAssignmentRuleCompiler")</sup> were changed:
  > - `compile(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Compiler/ProductAssignmentRuleCompiler.php#L27 "Oro\Bundle\PricingBundle\Compiler\ProductAssignmentRuleCompiler")</sup>
  > - `compile(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/ProductAssignmentRuleCompiler.php#L26 "Oro\Bundle\PricingBundle\Compiler\ProductAssignmentRuleCompiler")</sup>

  > - `restrictByGivenProduct(QueryBuilder $qb, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Compiler/ProductAssignmentRuleCompiler.php#L146 "Oro\Bundle\PricingBundle\Compiler\ProductAssignmentRuleCompiler")</sup>
  > - `restrictByGivenProduct(QueryBuilder $qb, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Compiler/ProductAssignmentRuleCompiler.php#L145 "Oro\Bundle\PricingBundle\Compiler\ProductAssignmentRuleCompiler")</sup>

* The `RuleCache::__construct(Cache $cache, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Cache/RuleCache.php#L29 "Oro\Bundle\PricingBundle\Cache\RuleCache")</sup> method was changed to `RuleCache::__construct(Cache $cache, ManagerRegistry $registry, SymmetricCrypterInterface $crypter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Cache/RuleCache.php#L37 "Oro\Bundle\PricingBundle\Cache\RuleCache")</sup>
* The `CombinedPriceListsBuilder::__construct(ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L65 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup> method was changed to `CombinedPriceListsBuilder::__construct(ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister, CombinedPriceListTriggerHandler $triggerHandler, WebsiteCombinedPriceListsBuilder $builder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L76 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup>
* The following methods in class `PriceListProductAssignmentBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L72 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup> were changed:
  > - `buildByPriceList(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L69 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>
  > - `buildByPriceList(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L72 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>

  > - `clearGenerated(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L91 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>
  > - `clearGenerated(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L84 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>

* The following methods in class `ProductPriceBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L77 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup> were changed:
  > - `buildByPriceList(PriceList $priceList, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L74 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup>
  > - `buildByPriceList(PriceList $priceList, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L77 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup>

  > - `applyRule(PriceRule $priceRule, Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L91 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup>
  > - `applyRule(PriceRule $priceRule, $products = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L103 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder")</sup>

* The `ProductWithPricesSearchHandler::__construct($className, ProductRepository $productSearchRepository, PriceListRequestHandler $priceListRequestHandler, ManagerRegistry $registry, ProductPriceFormatter $productPriceFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Autocomplete/ProductWithPricesSearchHandler.php#L51 "Oro\Bundle\PricingBundle\Autocomplete\ProductWithPricesSearchHandler")</sup> method was changed to `ProductWithPricesSearchHandler::__construct($className, ProductRepository $productSearchRepository, PriceListRequestHandler $priceListRequestHandler, ManagerRegistry $registry, ProductPriceFormatter $productPriceFormatter, UserCurrencyManager $userCurrencyManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Autocomplete/ProductWithPricesSearchHandler.php#L60 "Oro\Bundle\PricingBundle\Autocomplete\ProductWithPricesSearchHandler")</sup>
* The `CombinedPriceListProcessor::__construct(CombinedPriceListsBuilder $commonPriceListsBuilder, WebsiteCombinedPriceListsBuilder $websitePriceListsBuilder, CustomerGroupCombinedPriceListsBuilder $customerGroupPriceListsBuilder, CustomerCombinedPriceListsBuilder $customerPriceListsBuilder, EventDispatcherInterface $dispatcher, LoggerInterface $logger, PriceListRelationTriggerFactory $triggerFactory, ManagerRegistry $registry, DatabaseExceptionHelper $databaseExceptionHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L87 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor")</sup> method was changed to `CombinedPriceListProcessor::__construct(LoggerInterface $logger, PriceListRelationTriggerFactory $triggerFactory, ManagerRegistry $registry, DatabaseExceptionHelper $databaseExceptionHelper, CombinedPriceListTriggerHandler $triggerHandler, CombinedPriceListsBuilderFacade $builderFacade)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L64 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor")</sup>
* The `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, StrategyRegister $strategyRegister, EventDispatcherInterface $dispatcher, LoggerInterface $logger, DatabaseExceptionHelper $databaseExceptionHelper, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L75 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup> method was changed to `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, CombinedPriceListsBuilderFacade $combinedPriceListsBuilderFacade, LoggerInterface $logger, DatabaseExceptionHelper $databaseExceptionHelper, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L66 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup>
* The `PriceCombiningStrategyInterface::combinePrices(CombinedPriceList $combinedPriceList, Product $product = null, $startTimestamp = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/PricingStrategy/PriceCombiningStrategyInterface.php#L15 "Oro\Bundle\PricingBundle\PricingStrategy\PriceCombiningStrategyInterface")</sup> method was changed to `PriceCombiningStrategyInterface::combinePrices(CombinedPriceList $combinedPriceList, $products = [], $startTimestamp = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/PricingBundle/PricingStrategy/PriceCombiningStrategyInterface.php#L15 "Oro\Bundle\PricingBundle\PricingStrategy\PriceCombiningStrategyInterface")</sup>
* The following methods in class `PriceListTriggerFactory`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L24 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory")</sup> were removed:
   - `__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L24 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory::__construct")</sup>
   - `getPriceList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L74 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory::getPriceList")</sup>
   - `getProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L89 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory::getProduct")</sup>
* The `PriceListTriggerHandler::getKey`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L128 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler::getKey")</sup> method was removed.
* The following methods in class `PriceListTrigger`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L33 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger")</sup> were removed:
   - `getPriceList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L33 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger::getPriceList")</sup>
   - `getProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L41 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger::getProduct")</sup>
* The `PriceListSelectType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Form/Type/PriceListSelectType.php#L17 "Oro\Bundle\PricingBundle\Form\Type\PriceListSelectType::setDefaultOptions")</sup> method was removed.
* The `ProductAttributePriceType::__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Form/Type/ProductAttributePriceType.php#L28 "Oro\Bundle\PricingBundle\Form\Type\ProductAttributePriceType::__construct")</sup> method was removed.
* The `ProductPriceCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Form/Type/ProductPriceCollectionType.php#L53 "Oro\Bundle\PricingBundle\Form\Type\ProductPriceCollectionType::setDefaultOptions")</sup> method was removed.
* The `DefaultPriceListFilterType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Form/Type/Filter/DefaultPriceListFilterType.php#L52 "Oro\Bundle\PricingBundle\Form\Type\Filter\DefaultPriceListFilterType::setDefaultOptions")</sup> method was removed.
* The `AssignmentBuilderBuildEvent::getProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Event/AssignmentBuilderBuildEvent.php#L44 "Oro\Bundle\PricingBundle\Event\AssignmentBuilderBuildEvent::getProduct")</sup> method was removed.
* The `PriceListEntityListener::prePersist`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/PriceListEntityListener.php#L95 "Oro\Bundle\PricingBundle\Entity\EntityListener\PriceListEntityListener::prePersist")</sup> method was removed.
* The `CombinedPriceListsBuilder::setWebsiteCombinedPriceListBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L85 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder::setWebsiteCombinedPriceListBuilder")</sup> method was removed.
* The following methods in class `CombinedPriceListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L175 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor")</sup> were removed:
   - `dispatchChangeAssociationEvents`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L175 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::dispatchChangeAssociationEvents")</sup>
   - `dispatchCustomerScopeEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L183 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::dispatchCustomerScopeEvent")</sup>
   - `dispatchCustomerGroupScopeEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L200 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::dispatchCustomerGroupScopeEvent")</sup>
   - `dispatchWebsiteScopeEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L216 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::dispatchWebsiteScopeEvent")</sup>
   - `dispatchConfigScopeEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L225 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::dispatchConfigScopeEvent")</sup>
   - `resetCache`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L241 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::resetCache")</sup>
* The following methods in class `PriceListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L150 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup> were removed:
   - `dispatchEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L150 "Oro\Bundle\PricingBundle\Async\PriceListProcessor::dispatchEvent")</sup>
   - `getCombinedPriceListRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L159 "Oro\Bundle\PricingBundle\Async\PriceListProcessor::getCombinedPriceListRepository")</sup>
* The `PriceListTriggerFactory::$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerFactory.php#L19 "Oro\Bundle\PricingBundle\Model\PriceListTriggerFactory::$registry")</sup> property was removed.
* The `PriceListTriggerHandler::$scheduledTriggers`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/PriceListTriggerHandler.php#L25 "Oro\Bundle\PricingBundle\Model\PriceListTriggerHandler::$scheduledTriggers")</sup> property was removed.
* The following properties in class `PriceListTrigger`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L13 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger")</sup> were removed:
   - `$priceList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L13 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger::$priceList")</sup>
   - `$product`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Model/DTO/PriceListTrigger.php#L18 "Oro\Bundle\PricingBundle\Model\DTO\PriceListTrigger::$product")</sup>
* The `ProductAttributePriceType::$roundingService`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Form/Type/ProductAttributePriceType.php#L23 "Oro\Bundle\PricingBundle\Form\Type\ProductAttributePriceType::$roundingService")</sup> property was removed.
* The `BuildPricesDemoDataFixturesListener::$priceListBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/EventListener/BuildPricesDemoDataFixturesListener.php#L17 "Oro\Bundle\PricingBundle\EventListener\BuildPricesDemoDataFixturesListener::$priceListBuilder")</sup> property was removed.
* The following properties in class `CombinedPriceListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L34 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor")</sup> were removed:
   - `$commonPriceListsBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L34 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::$commonPriceListsBuilder")</sup>
   - `$websitePriceListsBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L39 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::$websitePriceListsBuilder")</sup>
   - `$customerGroupPriceListsBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L44 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::$customerGroupPriceListsBuilder")</sup>
   - `$customerPriceListsBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L49 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::$customerPriceListsBuilder")</sup>
   - `$dispatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/CombinedPriceListProcessor.php#L54 "Oro\Bundle\PricingBundle\Async\CombinedPriceListProcessor::$dispatcher")</sup>
* The following properties in class `PriceListProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L44 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup> were removed:
   - `$strategyRegister`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L44 "Oro\Bundle\PricingBundle\Async\PriceListProcessor::$strategyRegister")</sup>
   - `$dispatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L49 "Oro\Bundle\PricingBundle\Async\PriceListProcessor::$dispatcher")</sup>
   - `$combinedPriceListRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L59 "Oro\Bundle\PricingBundle\Async\PriceListProcessor::$combinedPriceListRepository")</sup>

ProductBundle
-------------
* The following classes were removed:
   - `DisplayProductVariationsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/Restrict/DisplayProductVariationsListener.php#L12 "Oro\Bundle\ProductBundle\EventListener\Restrict\DisplayProductVariationsListener")</sup>
   - `DisplayProductVariationsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/Datagrid/FrontendProduct/DisplayProductVariationsListener.php#L14 "Oro\Bundle\ProductBundle\EventListener\Datagrid\FrontendProduct\DisplayProductVariationsListener")</sup>
   - `ProcessImagePaths`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Api/Processor/Shared/ProcessImagePaths.php#L16 "Oro\Bundle\ProductBundle\Api\Processor\Shared\ProcessImagePaths")</sup>
   - `RelatedItemAclCheck`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Api/Processor/Shared/RelatedItemAclCheck.php#L11 "Oro\Bundle\ProductBundle\Api\Processor\Shared\RelatedItemAclCheck")</sup>
   - `DeleteRelatedItemAclCheck`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Api/Processor/Delete/DeleteRelatedItemAclCheck.php#L11 "Oro\Bundle\ProductBundle\Api\Processor\Delete\DeleteRelatedItemAclCheck")</sup>
* The `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L49 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup> method was changed to `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L58 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup>
* The `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, RegistryInterface $registry, AttachmentManager $attachmentManager, CacheManager $imagineCacheManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L57 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup> method was changed to `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, CacheManager $imagineCacheManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L40 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup>
* The `AbstractAjaxProductUnitController::getProductUnits(Product $product, $isShort = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Controller/AbstractAjaxProductUnitController.php#L32 "Oro\Bundle\ProductBundle\Controller\AbstractAjaxProductUnitController")</sup> method was changed to `AbstractAjaxProductUnitController::getProductUnits(Product $product)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ProductBundle/Controller/AbstractAjaxProductUnitController.php#L34 "Oro\Bundle\ProductBundle\Controller\AbstractAjaxProductUnitController")</sup>
* The `RelatedItemSecurityCheck::__construct(AuthorizationCheckerInterface $authorizationChecker, $productPermissions = [], $capabilities = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Api/Processor/RelatedItemSecurityCheck.php#L29 "Oro\Bundle\ProductBundle\Api\Processor\RelatedItemSecurityCheck")</sup> method was changed to `RelatedItemSecurityCheck::__construct(AuthorizationCheckerInterface $authorizationChecker, AclGroupProviderInterface $aclGroupProvider, $productPermissions = [], $capabilities = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ProductBundle/Api/Processor/RelatedItemSecurityCheck.php#L37 "Oro\Bundle\ProductBundle\Api\Processor\RelatedItemSecurityCheck")</sup>
* The `NewArrivalsProvider::getResult`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/NewArrivalsProvider.php#L133 "Oro\Bundle\ProductBundle\Layout\DataProvider\NewArrivalsProvider::getResult")</sup> method was removed.
* The following methods in class `FrontendProductDatagridListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L223 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup> were removed:
   - `getProductRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L223 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener::getProductRepository")</sup>
   - `getProductUnitRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L235 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener::getProductUnitRepository")</sup>
* The following properties in class `FrontendProductDatagridListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L39 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup> were removed:
   - `$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L39 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener::$registry")</sup>
   - `$attachmentManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L44 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener::$attachmentManager")</sup>

RFPBundle
---------
* The `SortIncludedData`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Api/Processor/SortIncludedData.php#L14 "Oro\Bundle\RFPBundle\Api\Processor\SortIncludedData")</sup> class was removed.
* The `RequestToQuoteDataStorage::__construct(ProductDataStorage $storage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Storage/RequestToQuoteDataStorage.php#L17 "Oro\Bundle\RFPBundle\Storage\RequestToQuoteDataStorage")</sup> method was changed to `RequestToQuoteDataStorage::__construct(ProductDataStorage $storage, MatchingPriceProvider $matchingPriceProvider, PriceListTreeHandler $priceListTreeHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/RFPBundle/Storage/RequestToQuoteDataStorage.php#L37 "Oro\Bundle\RFPBundle\Storage\RequestToQuoteDataStorage")</sup>
* The `FrontendRequestVoter::__construct(ActionCurrentApplicationProvider $applicationProvider, WorkflowManager $workflowManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L23 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter")</sup> method was changed to `FrontendRequestVoter::__construct(DoctrineHelper $doctrineHelper, ActionCurrentApplicationProvider $applicationProvider, WorkflowManager $workflowManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L30 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter")</sup>
* The `RequestProductCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Form/Type/RequestProductCollectionType.php#L25 "Oro\Bundle\RFPBundle\Form\Type\RequestProductCollectionType::setDefaultOptions")</sup> method was removed.
* The `UserSelectType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Form/Type/UserSelectType.php#L32 "Oro\Bundle\RFPBundle\Form\Type\UserSelectType::setDefaultOptions")</sup> method was removed.
* The following methods in class `FrontendRequestVoter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L32 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter")</sup> were removed:
   - `supports`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L32 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter::supports")</sup>
   - `voteOnAttribute`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L42 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter::voteOnAttribute")</sup>

RedirectBundle
--------------
* The `FirewallFactory`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Security/FirewallFactory.php#L9 "Oro\Bundle\RedirectBundle\Security\FirewallFactory")</sup> class was removed.
* The `Firewall::__construct(FirewallMapInterface $map, EventDispatcherInterface $dispatcher, FirewallFactory $firewallFactory, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L47 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup> method was changed to `Firewall::__construct(FirewallMapInterface $map, EventDispatcherInterface $dispatcher, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L47 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup>

SEOBundle
---------
* The following methods in class `SeoTitleDataProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoTitleDataProvider.php#L27 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoTitleDataProvider")</sup> were changed:
  > - `__construct(SeoDataProvider $seoDataProvider, TitleDataProvider $titleDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoTitleDataProvider.php#L20 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoTitleDataProvider")</sup>
  > - `__construct(SeoDataProvider $seoDataProvider, TitleDataProviderInterface $titleDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoTitleDataProvider.php#L27 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoTitleDataProvider")</sup>

  > - `getTitle($defaultValue, $data = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoTitleDataProvider.php#L34 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoTitleDataProvider")</sup>
  > - `getTitle($default, $data = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoTitleDataProvider.php#L46 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoTitleDataProvider")</sup>


SaleBundle
----------
* The `QuoteProductCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductCollectionType.php#L25 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductCollectionType::setDefaultOptions")</sup> method was removed.
* The `QuoteProductOfferCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductOfferCollectionType.php#L25 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductOfferCollectionType::setDefaultOptions")</sup> method was removed.
* The `QuoteProductRequestCollectionType::setDefaultOptions`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductRequestCollectionType.php#L25 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductRequestCollectionType::setDefaultOptions")</sup> method was removed.

ShippingBundle
--------------
* The `ShippingMethodsConfigsRuleHandler::__construct(Request $request, EntityManager $em)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShippingBundle/Form/Handler/ShippingMethodsConfigsRuleHandler.php#L31 "Oro\Bundle\ShippingBundle\Form\Handler\ShippingMethodsConfigsRuleHandler")</sup> method was changed to `ShippingMethodsConfigsRuleHandler::__construct(RequestStack $requestStack, EntityManager $em)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShippingBundle/Form/Handler/ShippingMethodsConfigsRuleHandler.php#L34 "Oro\Bundle\ShippingBundle\Form\Handler\ShippingMethodsConfigsRuleHandler")</sup>
* The `ShippingMethodsConfigsRuleHandler::$request`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShippingBundle/Form/Handler/ShippingMethodsConfigsRuleHandler.php#L16 "Oro\Bundle\ShippingBundle\Form\Handler\ShippingMethodsConfigsRuleHandler::$request")</sup> property was removed.

ShoppingListBundle
------------------
* The `GuestShoppingListManager::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Manager/GuestShoppingListManager.php#L17 "Oro\Bundle\ShoppingListBundle\Manager\GuestShoppingListManager")</sup> method was changed to `GuestShoppingListManager::__construct(DoctrineHelper $doctrineHelper, TokenStorageInterface $tokenStorage, WebsiteManager $websiteManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/GuestShoppingListManager.php#L37 "Oro\Bundle\ShoppingListBundle\Manager\GuestShoppingListManager")</sup>
* The `ShoppingListLimitManager::__construct(ConfigManager $configManager, TokenAccessor $tokenAccessor, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListLimitManager.php#L33 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListLimitManager")</sup> method was changed to `ShoppingListLimitManager::__construct(ConfigManager $configManager, TokenAccessor $tokenAccessor, DoctrineHelper $doctrineHelper, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListLimitManager.php#L38 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListLimitManager")</sup>
* The `MatrixGridOrderFormProvider::setTwigRenderer(TwigRenderer $twigRenderer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/MatrixGridOrderFormProvider.php#L40 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\MatrixGridOrderFormProvider")</sup> method was changed to `MatrixGridOrderFormProvider::setTwigRenderer(FormRenderer $twigRenderer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/Layout/DataProvider/MatrixGridOrderFormProvider.php#L39 "Oro\Bundle\ShoppingListBundle\Layout\DataProvider\MatrixGridOrderFormProvider")</sup>
* The `ShoppingListTotalListener::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L30 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup> method was changed to `ShoppingListTotalListener::__construct(RegistryInterface $registry, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L45 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup>
* The `ShoppingListRepository::countUserShoppingLists($customerId, $organizationId)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L124 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup> method was changed to `ShoppingListRepository::countUserShoppingLists($customerId, $organizationId, $website)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L128 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup>
* The `FrontendMatrixProductGridExtension::__construct(DoctrineHelper $doctrineHelper, ShoppingListManager $shoppingListManager, MatrixGridOrderFormProvider $matrixGridOrderFormProvider, ProductFormAvailabilityProvider $productFormAvailabilityProvider, ProductVariantAvailabilityProvider $productVariantAvailabilityProvider, FrontendProductPricesProvider $frontendProductPricesProvider, MatrixGridOrderProvider $matrixGridOrderProvider, DataGridThemeHelper $dataGridThemeHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/FrontendMatrixProductGridExtension.php#L61 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\FrontendMatrixProductGridExtension")</sup> method was changed to `FrontendMatrixProductGridExtension::__construct(DoctrineHelper $doctrineHelper, ShoppingListManager $shoppingListManager, MatrixGridOrderFormProvider $matrixGridOrderFormProvider, ProductFormAvailabilityProvider $productFormAvailabilityProvider, FrontendProductPricesProvider $frontendProductPricesProvider, MatrixGridOrderProvider $matrixGridOrderProvider, DataGridThemeHelper $dataGridThemeHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/FrontendMatrixProductGridExtension.php#L59 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\FrontendMatrixProductGridExtension")</sup>

TaxBundle
---------
* The `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry, TaxFactory $taxFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L40 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup> method was changed to `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry, TaxFactory $taxFactory, TaxationSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L45 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup>

Testing
-------
* The `AddressFormExtensionTestCase::getTranslatableEntity`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Component/Testing/Unit/AddressFormExtensionTestCase.php#L57 "Oro\Component\Testing\Unit\AddressFormExtensionTestCase::getTranslatableEntity")</sup> method was removed.

VisibilityBundle
----------------
* The `VisibilityChangeGroupSubtreeCacheBuilder::getEntityManager()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/VisibilityBundle/Visibility/Cache/Product/Category/Subtree/VisibilityChangeGroupSubtreeCacheBuilder.php#L231 "Oro\Bundle\VisibilityBundle\Visibility\Cache\Product\Category\Subtree\VisibilityChangeGroupSubtreeCacheBuilder")</sup> method was changed to `VisibilityChangeGroupSubtreeCacheBuilder::getEntityManager($className)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/VisibilityBundle/Visibility/Cache/Product/Category/Subtree/VisibilityChangeGroupSubtreeCacheBuilder.php#L229 "Oro\Bundle\VisibilityBundle\Visibility\Cache\Product\Category\Subtree\VisibilityChangeGroupSubtreeCacheBuilder")</sup>

WebCatalog
----------
* The `PageVariantType::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Component/WebCatalog/Form/PageVariantType.php#L14 "Oro\Component\WebCatalog\Form\PageVariantType::getName")</sup> method was removed.

WebCatalogBundle
----------------
* The `TitleDataProvider::getTitle($default)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/TitleDataProvider.php#L39 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\TitleDataProvider")</sup> method was changed to `TitleDataProvider::getTitle($default, $data = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/TitleDataProvider.php#L57 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\TitleDataProvider")</sup>
* The `ContentNodeTreeResolverFacade::__construct(ContentNodeTreeResolverInterface $defaultResolver, ContentNodeTreeResolverInterface $cachedResolver)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverFacade.php#L24 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverFacade")</sup> method was changed to `ContentNodeTreeResolverFacade::__construct(ContentNodeTreeResolverInterface $cachedResolver, ContentNodeTreeDumper $contentNodeTreeDumper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverFacade.php#L25 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverFacade")</sup>

WebsiteSearchBundle
-------------------
* The `ReindexDemoDataFixturesListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/EventListener/ReindexDemoDataFixturesListener.php#L14 "Oro\Bundle\WebsiteSearchBundle\EventListener\ReindexDemoDataFixturesListener")</sup> class was removed.
* The `IndexerInputValidator::validateReindexRequest`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexerInputValidator.php#L43 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexerInputValidator::validateReindexRequest")</sup> method was removed.
* The `IndexerInputValidator::__construct(DoctrineHelper $doctrineHelper, WebsiteSearchMappingProvider $mappingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexerInputValidator.php#L25 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexerInputValidator")</sup> method was changed to `IndexerInputValidator::__construct(WebsiteProviderInterface $websiteProvider, WebsiteSearchMappingProvider $mappingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexerInputValidator.php#L26 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexerInputValidator")</sup>
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, JobRunner $jobRunner, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L50 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, JobRunner $jobRunner, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, DatabaseExceptionHelper $databaseExceptionHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.0.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L69 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>
* The `IndexerInputValidator::$doctrineHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/1.6.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/IndexerInputValidator.php#L16 "Oro\Bundle\WebsiteSearchBundle\Engine\IndexerInputValidator::$doctrineHelper")</sup> property was removed.

