- [CMSBundle](#cmsbundle)
- [CatalogBundle](#catalogbundle)
- [CheckoutBundle](#checkoutbundle)
- [ConsentBundle](#consentbundle)
- [FrontendLocalizationBundle](#frontendlocalizationbundle)
- [FrontendTestFrameworkBundle](#frontendtestframeworkbundle)
- [InventoryBundle](#inventorybundle)
- [MoneyOrderBundle](#moneyorderbundle)
- [OrderBundle](#orderbundle)
- [PayPalBundle](#paypalbundle)
- [PaymentBundle](#paymentbundle)
- [PaymentTermBundle](#paymenttermbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [PromotionBundle](#promotionbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [RuleBundle](#rulebundle)
- [SEOBundle](#seobundle)
- [SaleBundle](#salebundle)
- [ShippingBundle](#shippingbundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [Testing](#testing)
- [ValidationBundle](#validationbundle)
- [VisibilityBundle](#visibilitybundle)
- [WebCatalogBundle](#webcatalogbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

CMSBundle
---------
* The `TwigInVariablesExtension::__construct(Twig_Environment $twig)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CMSBundle/Twig/TwigInVariablesExtension.php#L18 "Oro\Bundle\CMSBundle\Twig\TwigInVariablesExtension")</sup> method was changed to `TwigInVariablesExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Twig/TwigInVariablesExtension.php#L25 "Oro\Bundle\CMSBundle\Twig\TwigInVariablesExtension")</sup>
* The `TwigInVariablesExtension::$twig`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CMSBundle/Twig/TwigInVariablesExtension.php#L13 "Oro\Bundle\CMSBundle\Twig\TwigInVariablesExtension::$twig")</sup> property was removed.

CatalogBundle
-------------
* The following classes were removed:
   - `BaseProductController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Controller/BaseProductController.php#L10 "Oro\Bundle\CatalogBundle\Controller\BaseProductController")</sup>
   - `AddUpdateCategoryForProductFormListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Api/Processor/AddUpdateCategoryForProductFormListener.php#L19 "Oro\Bundle\CatalogBundle\Api\Processor\AddUpdateCategoryForProductFormListener")</sup>
   - `LoadCategoryForProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Api/Processor/LoadCategoryForProduct.php#L16 "Oro\Bundle\CatalogBundle\Api\Processor\LoadCategoryForProduct")</sup>
* The `CategoryExtension::getCategoryTreeHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L27 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension::getCategoryTreeHandler")</sup> method was removed.
* The `CategoryController::getMasterRootCategory`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Controller/CategoryController.php#L194 "Oro\Bundle\CatalogBundle\Controller\CategoryController::getMasterRootCategory")</sup> method was removed.
* The following methods in class `CategoryExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L28 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension")</sup> were changed:
  > - `__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L19 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension")</sup>
  > - `__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L28 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension")</sup>

  > - `getCategoryList($rootLabel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L57 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension")</sup>
  > - `getCategoryList($rootLabel = null, $root = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Twig/CategoryExtension.php#L59 "Oro\Bundle\CatalogBundle\Twig\CategoryExtension")</sup>

* The `CategoryTreeProvider::__construct(CategoryRepository $categoryRepository, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L27 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup> method was changed to `CategoryTreeProvider::__construct(CategoryRepository $categoryRepository, EventDispatcherInterface $eventDispatcher, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L37 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup>
* The `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, CategoryTreeProvider $categoryTreeProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L44 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup> method was changed to `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, CategoryTreeProvider $categoryTreeProvider, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L50 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup>
* The `FeaturedCategoriesProvider::__construct(CategoryTreeProvider $categoryTreeProvider, TokenStorageInterface $tokenStorage, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L39 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider")</sup> method was changed to `FeaturedCategoriesProvider::__construct(CategoryTreeProvider $categoryTreeProvider, TokenAccessor $tokenAccessor, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/FeaturedCategoriesProvider.php#L39 "Oro\Bundle\CatalogBundle\Layout\DataProvider\FeaturedCategoriesProvider")</sup>
* The `CategoryTreeHandler::__construct($entityClass, ManagerRegistry $managerRegistry, TokenAccessorInterface $tokenAccessor, CategoryTreeProvider $categoryTreeProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/JsTree/CategoryTreeHandler.php#L24 "Oro\Bundle\CatalogBundle\JsTree\CategoryTreeHandler")</sup> method was changed to `CategoryTreeHandler::__construct($entityClass, ManagerRegistry $managerRegistry, TokenAccessorInterface $tokenAccessor, CategoryTreeProvider $categoryTreeProvider, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/JsTree/CategoryTreeHandler.php#L33 "Oro\Bundle\CatalogBundle\JsTree\CategoryTreeHandler")</sup>
* The `AbstractProductImportEventListener::__construct(ManagerRegistry $registry, $categoryClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/EventListener/AbstractProductImportEventListener.php#L33 "Oro\Bundle\CatalogBundle\EventListener\AbstractProductImportEventListener")</sup> method was changed to `AbstractProductImportEventListener::__construct(ManagerRegistry $registry, TokenAccessor $tokenAccessor, $categoryClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/EventListener/AbstractProductImportEventListener.php#L41 "Oro\Bundle\CatalogBundle\EventListener\AbstractProductImportEventListener")</sup>
* The `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/EventListener/FormViewListener.php#L32 "Oro\Bundle\CatalogBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/EventListener/FormViewListener.php#L32 "Oro\Bundle\CatalogBundle\EventListener\FormViewListener")</sup>
* The `CategoryRepository::getMasterCatalogRoot()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Entity/Repository/CategoryRepository.php#L25 "Oro\Bundle\CatalogBundle\Entity\Repository\CategoryRepository")</sup> method was changed to `CategoryRepository::getMasterCatalogRoot(Organization $organization)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Entity/Repository/CategoryRepository.php#L23 "Oro\Bundle\CatalogBundle\Entity\Repository\CategoryRepository")</sup>
* The `CategoryCountsExtension::__construct(ServiceLink $datagridManagerLink, ManagerRegistry $registry, ProductRepository $productSearchRepository, CategoryCountsCache $cache, DatagridParametersHelper $datagridParametersHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Datagrid/Extension/CategoryCountsExtension.php#L52 "Oro\Bundle\CatalogBundle\Datagrid\Extension\CategoryCountsExtension")</sup> method was changed to `CategoryCountsExtension::__construct(ServiceLink $datagridManagerLink, ManagerRegistry $registry, ProductRepository $productSearchRepository, CategoryCountsCache $cache, DatagridParametersHelper $datagridParametersHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Datagrid/Extension/CategoryCountsExtension.php#L67 "Oro\Bundle\CatalogBundle\Datagrid\Extension\CategoryCountsExtension")</sup>
* The `CategoryCountsCache::__construct(CacheProvider $cacheProvider, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Datagrid/Cache/CategoryCountsCache.php#L23 "Oro\Bundle\CatalogBundle\Datagrid\Cache\CategoryCountsCache")</sup> method was changed to `CategoryCountsCache::__construct(CacheProvider $cacheProvider, TokenAccessor $tokenAccessor, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Datagrid/Cache/CategoryCountsCache.php#L29 "Oro\Bundle\CatalogBundle\Datagrid\Cache\CategoryCountsCache")</sup>

CheckoutBundle
--------------
* The `StartCheckoutTransitionAction`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Action/StartCheckoutTransitionAction.php#L14 "Oro\Bundle\CheckoutBundle\Action\StartCheckoutTransitionAction")</sup> class was removed.
* The `LineItemsExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Twig/LineItemsExtension.php#L28 "Oro\Bundle\CheckoutBundle\Twig\LineItemsExtension")</sup> method was changed to `LineItemsExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Twig/LineItemsExtension.php#L32 "Oro\Bundle\CheckoutBundle\Twig\LineItemsExtension")</sup>
* The `CheckoutSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProviderInterface $productPriceProvider, PriceListTreeHandler $priceListTreeHandler, SubtotalProviderConstructorArguments $arguments, FeatureChecker $featureChecker, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L57 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider")</sup> method was changed to `CheckoutSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProviderInterface $productPriceProvider, PriceListTreeHandler $priceListTreeHandler, SubtotalProviderConstructorArguments $arguments, FeatureChecker $featureChecker, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L57 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider")</sup>
* The `CheckoutWorkflowHelper::__construct(WorkflowManager $workflowManager, ActionGroupRegistry $actionGroupRegistry, TransitionProvider $transitionProvider, TransitionFormProvider $transitionFormProvider, CheckoutErrorHandler $errorHandler, CheckoutLineItemsManager $lineItemsManager, CustomerRegistrationHandler $registrationHandler, ForgotPasswordHandler $forgotPasswordHandler, EventDispatcherInterface $eventDispatcher, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Helper/CheckoutWorkflowHelper.php#L77 "Oro\Bundle\CheckoutBundle\Helper\CheckoutWorkflowHelper")</sup> method was changed to `CheckoutWorkflowHelper::__construct(WorkflowManager $workflowManager, ActionGroupRegistry $actionGroupRegistry, TransitionProvider $transitionProvider, TransitionFormProvider $transitionFormProvider, CheckoutErrorHandler $errorHandler, CheckoutLineItemsManager $lineItemsManager, CustomerRegistrationHandler $registrationHandler, ForgotPasswordHandler $forgotPasswordHandler, EventDispatcherInterface $eventDispatcher, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Helper/CheckoutWorkflowHelper.php#L77 "Oro\Bundle\CheckoutBundle\Helper\CheckoutWorkflowHelper")</sup>
* The `ResolvePaymentTermListener::__construct(RequestStack $requestStack, ManagerRegistry $registry, PaymentTermProvider $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/EventListener/ResolvePaymentTermListener.php#L29 "Oro\Bundle\CheckoutBundle\EventListener\ResolvePaymentTermListener")</sup> method was changed to `ResolvePaymentTermListener::__construct(RequestStack $requestStack, ManagerRegistry $registry, PaymentTermProviderInterface $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/EventListener/ResolvePaymentTermListener.php#L32 "Oro\Bundle\CheckoutBundle\EventListener\ResolvePaymentTermListener")</sup>
* The `OrderLineItemConverter::__construct(ConfigManager $configManager, InventoryQuantityProviderInterface $quantityProvider, AuthorizationCheckerInterface $authorizationChecker, $configPath)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Converter/OrderLineItemConverter.php#L39 "Oro\Bundle\CheckoutBundle\Converter\OrderLineItemConverter")</sup> method was changed to `OrderLineItemConverter::__construct(ConfigManager $configManager, InventoryQuantityProviderInterface $quantityProvider, AuthorizationCheckerInterface $authorizationChecker, EntityFallbackResolver $entityFallbackResolver, $configPath)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Converter/OrderLineItemConverter.php#L44 "Oro\Bundle\CheckoutBundle\Converter\OrderLineItemConverter")</sup>
* The following methods in class `CheckoutSubtotalRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L58 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository")</sup> were removed:
   - `getBaseInvalidateQb`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L58 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository::getBaseInvalidateQb")</sup>
   - `invalidateTotals`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L77 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository::invalidateTotals")</sup>

ConsentBundle
-------------
* The `LandingPageProvider::__construct(ManagerRegistry $doctrine, LocalizationHelper $localizationHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ConsentBundle/Provider/LandingPageProvider.php#L37 "Oro\Bundle\ConsentBundle\Provider\LandingPageProvider")</sup> method was changed to `LandingPageProvider::__construct(ManagerRegistry $doctrine, LocalizationHelper $localizationHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Provider/LandingPageProvider.php#L37 "Oro\Bundle\ConsentBundle\Provider\LandingPageProvider")</sup>
* The `CustomerUserViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack, CustomerUserConsentProvider $customerUserConsentProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ConsentBundle/EventListener/CustomerUserViewListener.php#L39 "Oro\Bundle\ConsentBundle\EventListener\CustomerUserViewListener")</sup> method was changed to `CustomerUserViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack, CustomerUserConsentProvider $customerUserConsentProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/EventListener/CustomerUserViewListener.php#L39 "Oro\Bundle\ConsentBundle\EventListener\CustomerUserViewListener")</sup>

FrontendLocalizationBundle
--------------------------
* The `UserLocalizationManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ConfigManager $configManager, WebsiteManager $websiteManager, BaseUserManager $userManager, LocalizationManager $localizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L50 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup> method was changed to `UserLocalizationManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ManagerRegistry $doctrine, ConfigManager $configManager, WebsiteManager $websiteManager, LocalizationManager $localizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L50 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup>
* The `UserLocalizationManager::$userManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L37 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager::$userManager")</sup> property was removed.

FrontendTestFrameworkBundle
---------------------------
* The `Client::request($method, $uri, $parameters = [], $files = [], $server = [], $content = null, $changeHistory = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/Client.php#L14 "Oro\Bundle\FrontendTestFrameworkBundle\Test\Client")</sup> method was changed to `Client::request($method, $uri, $parameters = [], $files = [], $server = [], $content = null, $changeHistory = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/FrontendTestFrameworkBundle/Test/Client.php#L17 "Oro\Bundle\FrontendTestFrameworkBundle\Test\Client")</sup>

InventoryBundle
---------------
* The following classes were removed:
   - `ProductUpcomingProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Provider/ProductUpcomingProvider.php#L14 "Oro\Bundle\InventoryBundle\Provider\ProductUpcomingProvider")</sup>
   - `ProductDataConverterEventListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/ProductDataConverterEventListener.php#L12 "Oro\Bundle\InventoryBundle\EventListener\ProductDataConverterEventListener")</sup>
* The `LowInventoryCheckoutLineItemValidator::__construct(LowInventoryProvider $lowInventoryProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/LowInventoryCheckoutLineItemValidator.php#L25 "Oro\Bundle\InventoryBundle\Validator\LowInventoryCheckoutLineItemValidator")</sup> method was changed to `LowInventoryCheckoutLineItemValidator::__construct(LowInventoryProvider $lowInventoryProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Validator/LowInventoryCheckoutLineItemValidator.php#L25 "Oro\Bundle\InventoryBundle\Validator\LowInventoryCheckoutLineItemValidator")</sup>
* The `QuantityToOrderValidatorService::__construct(EntityFallbackResolver $fallbackResolver, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/QuantityToOrderValidatorService.php#L28 "Oro\Bundle\InventoryBundle\Validator\QuantityToOrderValidatorService")</sup> method was changed to `QuantityToOrderValidatorService::__construct(EntityFallbackResolver $fallbackResolver, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Validator/QuantityToOrderValidatorService.php#L28 "Oro\Bundle\InventoryBundle\Validator\QuantityToOrderValidatorService")</sup>
* The `UpcomingLabelCheckoutLineItemValidator::__construct(ProductUpcomingProvider $ProductUpcomingProvider, TranslatorInterface $translator, DateTimeFormatter $dateFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/UpcomingLabelCheckoutLineItemValidator.php#L32 "Oro\Bundle\InventoryBundle\Validator\UpcomingLabelCheckoutLineItemValidator")</sup> method was changed to `UpcomingLabelCheckoutLineItemValidator::__construct(UpcomingProductProvider $ProductUpcomingProvider, TranslatorInterface $translator, DateTimeFormatterInterface $dateFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Validator/UpcomingLabelCheckoutLineItemValidator.php#L35 "Oro\Bundle\InventoryBundle\Validator\UpcomingLabelCheckoutLineItemValidator")</sup>
* The `CheckoutShipUntilValidator::__construct(ProductUpcomingProvider $upcomingProvider, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/Constraints/CheckoutShipUntilValidator.php#L28 "Oro\Bundle\InventoryBundle\Validator\Constraints\CheckoutShipUntilValidator")</sup> method was changed to `CheckoutShipUntilValidator::__construct(UpcomingProductProvider $upcomingProvider, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Validator/Constraints/CheckoutShipUntilValidator.php#L31 "Oro\Bundle\InventoryBundle\Validator\Constraints\CheckoutShipUntilValidator")</sup>
* The `ProductRowQuantityValidator::__construct(QuantityToOrderValidatorService $quantityValidatorService, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/Constraints/ProductRowQuantityValidator.php#L28 "Oro\Bundle\InventoryBundle\Validator\Constraints\ProductRowQuantityValidator")</sup> method was changed to `ProductRowQuantityValidator::__construct(QuantityToOrderValidatorService $quantityValidatorService, DoctrineHelper $doctrineHelper, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Validator/Constraints/ProductRowQuantityValidator.php#L39 "Oro\Bundle\InventoryBundle\Validator\Constraints\ProductRowQuantityValidator")</sup>
* The `LowInventoryExtension::__construct(LowInventoryProvider $lowInventoryProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/LowInventoryExtension.php#L18 "Oro\Bundle\InventoryBundle\Twig\LowInventoryExtension")</sup> method was changed to `LowInventoryExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Twig/LowInventoryExtension.php#L24 "Oro\Bundle\InventoryBundle\Twig\LowInventoryExtension")</sup>
* The `ProductUpcomingExtension::__construct(ProductUpcomingProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L15 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup> method was changed to `ProductUpcomingExtension::__construct(UpcomingProductProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L22 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup>
* The `AbstractInventoryLevelStrategyHelper::__construct(DatabaseHelper $databaseHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/ImportExport/Strategy/AbstractInventoryLevelStrategyHelper.php#L26 "Oro\Bundle\InventoryBundle\ImportExport\Strategy\AbstractInventoryLevelStrategyHelper")</sup> method was changed to `AbstractInventoryLevelStrategyHelper::__construct(DatabaseHelper $databaseHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/ImportExport/Strategy/AbstractInventoryLevelStrategyHelper.php#L26 "Oro\Bundle\InventoryBundle\ImportExport\Strategy\AbstractInventoryLevelStrategyHelper")</sup>
* The `ProductUnitStrategyHelper::__construct(DatabaseHelper $databaseHelper, TranslatorInterface $translator, ProductUnitTransformer $productUnitTransformer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/ImportExport/Strategy/ProductUnitStrategyHelper.php#L23 "Oro\Bundle\InventoryBundle\ImportExport\Strategy\ProductUnitStrategyHelper")</sup> method was changed to `ProductUnitStrategyHelper::__construct(DatabaseHelper $databaseHelper, TranslatorInterface $translator, ProductUnitTransformer $productUnitTransformer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/ImportExport/Strategy/ProductUnitStrategyHelper.php#L23 "Oro\Bundle\InventoryBundle\ImportExport\Strategy\ProductUnitStrategyHelper")</sup>
* The `ProductUpcomingNormalizer::__construct(ProductUpcomingProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/ImportExport/Serializer/ProductUpcomingNormalizer.php#L17 "Oro\Bundle\InventoryBundle\ImportExport\Serializer\ProductUpcomingNormalizer")</sup> method was changed to `ProductUpcomingNormalizer::__construct(UpcomingProductProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/ImportExport/Serializer/ProductUpcomingNormalizer.php#L17 "Oro\Bundle\InventoryBundle\ImportExport\Serializer\ProductUpcomingNormalizer")</sup>
* The `InventoryLevelImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/ImportExport/Configuration/InventoryLevelImportExportConfigurationProvider.php#L23 "Oro\Bundle\InventoryBundle\ImportExport\Configuration\InventoryLevelImportExportConfigurationProvider")</sup> method was changed to `InventoryLevelImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/ImportExport/Configuration/InventoryLevelImportExportConfigurationProvider.php#L23 "Oro\Bundle\InventoryBundle\ImportExport\Configuration\InventoryLevelImportExportConfigurationProvider")</sup>
* The `InventoryLevelHandler::__construct(FormInterface $form, ObjectManager $manager, Request $request, RoundingServiceInterface $rounding)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Form/Handler/InventoryLevelHandler.php#L43 "Oro\Bundle\InventoryBundle\Form\Handler\InventoryLevelHandler")</sup> method was changed to `InventoryLevelHandler::__construct(FormInterface $form, ObjectManager $manager, Request $request, RoundingServiceInterface $rounding, InventoryManager $inventoryManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Handler/InventoryLevelHandler.php#L53 "Oro\Bundle\InventoryBundle\Form\Handler\InventoryLevelHandler")</sup>
* The `CheckoutShipUntilFormExtension::__construct(ProductUpcomingProvider $provider, CheckoutLineItemsManager $checkoutLineItemsManager, DateTimeFormatter $dateTimeFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L40 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension")</sup> method was changed to `CheckoutShipUntilFormExtension::__construct(UpcomingProductProvider $provider, CheckoutLineItemsManager $checkoutLineItemsManager, DateTimeFormatterInterface $dateTimeFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L40 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension")</sup>
* The `CreateOrderLineItemValidationListener::__construct(InventoryQuantityManager $inventoryQuantityManager, DoctrineHelper $doctrineHelper, TranslatorInterface $translator, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/CreateOrderLineItemValidationListener.php#L55 "Oro\Bundle\InventoryBundle\EventListener\CreateOrderLineItemValidationListener")</sup> method was changed to `CreateOrderLineItemValidationListener::__construct(InventoryQuantityManager $inventoryQuantityManager, DoctrineHelper $doctrineHelper, TranslatorInterface $translator, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/EventListener/CreateOrderLineItemValidationListener.php#L55 "Oro\Bundle\InventoryBundle\EventListener\CreateOrderLineItemValidationListener")</sup>
* The `ProductNormalizerEventListener::__construct(ProductUpcomingProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/ProductNormalizerEventListener.php#L17 "Oro\Bundle\InventoryBundle\EventListener\ProductNormalizerEventListener")</sup> method was changed to `ProductNormalizerEventListener::__construct(UpcomingProductProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/EventListener/ProductNormalizerEventListener.php#L17 "Oro\Bundle\InventoryBundle\EventListener\ProductNormalizerEventListener")</sup>
* The `ProductDatagridUpcomingLabelListener::__construct(ProductUpcomingProvider $productUpcomingProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/Frontend/ProductDatagridUpcomingLabelListener.php#L32 "Oro\Bundle\InventoryBundle\EventListener\Frontend\ProductDatagridUpcomingLabelListener")</sup> method was changed to `ProductDatagridUpcomingLabelListener::__construct(UpcomingProductProvider $productUpcomingProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/EventListener/Frontend/ProductDatagridUpcomingLabelListener.php#L32 "Oro\Bundle\InventoryBundle\EventListener\Frontend\ProductDatagridUpcomingLabelListener")</sup>
* The `LowInventoryExtension::$lowInventoryProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/LowInventoryExtension.php#L13 "Oro\Bundle\InventoryBundle\Twig\LowInventoryExtension::$lowInventoryProvider")</sup> property was removed.
* The following methods in class `ProductUpcomingExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L35 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup> were removed:
   - `isUpcoming`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L35 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension::isUpcoming")</sup>
   - `getAvailabilityDate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L44 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension::getAvailabilityDate")</sup>

MoneyOrderBundle
----------------
* The `MoneyOrderOptionsListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/MoneyOrderBundle/EventListener/MoneyOrderOptionsListener.php#L23 "Oro\Bundle\MoneyOrderBundle\EventListener\MoneyOrderOptionsListener")</sup> method was changed to `MoneyOrderOptionsListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/MoneyOrderBundle/EventListener/MoneyOrderOptionsListener.php#L23 "Oro\Bundle\MoneyOrderBundle\EventListener\MoneyOrderOptionsListener")</sup>

OrderBundle
-----------
* The following classes were removed:
   - `FrontendOrderDataHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/RequestHandler/FrontendOrderDataHandler.php#L14 "Oro\Bundle\OrderBundle\RequestHandler\FrontendOrderDataHandler")</sup>
   - `SkuCachedProductProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Provider/SkuCachedProductProvider.php#L8 "Oro\Bundle\OrderBundle\Provider\SkuCachedProductProvider")</sup>
   - `ExtractAddressOptionsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/EventListener/ExtractAddressOptionsListener.php#L8 "Oro\Bundle\OrderBundle\EventListener\ExtractAddressOptionsListener")</sup>
   - `ExtractLineItemPaymentOptionsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L14 "Oro\Bundle\OrderBundle\EventListener\ExtractLineItemPaymentOptionsListener")</sup>
   - `AbstractOrderController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/AbstractOrderController.php#L8 "Oro\Bundle\OrderBundle\Controller\AbstractOrderController")</sup>
   - `HandleOrderIncludedData`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Api/Processor/HandleOrderIncludedData.php#L11 "Oro\Bundle\OrderBundle\Api\Processor\HandleOrderIncludedData")</sup>
   - `UpdateRequestDataForOrderLineItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Api/Processor/UpdateRequestDataForOrderLineItem.php#L12 "Oro\Bundle\OrderBundle\Api\Processor\UpdateRequestDataForOrderLineItem")</sup>
   - `DiscountListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Api/Form/EventListener/DiscountListener.php#L11 "Oro\Bundle\OrderBundle\Api\Form\EventListener\DiscountListener")</sup>
* The `OrderExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Twig/OrderExtension.php#L19 "Oro\Bundle\OrderBundle\Twig\OrderExtension")</sup> method was changed to `OrderExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Twig/OrderExtension.php#L33 "Oro\Bundle\OrderBundle\Twig\OrderExtension")</sup>
* The `OrderShippingExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Twig/OrderShippingExtension.php#L16 "Oro\Bundle\OrderBundle\Twig\OrderShippingExtension")</sup> method was changed to `OrderShippingExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Twig/OrderShippingExtension.php#L24 "Oro\Bundle\OrderBundle\Twig\OrderShippingExtension")</sup>
* The `DiscountSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, LineItemSubtotalProvider $lineItemSubtotal, TokenAccessorInterface $tokenAccessor, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L43 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider")</sup> method was changed to `DiscountSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, LineItemSubtotalProvider $lineItemSubtotal, TokenAccessorInterface $tokenAccessor, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L43 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider")</sup>
* The `ShippingCostSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L37 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider")</sup> method was changed to `ShippingCostSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L37 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider")</sup>
* The `TopSellingItemsProvider::__construct(ProductRepository $productRepository, ProductManager $productManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Layout/DataProvider/TopSellingItemsProvider.php#L27 "Oro\Bundle\OrderBundle\Layout\DataProvider\TopSellingItemsProvider")</sup> method was changed to `TopSellingItemsProvider::__construct(ProductRepository $productRepository, ProductManager $productManager, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Layout/DataProvider/TopSellingItemsProvider.php#L37 "Oro\Bundle\OrderBundle\Layout\DataProvider\TopSellingItemsProvider")</sup>
* The `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/EventListener/FormViewListener.php#L35 "Oro\Bundle\OrderBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/FormViewListener.php#L39 "Oro\Bundle\OrderBundle\EventListener\FormViewListener")</sup>
* The `OrderPaymentTermEventListener::__construct(PaymentTermProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/EventListener/Order/OrderPaymentTermEventListener.php#L21 "Oro\Bundle\OrderBundle\EventListener\Order\OrderPaymentTermEventListener")</sup> method was changed to `OrderPaymentTermEventListener::__construct(PaymentTermProviderInterface $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/Order/OrderPaymentTermEventListener.php#L24 "Oro\Bundle\OrderBundle\EventListener\Order\OrderPaymentTermEventListener")</sup>
* The following methods in class `OrderController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/OrderController.php#L187 "Oro\Bundle\OrderBundle\Controller\OrderController")</sup> were removed:
   - `getOrderRequestHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/OrderController.php#L187 "Oro\Bundle\OrderBundle\Controller\OrderController::getOrderRequestHandler")</sup>
   - `getTotalProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/OrderController.php#L195 "Oro\Bundle\OrderBundle\Controller\OrderController::getTotalProcessor")</sup>
   - `getTotalProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/Frontend/OrderController.php#L57 "Oro\Bundle\OrderBundle\Controller\Frontend\OrderController::getTotalProcessor")</sup>
   - `getFrontendOrderDataHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/OrderBundle/Controller/Frontend/OrderController.php#L65 "Oro\Bundle\OrderBundle\Controller\Frontend\OrderController::getFrontendOrderDataHandler")</sup>

PayPalBundle
------------
* The following classes were removed:
   - `CurrencySelectionType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Form/Type/CurrencySelectionType.php#L9 "Oro\Bundle\PayPalBundle\Form\Type\CurrencySelectionType")</sup>
   - `ExtractLineItemPaymentOptionsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L14 "Oro\Bundle\PayPalBundle\EventListener\ExtractLineItemPaymentOptionsListener")</sup>
* The following methods in class `PayPalExpressCheckoutPaymentMethod`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Method/PayPalExpressCheckoutPaymentMethod.php#L68 "Oro\Bundle\PayPalBundle\Method\PayPalExpressCheckoutPaymentMethod")</sup> were changed:
  > - `__construct(Gateway $gateway, PayPalExpressCheckoutConfigInterface $config, RouterInterface $router, DoctrineHelper $doctrineHelper, ExtractOptionsProvider $optionsProvider, SurchargeProvider $surchargeProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Method/PayPalExpressCheckoutPaymentMethod.php#L65 "Oro\Bundle\PayPalBundle\Method\PayPalExpressCheckoutPaymentMethod")</sup>
  > - `__construct(Gateway $gateway, PayPalExpressCheckoutConfigInterface $config, RouterInterface $router, DoctrineHelper $doctrineHelper, OptionsProviderInterface $optionsProvider, SurchargeProvider $surchargeProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Method/PayPalExpressCheckoutPaymentMethod.php#L68 "Oro\Bundle\PayPalBundle\Method\PayPalExpressCheckoutPaymentMethod")</sup>

  > - `getRedirectUrl($token)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Method/PayPalExpressCheckoutPaymentMethod.php#L284 "Oro\Bundle\PayPalBundle\Method\PayPalExpressCheckoutPaymentMethod")</sup>
  > - `getRedirectUrl($token)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Method/PayPalExpressCheckoutPaymentMethod.php#L290 "Oro\Bundle\PayPalBundle\Method\PayPalExpressCheckoutPaymentMethod")</sup>

* The `BasicPayPalExpressCheckoutPaymentMethodFactory::__construct(Gateway $gateway, RouterInterface $router, DoctrineHelper $doctrineHelper, ExtractOptionsProvider $optionsProvider, SurchargeProvider $surchargeProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Method/Factory/BasicPayPalExpressCheckoutPaymentMethodFactory.php#L55 "Oro\Bundle\PayPalBundle\Method\Factory\BasicPayPalExpressCheckoutPaymentMethodFactory")</sup> method was changed to `BasicPayPalExpressCheckoutPaymentMethodFactory::__construct(Gateway $gateway, RouterInterface $router, DoctrineHelper $doctrineHelper, OptionsProviderInterface $optionsProvider, SurchargeProvider $surchargeProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Method/Factory/BasicPayPalExpressCheckoutPaymentMethodFactory.php#L58 "Oro\Bundle\PayPalBundle\Method\Factory\BasicPayPalExpressCheckoutPaymentMethodFactory")</sup>
* The `AbstractPayPalConfigFactory::__construct(SymmetricCrypterInterface $encoder, LocalizationHelper $localizationHelper, IntegrationIdentifierGeneratorInterface $identifierGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Method/Config/Factory/AbstractPayPalConfigFactory.php#L35 "Oro\Bundle\PayPalBundle\Method\Config\Factory\AbstractPayPalConfigFactory")</sup> method was changed to `AbstractPayPalConfigFactory::__construct(LocalizationHelper $localizationHelper, IntegrationIdentifierGeneratorInterface $identifierGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Method/Config/Factory/AbstractPayPalConfigFactory.php#L31 "Oro\Bundle\PayPalBundle\Method\Config\Factory\AbstractPayPalConfigFactory")</sup>
* The `PayPalSettingsType::__construct(TranslatorInterface $translator, SymmetricCrypterInterface $encoder, CreditCardTypesDataProviderInterface $creditCardTypesDataProvider, PaymentActionsDataProviderInterface $paymentActionsDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Form/Type/PayPalSettingsType.php#L61 "Oro\Bundle\PayPalBundle\Form\Type\PayPalSettingsType")</sup> method was changed to `PayPalSettingsType::__construct(TranslatorInterface $translator, CreditCardTypesDataProviderInterface $creditCardTypesDataProvider, PaymentActionsDataProviderInterface $paymentActionsDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PayPalBundle/Form/Type/PayPalSettingsType.php#L55 "Oro\Bundle\PayPalBundle\Form\Type\PayPalSettingsType")</sup>
* The `AbstractPayPalConfigFactory::getDecryptedValue`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Method/Config/Factory/AbstractPayPalConfigFactory.php#L72 "Oro\Bundle\PayPalBundle\Method\Config\Factory\AbstractPayPalConfigFactory::getDecryptedValue")</sup> method was removed.
* The `PayPalSettingsType::transformWithEncodedValue`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Form/Type/PayPalSettingsType.php#L240 "Oro\Bundle\PayPalBundle\Form\Type\PayPalSettingsType::transformWithEncodedValue")</sup> method was removed.
* The `PayPalSettingsType::$encoder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Form/Type/PayPalSettingsType.php#L43 "Oro\Bundle\PayPalBundle\Form\Type\PayPalSettingsType::$encoder")</sup> property was removed.

PaymentBundle
-------------
* The following classes were removed:
   - `ExtractOptionsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Provider/ExtractOptionsProvider.php#L14 "Oro\Bundle\PaymentBundle\Provider\ExtractOptionsProvider")</sup>
   - `ExtractAddressOptionsEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Event/ExtractAddressOptionsEvent.php#L9 "Oro\Bundle\PaymentBundle\Event\ExtractAddressOptionsEvent")</sup>
   - `ExtractLineItemPaymentOptionsEvent`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Event/ExtractLineItemPaymentOptionsEvent.php#L9 "Oro\Bundle\PaymentBundle\Event\ExtractLineItemPaymentOptionsEvent")</sup>
* The `PaymentMethodExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Twig/PaymentMethodExtension.php#L30 "Oro\Bundle\PaymentBundle\Twig\PaymentMethodExtension")</sup> method was changed to `PaymentMethodExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Twig/PaymentMethodExtension.php#L37 "Oro\Bundle\PaymentBundle\Twig\PaymentMethodExtension")</sup>
* The `PaymentStatusExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Twig/PaymentStatusExtension.php#L22 "Oro\Bundle\PaymentBundle\Twig\PaymentStatusExtension")</sup> method was changed to `PaymentStatusExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Twig/PaymentStatusExtension.php#L27 "Oro\Bundle\PaymentBundle\Twig\PaymentStatusExtension")</sup>
* The `PaymentMethodObjectVariablesProvider::getVariableDefinitions($class = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Provider/PaymentMethodObjectVariablesProvider.php#L16 "Oro\Bundle\PaymentBundle\Provider\PaymentMethodObjectVariablesProvider")</sup> method was changed to `PaymentMethodObjectVariablesProvider::getVariableDefinitions()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Provider/PaymentMethodObjectVariablesProvider.php#L16 "Oro\Bundle\PaymentBundle\Provider\PaymentMethodObjectVariablesProvider")</sup>
* The `PaymentTransactionProvider::__construct(DoctrineHelper $doctrineHelper, CustomerUserProvider $customerUserProvider, EventDispatcherInterface $dispatcher, $paymentTransactionClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Provider/PaymentTransactionProvider.php#L41 "Oro\Bundle\PaymentBundle\Provider\PaymentTransactionProvider")</sup> method was changed to `PaymentTransactionProvider::__construct(DoctrineHelper $doctrineHelper, CustomerUserProvider $customerUserProvider, EventDispatcherInterface $dispatcher, $paymentTransactionClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Provider/PaymentTransactionProvider.php#L41 "Oro\Bundle\PaymentBundle\Provider\PaymentTransactionProvider")</sup>
* The `PaymentStatusLabelFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Formatter/PaymentStatusLabelFormatter.php#L18 "Oro\Bundle\PaymentBundle\Formatter\PaymentStatusLabelFormatter")</sup> method was changed to `PaymentStatusLabelFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Formatter/PaymentStatusLabelFormatter.php#L18 "Oro\Bundle\PaymentBundle\Formatter\PaymentStatusLabelFormatter")</sup>
* The `PaymentMethodApplicable::$checkoutPaymentContextFactory`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentBundle/Condition/PaymentMethodApplicable.php#L32 "Oro\Bundle\PaymentBundle\Condition\PaymentMethodApplicable::$checkoutPaymentContextFactory")</sup> property was removed.
* The `PaymentContextInterface::getTotal`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Context/PaymentContextInterface.php#L69 "Oro\Bundle\PaymentBundle\Context\PaymentContextInterface::getTotal")</sup> interface method was added.
* The `PaymentContextBuilderInterface::setTotal`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Context/Builder/PaymentContextBuilderInterface.php#L106 "Oro\Bundle\PaymentBundle\Context\Builder\PaymentContextBuilderInterface::setTotal")</sup> interface method was added.

PaymentTermBundle
-----------------
* The `DeleteMessageTextExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Twig/DeleteMessageTextExtension.php#L18 "Oro\Bundle\PaymentTermBundle\Twig\DeleteMessageTextExtension")</sup> method was changed to `DeleteMessageTextExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Twig/DeleteMessageTextExtension.php#L27 "Oro\Bundle\PaymentTermBundle\Twig\DeleteMessageTextExtension")</sup>
* The `DeleteMessageTextGenerator::__construct(RouterInterface $router, Twig_Environment $twig, PaymentTermManager $paymentTermManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Twig/DeleteMessageTextGenerator.php#L33 "Oro\Bundle\PaymentTermBundle\Twig\DeleteMessageTextGenerator")</sup> method was changed to `DeleteMessageTextGenerator::__construct(RouterInterface $router, Environment $twig, PaymentTermManager $paymentTermManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Twig/DeleteMessageTextGenerator.php#L39 "Oro\Bundle\PaymentTermBundle\Twig\DeleteMessageTextGenerator")</sup>
* The following methods in class `PaymentTermExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Twig/PaymentTermExtension.php#L24 "Oro\Bundle\PaymentTermBundle\Twig\PaymentTermExtension")</sup> were changed:
  > - `__construct(PaymentTermProvider $dataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Twig/PaymentTermExtension.php#L19 "Oro\Bundle\PaymentTermBundle\Twig\PaymentTermExtension")</sup>
  > - `__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Twig/PaymentTermExtension.php#L24 "Oro\Bundle\PaymentTermBundle\Twig\PaymentTermExtension")</sup>

  > - `__construct(PaymentTermProvider $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermExtension.php#L26 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermExtension")</sup>
  > - `__construct(PaymentTermProviderInterface $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermExtension.php#L29 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermExtension")</sup>

* The `PaymentTerm::__construct(PaymentTermProvider $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, DoctrineHelper $doctrineHelper, PaymentTermConfigInterface $config)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Method/PaymentTerm.php#L50 "Oro\Bundle\PaymentTermBundle\Method\PaymentTerm")</sup> method was changed to `PaymentTerm::__construct(PaymentTermProviderInterface $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, DoctrineHelper $doctrineHelper, PaymentTermConfigInterface $config)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Method/PaymentTerm.php#L50 "Oro\Bundle\PaymentTermBundle\Method\PaymentTerm")</sup>
* The `PaymentTermView::__construct(PaymentTermProvider $paymentTermProvider, TranslatorInterface $translator, PaymentTermConfigInterface $config)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Method/View/PaymentTermView.php#L33 "Oro\Bundle\PaymentTermBundle\Method\View\PaymentTermView")</sup> method was changed to `PaymentTermView::__construct(PaymentTermProviderInterface $paymentTermProvider, TranslatorInterface $translator, PaymentTermConfigInterface $config)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Method/View/PaymentTermView.php#L38 "Oro\Bundle\PaymentTermBundle\Method\View\PaymentTermView")</sup>
* The `PaymentTermPaymentMethodViewFactory::__construct(PaymentTermProvider $paymentTermProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Method/View/Factory/PaymentTermPaymentMethodViewFactory.php#L26 "Oro\Bundle\PaymentTermBundle\Method\View\Factory\PaymentTermPaymentMethodViewFactory")</sup> method was changed to `PaymentTermPaymentMethodViewFactory::__construct(PaymentTermProviderInterface $paymentTermProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Method/View/Factory/PaymentTermPaymentMethodViewFactory.php#L29 "Oro\Bundle\PaymentTermBundle\Method\View\Factory\PaymentTermPaymentMethodViewFactory")</sup>
* The `PaymentTermPaymentMethodFactory::__construct(PaymentTermProvider $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, DoctrineHelper $doctrineHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Method/Factory/PaymentTermPaymentMethodFactory.php#L38 "Oro\Bundle\PaymentTermBundle\Method\Factory\PaymentTermPaymentMethodFactory")</sup> method was changed to `PaymentTermPaymentMethodFactory::__construct(PaymentTermProviderInterface $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, DoctrineHelper $doctrineHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Method/Factory/PaymentTermPaymentMethodFactory.php#L41 "Oro\Bundle\PaymentTermBundle\Method\Factory\PaymentTermPaymentMethodFactory")</sup>
* The `CustomerFormExtension::__construct(PaymentTermProvider $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/CustomerFormExtension.php#L28 "Oro\Bundle\PaymentTermBundle\Form\Extension\CustomerFormExtension")</sup> method was changed to `CustomerFormExtension::__construct(PaymentTermProviderInterface $paymentTermProvider, PaymentTermAssociationProvider $paymentTermAssociationProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/CustomerFormExtension.php#L31 "Oro\Bundle\PaymentTermBundle\Form\Extension\CustomerFormExtension")</sup>
* The `CustomerDatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/EventListener/CustomerDatagridListener.php#L18 "Oro\Bundle\PaymentTermBundle\EventListener\CustomerDatagridListener")</sup> method was changed to `CustomerDatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, SelectedFieldsProviderInterface $selectedFieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/EventListener/CustomerDatagridListener.php#L28 "Oro\Bundle\PaymentTermBundle\EventListener\CustomerDatagridListener")</sup>
* The `DatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, PaymentTermProvider $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/EventListener/DatagridListener.php#L24 "Oro\Bundle\PaymentTermBundle\EventListener\DatagridListener")</sup> method was changed to `DatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, PaymentTermProviderInterface $paymentTermProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/EventListener/DatagridListener.php#L27 "Oro\Bundle\PaymentTermBundle\EventListener\DatagridListener")</sup>
* The `ValueRenderEventListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, TranslatorInterface $translator, RouterInterface $router)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/EventListener/ValueRenderEventListener.php#L29 "Oro\Bundle\PaymentTermBundle\EventListener\ValueRenderEventListener")</sup> method was changed to `ValueRenderEventListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, TranslatorInterface $translator, RouterInterface $router)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/EventListener/ValueRenderEventListener.php#L29 "Oro\Bundle\PaymentTermBundle\EventListener\ValueRenderEventListener")</sup>
* The `PaymentTermExtension::$dataProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/Twig/PaymentTermExtension.php#L14 "Oro\Bundle\PaymentTermBundle\Twig\PaymentTermExtension::$dataProvider")</sup> property was removed.

PricingBundle
-------------
* The following classes were removed:
   - `SendPriceRecalculationMessageStep`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Model/Step/SendPriceRecalculationMessageStep.php#L13 "Oro\Bundle\PricingBundle\Model\Step\SendPriceRecalculationMessageStep")</sup>
   - `StorePriceListInContextByFilter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/StorePriceListInContextByFilter.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\StorePriceListInContextByFilter")</sup>
   - `BuildCombinedPriceListOnScheduleDelete`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleDelete.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleDelete")</sup>
   - `BuildCombinedPriceListOnScheduleDeleteList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleDeleteList.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleDeleteList")</sup>
   - `BuildCombinedPriceListOnScheduleSave`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceListOnScheduleSave.php#L10 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceListOnScheduleSave")</sup>
   - `UpdatePriceListContainsScheduleOnScheduleDelete`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListContainsScheduleOnScheduleDelete.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListContainsScheduleOnScheduleDelete")</sup>
   - `UpdatePriceListContainsScheduleOnScheduleDeleteList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListContainsScheduleOnScheduleDeleteList.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListContainsScheduleOnScheduleDeleteList")</sup>
* The `PriceRuleRelationExpressionsValidator::__construct(ExpressionParser $parser, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceRuleRelationExpressionsValidator.php#L44 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceRuleRelationExpressionsValidator")</sup> method was changed to `PriceRuleRelationExpressionsValidator::__construct(ExpressionParser $parser, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceRuleRelationExpressionsValidator.php#L47 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceRuleRelationExpressionsValidator")</sup>
* The `TotalProcessorProvider::__construct(SubtotalProviderRegistry $subtotalProviderRegistry, TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/TotalProcessorProvider.php#L43 "Oro\Bundle\PricingBundle\SubtotalProcessor\TotalProcessorProvider")</sup> method was changed to `TotalProcessorProvider::__construct(SubtotalProviderRegistry $subtotalProviderRegistry, TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/TotalProcessorProvider.php#L43 "Oro\Bundle\PricingBundle\SubtotalProcessor\TotalProcessorProvider")</sup>
* The `LineItemNotPricedSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProviderInterface $productPriceProvider, SubtotalProviderConstructorArguments $arguments, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L56 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider")</sup> method was changed to `LineItemNotPricedSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, ProductPriceProviderInterface $productPriceProvider, SubtotalProviderConstructorArguments $arguments, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L56 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider")</sup>
* The `LineItemSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L38 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider")</sup> method was changed to `LineItemSubtotalProvider::__construct(TranslatorInterface $translator, RoundingServiceInterface $rounding, SubtotalProviderConstructorArguments $arguments)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L38 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider")</sup>
* The `UserCurrencyManager::__construct(Session $session, TokenStorageInterface $tokenStorage, CurrencyProviderInterface $currencyProvider, WebsiteManager $websiteManager, BaseUserManager $userManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L53 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup> method was changed to `UserCurrencyManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ManagerRegistry $doctrine, CurrencyProviderInterface $currencyProvider, WebsiteManager $websiteManager, CurrentCurrencyProviderInterface $currentCurrencyProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L48 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup>
* The `ProductPriceImportStrategy::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceImportStrategy.php#L30 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceImportStrategy")</sup> method was changed to `ProductPriceImportStrategy::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceImportStrategy.php#L30 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceImportStrategy")</sup>
* The `PriceAttributeProductPriceImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/ImportExport/Configuration/PriceAttributeProductPriceImportExportConfigurationProvider.php#L21 "Oro\Bundle\PricingBundle\ImportExport\Configuration\PriceAttributeProductPriceImportExportConfigurationProvider")</sup> method was changed to `PriceAttributeProductPriceImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Configuration/PriceAttributeProductPriceImportExportConfigurationProvider.php#L21 "Oro\Bundle\PricingBundle\ImportExport\Configuration\PriceAttributeProductPriceImportExportConfigurationProvider")</sup>
* The `ProductPriceImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/ImportExport/Configuration/ProductPriceImportExportConfigurationProvider.php#L21 "Oro\Bundle\PricingBundle\ImportExport\Configuration\ProductPriceImportExportConfigurationProvider")</sup> method was changed to `ProductPriceImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Configuration/ProductPriceImportExportConfigurationProvider.php#L21 "Oro\Bundle\PricingBundle\ImportExport\Configuration\ProductPriceImportExportConfigurationProvider")</sup>
* The `PriceListStrategySelectType::__construct(StrategyRegister $priceStrategyRegister, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Type/PriceListStrategySelectType.php#L35 "Oro\Bundle\PricingBundle\Form\Type\PriceListStrategySelectType")</sup> method was changed to `PriceListStrategySelectType::__construct(StrategyRegister $priceStrategyRegister, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Type/PriceListStrategySelectType.php#L35 "Oro\Bundle\PricingBundle\Form\Type\PriceListStrategySelectType")</sup>
* The `ProductAttributePriceCollectionType::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Type/ProductAttributePriceCollectionType.php#L31 "Oro\Bundle\PricingBundle\Form\Type\ProductAttributePriceCollectionType")</sup> method was changed to `ProductAttributePriceCollectionType::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Type/ProductAttributePriceCollectionType.php#L31 "Oro\Bundle\PricingBundle\Form\Type\ProductAttributePriceCollectionType")</sup>
* The `DefaultPriceListFilterType::__construct(TranslatorInterface $translator, PriceListProvider $priceListProvider, ShardManager $shardManager, $priceListClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Type/Filter/DefaultPriceListFilterType.php#L36 "Oro\Bundle\PricingBundle\Form\Type\Filter\DefaultPriceListFilterType")</sup> method was changed to `DefaultPriceListFilterType::__construct(TranslatorInterface $translator, PriceListProvider $priceListProvider, ShardManager $shardManager, $priceListClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Type/Filter/DefaultPriceListFilterType.php#L36 "Oro\Bundle\PricingBundle\Form\Type\Filter\DefaultPriceListFilterType")</sup>
* The `ProductPriceFilterType::__construct(TranslatorInterface $translator, ManagerRegistry $registry, UnitLabelFormatterInterface $formatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Type/Filter/ProductPriceFilterType.php#L42 "Oro\Bundle\PricingBundle\Form\Type\Filter\ProductPriceFilterType")</sup> method was changed to `ProductPriceFilterType::__construct(TranslatorInterface $translator, ManagerRegistry $registry, UnitLabelFormatterInterface $formatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Type/Filter/ProductPriceFilterType.php#L42 "Oro\Bundle\PricingBundle\Form\Type\Filter\ProductPriceFilterType")</sup>
* The `PriceRuleEditorOptionsConfigurator::__construct(AutocompleteFieldsProviderInterface $autocompleteFieldsProvider, FormFactoryInterface $formFactory, Twig_Environment $environment)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/OptionsConfigurator/PriceRuleEditorOptionsConfigurator.php#L35 "Oro\Bundle\PricingBundle\Form\OptionsConfigurator\PriceRuleEditorOptionsConfigurator")</sup> method was changed to `PriceRuleEditorOptionsConfigurator::__construct(AutocompleteFieldsProviderInterface $autocompleteFieldsProvider, FormFactoryInterface $formFactory, Environment $environment)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/OptionsConfigurator/PriceRuleEditorOptionsConfigurator.php#L39 "Oro\Bundle\PricingBundle\Form\OptionsConfigurator\PriceRuleEditorOptionsConfigurator")</sup>
* The `PriceAttributesProductFormExtension::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L35 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup> method was changed to `PriceAttributesProductFormExtension::__construct(RegistryInterface $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L41 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup>
* The `AbstractCustomerFormViewListener::__construct(RequestStack $requestStack, TranslatorInterface $translator, DoctrineHelper $doctrineHelper, WebsiteProviderInterface $websiteProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/EventListener/AbstractCustomerFormViewListener.php#L53 "Oro\Bundle\PricingBundle\EventListener\AbstractCustomerFormViewListener")</sup> method was changed to `AbstractCustomerFormViewListener::__construct(RequestStack $requestStack, TranslatorInterface $translator, DoctrineHelper $doctrineHelper, WebsiteProviderInterface $websiteProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/EventListener/AbstractCustomerFormViewListener.php#L53 "Oro\Bundle\PricingBundle\EventListener\AbstractCustomerFormViewListener")</sup>
* The `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, PriceAttributePricesProvider $provider, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/EventListener/FormViewListener.php#L58 "Oro\Bundle\PricingBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, PriceAttributePricesProvider $provider, AuthorizationCheckerInterface $authorizationChecker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/EventListener/FormViewListener.php#L65 "Oro\Bundle\PricingBundle\EventListener\FormViewListener")</sup>
* The `FrontendProductPriceDatagridListener::__construct(ProductPriceScopeCriteriaRequestHandler $scopeCriteriaRequestHandler, UserCurrencyManager $currencyManager, ProductPriceProvider $combinedProductPriceProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/EventListener/FrontendProductPriceDatagridListener.php#L60 "Oro\Bundle\PricingBundle\EventListener\FrontendProductPriceDatagridListener")</sup> method was changed to `FrontendProductPriceDatagridListener::__construct(ProductPriceScopeCriteriaRequestHandler $scopeCriteriaRequestHandler, UserCurrencyManager $currencyManager, ProductPriceProvider $combinedProductPriceProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/EventListener/FrontendProductPriceDatagridListener.php#L60 "Oro\Bundle\PricingBundle\EventListener\FrontendProductPriceDatagridListener")</sup>
* The `PriceAttributeProductPriceDatagridExtension::__construct(PriceListRequestHandler $priceListRequestHandler, DoctrineHelper $doctrineHelper, SelectedFieldsProviderInterface $selectedFieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Datagrid/PriceAttributeProductPriceDatagridExtension.php#L46 "Oro\Bundle\PricingBundle\Datagrid\PriceAttributeProductPriceDatagridExtension")</sup> method was changed to `PriceAttributeProductPriceDatagridExtension::__construct(PriceListRequestHandler $priceListRequestHandler, DoctrineHelper $doctrineHelper, SelectedFieldsProviderInterface $selectedFieldsProvider, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Datagrid/PriceAttributeProductPriceDatagridExtension.php#L51 "Oro\Bundle\PricingBundle\Datagrid\PriceAttributeProductPriceDatagridExtension")</sup>
* The `ProductPriceDatagridExtension::__construct(PriceListRequestHandler $priceListRequestHandler, DoctrineHelper $doctrineHelper, SelectedFieldsProviderInterface $selectedFieldsProvider, TranslatorInterface $translator, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Datagrid/ProductPriceDatagridExtension.php#L66 "Oro\Bundle\PricingBundle\Datagrid\ProductPriceDatagridExtension")</sup> method was changed to `ProductPriceDatagridExtension::__construct(PriceListRequestHandler $priceListRequestHandler, DoctrineHelper $doctrineHelper, SelectedFieldsProviderInterface $selectedFieldsProvider, TranslatorInterface $translator, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Datagrid/ProductPriceDatagridExtension.php#L66 "Oro\Bundle\PricingBundle\Datagrid\ProductPriceDatagridExtension")</sup>
* The `ProductWithPricesSearchHandler::__construct($className, ProductRepository $productSearchRepository, ProductPriceScopeCriteriaRequestHandler $scopeCriteriaRequestHandler, ManagerRegistry $registry, ProductPriceFormatter $productPriceFormatter, UserCurrencyManager $userCurrencyManager, ProductPriceProviderInterface $productPriceProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Autocomplete/ProductWithPricesSearchHandler.php#L66 "Oro\Bundle\PricingBundle\Autocomplete\ProductWithPricesSearchHandler")</sup> method was changed to `ProductWithPricesSearchHandler::__construct($className, ProductRepository $productSearchRepository, ProductPriceScopeCriteriaRequestHandler $scopeCriteriaRequestHandler, ManagerRegistry $registry, ProductPriceFormatter $productPriceFormatter, UserCurrencyManager $userCurrencyManager, ProductPriceProviderInterface $productPriceProvider, RequestStack $requestStack, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Autocomplete/ProductWithPricesSearchHandler.php#L79 "Oro\Bundle\PricingBundle\Autocomplete\ProductWithPricesSearchHandler")</sup>
* The `PriceListAssignedProductsProcessor::__construct(PriceListTriggerFactory $triggerFactory, PriceListProductAssignmentBuilder $assignmentBuilder, LoggerInterface $logger, Messenger $messenger, TranslatorInterface $translator, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Async/PriceListAssignedProductsProcessor.php#L61 "Oro\Bundle\PricingBundle\Async\PriceListAssignedProductsProcessor")</sup> method was changed to `PriceListAssignedProductsProcessor::__construct(PriceListTriggerFactory $triggerFactory, PriceListProductAssignmentBuilder $assignmentBuilder, LoggerInterface $logger, Messenger $messenger, TranslatorInterface $translator, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Async/PriceListAssignedProductsProcessor.php#L61 "Oro\Bundle\PricingBundle\Async\PriceListAssignedProductsProcessor")</sup>
* The `PriceRuleProcessor::__construct(PriceListTriggerFactory $triggerFactory, ProductPriceBuilder $priceBuilder, LoggerInterface $logger, ManagerRegistry $registry, Messenger $messenger, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Async/PriceRuleProcessor.php#L71 "Oro\Bundle\PricingBundle\Async\PriceRuleProcessor")</sup> method was changed to `PriceRuleProcessor::__construct(PriceListTriggerFactory $triggerFactory, ProductPriceBuilder $priceBuilder, LoggerInterface $logger, ManagerRegistry $registry, Messenger $messenger, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Async/PriceRuleProcessor.php#L71 "Oro\Bundle\PricingBundle\Async\PriceRuleProcessor")</sup>
* The `UserCurrencyManager::$userManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L44 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager::$userManager")</sup> property was removed.
* The `PriceAttributesProductFormExtension::$objectManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L25 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension::$objectManager")</sup> property was removed.
* The `PriceAttributesProductFormExtension::getManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L144 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension::getManager")</sup> method was removed.
* The `PriceAttributePriceListRepository::getAttributesWithCurrencies`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Entity/Repository/PriceAttributePriceListRepository.php#L13 "Oro\Bundle\PricingBundle\Entity\Repository\PriceAttributePriceListRepository::getAttributesWithCurrencies")</sup> method was removed.
* The following methods in class `PriceListImportCommand`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L109 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand")</sup> were removed:
   - `getFileManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L109 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getFileManager")</sup>
   - `getImportHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L117 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getImportHandler")</sup>
   - `getMessageProducer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L125 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getMessageProducer")</sup>

ProductBundle
-------------
* The following classes were removed:
   - `WebsiteSearchEntityConfigListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Search/EventListener/WebsiteSearchEntityConfigListener.php#L10 "Oro\Bundle\ProductBundle\Search\EventListener\WebsiteSearchEntityConfigListener")</sup>
   - `FrontendProductFilterSorterDisablingEventListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductFilterSorterDisablingEventListener.php#L33 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductFilterSorterDisablingEventListener")</sup>
* The `EmptyVariantFieldInSimpleProductForVariantLinksValidator::__construct(PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/EmptyVariantFieldInSimpleProductForVariantLinksValidator.php#L22 "Oro\Bundle\ProductBundle\Validator\Constraints\EmptyVariantFieldInSimpleProductForVariantLinksValidator")</sup> method was changed to `EmptyVariantFieldInSimpleProductForVariantLinksValidator::__construct(PropertyAccessor $propertyAccessor, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/EmptyVariantFieldInSimpleProductForVariantLinksValidator.php#L33 "Oro\Bundle\ProductBundle\Validator\Constraints\EmptyVariantFieldInSimpleProductForVariantLinksValidator")</sup>
* The `ExpressionValidator::__construct(ExpressionParser $parser, ExpressionPreprocessorInterface $preprocessor, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ExpressionValidator.php#L42 "Oro\Bundle\ProductBundle\Validator\Constraints\ExpressionValidator")</sup> method was changed to `ExpressionValidator::__construct(ExpressionParser $parser, ExpressionPreprocessorInterface $preprocessor, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ExpressionValidator.php#L42 "Oro\Bundle\ProductBundle\Validator\Constraints\ExpressionValidator")</sup>
* The `ProductBySkuValidator::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductBySkuValidator.php#L26 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductBySkuValidator")</sup> method was changed to `ProductBySkuValidator::__construct(ManagerRegistry $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductBySkuValidator.php#L37 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductBySkuValidator")</sup>
* The `ProductImageCollectionValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageCollectionValidator.php#L43 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageCollectionValidator")</sup> method was changed to `ProductImageCollectionValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageCollectionValidator.php#L46 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageCollectionValidator")</sup>
* The `ProductImageTypeCollectionValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageTypeCollectionValidator.php#L36 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageTypeCollectionValidator")</sup> method was changed to `ProductImageTypeCollectionValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageTypeCollectionValidator.php#L36 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageTypeCollectionValidator")</sup>
* The `ProductImageTypeValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageTypeValidator.php#L36 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageTypeValidator")</sup> method was changed to `ProductImageTypeValidator::__construct(ImageTypeProvider $imageTypeProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageTypeValidator.php#L36 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageTypeValidator")</sup>
* The `UniqueProductVariantLinksValidator::__construct(PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/UniqueProductVariantLinksValidator.php#L22 "Oro\Bundle\ProductBundle\Validator\Constraints\UniqueProductVariantLinksValidator")</sup> method was changed to `UniqueProductVariantLinksValidator::__construct(PropertyAccessor $propertyAccessor, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/UniqueProductVariantLinksValidator.php#L33 "Oro\Bundle\ProductBundle\Validator\Constraints\UniqueProductVariantLinksValidator")</sup>
* The `UniqueVariantLinksSimpleProductValidator::__construct(ValidatorInterface $validator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/UniqueVariantLinksSimpleProductValidator.php#L20 "Oro\Bundle\ProductBundle\Validator\Constraints\UniqueVariantLinksSimpleProductValidator")</sup> method was changed to `UniqueVariantLinksSimpleProductValidator::__construct(ValidatorInterface $validator, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/UniqueVariantLinksSimpleProductValidator.php#L31 "Oro\Bundle\ProductBundle\Validator\Constraints\UniqueVariantLinksSimpleProductValidator")</sup>
* The `ProductExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/ProductExtension.php#L25 "Oro\Bundle\ProductBundle\Twig\ProductExtension")</sup> method was changed to `ProductExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/ProductExtension.php#L35 "Oro\Bundle\ProductBundle\Twig\ProductExtension")</sup>
* The `ProductUnitFieldsSettingsExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitFieldsSettingsExtension.php#L17 "Oro\Bundle\ProductBundle\Twig\ProductUnitFieldsSettingsExtension")</sup> method was changed to `ProductUnitFieldsSettingsExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitFieldsSettingsExtension.php#L26 "Oro\Bundle\ProductBundle\Twig\ProductUnitFieldsSettingsExtension")</sup>
* The `ProductUnitLabelExtension::__construct(UnitLabelFormatterInterface $unitLabelFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitLabelExtension.php#L20 "Oro\Bundle\ProductBundle\Twig\ProductUnitLabelExtension")</sup> method was changed to `ProductUnitLabelExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitLabelExtension.php#L26 "Oro\Bundle\ProductBundle\Twig\ProductUnitLabelExtension")</sup>
* The `ProductUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitValueExtension.php#L20 "Oro\Bundle\ProductBundle\Twig\ProductUnitValueExtension")</sup> method was changed to `ProductUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitValueExtension.php#L26 "Oro\Bundle\ProductBundle\Twig\ProductUnitValueExtension")</sup>
* The `RelatedItemExtension::__construct(RelatedItemConfigHelper $helper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/RelatedItemExtension.php#L15 "Oro\Bundle\ProductBundle\Twig\RelatedItemExtension")</sup> method was changed to `RelatedItemExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/RelatedItemExtension.php#L23 "Oro\Bundle\ProductBundle\Twig\RelatedItemExtension")</sup>
* The `UnitVisibilityExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/UnitVisibilityExtension.php#L16 "Oro\Bundle\ProductBundle\Twig\UnitVisibilityExtension")</sup> method was changed to `UnitVisibilityExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Twig/UnitVisibilityExtension.php#L23 "Oro\Bundle\ProductBundle\Twig\UnitVisibilityExtension")</sup>
* The `WebsiteSearchProductIndexDataProvider::getFields(Product $product, FieldConfigModel $attribute, SearchableAttributeTypeInterface $attributeType, Localization $localization = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L86 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup> method was changed to `WebsiteSearchProductIndexDataProvider::getFields(Product $product, FieldConfigModel $attribute, SearchAttributeTypeInterface $attributeType, Localization $localization = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L86 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup>
* The `ProductVariantAvailabilityProvider::__construct(DoctrineHelper $doctrineHelper, CustomFieldProvider $customFieldProvider, PropertyAccessor $propertyAccessor, EventDispatcherInterface $eventDispatcher, ProductVariantFieldValueHandlerRegistry $fieldValueHandlerRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Provider/ProductVariantAvailabilityProvider.php#L40 "Oro\Bundle\ProductBundle\Provider\ProductVariantAvailabilityProvider")</sup> method was changed to `ProductVariantAvailabilityProvider::__construct(DoctrineHelper $doctrineHelper, CustomFieldProvider $customFieldProvider, PropertyAccessor $propertyAccessor, EventDispatcherInterface $eventDispatcher, ProductVariantFieldValueHandlerRegistry $fieldValueHandlerRegistry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Provider/ProductVariantAvailabilityProvider.php#L50 "Oro\Bundle\ProductBundle\Provider\ProductVariantAvailabilityProvider")</sup>
* The `ProductSegmentWithLoggingErrorsProvider::__construct(SegmentManager $segmentManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Provider/Segment/LoggingErrors/ProductSegmentWithLoggingErrorsProvider.php#L27 "Oro\Bundle\ProductBundle\Provider\Segment\LoggingErrors\ProductSegmentWithLoggingErrorsProvider")</sup> method was changed to `ProductSegmentWithLoggingErrorsProvider::__construct(SegmentManager $segmentManager, LoggerInterface $logger, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Provider/Segment/LoggingErrors/ProductSegmentWithLoggingErrorsProvider.php#L37 "Oro\Bundle\ProductBundle\Provider\Segment\LoggingErrors\ProductSegmentWithLoggingErrorsProvider")</sup>
* The `BooleanVariantFieldValueHandler::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ProductVariant/VariantFieldValueHandler/BooleanVariantFieldValueHandler.php#L20 "Oro\Bundle\ProductBundle\ProductVariant\VariantFieldValueHandler\BooleanVariantFieldValueHandler")</sup> method was changed to `BooleanVariantFieldValueHandler::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/ProductVariant/VariantFieldValueHandler/BooleanVariantFieldValueHandler.php#L20 "Oro\Bundle\ProductBundle\ProductVariant\VariantFieldValueHandler\BooleanVariantFieldValueHandler")</sup>
* The `SegmentMessageFactory::createMessage($websiteIds, Segment $segment = null, $definition = null, $isFull = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L53 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup> method was changed to `SegmentMessageFactory::createMessage($websiteIds, Segment $segment = null, $definition = null, $isFull = true, $additionalProducts = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L55 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup>
* The `QuickAddRowCollectionBuilder::__construct(EntityRepository $productRepository, ProductManager $productManager, EventDispatcherInterface $eventDispatcher, QuickAddRowInputParser $quickAddRowInputParser)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Model/Builder/QuickAddRowCollectionBuilder.php#L48 "Oro\Bundle\ProductBundle\Model\Builder\QuickAddRowCollectionBuilder")</sup> method was changed to `QuickAddRowCollectionBuilder::__construct(EntityRepository $productRepository, ProductManager $productManager, EventDispatcherInterface $eventDispatcher, QuickAddRowInputParser $quickAddRowInputParser, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Model/Builder/QuickAddRowCollectionBuilder.php#L58 "Oro\Bundle\ProductBundle\Model\Builder\QuickAddRowCollectionBuilder")</sup>
* The `QuickAddRowInputParser::__construct(ManagerRegistry $registry, ProductUnitsProvider $productUnitsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Model/Builder/QuickAddRowInputParser.php#L27 "Oro\Bundle\ProductBundle\Model\Builder\QuickAddRowInputParser")</sup> method was changed to `QuickAddRowInputParser::__construct(ManagerRegistry $registry, ProductUnitsProvider $productUnitsProvider, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Model/Builder/QuickAddRowInputParser.php#L33 "Oro\Bundle\ProductBundle\Model\Builder\QuickAddRowInputParser")</sup>
* The `ImageResizeMessageProcessor::__construct(EntityRepository $imageRepository, ImageFilterLoader $filterLoader, ProductImagesDimensionsProvider $imageDimensionsProvider, ImageResizer $imageResizer, MediaCacheManager $mediaCacheManager, AttachmentManager $attachmentManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/MessageProcessor/ImageResizeMessageProcessor.php#L59 "Oro\Bundle\ProductBundle\MessageProcessor\ImageResizeMessageProcessor")</sup> method was changed to `ImageResizeMessageProcessor::__construct(EntityRepository $imageRepository, ProductImagesDimensionsProvider $imageDimensionsProvider, ImageResizeManagerInterface $imageResizeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/MessageProcessor/ImageResizeMessageProcessor.php#L41 "Oro\Bundle\ProductBundle\MessageProcessor\ImageResizeMessageProcessor")</sup>
* The `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L58 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup> method was changed to `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L69 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup>
* The `ProductImageImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ImportExport/Configuration/ProductImageImportExportConfigurationProvider.php#L21 "Oro\Bundle\ProductBundle\ImportExport\Configuration\ProductImageImportExportConfigurationProvider")</sup> method was changed to `ProductImageImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/ImportExport/Configuration/ProductImageImportExportConfigurationProvider.php#L21 "Oro\Bundle\ProductBundle\ImportExport\Configuration\ProductImageImportExportConfigurationProvider")</sup>
* The `ProductImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ImportExport/Configuration/ProductImportExportConfigurationProvider.php#L21 "Oro\Bundle\ProductBundle\ImportExport\Configuration\ProductImportExportConfigurationProvider")</sup> method was changed to `ProductImportExportConfigurationProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/ImportExport/Configuration/ProductImportExportConfigurationProvider.php#L21 "Oro\Bundle\ProductBundle\ImportExport\Configuration\ProductImportExportConfigurationProvider")</sup>
* The `AbstractUnitFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Formatter/AbstractUnitFormatter.php#L18 "Oro\Bundle\ProductBundle\Formatter\AbstractUnitFormatter")</sup> method was changed to `AbstractUnitFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Formatter/AbstractUnitFormatter.php#L18 "Oro\Bundle\ProductBundle\Formatter\AbstractUnitFormatter")</sup>
* The `ProductSelectType::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductSelectType.php#L32 "Oro\Bundle\ProductBundle\Form\Type\ProductSelectType")</sup> method was changed to `ProductSelectType::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductSelectType.php#L32 "Oro\Bundle\ProductBundle\Form\Type\ProductSelectType")</sup>
* The `ProductUnitSelectionType::__construct(UnitLabelFormatterInterface $productUnitFormatter, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductUnitSelectionType.php#L49 "Oro\Bundle\ProductBundle\Form\Type\ProductUnitSelectionType")</sup> method was changed to `ProductUnitSelectionType::__construct(UnitLabelFormatterInterface $productUnitFormatter, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductUnitSelectionType.php#L49 "Oro\Bundle\ProductBundle\Form\Type\ProductUnitSelectionType")</sup>
* The `ProductUpdateHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Handler/ProductUpdateHandler.php#L45 "Oro\Bundle\ProductBundle\Form\Handler\ProductUpdateHandler")</sup> method was changed to `ProductUpdateHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Handler/ProductUpdateHandler.php#L45 "Oro\Bundle\ProductBundle\Form\Handler\ProductUpdateHandler")</sup>
* The `QuickAddHandler::__construct(ProductFormProvider $productFormProvider, QuickAddRowCollectionBuilder $quickAddRowCollectionBuilder, ComponentProcessorRegistry $componentRegistry, UrlGeneratorInterface $router, TranslatorInterface $translator, ValidatorInterface $validator, ProductsGrouperFactory $productGrouperFactory, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Handler/QuickAddHandler.php#L76 "Oro\Bundle\ProductBundle\Form\Handler\QuickAddHandler")</sup> method was changed to `QuickAddHandler::__construct(ProductFormProvider $productFormProvider, QuickAddRowCollectionBuilder $quickAddRowCollectionBuilder, ComponentProcessorRegistry $componentRegistry, UrlGeneratorInterface $router, TranslatorInterface $translator, ValidatorInterface $validator, ProductsGrouperFactory $productGrouperFactory, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Handler/QuickAddHandler.php#L78 "Oro\Bundle\ProductBundle\Form\Handler\QuickAddHandler")</sup>
* The `RelatedItemsHandler::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Handler/RelatedItemsHandler.php#L29 "Oro\Bundle\ProductBundle\Form\Handler\RelatedItemsHandler")</sup> method was changed to `RelatedItemsHandler::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Handler/RelatedItemsHandler.php#L29 "Oro\Bundle\ProductBundle\Form\Handler\RelatedItemsHandler")</sup>
* The `AbstractProductDataStorageExtension::__construct(RequestStack $requestStack, ProductDataStorage $storage, DoctrineHelper $doctrineHelper, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L57 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension")</sup> method was changed to `AbstractProductDataStorageExtension::__construct(RequestStack $requestStack, ProductDataStorage $storage, DoctrineHelper $doctrineHelper, AclHelper $aclHelper, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L65 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension")</sup>
* The `AttributeConfigExtension::__construct(ConfigProvider $attributeConfigProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/AttributeConfigExtension.php#L33 "Oro\Bundle\ProductBundle\Form\Extension\AttributeConfigExtension")</sup> method was changed to `AttributeConfigExtension::__construct(ConfigProvider $attributeConfigProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AttributeConfigExtension.php#L33 "Oro\Bundle\ProductBundle\Form\Extension\AttributeConfigExtension")</sup>
* The `ProductCollectionExtension::__construct(TranslatorInterface $translator, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L32 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup> method was changed to `ProductCollectionExtension::__construct(TranslatorInterface $translator, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L32 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup>
* The `AbstractAutocompleteFieldsProvider::__construct(ExpressionParser $expressionParser, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Expression/Autocomplete/AbstractAutocompleteFieldsProvider.php#L58 "Oro\Bundle\ProductBundle\Expression\Autocomplete\AbstractAutocompleteFieldsProvider")</sup> method was changed to `AbstractAutocompleteFieldsProvider::__construct(ExpressionParser $expressionParser, FieldsProviderInterface $fieldsProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Expression/Autocomplete/AbstractAutocompleteFieldsProvider.php#L58 "Oro\Bundle\ProductBundle\Expression\Autocomplete\AbstractAutocompleteFieldsProvider")</sup>
* The `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, CacheManager $imagineCacheManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L40 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup> method was changed to `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, CacheManager $imagineCacheManager, ImagePlaceholderProviderInterface $imagePlaceholderProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L45 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup>
* The `ProductCollectionAwareContentVariantEntityListener::__construct(ProductCollectionVariantReindexMessageSendListener $reindexEventListener)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionAwareContentVariantEntityListener.php#L22 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionAwareContentVariantEntityListener")</sup> method was changed to `ProductCollectionAwareContentVariantEntityListener::__construct(ProductCollectionVariantReindexMessageSendListener $reindexEventListener, ProductCollectionDefinitionConverter $productCollectionDefinitionConverter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionAwareContentVariantEntityListener.php#L29 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionAwareContentVariantEntityListener")</sup>
* The `ProductCollectionVariantReindexMessageSendListener::scheduleSegment(Segment $segment, $isFull = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionVariantReindexMessageSendListener.php#L68 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionVariantReindexMessageSendListener")</sup> method was changed to `ProductCollectionVariantReindexMessageSendListener::scheduleSegment(Segment $segment, $isFull = false, $additionalProducts = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionVariantReindexMessageSendListener.php#L73 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionVariantReindexMessageSendListener")</sup>
* The `ProductImagesConfigurationListener::__construct(Session $session, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ProductImagesConfigurationListener.php#L30 "Oro\Bundle\ProductBundle\EventListener\ProductImagesConfigurationListener")</sup> method was changed to `ProductImagesConfigurationListener::__construct(Session $session, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/ProductImagesConfigurationListener.php#L30 "Oro\Bundle\ProductBundle\EventListener\ProductImagesConfigurationListener")</sup>
* The `RelatedItemsProductEditListener::__construct(TranslatorInterface $translator, RelatedItemConfigHelper $relatedItemConfigHelper, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/RelatedItemsProductEditListener.php#L34 "Oro\Bundle\ProductBundle\EventListener\RelatedItemsProductEditListener")</sup> method was changed to `RelatedItemsProductEditListener::__construct(TranslatorInterface $translator, RelatedItemConfigHelper $relatedItemConfigHelper, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/RelatedItemsProductEditListener.php#L38 "Oro\Bundle\ProductBundle\EventListener\RelatedItemsProductEditListener")</sup>
* The `ValidateBeforeRemoveFieldListener::__construct(DoctrineHelper $doctrineHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ValidateBeforeRemoveFieldListener.php#L22 "Oro\Bundle\ProductBundle\EventListener\ValidateBeforeRemoveFieldListener")</sup> method was changed to `ValidateBeforeRemoveFieldListener::__construct(DoctrineHelper $doctrineHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/ValidateBeforeRemoveFieldListener.php#L22 "Oro\Bundle\ProductBundle\EventListener\ValidateBeforeRemoveFieldListener")</sup>
* The `RestrictedProductRepository::__construct(DoctrineHelper $doctrineHelper, ProductManager $productManager, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/Restriction/RestrictedProductRepository.php#L26 "Oro\Bundle\ProductBundle\Entity\Repository\Restriction\RestrictedProductRepository")</sup> method was changed to `RestrictedProductRepository::__construct(DoctrineHelper $doctrineHelper, ProductManager $productManager, AclHelper $aclHelper, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Entity/Repository/Restriction/RestrictedProductRepository.php#L34 "Oro\Bundle\ProductBundle\Entity\Repository\Restriction\RestrictedProductRepository")</sup>
* The `SkuIncrementor::__construct(DoctrineHelper $doctrineHelper, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Duplicator/SkuIncrementor.php#L33 "Oro\Bundle\ProductBundle\Duplicator\SkuIncrementor")</sup> method was changed to `SkuIncrementor::__construct(DoctrineHelper $doctrineHelper, AclHelper $aclHelper, $productClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Duplicator/SkuIncrementor.php#L43 "Oro\Bundle\ProductBundle\Duplicator\SkuIncrementor")</sup>
* The `TriggerEventForSelectedProductIdsMassActionHandler::__construct(ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/Extension/MassAction/TriggerEventForSelectedProductIdsMassActionHandler.php#L33 "Oro\Bundle\ProductBundle\DataGrid\Extension\MassAction\TriggerEventForSelectedProductIdsMassActionHandler")</sup> method was changed to `TriggerEventForSelectedProductIdsMassActionHandler::__construct(ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/Extension/MassAction/TriggerEventForSelectedProductIdsMassActionHandler.php#L33 "Oro\Bundle\ProductBundle\DataGrid\Extension\MassAction\TriggerEventForSelectedProductIdsMassActionHandler")</sup>
* The `FrontendProductCleanUpListener::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductCleanUpListener.php#L22 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductCleanUpListener")</sup> method was changed to `FrontendProductCleanUpListener::__construct(DoctrineHelper $doctrineHelper, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductCleanUpListener.php#L27 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductCleanUpListener")</sup>
* The following methods in class `FrontendProductGridEventListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup> were changed:
  > - `__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L43 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>
  > - `__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>

  > - `addFilter(DatagridConfiguration $config, FieldConfigModel $attribute, SearchableAttributeTypeInterface $attributeType, $label)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L106 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>
  > - `addFilter(DatagridConfiguration $config, FieldConfigModel $attribute, SearchAttributeTypeInterface $attributeType, $label)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L168 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>

* The `SearchContentVariantFilteringEventListener::__construct(RequestContentVariantHandler $requestHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/SearchContentVariantFilteringEventListener.php#L26 "Oro\Bundle\ProductBundle\DataGrid\EventListener\SearchContentVariantFilteringEventListener")</sup> method was changed to `SearchContentVariantFilteringEventListener::__construct(RequestContentVariantHandler $requestHandler, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/SearchContentVariantFilteringEventListener.php#L38 "Oro\Bundle\ProductBundle\DataGrid\EventListener\SearchContentVariantFilteringEventListener")</sup>
* The `DataStorageAwareComponentProcessor::__construct(UrlGeneratorInterface $router, ProductDataStorage $storage, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, Session $session, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ComponentProcessor/DataStorageAwareComponentProcessor.php#L60 "Oro\Bundle\ProductBundle\ComponentProcessor\DataStorageAwareComponentProcessor")</sup> method was changed to `DataStorageAwareComponentProcessor::__construct(UrlGeneratorInterface $router, ProductDataStorage $storage, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, Session $session, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/ComponentProcessor/DataStorageAwareComponentProcessor.php#L60 "Oro\Bundle\ProductBundle\ComponentProcessor\DataStorageAwareComponentProcessor")</sup>
* The `RemoveRestrictedProducts::__construct(ProductRepository $productRepository, ProductManager $productManager, ContextAccessor $contextAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Action/RemoveRestrictedProducts.php#L34 "Oro\Bundle\ProductBundle\Action\RemoveRestrictedProducts")</sup> method was changed to `RemoveRestrictedProducts::__construct(ProductRepository $productRepository, ProductManager $productManager, AclHelper $aclHelper, ContextAccessor $contextAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Action/RemoveRestrictedProducts.php#L42 "Oro\Bundle\ProductBundle\Action\RemoveRestrictedProducts")</sup>
* The `AtLeastOneAvailableProduct::__construct(ProductRepository $productRepository, ProductManager $productManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Action/Condition/AtLeastOneAvailableProduct.php#L32 "Oro\Bundle\ProductBundle\Action\Condition\AtLeastOneAvailableProduct")</sup> method was changed to `AtLeastOneAvailableProduct::__construct(ProductRepository $productRepository, ProductManager $productManager, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Action/Condition/AtLeastOneAvailableProduct.php#L40 "Oro\Bundle\ProductBundle\Action\Condition\AtLeastOneAvailableProduct")</sup>
* The `ProductUnitLabelExtension::$unitLabelFormatter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Twig/ProductUnitLabelExtension.php#L15 "Oro\Bundle\ProductBundle\Twig\ProductUnitLabelExtension::$unitLabelFormatter")</sup> property was removed.
* The following properties in class `ImageResizeMessageProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/MessageProcessor/ImageResizeMessageProcessor.php#L29 "Oro\Bundle\ProductBundle\MessageProcessor\ImageResizeMessageProcessor")</sup> were removed:
   - `$filterLoader`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/MessageProcessor/ImageResizeMessageProcessor.php#L29 "Oro\Bundle\ProductBundle\MessageProcessor\ImageResizeMessageProcessor::$filterLoader")</sup>
   - `$imageResizer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/MessageProcessor/ImageResizeMessageProcessor.php#L39 "Oro\Bundle\ProductBundle\MessageProcessor\ImageResizeMessageProcessor::$imageResizer")</sup>
* The `ProductStrategy::$productClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ImportExport/Strategy/ProductStrategy.php#L33 "Oro\Bundle\ProductBundle\ImportExport\Strategy\ProductStrategy::$productClass")</sup> property was removed.
* The `ProductStrategy::setProductClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/ImportExport/Strategy/ProductStrategy.php#L67 "Oro\Bundle\ProductBundle\ImportExport\Strategy\ProductStrategy::setProductClass")</sup> method was removed.
* The following methods in class `ProductRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L41 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository")</sup> were removed:
   - `findAllSkuByPattern`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L41 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::findAllSkuByPattern")</sup>
   - `getProductsIdsBySku`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L85 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getProductsIdsBySku")</sup>
   - `getLocalizedSearchQueryBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L152 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getLocalizedSearchQueryBuilder")</sup>
   - `selectNames`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L179 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::selectNames")</sup>
   - `getProductWithNamesBySku`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L214 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getProductWithNamesBySku")</sup>
   - `getFilterSkuQueryBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L225 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getFilterSkuQueryBuilder")</sup>
   - `getFilterProductWithNamesQueryBuilder`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L242 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getFilterProductWithNamesQueryBuilder")</sup>
   - `getPrimaryUnitPrecisionCode`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L308 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getPrimaryUnitPrecisionCode")</sup>
   - `getProductsByIds`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L325 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getProductsByIds")</sup>
   - `findByAttributeValue`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L421 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::findByAttributeValue")</sup>
   - `getProductIdsByAttribute`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Entity/Repository/ProductRepository.php#L485 "Oro\Bundle\ProductBundle\Entity\Repository\ProductRepository::getProductIdsByAttribute")</sup>

PromotionBundle
---------------
* The `AppliedPromotionsExtension::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Twig/AppliedPromotionsExtension.php#L24 "Oro\Bundle\PromotionBundle\Twig\AppliedPromotionsExtension")</sup> method was changed to `AppliedPromotionsExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Twig/AppliedPromotionsExtension.php#L28 "Oro\Bundle\PromotionBundle\Twig\AppliedPromotionsExtension")</sup>
* The `CouponPreviewExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Twig/CouponPreviewExtension.php#L19 "Oro\Bundle\PromotionBundle\Twig\CouponPreviewExtension")</sup> method was changed to `CouponPreviewExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Twig/CouponPreviewExtension.php#L26 "Oro\Bundle\PromotionBundle\Twig\CouponPreviewExtension")</sup>
* The `DiscountsInformationExtension::__construct(DiscountsInformationDataProvider $dataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Twig/DiscountsInformationExtension.php#L19 "Oro\Bundle\PromotionBundle\Twig\DiscountsInformationExtension")</sup> method was changed to `DiscountsInformationExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Twig/DiscountsInformationExtension.php#L24 "Oro\Bundle\PromotionBundle\Twig\DiscountsInformationExtension")</sup>
* The `SubtotalProvider::__construct(SubtotalProviderConstructorArguments $arguments, PromotionExecutor $promotionExecutor, AppliedDiscountsProvider $appliedDiscountsProvider, RoundingServiceInterface $roundingService, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L51 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider")</sup> method was changed to `SubtotalProvider::__construct(SubtotalProviderConstructorArguments $arguments, PromotionExecutor $promotionExecutor, AppliedDiscountsProvider $appliedDiscountsProvider, RoundingServiceInterface $roundingService, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L51 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider")</sup>
* The `CouponDataConverter::__construct(FieldHelper $fieldHelper, RelationCalculatorInterface $relationCalculator, LocaleSettings $localeSettings, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/ImportExport/DataConverter/CouponDataConverter.php#L27 "Oro\Bundle\PromotionBundle\ImportExport\DataConverter\CouponDataConverter")</sup> method was changed to `CouponDataConverter::__construct(FieldHelper $fieldHelper, RelationCalculatorInterface $relationCalculator, LocaleSettings $localeSettings, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/ImportExport/DataConverter/CouponDataConverter.php#L27 "Oro\Bundle\PromotionBundle\ImportExport\DataConverter\CouponDataConverter")</sup>
* The `OrderViewListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/EventListener/OrderViewListener.php#L23 "Oro\Bundle\PromotionBundle\EventListener\OrderViewListener")</sup> method was changed to `OrderViewListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/EventListener/OrderViewListener.php#L23 "Oro\Bundle\PromotionBundle\EventListener\OrderViewListener")</sup>
* The `CouponEditMassActionHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Datagrid/Extension/MassAction/CouponEditMassActionHandler.php#L33 "Oro\Bundle\PromotionBundle\Datagrid\Extension\MassAction\CouponEditMassActionHandler")</sup> method was changed to `CouponEditMassActionHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Datagrid/Extension/MassAction/CouponEditMassActionHandler.php#L33 "Oro\Bundle\PromotionBundle\Datagrid\Extension\MassAction\CouponEditMassActionHandler")</sup>
* The `CouponUnassignActionHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Datagrid/Extension/MassAction/CouponUnassignActionHandler.php#L20 "Oro\Bundle\PromotionBundle\Datagrid\Extension\MassAction\CouponUnassignActionHandler")</sup> method was changed to `CouponUnassignActionHandler::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Datagrid/Extension/MassAction/CouponUnassignActionHandler.php#L20 "Oro\Bundle\PromotionBundle\Datagrid\Extension\MassAction\CouponUnassignActionHandler")</sup>
* The `AddOrderPromotionDiscounts::__construct(DoctrineHelper $doctrineHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Api/Processor/AddOrderPromotionDiscounts.php#L27 "Oro\Bundle\PromotionBundle\Api\Processor\AddOrderPromotionDiscounts")</sup> method was changed to `AddOrderPromotionDiscounts::__construct(DoctrineHelper $doctrineHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Api/Processor/AddOrderPromotionDiscounts.php#L27 "Oro\Bundle\PromotionBundle\Api\Processor\AddOrderPromotionDiscounts")</sup>
* The `ComputeOrderLineItemDiscounts::__construct(OrderLineItemDiscountProvider $lineItemDiscountProvider, OrderLineItemTaxesProvider $lineItemTaxesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Api/Processor/ComputeOrderLineItemDiscounts.php#L43 "Oro\Bundle\PromotionBundle\Api\Processor\ComputeOrderLineItemDiscounts")</sup> method was changed to `ComputeOrderLineItemDiscounts::__construct(OrderLineItemDiscountProvider $lineItemDiscountProvider, OrderLineItemTaxesProvider $lineItemTaxesProvider, ValueTransformer $valueTransformer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Api/Processor/ComputeOrderLineItemDiscounts.php#L47 "Oro\Bundle\PromotionBundle\Api\Processor\ComputeOrderLineItemDiscounts")</sup>
* The `DiscountsInformationExtension::$dataProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PromotionBundle/Twig/DiscountsInformationExtension.php#L14 "Oro\Bundle\PromotionBundle\Twig\DiscountsInformationExtension::$dataProvider")</sup> property was removed.

RFPBundle
---------
* The following classes were removed:
   - `AbstractCustomerViewListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/EventListener/AbstractCustomerViewListener.php#L13 "Oro\Bundle\RFPBundle\EventListener\AbstractCustomerViewListener")</sup>
   - `UpdateRequestDataForRequestEntity`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/Api/Processor/UpdateRequestDataForRequestEntity.php#L9 "Oro\Bundle\RFPBundle\Api\Processor\UpdateRequestDataForRequestEntity")</sup>
   - `UpdateRequestDataForRequestProductItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/Api/Processor/UpdateRequestDataForRequestProductItem.php#L11 "Oro\Bundle\RFPBundle\Api\Processor\UpdateRequestDataForRequestProductItem")</sup>
* The `RequestProductsExtension::__construct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/Twig/RequestProductsExtension.php#L18 "Oro\Bundle\RFPBundle\Twig\RequestProductsExtension::__construct")</sup> method was removed.
* The `RequestProductsExtension::$container`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/Twig/RequestProductsExtension.php#L13 "Oro\Bundle\RFPBundle\Twig\RequestProductsExtension::$container")</sup> property was removed.
* The `RequestDataStorageExtension::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/Form/Extension/RequestDataStorageExtension.php#L73 "Oro\Bundle\RFPBundle\Form\Extension\RequestDataStorageExtension")</sup> method was changed to `RequestDataStorageExtension::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Form/Extension/RequestDataStorageExtension.php#L73 "Oro\Bundle\RFPBundle\Form\Extension\RequestDataStorageExtension")</sup>
* The `DataStorageComponentProcessor::__construct(UrlGeneratorInterface $router, ProductDataStorage $storage, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, Session $session, TranslatorInterface $translator, RequestDataStorageExtension $requestDataStorageExtension, FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/ComponentProcessor/DataStorageComponentProcessor.php#L36 "Oro\Bundle\RFPBundle\ComponentProcessor\DataStorageComponentProcessor")</sup> method was changed to `DataStorageComponentProcessor::__construct(UrlGeneratorInterface $router, ProductDataStorage $storage, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, Session $session, TranslatorInterface $translator, RequestDataStorageExtension $requestDataStorageExtension, FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/ComponentProcessor/DataStorageComponentProcessor.php#L36 "Oro\Bundle\RFPBundle\ComponentProcessor\DataStorageComponentProcessor")</sup>

RedirectBundle
--------------
* The `SlugManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Manager/SlugManager.php#L9 "Oro\Bundle\RedirectBundle\Manager\SlugManager")</sup> class was removed.
* The `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper, $installed)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L28 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup> method was changed to `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L21 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup>
* The `Router::setContainer(ContainerInterface $container = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/Router.php#L34 "Oro\Bundle\RedirectBundle\Routing\Router")</sup> method was changed to `Router::setContainer(ContainerInterface $container = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/Router.php#L51 "Oro\Bundle\RedirectBundle\Routing\Router")</sup>
* The `SlugUrlMatcher::__construct(RouterInterface $router, SlugRepository $slugRepository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L73 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup> method was changed to `SlugUrlMatcher::__construct(RouterInterface $router, SlugRepository $slugRepository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L80 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup>
* The `SlugUrlDiffer::__construct(LocalizationHelper $localizationHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Generator/SlugUrlDiffer.php#L26 "Oro\Bundle\RedirectBundle\Generator\SlugUrlDiffer")</sup> method was changed to `SlugUrlDiffer::__construct(LocalizationHelper $localizationHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Generator/SlugUrlDiffer.php#L26 "Oro\Bundle\RedirectBundle\Generator\SlugUrlDiffer")</sup>
* The `UniqueSlugResolver::__construct(SlugRepository $repository)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L23 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup> method was changed to `UniqueSlugResolver::__construct(SlugRepository $repository, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L41 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup>
* The `SlugRepository::getSlugByUrlAndScopeCriteria($url, ScopeCriteria $scopeCriteria)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Entity/Repository/SlugRepository.php#L95 "Oro\Bundle\RedirectBundle\Entity\Repository\SlugRepository")</sup> method was changed to `SlugRepository::getSlugByUrlAndScopeCriteria($url, ScopeCriteria $scopeCriteria, AclHelper $aclHelper = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Entity/Repository/SlugRepository.php#L97 "Oro\Bundle\RedirectBundle\Entity\Repository\SlugRepository")</sup>
* The `MatchedUrlDecisionMaker::$installed`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L12 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker::$installed")</sup> property was removed.
* The `Router::setMatchedUrlDecisionMaker`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/Router.php#L42 "Oro\Bundle\RedirectBundle\Routing\Router::setMatchedUrlDecisionMaker")</sup> method was removed.
* The `SlugRepository::findOneDirectUrlBySlug`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Entity/Repository/SlugRepository.php#L47 "Oro\Bundle\RedirectBundle\Entity\Repository\SlugRepository::findOneDirectUrlBySlug")</sup> method was removed.

RuleBundle
----------
* The `StatusMassActionHandler::__construct($responseMessage, $repositoryClassPath, EntityManager $entityManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RuleBundle/Datagrid/Extension/MassAction/StatusMassActionHandler.php#L43 "Oro\Bundle\RuleBundle\Datagrid\Extension\MassAction\StatusMassActionHandler")</sup> method was changed to `StatusMassActionHandler::__construct($responseMessage, $repositoryClassPath, EntityManager $entityManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RuleBundle/Datagrid/Extension/MassAction/StatusMassActionHandler.php#L43 "Oro\Bundle\RuleBundle\Datagrid\Extension\MassAction\StatusMassActionHandler")</sup>

SEOBundle
---------
* The `RestrictSitemapCategoryByVisibilityListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SEOBundle/EventListener/RestrictSitemapCategoryByVisibilityListener.php#L8 "Oro\Bundle\SEOBundle\EventListener\RestrictSitemapCategoryByVisibilityListener")</sup> class was removed.
* The `BaseFormViewListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SEOBundle/EventListener/BaseFormViewListener.php#L23 "Oro\Bundle\SEOBundle\EventListener\BaseFormViewListener")</sup> method was changed to `BaseFormViewListener::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/EventListener/BaseFormViewListener.php#L21 "Oro\Bundle\SEOBundle\EventListener\BaseFormViewListener")</sup>

SaleBundle
----------
* The `QuoteToOrderConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Model/QuoteToOrderConverter.php#L18 "Oro\Bundle\SaleBundle\Model\QuoteToOrderConverter")</sup> class was removed.
* The `QuoteExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Twig/QuoteExtension.php#L23 "Oro\Bundle\SaleBundle\Twig\QuoteExtension")</sup> method was changed to `QuoteExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Twig/QuoteExtension.php#L36 "Oro\Bundle\SaleBundle\Twig\QuoteExtension")</sup>
* The `QuoteGuestAccessExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Twig/QuoteGuestAccessExtension.php#L23 "Oro\Bundle\SaleBundle\Twig\QuoteGuestAccessExtension")</sup> method was changed to `QuoteGuestAccessExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Twig/QuoteGuestAccessExtension.php#L27 "Oro\Bundle\SaleBundle\Twig\QuoteGuestAccessExtension")</sup>
* The `QuotePriceComparator::__construct(Quote $quote)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L18 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator")</sup> method was changed to `QuotePriceComparator::__construct(Quote $quote, QuoteProductPriceProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L23 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator")</sup>
* The `QuoteEntityNameProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Provider/QuoteEntityNameProvider.php#L19 "Oro\Bundle\SaleBundle\Provider\QuoteEntityNameProvider")</sup> method was changed to `QuoteEntityNameProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Provider/QuoteEntityNameProvider.php#L19 "Oro\Bundle\SaleBundle\Provider\QuoteEntityNameProvider")</sup>
* The `QuoteProductPriceProvider::__construct(ProductPriceProviderInterface $productPriceProvider, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory, CurrencyProviderInterface $currencyProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Provider/QuoteProductPriceProvider.php#L40 "Oro\Bundle\SaleBundle\Provider\QuoteProductPriceProvider")</sup> method was changed to `QuoteProductPriceProvider::__construct(ProductPriceProviderInterface $productPriceProvider, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory, CurrencyProviderInterface $currencyProvider, DoctrineHelper $doctrineHelper, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Provider/QuoteProductPriceProvider.php#L57 "Oro\Bundle\SaleBundle\Provider\QuoteProductPriceProvider")</sup>
* The `QuoteProductFormatter::__construct(TranslatorInterface $translator, NumberFormatter $numberFormatter, UnitValueFormatterInterface $productUnitValueFormatter, UnitLabelFormatterInterface $productUnitLabelFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Formatter/QuoteProductFormatter.php#L46 "Oro\Bundle\SaleBundle\Formatter\QuoteProductFormatter")</sup> method was changed to `QuoteProductFormatter::__construct(TranslatorInterface $translator, NumberFormatter $numberFormatter, UnitValueFormatterInterface $productUnitValueFormatter, UnitLabelFormatterInterface $productUnitLabelFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Formatter/QuoteProductFormatter.php#L46 "Oro\Bundle\SaleBundle\Formatter\QuoteProductFormatter")</sup>
* The `QuoteProductOfferFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Formatter/QuoteProductOfferFormatter.php#L17 "Oro\Bundle\SaleBundle\Formatter\QuoteProductOfferFormatter")</sup> method was changed to `QuoteProductOfferFormatter::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Formatter/QuoteProductOfferFormatter.php#L17 "Oro\Bundle\SaleBundle\Formatter\QuoteProductOfferFormatter")</sup>
* The `QuoteProductDemandOfferChoiceType::__construct(UnitValueFormatterInterface $unitValueFormatter, TranslatorInterface $translator, UnitVisibilityInterface $unitVisibility)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductDemandOfferChoiceType.php#L40 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductDemandOfferChoiceType")</sup> method was changed to `QuoteProductDemandOfferChoiceType::__construct(UnitValueFormatterInterface $unitValueFormatter, TranslatorInterface $translator, UnitVisibilityInterface $unitVisibility)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductDemandOfferChoiceType.php#L40 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductDemandOfferChoiceType")</sup>
* The `QuoteProductType::__construct(TranslatorInterface $translator, UnitLabelFormatterInterface $labelFormatter, QuoteProductFormatter $formatter, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductType.php#L64 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductType")</sup> method was changed to `QuoteProductType::__construct(TranslatorInterface $translator, UnitLabelFormatterInterface $labelFormatter, QuoteProductFormatter $formatter, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteProductType.php#L64 "Oro\Bundle\SaleBundle\Form\Type\QuoteProductType")</sup>
* The `QuoteFormSubscriber::__construct(QuoteProductPriceProvider $provider, TranslatorInterface $translator, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Form/EventListener/QuoteFormSubscriber.php#L39 "Oro\Bundle\SaleBundle\Form\EventListener\QuoteFormSubscriber")</sup> method was changed to `QuoteFormSubscriber::__construct(QuoteProductPriceProvider $provider, TranslatorInterface $translator, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Form/EventListener/QuoteFormSubscriber.php#L41 "Oro\Bundle\SaleBundle\Form\EventListener\QuoteFormSubscriber")</sup>
* The `FrontendQuoteDemandAccessRule::__construct(FrontendHelper $frontendHelper, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Acl/AccessRule/FrontendQuoteDemandAccessRule.php#L30 "Oro\Bundle\SaleBundle\Acl\AccessRule\FrontendQuoteDemandAccessRule")</sup> method was changed to `FrontendQuoteDemandAccessRule::__construct(TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Acl/AccessRule/FrontendQuoteDemandAccessRule.php#L24 "Oro\Bundle\SaleBundle\Acl\AccessRule\FrontendQuoteDemandAccessRule")</sup>
* The `QuotePriceComparator::$quotePrices`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L13 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator::$quotePrices")</sup> property was removed.

ShippingBundle
--------------
* The `DimensionsUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/DimensionsUnitValueExtension.php#L22 "Oro\Bundle\ShippingBundle\Twig\DimensionsUnitValueExtension")</sup> method was changed to `DimensionsUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Twig/DimensionsUnitValueExtension.php#L28 "Oro\Bundle\ShippingBundle\Twig\DimensionsUnitValueExtension")</sup>
* The `ShippingMethodExtension::__construct(ShippingMethodLabelFormatter $shippingMethodLabelFormatter, EventDispatcherInterface $dispatcher, ShippingMethodEnabledByIdentifierCheckerInterface $checker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L41 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension")</sup> method was changed to `ShippingMethodExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L37 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension")</sup>
* The `ShippingOptionLabelExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingOptionLabelExtension.php#L21 "Oro\Bundle\ShippingBundle\Twig\ShippingOptionLabelExtension")</sup> method was changed to `ShippingOptionLabelExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingOptionLabelExtension.php#L27 "Oro\Bundle\ShippingBundle\Twig\ShippingOptionLabelExtension")</sup>
* The `WeightUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/WeightUnitValueExtension.php#L22 "Oro\Bundle\ShippingBundle\Twig\WeightUnitValueExtension")</sup> method was changed to `WeightUnitValueExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Twig/WeightUnitValueExtension.php#L28 "Oro\Bundle\ShippingBundle\Twig\WeightUnitValueExtension")</sup>
* The `ShippingMethodLabelTranslator::__construct(ShippingMethodLabelFormatter $formatter, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Translator/ShippingMethodLabelTranslator.php#L20 "Oro\Bundle\ShippingBundle\Translator\ShippingMethodLabelTranslator")</sup> method was changed to `ShippingMethodLabelTranslator::__construct(ShippingMethodLabelFormatter $formatter, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Translator/ShippingMethodLabelTranslator.php#L20 "Oro\Bundle\ShippingBundle\Translator\ShippingMethodLabelTranslator")</sup>
* The `BasicShippingMethodChoicesProvider::__construct(ShippingMethodProviderInterface $shippingMethodProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Provider/BasicShippingMethodChoicesProvider.php#L25 "Oro\Bundle\ShippingBundle\Provider\BasicShippingMethodChoicesProvider")</sup> method was changed to `BasicShippingMethodChoicesProvider::__construct(ShippingMethodProviderInterface $shippingMethodProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Provider/BasicShippingMethodChoicesProvider.php#L25 "Oro\Bundle\ShippingBundle\Provider\BasicShippingMethodChoicesProvider")</sup>
* The `ShippingOriginConfigSearchProvider::__construct(TranslatorInterface $translator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Provider/ShippingOriginConfigSearchProvider.php#L28 "Oro\Bundle\ShippingBundle\Provider\ShippingOriginConfigSearchProvider")</sup> method was changed to `ShippingOriginConfigSearchProvider::__construct(TranslatorInterface $translator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Provider/ShippingOriginConfigSearchProvider.php#L28 "Oro\Bundle\ShippingBundle\Provider\ShippingOriginConfigSearchProvider")</sup>
* The `EnabledShippingMethodsByRulesShippingMethodValidatorDecorator::__construct(ShippingMethodValidatorInterface $parentShippingMethodValidator, CommonShippingMethodValidatorResultErrorFactoryInterface $errorFactory, NonDeletableMethodTypeIdentifiersProviderInterface $nonDeletableTypeIdentifiersProvider, MethodTypeLabelsProviderInterface $methodTypeLabelsProvider, TranslatorInterface $translator, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Method/Validator/EnabledShippingMethodsByRules/EnabledShippingMethodsByRulesShippingMethodValidatorDecorator.php#L56 "Oro\Bundle\ShippingBundle\Method\Validator\EnabledShippingMethodsByRules\EnabledShippingMethodsByRulesShippingMethodValidatorDecorator")</sup> method was changed to `EnabledShippingMethodsByRulesShippingMethodValidatorDecorator::__construct(ShippingMethodValidatorInterface $parentShippingMethodValidator, CommonShippingMethodValidatorResultErrorFactoryInterface $errorFactory, NonDeletableMethodTypeIdentifiersProviderInterface $nonDeletableTypeIdentifiersProvider, MethodTypeLabelsProviderInterface $methodTypeLabelsProvider, TranslatorInterface $translator, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Method/Validator/EnabledShippingMethodsByRules/EnabledShippingMethodsByRulesShippingMethodValidatorDecorator.php#L56 "Oro\Bundle\ShippingBundle\Method\Validator\EnabledShippingMethodsByRules\EnabledShippingMethodsByRulesShippingMethodValidatorDecorator")</sup>
* The `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L28 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L28 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup>
* The following properties in class `ShippingMethodExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L19 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension")</sup> were removed:
   - `$shippingMethodLabelFormatter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L19 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension::$shippingMethodLabelFormatter")</sup>
   - `$dispatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L24 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension::$dispatcher")</sup>
   - `$checker`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShippingBundle/Twig/ShippingMethodExtension.php#L29 "Oro\Bundle\ShippingBundle\Twig\ShippingMethodExtension::$checker")</sup>

ShoppingListBundle
------------------
* The `ShoppingListLimitExtension::__construct(ShoppingListLimitManager $shoppingListLimitManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Twig/ShoppingListLimitExtension.php#L17 "Oro\Bundle\ShoppingListBundle\Twig\ShoppingListLimitExtension")</sup> method was changed to `ShoppingListLimitExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Twig/ShoppingListLimitExtension.php#L25 "Oro\Bundle\ShoppingListBundle\Twig\ShoppingListLimitExtension")</sup>
* The `AbstractShoppingListQuickAddProcessor::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, ManagerRegistry $registry, MessageGenerator $messageGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Processor/AbstractShoppingListQuickAddProcessor.php#L49 "Oro\Bundle\ShoppingListBundle\Processor\AbstractShoppingListQuickAddProcessor")</sup> method was changed to `AbstractShoppingListQuickAddProcessor::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, ManagerRegistry $registry, MessageGenerator $messageGenerator, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Processor/AbstractShoppingListQuickAddProcessor.php#L56 "Oro\Bundle\ShoppingListBundle\Processor\AbstractShoppingListQuickAddProcessor")</sup>
* The `QuickAddCheckoutProcessor::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Processor/QuickAddCheckoutProcessor.php#L100 "Oro\Bundle\ShoppingListBundle\Processor\QuickAddCheckoutProcessor")</sup> method was changed to `QuickAddCheckoutProcessor::setTranslator(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Processor/QuickAddCheckoutProcessor.php#L100 "Oro\Bundle\ShoppingListBundle\Processor\QuickAddCheckoutProcessor")</sup>
* The `GuestShoppingListManager::__construct(DoctrineHelper $doctrineHelper, TokenStorageInterface $tokenStorage, WebsiteManager $websiteManager, TranslatorInterface $translator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/GuestShoppingListManager.php#L45 "Oro\Bundle\ShoppingListBundle\Manager\GuestShoppingListManager")</sup> method was changed to `GuestShoppingListManager::__construct(DoctrineHelper $doctrineHelper, TokenStorageInterface $tokenStorage, WebsiteManager $websiteManager, TranslatorInterface $translator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/GuestShoppingListManager.php#L45 "Oro\Bundle\ShoppingListBundle\Manager\GuestShoppingListManager")</sup>
* The `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L67 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup> method was changed to `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L67 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup>
* The `ShoppingListLineItemHandler::__construct(ManagerRegistry $managerRegistry, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, FeatureChecker $featureChecker, ProductManager $productManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Handler/ShoppingListLineItemHandler.php#L67 "Oro\Bundle\ShoppingListBundle\Handler\ShoppingListLineItemHandler")</sup> method was changed to `ShoppingListLineItemHandler::__construct(ManagerRegistry $managerRegistry, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, FeatureChecker $featureChecker, ProductManager $productManager, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Handler/ShoppingListLineItemHandler.php#L72 "Oro\Bundle\ShoppingListBundle\Handler\ShoppingListLineItemHandler")</sup>
* The `MessageGenerator::__construct(TranslatorInterface $translator, UrlGeneratorInterface $router)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Generator/MessageGenerator.php#L20 "Oro\Bundle\ShoppingListBundle\Generator\MessageGenerator")</sup> method was changed to `MessageGenerator::__construct(TranslatorInterface $translator, UrlGeneratorInterface $router)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Generator/MessageGenerator.php#L20 "Oro\Bundle\ShoppingListBundle\Generator\MessageGenerator")</sup>
* The `FrontendLineItemWidgetType::__construct(ManagerRegistry $registry, TranslatorInterface $translator, CurrentShoppingListManager $currentShoppingListManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Form/Type/FrontendLineItemWidgetType.php#L53 "Oro\Bundle\ShoppingListBundle\Form\Type\FrontendLineItemWidgetType")</sup> method was changed to `FrontendLineItemWidgetType::__construct(ManagerRegistry $registry, TranslatorInterface $translator, CurrentShoppingListManager $currentShoppingListManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Form/Type/FrontendLineItemWidgetType.php#L53 "Oro\Bundle\ShoppingListBundle\Form\Type\FrontendLineItemWidgetType")</sup>
* The `LineItemHandler::__construct(FormInterface $form, Request $request, ManagerRegistry $doctrine, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Form/Handler/LineItemHandler.php#L43 "Oro\Bundle\ShoppingListBundle\Form\Handler\LineItemHandler")</sup> method was changed to `LineItemHandler::__construct(FormInterface $form, Request $request, ManagerRegistry $doctrine, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager, ValidatorInterface $validator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Form/Handler/LineItemHandler.php#L51 "Oro\Bundle\ShoppingListBundle\Form\Handler\LineItemHandler")</sup>
* The `AddLineItemMassActionProvider::__construct(CurrentShoppingListManager $currentShoppingListManager, TranslatorInterface $translator, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Provider/MassAction/AddLineItemMassActionProvider.php#L37 "Oro\Bundle\ShoppingListBundle\Datagrid\Provider\MassAction\AddLineItemMassActionProvider")</sup> method was changed to `AddLineItemMassActionProvider::__construct(CurrentShoppingListManager $currentShoppingListManager, TranslatorInterface $translator, TokenStorageInterface $tokenStorage, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Provider/MassAction/AddLineItemMassActionProvider.php#L50 "Oro\Bundle\ShoppingListBundle\Datagrid\Provider\MassAction\AddLineItemMassActionProvider")</sup>
* The `AddProductsMassActionHandler::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, MessageGenerator $messageGenerator, ManagerRegistry $managerRegistry, ProductShoppingListsDataProvider $productShoppingListsDataProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/MassAction/AddProductsMassActionHandler.php#L36 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\MassAction\AddProductsMassActionHandler")</sup> method was changed to `AddProductsMassActionHandler::__construct(ShoppingListLineItemHandler $shoppingListLineItemHandler, MessageGenerator $messageGenerator, ManagerRegistry $managerRegistry, ProductShoppingListsDataProvider $productShoppingListsDataProvider, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Datagrid/Extension/MassAction/AddProductsMassActionHandler.php#L44 "Oro\Bundle\ShoppingListBundle\Datagrid\Extension\MassAction\AddProductsMassActionHandler")</sup>
* The `ShoppingListTotalRepository::invalidateTotals`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListTotalRepository.php#L106 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListTotalRepository::invalidateTotals")</sup> method was removed.
* The following methods in class `ShoppingListController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Controller/ShoppingListController.php#L70 "Oro\Bundle\ShoppingListBundle\Controller\ShoppingListController")</sup> were removed:
   - `getTotalProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Controller/ShoppingListController.php#L70 "Oro\Bundle\ShoppingListBundle\Controller\ShoppingListController::getTotalProcessor")</sup>
   - `getTotalProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Controller/Frontend/ShoppingListController.php#L136 "Oro\Bundle\ShoppingListBundle\Controller\Frontend\ShoppingListController::getTotalProcessor")</sup>

TaxBundle
---------
* The `ExtractLineItemPaymentOptionsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/ExtractLineItemPaymentOptionsListener.php#L12 "Oro\Bundle\TaxBundle\EventListener\ExtractLineItemPaymentOptionsListener")</sup> class was removed.
* The `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry, TaxFactory $taxFactory, TaxationSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L45 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup> method was changed to `TaxSubtotalProvider::__construct(TranslatorInterface $translator, TaxProviderRegistry $taxProviderRegistry, TaxFactory $taxFactory, TaxationSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L45 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider")</sup>
* The following methods in class `TaxValueManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Manager/TaxValueManager.php#L40 "Oro\Bundle\TaxBundle\Manager\TaxValueManager")</sup> were changed:
  > - `__construct(DoctrineHelper $doctrineHelper, $taxValueClass, $taxClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Manager/TaxValueManager.php#L29 "Oro\Bundle\TaxBundle\Manager\TaxValueManager")</sup>
  > - `__construct(DoctrineHelper $doctrineHelper, DoctrineFlushProgressListener $doctrineFlushProgressListener, $taxValueClass, $taxClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Manager/TaxValueManager.php#L40 "Oro\Bundle\TaxBundle\Manager\TaxValueManager")</sup>

  > - `saveTaxValue(TaxValue $taxValue, $flush = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Manager/TaxValueManager.php#L150 "Oro\Bundle\TaxBundle\Manager\TaxValueManager")</sup>
  > - `saveTaxValue(TaxValue $taxValue)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Manager/TaxValueManager.php#L165 "Oro\Bundle\TaxBundle\Manager\TaxValueManager")</sup>

* The `CustomerTaxCodeImportExportSubscriber::__construct(TranslatorInterface $translator, CustomerTaxCodeImportExportHelper $customerTaxManager, $customerClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventSubscriber/CustomerTaxCodeImportExportSubscriber.php#L44 "Oro\Bundle\TaxBundle\EventSubscriber\CustomerTaxCodeImportExportSubscriber")</sup> method was changed to `CustomerTaxCodeImportExportSubscriber::__construct(TranslatorInterface $translator, CustomerTaxCodeImportExportHelper $customerTaxManager, $customerClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/EventSubscriber/CustomerTaxCodeImportExportSubscriber.php#L44 "Oro\Bundle\TaxBundle\EventSubscriber\CustomerTaxCodeImportExportSubscriber")</sup>
* The `EntityTaxListener::__construct(TaxProviderRegistry $taxProviderRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L28 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup> method was changed to `EntityTaxListener::__construct(TaxProviderRegistry $taxProviderRegistry, $entityClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L26 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup>
* The `ComputeOrderLineItemTaxes::__construct(OrderLineItemTaxesProvider $lineItemTaxesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Api/Processor/ComputeOrderLineItemTaxes.php#L40 "Oro\Bundle\TaxBundle\Api\Processor\ComputeOrderLineItemTaxes")</sup> method was changed to `ComputeOrderLineItemTaxes::__construct(OrderLineItemTaxesProvider $lineItemTaxesProvider, ValueTransformer $valueTransformer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Api/Processor/ComputeOrderLineItemTaxes.php#L44 "Oro\Bundle\TaxBundle\Api\Processor\ComputeOrderLineItemTaxes")</sup>
* The `ComputeOrderTaxes::__construct(OrderTaxesProvider $orderTaxesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Api/Processor/ComputeOrderTaxes.php#L32 "Oro\Bundle\TaxBundle\Api\Processor\ComputeOrderTaxes")</sup> method was changed to `ComputeOrderTaxes::__construct(OrderTaxesProvider $orderTaxesProvider, ValueTransformer $valueTransformer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Api/Processor/ComputeOrderTaxes.php#L36 "Oro\Bundle\TaxBundle\Api\Processor\ComputeOrderTaxes")</sup>
* The following methods in class `EntityTaxListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L40 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup> were removed:
   - `setEnabled`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L40 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::setEnabled")</sup>
   - `prePersist`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L51 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::prePersist")</sup>
   - `postPersist`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L80 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::postPersist")</sup>
   - `preFlush`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L108 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::preFlush")</sup>
   - `getIdentifier`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L141 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::getIdentifier")</sup>
   - `getKey`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L156 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::getKey")</sup>
* The `TaxProviderInterface::createTaxValue`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L38 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::createTaxValue")</sup> method was removed.
* The following properties in class `EntityTaxListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L20 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener")</sup> were removed:
   - `$taxValues`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L20 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::$taxValues")</sup>
   - `$enabled`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/TaxBundle/EventListener/EntityTaxListener.php#L23 "Oro\Bundle\TaxBundle\EventListener\EntityTaxListener::$enabled")</sup>

Testing
-------
* The following classes were removed:
   - `AddressFormExtensionTestCase`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/AddressFormExtensionTestCase.php#L17 "Oro\Component\Testing\Unit\AddressFormExtensionTestCase")</sup>
   - `FormViewListenerTestCase`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/FormViewListenerTestCase.php#L12 "Oro\Component\Testing\Unit\FormViewListenerTestCase")</sup>
   - `EntityIdentifierType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/Form/Type/Stub/EntityIdentifierType.php#L8 "Oro\Component\Testing\Unit\Form\Type\Stub\EntityIdentifierType")</sup>
   - `AddressCountryAndRegionSubscriberStub`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/Form/EventListener/Stub/AddressCountryAndRegionSubscriberStub.php#L7 "Oro\Component\Testing\Unit\Form\EventListener\Stub\AddressCountryAndRegionSubscriberStub")</sup>

ValidationBundle
----------------
* The `BlankOneOfValidator::__construct(TranslatorInterface $translator, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ValidationBundle/Validator/Constraints/BlankOneOfValidator.php#L30 "Oro\Bundle\ValidationBundle\Validator\Constraints\BlankOneOfValidator")</sup> method was changed to `BlankOneOfValidator::__construct(TranslatorInterface $translator, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ValidationBundle/Validator/Constraints/BlankOneOfValidator.php#L30 "Oro\Bundle\ValidationBundle\Validator\Constraints\BlankOneOfValidator")</sup>
* The `NotBlankOneOfValidator::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ValidationBundle/Validator/Constraints/NotBlankOneOfValidator.php#L21 "Oro\Bundle\ValidationBundle\Validator\Constraints\NotBlankOneOfValidator")</sup> method was changed to `NotBlankOneOfValidator::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ValidationBundle/Validator/Constraints/NotBlankOneOfValidator.php#L21 "Oro\Bundle\ValidationBundle\Validator\Constraints\NotBlankOneOfValidator")</sup>

VisibilityBundle
----------------
* The `VisibilityChoicesProvider::__construct(TranslatorInterface $translator, Registry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityChoicesProvider.php#L26 "Oro\Bundle\VisibilityBundle\Provider\VisibilityChoicesProvider")</sup> method was changed to `VisibilityChoicesProvider::__construct(TranslatorInterface $translator, Registry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityChoicesProvider.php#L26 "Oro\Bundle\VisibilityBundle\Provider\VisibilityChoicesProvider")</sup>
* The `VisibilityRootScopesProvider::getScopes()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityRootScopesProvider.php#L26 "Oro\Bundle\VisibilityBundle\Provider\VisibilityRootScopesProvider")</sup> method was changed to `VisibilityRootScopesProvider::getScopes(Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityRootScopesProvider.php#L31 "Oro\Bundle\VisibilityBundle\Provider\VisibilityRootScopesProvider")</sup>
* The `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/Form/EventListener/FormViewListener.php#L34 "Oro\Bundle\VisibilityBundle\Form\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::__construct(TranslatorInterface $translator, DoctrineHelper $doctrineHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Form/EventListener/FormViewListener.php#L34 "Oro\Bundle\VisibilityBundle\Form\EventListener\FormViewListener")</sup>
* The `CategoryTreeHandlerListener::__construct(CategoryVisibilityResolverInterface $categoryVisibilityResolver, CustomerUserRelationsProvider $customerUserRelationsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryTreeHandlerListener.php#L29 "Oro\Bundle\VisibilityBundle\EventListener\CategoryTreeHandlerListener")</sup> method was changed to `CategoryTreeHandlerListener::__construct(CategoryVisibilityProvider $categoryVisibilityProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryTreeHandlerListener.php#L21 "Oro\Bundle\VisibilityBundle\EventListener\CategoryTreeHandlerListener")</sup>
* The `AbstractCustomerPartialUpdateDriver::getAllWebsites()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/Driver/AbstractCustomerPartialUpdateDriver.php#L108 "Oro\Bundle\VisibilityBundle\Driver\AbstractCustomerPartialUpdateDriver")</sup> method was changed to `AbstractCustomerPartialUpdateDriver::getAllWebsites(Customer $customer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Driver/AbstractCustomerPartialUpdateDriver.php#L113 "Oro\Bundle\VisibilityBundle\Driver\AbstractCustomerPartialUpdateDriver")</sup>
* The `VisibilityRootScopesProviderInterface::getScopes()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityRootScopesProviderInterface.php#L15 "Oro\Bundle\VisibilityBundle\Provider\VisibilityRootScopesProviderInterface")</sup> method was changed to `VisibilityRootScopesProviderInterface::getScopes(Product $product = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Provider/VisibilityRootScopesProviderInterface.php#L18 "Oro\Bundle\VisibilityBundle\Provider\VisibilityRootScopesProviderInterface")</sup>
* The following properties in class `CategoryTreeHandlerListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryTreeHandlerListener.php#L18 "Oro\Bundle\VisibilityBundle\EventListener\CategoryTreeHandlerListener")</sup> were removed:
   - `$categoryVisibilityResolver`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryTreeHandlerListener.php#L18 "Oro\Bundle\VisibilityBundle\EventListener\CategoryTreeHandlerListener::$categoryVisibilityResolver")</sup>
   - `$customerUserRelationsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryTreeHandlerListener.php#L23 "Oro\Bundle\VisibilityBundle\EventListener\CategoryTreeHandlerListener::$customerUserRelationsProvider")</sup>

WebCatalogBundle
----------------
* The `WebCatalogTree`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Api/Processor/WebCatalogTree.php#L15 "Oro\Bundle\WebCatalogBundle\Api\Processor\WebCatalogTree")</sup> class was removed.
* The `WebCatalogExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Twig/WebCatalogExtension.php#L20 "Oro\Bundle\WebCatalogBundle\Twig\WebCatalogExtension")</sup> method was changed to `WebCatalogExtension::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Twig/WebCatalogExtension.php#L28 "Oro\Bundle\WebCatalogBundle\Twig\WebCatalogExtension")</sup>
* The `AbstractWebCatalogDataProvider::getItems()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/AbstractWebCatalogDataProvider.php#L31 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\AbstractWebCatalogDataProvider")</sup> method was changed to `AbstractWebCatalogDataProvider::getItems($maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/AbstractWebCatalogDataProvider.php#L35 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\AbstractWebCatalogDataProvider")</sup>
* The `MenuDataProvider::__construct(ManagerRegistry $registry, WebCatalogProvider $webCatalogProvider, ContentNodeTreeResolverInterface $contentNodeTreeResolverFacade, LocalizationHelper $localizationHelper, RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/MenuDataProvider.php#L39 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\MenuDataProvider")</sup> method was changed to `MenuDataProvider::__construct(ManagerRegistry $registry, WebCatalogProvider $webCatalogProvider, ContentNodeTreeResolverInterface $contentNodeTreeResolverFacade, LocalizationHelper $localizationHelper, RequestStack $requestStack, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/MenuDataProvider.php#L57 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\MenuDataProvider")</sup>
* The `WebCatalogBreadcrumbProvider::getItems()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L42 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup> method was changed to `WebCatalogBreadcrumbProvider::getItems($maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L45 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup>
* The following methods in class `ContentNodeTreeResolver`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L53 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup> were changed:
  > - `getResolvedContentNode(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L50 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>
  > - `getResolvedContentNode(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L53 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>

  > - `getResolvedTree(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L66 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup>
  > - `getResolvedTree(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null, $currentNestingLevel)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L68 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup>

* The `ContentNodeTreeResolverFacade::getResolvedContentNode(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverFacade.php#L44 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverFacade")</sup> method was changed to `ContentNodeTreeResolverFacade::getResolvedContentNode(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverFacade.php#L48 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverFacade")</sup>
* The `ContentNodeTreeCacheWarmer::__construct(MessageProducerInterface $messageProducer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeCacheWarmer.php#L19 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeCacheWarmer")</sup> method was changed to `ContentNodeTreeCacheWarmer::__construct(MessageProducerInterface $messageProducer, DoctrineHelper $doctrineHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeCacheWarmer.php#L37 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeCacheWarmer")</sup>
* The `ContentNodeTreeDumper::dump(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Cache/Dumper/ContentNodeTreeDumper.php#L52 "Oro\Bundle\WebCatalogBundle\Cache\Dumper\ContentNodeTreeDumper")</sup> method was changed to `ContentNodeTreeDumper::dump(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/Dumper/ContentNodeTreeDumper.php#L57 "Oro\Bundle\WebCatalogBundle\Cache\Dumper\ContentNodeTreeDumper")</sup>
* The `ContentNodeTreeCacheProcessor::__construct(JobRunner $jobRunner, ContentNodeTreeDumper $dumper, ManagerRegistry $registry, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeTreeCacheProcessor.php#L57 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeTreeCacheProcessor")</sup> method was changed to `ContentNodeTreeCacheProcessor::__construct(JobRunner $jobRunner, ContentNodeTreeDumper $dumper, ManagerRegistry $registry, LoggerInterface $logger, CacheProvider $layoutCacheProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeTreeCacheProcessor.php#L68 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeTreeCacheProcessor")</sup>
* The `WebCatalogCacheProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ScopeMatcher $scopeMatcher, ManagerRegistry $registry, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L57 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor")</sup> method was changed to `WebCatalogCacheProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ManagerRegistry $registry, ConfigManager $configManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L59 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor")</sup>
* The `ContentNodeTreeResolverInterface::getResolvedContentNode(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverInterface.php#L16 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverInterface")</sup> method was changed to `ContentNodeTreeResolverInterface::getResolvedContentNode(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverInterface.php#L20 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverInterface")</sup>
* The following methods in class `WebCatalogCacheProcessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L109 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor")</sup> were removed:
   - `getWebCatalogs`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L109 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor::getWebCatalogs")</sup>
   - `scheduleCacheRecalculationForWebCatalog`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L126 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor::scheduleCacheRecalculationForWebCatalog")</sup>
   - `getAllNodesByWebCatalog`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebCatalogBundle/Async/WebCatalogCacheProcessor.php#L163 "Oro\Bundle\WebCatalogBundle\Async\WebCatalogCacheProcessor::getAllNodesByWebCatalog")</sup>

WebsiteSearchBundle
-------------------
* The following classes were removed:
   - `ResourcesHashProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Provider/ResourcesHashProvider.php#L7 "Oro\Bundle\WebsiteSearchBundle\Provider\ResourcesHashProvider")</sup>
   - `MappingConfigurationCacheLoader`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Loader/MappingConfigurationCacheLoader.php#L12 "Oro\Bundle\WebsiteSearchBundle\Loader\MappingConfigurationCacheLoader")</sup>
   - `MappingConfigurationLoader`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Loader/MappingConfigurationLoader.php#L12 "Oro\Bundle\WebsiteSearchBundle\Loader\MappingConfigurationLoader")</sup>
   - `MappingConfiguration`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/DependencyInjection/MappingConfiguration.php#L9 "Oro\Bundle\WebsiteSearchBundle\DependencyInjection\MappingConfiguration")</sup>
   - `WebsiteSearchController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Controller/Frontend/WebsiteSearchController.php#L12 "Oro\Bundle\WebsiteSearchBundle\Controller\Frontend\WebsiteSearchController")</sup>
   - `ConfigurationCache`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Cache/ConfigurationCache.php#L9 "Oro\Bundle\WebsiteSearchBundle\Cache\ConfigurationCache")</sup>
* The `WebsiteSearchMappingProvider::clearCache`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Provider/WebsiteSearchMappingProvider.php#L59 "Oro\Bundle\WebsiteSearchBundle\Provider\WebsiteSearchMappingProvider::clearCache")</sup> method was removed.
* The `DriverDecorator::saveItems`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/ORM/Driver/DriverDecorator.php#L113 "Oro\Bundle\WebsiteSearchBundle\Engine\ORM\Driver\DriverDecorator::saveItems")</sup> method was removed.
* The following methods in class `BooleanSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/BooleanSearchableAttributeType.php#L16 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\BooleanSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/BooleanSearchableAttributeType.php#L16 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\BooleanSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/BooleanSearchableAttributeType.php#L48 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\BooleanSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `DateSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DateSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DateSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DateSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DateSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DateSearchableAttributeType.php#L45 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DateSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `DecimalSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DecimalSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DecimalSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DecimalSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DecimalSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/DecimalSearchableAttributeType.php#L45 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\DecimalSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `EnumSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/EnumSearchableAttributeType.php#L17 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\EnumSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/EnumSearchableAttributeType.php#L17 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\EnumSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/EnumSearchableAttributeType.php#L51 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\EnumSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `FileSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/FileSearchableAttributeType.php#L12 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\FileSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/FileSearchableAttributeType.php#L12 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\FileSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/FileSearchableAttributeType.php#L44 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\FileSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `HTMLSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/HTMLSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\HTMLSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/HTMLSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\HTMLSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/HTMLSearchableAttributeType.php#L45 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\HTMLSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `IntegerSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/IntegerSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\IntegerSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/IntegerSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\IntegerSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/IntegerSearchableAttributeType.php#L45 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\IntegerSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `ManyToManySearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToManySearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToManySearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToManySearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToManySearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToManySearchableAttributeType.php#L46 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToManySearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `ManyToOneSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToOneSearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToOneSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToOneSearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToOneSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/ManyToOneSearchableAttributeType.php#L46 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\ManyToOneSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `MultiEnumSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/MultiEnumSearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\MultiEnumSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/MultiEnumSearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\MultiEnumSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/MultiEnumSearchableAttributeType.php#L46 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\MultiEnumSearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `OneToManySearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/OneToManySearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\OneToManySearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/OneToManySearchableAttributeType.php#L14 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\OneToManySearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/OneToManySearchableAttributeType.php#L46 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\OneToManySearchableAttributeType::getFilterableFieldName")</sup>
* The following methods in class `StringSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/StringSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\StringSearchableAttributeType")</sup> were removed:
   - `getFilterStorageFieldType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/StringSearchableAttributeType.php#L13 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\StringSearchableAttributeType::getFilterStorageFieldType")</sup>
   - `getFilterableFieldName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/StringSearchableAttributeType.php#L45 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\StringSearchableAttributeType::getFilterableFieldName")</sup>
* The `DriverInterface::saveItems`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/ORM/Driver/DriverInterface.php#L79 "Oro\Bundle\WebsiteSearchBundle\Engine\ORM\Driver\DriverInterface::saveItems")</sup> method was removed.
* The `WebsiteSearchMappingProvider::__construct(ConfigurationLoaderInterface $mappingConfigurationLoader, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Provider/WebsiteSearchMappingProvider.php#L28 "Oro\Bundle\WebsiteSearchBundle\Provider\WebsiteSearchMappingProvider")</sup> method was changed to `WebsiteSearchMappingProvider::__construct(MappingConfigurationProvider $mappingConfigurationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Provider/WebsiteSearchMappingProvider.php#L19 "Oro\Bundle\WebsiteSearchBundle\Provider\WebsiteSearchMappingProvider")</sup>
* The `LocalizationIdPlaceholder::__construct(UserLocalizationManager $localizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Placeholder/LocalizationIdPlaceholder.php#L19 "Oro\Bundle\WebsiteSearchBundle\Placeholder\LocalizationIdPlaceholder")</sup> method was changed to `LocalizationIdPlaceholder::__construct(CurrentLocalizationProvider $localizationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Placeholder/LocalizationIdPlaceholder.php#L22 "Oro\Bundle\WebsiteSearchBundle\Placeholder\LocalizationIdPlaceholder")</sup>
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L56 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L63 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>
* The following interfaces were removed:
   - `ConfigurationLoaderInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Loader/ConfigurationLoaderInterface.php#L7 "Oro\Bundle\WebsiteSearchBundle\Loader\ConfigurationLoaderInterface")</sup>
   - `SearchableAttributeTypeInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/SearchableAttributeTypeInterface.php#L8 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\SearchableAttributeTypeInterface")</sup>

