- [ApplicationBundle](#applicationbundle)
- [CMSBundle](#cmsbundle)
- [Cache](#cache)
- [CatalogBundle](#catalogbundle)
- [CheckoutBundle](#checkoutbundle)
- [ConsentBundle](#consentbundle)
- [FrontendLocalizationBundle](#frontendlocalizationbundle)
- [InventoryBundle](#inventorybundle)
- [InvoiceBundle](#invoicebundle)
- [OrderBundle](#orderbundle)
- [PaymentBundle](#paymentbundle)
- [PaymentTermBundle](#paymenttermbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [PromotionBundle](#promotionbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [SEOBundle](#seobundle)
- [SaleBundle](#salebundle)
- [ShippingBundle](#shippingbundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [TaxBundle](#taxbundle)
- [VisibilityBundle](#visibilitybundle)
- [WebCatalog](#webcatalog)
- [WebCatalogBundle](#webcatalogbundle)
- [WebsiteSearchBundle](#websitesearchbundle)

ApplicationBundle
-----------------
* The `OroApplicationExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ApplicationBundle/DependencyInjection/OroApplicationExtension.php#L10 "Oro\Bundle\ApplicationBundle\DependencyInjection\OroApplicationExtension")</sup> class was removed.

CMSBundle
---------
* The following classes were removed:
   - `WidgetRegistry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Widget/WidgetRegistry.php#L7 "Oro\Bundle\CMSBundle\Widget\WidgetRegistry")</sup>
   - `HomePageSliderImagesSourceFixer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Migration/HomePageSliderImagesSourceFixer.php#L13 "Oro\Bundle\CMSBundle\Migration\HomePageSliderImagesSourceFixer")</sup>
   - `WidgetTagPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/DependencyInjection/Compiler/WidgetTagPass.php#L9 "Oro\Bundle\CMSBundle\DependencyInjection\Compiler\WidgetTagPass")</sup>
* The `WidgetExtension::__construct(WidgetRegistry $widgetRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Twig/WidgetExtension.php#L21 "Oro\Bundle\CMSBundle\Twig\WidgetExtension")</sup> method was changed to `WidgetExtension::__construct(ContentWidgetRenderer $contentWidgetRenderer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/Twig/WidgetExtension.php#L21 "Oro\Bundle\CMSBundle\Twig\WidgetExtension")</sup>
* The `ContentBlockDataProvider::getContentBlockView($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Layout/DataProvider/ContentBlockDataProvider.php#L61 "Oro\Bundle\CMSBundle\Layout\DataProvider\ContentBlockDataProvider")</sup> method was changed to `ContentBlockDataProvider::getContentBlockView($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/Layout/DataProvider/ContentBlockDataProvider.php#L66 "Oro\Bundle\CMSBundle\Layout\DataProvider\ContentBlockDataProvider")</sup>
* The `ContentBlockView::__construct($alias, Collection $titles, $enabled, $content)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/ContentBlock/Model/ContentBlockView.php#L27 "Oro\Bundle\CMSBundle\ContentBlock\Model\ContentBlockView")</sup> method was changed to `ContentBlockView::__construct($alias, Collection $titles, $enabled, $content, $contentStyle)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CMSBundle/ContentBlock/Model/ContentBlockView.php#L44 "Oro\Bundle\CMSBundle\ContentBlock\Model\ContentBlockView")</sup>
* The `WidgetInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CMSBundle/Widget/WidgetInterface.php#L8 "Oro\Bundle\CMSBundle\Widget\WidgetInterface")</sup> interface was removed.

Cache
-----
* The `DataProviderCacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Component/Cache/Layout/DataProviderCacheCleaner.php#L12 "Oro\Component\Cache\Layout\DataProviderCacheCleaner")</sup> class was removed.

CatalogBundle
-------------
* The following classes were removed:
   - `CategoryPerOrganizationQueryModifier`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Api/CategoryPerOrganizationQueryModifier.php#L22 "Oro\Bundle\CatalogBundle\Api\CategoryPerOrganizationQueryModifier")</sup>
   - `AddParentEntityIdToCategoryQuery`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Api/Processor/AddParentEntityIdToCategoryQuery.php#L20 "Oro\Bundle\CatalogBundle\Api\Processor\AddParentEntityIdToCategoryQuery")</sup>
   - `ComputeCategoryPath`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Api/Processor/ComputeCategoryPath.php#L16 "Oro\Bundle\CatalogBundle\Api\Processor\ComputeCategoryPath")</sup>
* The `CategoryTreeProvider::__construct(CategoryRepository $categoryRepository, EventDispatcherInterface $eventDispatcher, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L37 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup> method was changed to `CategoryTreeProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, MasterCatalogRootProvider $masterCatalogRootProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L37 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider")</sup>
* The `MasterCatalogRootProvider::__construct(CategoryRepository $categoryRepository, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Provider/MasterCatalogRootProvider.php#L28 "Oro\Bundle\CatalogBundle\Provider\MasterCatalogRootProvider")</sup> method was changed to `MasterCatalogRootProvider::__construct(ManagerRegistry $registry, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Provider/MasterCatalogRootProvider.php#L28 "Oro\Bundle\CatalogBundle\Provider\MasterCatalogRootProvider")</sup>
* The `CategoriesProductsProvider::__construct(CategoryRepository $categoryRepository, ProductRepository $searchRepository)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L32 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup> method was changed to `CategoriesProductsProvider::__construct(ManagerRegistry $doctrine, ProductRepository $searchRepository)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L31 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup>
* The `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, CategoryTreeProvider $categoryTreeProvider, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L50 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup> method was changed to `CategoryProvider::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, CategoryTreeProvider $categoryTreeProvider, TokenAccessorInterface $tokenAccessor, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L55 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider")</sup>
* The `SearchCategoryFilteringEventListener::__construct(RequestProductHandler $requestProductHandler, CategoryRepository $categoryRepository, SubcategoryProvider $categoryProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/EventListener/SearchCategoryFilteringEventListener.php#L44 "Oro\Bundle\CatalogBundle\EventListener\SearchCategoryFilteringEventListener")</sup> method was changed to `SearchCategoryFilteringEventListener::__construct(RequestProductHandler $requestProductHandler, ManagerRegistry $registry, SubcategoryProvider $categoryProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/EventListener/SearchCategoryFilteringEventListener.php#L45 "Oro\Bundle\CatalogBundle\EventListener\SearchCategoryFilteringEventListener")</sup>
* The `CategoryListener::postPersist(Category $category)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/EventListener/ORM/CategoryListener.php#L28 "Oro\Bundle\CatalogBundle\EventListener\ORM\CategoryListener")</sup> method was changed to `CategoryListener::postPersist(Category $category, LifecycleEventArgs $event)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/EventListener/ORM/CategoryListener.php#L38 "Oro\Bundle\CatalogBundle\EventListener\ORM\CategoryListener")</sup>
* The `CategoryEntityListener::__construct(ProductIndexScheduler $productIndexScheduler, DataProviderCacheCleaner $cacheCleaner)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Entity/EntityListener/CategoryEntityListener.php#L22 "Oro\Bundle\CatalogBundle\Entity\EntityListener\CategoryEntityListener")</sup> method was changed to `CategoryEntityListener::__construct(ProductIndexScheduler $productIndexScheduler, CacheProvider $categoryCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Entity/EntityListener/CategoryEntityListener.php#L26 "Oro\Bundle\CatalogBundle\Entity\EntityListener\CategoryEntityListener")</sup>
* The `HideInvisibleProductCategories::__construct(AclProtectedQueryFactory $queryFactory, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Api/Processor/HideInvisibleProductCategories.php#L28 "Oro\Bundle\CatalogBundle\Api\Processor\HideInvisibleProductCategories")</sup> method was changed to `HideInvisibleProductCategories::__construct(QueryAclHelper $queryAclHelper, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CatalogBundle/Api/Processor/HideInvisibleProductCategories.php#L29 "Oro\Bundle\CatalogBundle\Api\Processor\HideInvisibleProductCategories")</sup>
* The `CategoryTreeProvider::$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Provider/CategoryTreeProvider.php#L20 "Oro\Bundle\CatalogBundle\Provider\CategoryTreeProvider::$categoryRepository")</sup> property was removed.
* The following properties in class `CategoriesProductsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L16 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider")</sup> were removed:
   - `$data`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L16 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider::$data")</sup>
   - `$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoriesProductsProvider.php#L26 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoriesProductsProvider::$categoryRepository")</sup>
* The `CategoryProvider::$categoryRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L30 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider::$categoryRepository")</sup> property was removed.
* The `CategoryProvider::setLocalizationHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Layout/DataProvider/CategoryProvider.php#L65 "Oro\Bundle\CatalogBundle\Layout\DataProvider\CategoryProvider::setLocalizationHelper")</sup> method was removed.
* The `AbstractFallbackCategoryTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Form/Extension/AbstractFallbackCategoryTypeExtension.php#L27 "Oro\Bundle\CatalogBundle\Form\Extension\AbstractFallbackCategoryTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Form/Extension/ProductFormExtension.php#L35 "Oro\Bundle\CatalogBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.
* The `ProductStepOneFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/Form/Extension/ProductStepOneFormExtension.php#L32 "Oro\Bundle\CatalogBundle\Form\Extension\ProductStepOneFormExtension::getExtendedType")</sup> method was removed.
* The `CategoryListener::preUpdate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CatalogBundle/EventListener/ORM/CategoryListener.php#L37 "Oro\Bundle\CatalogBundle\EventListener\ORM\CategoryListener::preUpdate")</sup> method was removed.

CheckoutBundle
--------------
* The following classes were removed:
   - `CheckoutCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/DependencyInjection/Compiler/CheckoutCompilerPass.php#L9 "Oro\Bundle\CheckoutBundle\DependencyInjection\Compiler\CheckoutCompilerPass")</sup>
   - `CheckoutStateDiffCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/DependencyInjection/Compiler/CheckoutStateDiffCompilerPass.php#L9 "Oro\Bundle\CheckoutBundle\DependencyInjection\Compiler\CheckoutStateDiffCompilerPass")</sup>
* The `CheckoutStateDiffMapperRegistry::addMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L13 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry::addMapper")</sup> method was removed.
* The `CheckoutSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Provider/CheckoutSubtotalProvider.php#L79 "Oro\Bundle\CheckoutBundle\Provider\CheckoutSubtotalProvider::getName")</sup> method was removed.
* The `CheckoutLineItemConverterRegistry::addConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L52 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry::addConverter")</sup> method was removed.
* The `CheckoutWorkflowStateExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Form/Extension/CheckoutWorkflowStateExtension.php#L35 "Oro\Bundle\CheckoutBundle\Form\Extension\CheckoutWorkflowStateExtension::getExtendedType")</sup> method was removed.
* The `CheckoutLineItemsManager::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L69 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager::addProvider")</sup> method was removed.
* The following methods in class `CheckoutVoter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L30 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter")</sup> were removed:
   - `supportsClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L30 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::supportsClass")</sup>
   - `getPermissionForAttribute`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L69 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getPermissionForAttribute")</sup>
   - `getContainer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L77 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getContainer")</sup>
   - `getAuthorizationChecker`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L89 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::getAuthorizationChecker")</sup>
* The `CheckoutStateDiffMapperRegistry::getMapper($name)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L23 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry")</sup> method was changed to `CheckoutStateDiffMapperRegistry::getMapper($name)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/WorkflowState/Mapper/CheckoutStateDiffMapperRegistry.php#L33 "Oro\Bundle\CheckoutBundle\WorkflowState\Mapper\CheckoutStateDiffMapperRegistry")</sup>
* The `CheckoutLineItemConverterRegistry::__construct(LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L19 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry")</sup> method was changed to `CheckoutLineItemConverterRegistry::__construct($converters, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/Model/CheckoutLineItemConverterRegistry.php#L23 "Oro\Bundle\CheckoutBundle\Model\CheckoutLineItemConverterRegistry")</sup>
* The `CheckoutListener::__construct(DefaultUserProvider $defaultUserProvider, TokenAccessorInterface $tokenAccessor, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/EventListener/CheckoutListener.php#L30 "Oro\Bundle\CheckoutBundle\EventListener\CheckoutListener")</sup> method was changed to `CheckoutListener::__construct(DefaultUserProvider $defaultUserProvider, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/EventListener/CheckoutListener.php#L29 "Oro\Bundle\CheckoutBundle\EventListener\CheckoutListener")</sup>
* The `CheckoutLineItemsManager::__construct(CheckoutLineItemsConverter $checkoutLineItemsConverter, UserCurrencyManager $userCurrencyManager, ConfigManager $configManager, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L54 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager")</sup> method was changed to `CheckoutLineItemsManager::__construct($providers, CheckoutLineItemsConverter $checkoutLineItemsConverter, UserCurrencyManager $userCurrencyManager, ConfigManager $configManager, AuthorizationCheckerInterface $authorizationChecker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/CheckoutBundle/DataProvider/Manager/CheckoutLineItemsManager.php#L55 "Oro\Bundle\CheckoutBundle\DataProvider\Manager\CheckoutLineItemsManager")</sup>
* The `CheckoutVoter::$supportedAttributes`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/CheckoutBundle/Acl/Voter/CheckoutVoter.php#L23 "Oro\Bundle\CheckoutBundle\Acl\Voter\CheckoutVoter::$supportedAttributes")</sup> property was removed.

ConsentBundle
-------------
* The `ContentNodeSelectType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Form/Type/ContentNodeSelectType.php#L16 "Oro\Bundle\ConsentBundle\Form\Type\ContentNodeSelectType")</sup> class was removed.
* The `ConsentConfigConverter::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/SystemConfig/ConsentConfigConverter.php#L22 "Oro\Bundle\ConsentBundle\SystemConfig\ConsentConfigConverter")</sup> method was changed to `ConsentConfigConverter::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ConsentBundle/SystemConfig/ConsentConfigConverter.php#L22 "Oro\Bundle\ConsentBundle\SystemConfig\ConsentConfigConverter")</sup>
* The `ConsentAcceptanceProvider::__construct(TokenStorageInterface $tokenStorage, RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Provider/ConsentAcceptanceProvider.php#L32 "Oro\Bundle\ConsentBundle\Provider\ConsentAcceptanceProvider")</sup> method was changed to `ConsentAcceptanceProvider::__construct(TokenAccessorInterface $tokenAccessor, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ConsentBundle/Provider/ConsentAcceptanceProvider.php#L27 "Oro\Bundle\ConsentBundle\Provider\ConsentAcceptanceProvider")</sup>
* The `CustomerUserConsentProvider::__construct(CmsPageHelper $cmsPageHelper, EnabledConsentProvider $enabledConsentProvider, RegistryInterface $doctrine, ConsentContextProviderInterface $consentContextProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Provider/CustomerUserConsentProvider.php#L35 "Oro\Bundle\ConsentBundle\Provider\CustomerUserConsentProvider")</sup> method was changed to `CustomerUserConsentProvider::__construct(CmsPageHelper $cmsPageHelper, EnabledConsentProvider $enabledConsentProvider, ManagerRegistry $doctrine, ConsentContextProviderInterface $consentContextProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ConsentBundle/Provider/CustomerUserConsentProvider.php#L35 "Oro\Bundle\ConsentBundle\Provider\CustomerUserConsentProvider")</sup>
* The `FieldChoiceTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Form/Extension/FieldChoiceTypeExtension.php#L19 "Oro\Bundle\ConsentBundle\Form\Extension\FieldChoiceTypeExtension::getExtendedType")</sup> method was removed.
* The `FrontendCustomerUserProfileExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendCustomerUserProfileExtension.php#L69 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendCustomerUserProfileExtension::getExtendedType")</sup> method was removed.
* The `FrontendCustomerUserRegistrationExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendCustomerUserRegistrationExtension.php#L50 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendCustomerUserRegistrationExtension::getExtendedType")</sup> method was removed.
* The `FrontendRfqExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ConsentBundle/Form/Extension/FrontendRfqExtension.php#L74 "Oro\Bundle\ConsentBundle\Form\Extension\FrontendRfqExtension::getExtendedType")</sup> method was removed.

FrontendLocalizationBundle
--------------------------
* The `UserLocalizationManager::setCurrentLocalization(Localization $localization, Website $website = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L158 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup> method was changed to `UserLocalizationManager::setCurrentLocalization(Localization $localization, Website $website = null, $forceSessionStart = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L160 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup>

InventoryBundle
---------------
* The `CategoryUpcomingFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/CategoryUpcomingFormExtension.php#L26 "Oro\Bundle\InventoryBundle\Form\Extension\CategoryUpcomingFormExtension::getExtendedType")</sup> method was removed.
* The `CheckoutShipUntilFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L53 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension::getExtendedType")</sup> method was removed.
* The `InventoryLevelExportTemplateTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/InventoryLevelExportTemplateTypeExtension.php#L27 "Oro\Bundle\InventoryBundle\Form\Extension\InventoryLevelExportTemplateTypeExtension::getExtendedType")</sup> method was removed.
* The `InventoryLevelExportTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/InventoryLevelExportTypeExtension.php#L25 "Oro\Bundle\InventoryBundle\Form\Extension\InventoryLevelExportTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductBackOrderFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductBackOrderFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductBackOrderFormExtension::getExtendedType")</sup> method was removed.
* The `ProductDecrementQuantityFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductDecrementQuantityFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductDecrementQuantityFormExtension::getExtendedType")</sup> method was removed.
* The `ProductHighlightLowInventoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductHighlightLowInventoryFormExtension.php#L18 "Oro\Bundle\InventoryBundle\Form\Extension\ProductHighlightLowInventoryFormExtension::getExtendedType")</sup> method was removed.
* The `ProductInventoryThresholdFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductInventoryThresholdFormExtension.php#L21 "Oro\Bundle\InventoryBundle\Form\Extension\ProductInventoryThresholdFormExtension::getExtendedType")</sup> method was removed.
* The `ProductLowInventoryThresholdFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductLowInventoryThresholdFormExtension.php#L22 "Oro\Bundle\InventoryBundle\Form\Extension\ProductLowInventoryThresholdFormExtension::getExtendedType")</sup> method was removed.
* The `ProductManageInventoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductManageInventoryFormExtension.php#L17 "Oro\Bundle\InventoryBundle\Form\Extension\ProductManageInventoryFormExtension::getExtendedType")</sup> method was removed.
* The `ProductQuantityToOrderFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductQuantityToOrderFormExtension.php#L18 "Oro\Bundle\InventoryBundle\Form\Extension\ProductQuantityToOrderFormExtension::getExtendedType")</sup> method was removed.
* The `ProductUpcomingFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InventoryBundle/Form/Extension/ProductUpcomingFormExtension.php#L26 "Oro\Bundle\InventoryBundle\Form\Extension\ProductUpcomingFormExtension::getExtendedType")</sup> method was removed.

InvoiceBundle
-------------
* The following classes were removed:
   - `OroInvoiceBundle`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/OroInvoiceBundle.php#L8 "Oro\Bundle\InvoiceBundle\OroInvoiceBundle")</sup>
   - `InvoicePaymentDueDate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Validator/Constraints/InvoicePaymentDueDate.php#L7 "Oro\Bundle\InvoiceBundle\Validator\Constraints\InvoicePaymentDueDate")</sup>
   - `InvoicePaymentDueDateValidator`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Validator/Constraints/InvoicePaymentDueDateValidator.php#L10 "Oro\Bundle\InvoiceBundle\Validator\Constraints\InvoicePaymentDueDateValidator")</sup>
   - `ExtendInvoice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Model/ExtendInvoice.php#L5 "Oro\Bundle\InvoiceBundle\Model\ExtendInvoice")</sup>
   - `ExtendInvoiceLineItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Model/ExtendInvoiceLineItem.php#L5 "Oro\Bundle\InvoiceBundle\Model\ExtendInvoiceLineItem")</sup>
   - `InvoiceLineItemType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Form/Type/InvoiceLineItemType.php#L24 "Oro\Bundle\InvoiceBundle\Form\Type\InvoiceLineItemType")</sup>
   - `InvoiceLineItemsCollectionType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Form/Type/InvoiceLineItemsCollectionType.php#L12 "Oro\Bundle\InvoiceBundle\Form\Type\InvoiceLineItemsCollectionType")</sup>
   - `InvoiceType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Form/Type/InvoiceType.php#L16 "Oro\Bundle\InvoiceBundle\Form\Type\InvoiceType")</sup>
   - `InvoiceFormListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/EventListener/InvoiceFormListener.php#L9 "Oro\Bundle\InvoiceBundle\EventListener\InvoiceFormListener")</sup>
   - `TotalCalculateListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/EventListener/TotalCalculateListener.php#L10 "Oro\Bundle\InvoiceBundle\EventListener\TotalCalculateListener")</sup>
   - `InvoiceEventListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/EventListener/ORM/InvoiceEventListener.php#L9 "Oro\Bundle\InvoiceBundle\EventListener\ORM\InvoiceEventListener")</sup>
   - `Invoice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Entity/Invoice.php#L59 "Oro\Bundle\InvoiceBundle\Entity\Invoice")</sup>
   - `InvoiceLineItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Entity/InvoiceLineItem.php#L36 "Oro\Bundle\InvoiceBundle\Entity\InvoiceLineItem")</sup>
   - `SimpleInvoiceNumberGenerator`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Doctrine/ORM/SimpleInvoiceNumberGenerator.php#L7 "Oro\Bundle\InvoiceBundle\Doctrine\ORM\SimpleInvoiceNumberGenerator")</sup>
   - `OroInvoiceExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/DependencyInjection/OroInvoiceExtension.php#L10 "Oro\Bundle\InvoiceBundle\DependencyInjection\OroInvoiceExtension")</sup>
   - `InvoiceController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Controller/InvoiceController.php#L30 "Oro\Bundle\InvoiceBundle\Controller\InvoiceController")</sup>
* The `InvoiceNumberGeneratorInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/InvoiceBundle/Doctrine/ORM/InvoiceNumberGeneratorInterface.php#L7 "Oro\Bundle\InvoiceBundle\Doctrine\ORM\InvoiceNumberGeneratorInterface")</sup> interface was removed.

OrderBundle
-----------
* The `OrderLineItemQueryModifier`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Api/OrderLineItemQueryModifier.php#L21 "Oro\Bundle\OrderBundle\Api\OrderLineItemQueryModifier")</sup> class was removed.
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\OrderBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\OrderBundle\Provider\CurrencyCheckerProvider")</sup>
* The `LatestOrderedProductsInfoProvider::__construct(RegistryInterface $registry, OrderStatusesProviderInterface $availableOrderStatusesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/LatestOrderedProductsInfoProvider.php#L29 "Oro\Bundle\OrderBundle\Provider\LatestOrderedProductsInfoProvider")</sup> method was changed to `LatestOrderedProductsInfoProvider::__construct(ManagerRegistry $registry, OrderStatusesProviderInterface $availableOrderStatusesProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/Provider/LatestOrderedProductsInfoProvider.php#L29 "Oro\Bundle\OrderBundle\Provider\LatestOrderedProductsInfoProvider")</sup>
* The `OrderAddressSecurityProvider::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OrderAddressProvider $orderAddressProvider, $customerAddressClass, $customerUserAddressClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/OrderAddressSecurityProvider.php#L39 "Oro\Bundle\OrderBundle\Provider\OrderAddressSecurityProvider")</sup> method was changed to `OrderAddressSecurityProvider::__construct(AuthorizationCheckerInterface $authorizationChecker, FrontendHelper $frontendHelper, OrderAddressProvider $orderAddressProvider, $customerAddressClass, $customerUserAddressClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/Provider/OrderAddressSecurityProvider.php#L41 "Oro\Bundle\OrderBundle\Provider\OrderAddressSecurityProvider")</sup>
* The `TotalCalculateListener::__construct(FormFactory $formFactory, CurrentApplicationProviderInterface $applicationProvider, FormRegistryInterface $formRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L34 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener")</sup> method was changed to `TotalCalculateListener::__construct(FormFactory $formFactory, FormRegistryInterface $formRegistry, FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L31 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener")</sup>
* The `DiscountSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/DiscountSubtotalProvider.php#L61 "Oro\Bundle\OrderBundle\Provider\DiscountSubtotalProvider::getName")</sup> method was removed.
* The `ShippingCostSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/ShippingCostSubtotalProvider.php#L51 "Oro\Bundle\OrderBundle\Provider\ShippingCostSubtotalProvider::getName")</sup> method was removed.
* The `TotalCalculateListener::isDefinedForm`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L85 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener::isDefinedForm")</sup> method was removed.
* The `OrderAddressSecurityProvider::$tokenAccessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/Provider/OrderAddressSecurityProvider.php#L21 "Oro\Bundle\OrderBundle\Provider\OrderAddressSecurityProvider::$tokenAccessor")</sup> property was removed.
* The following properties in class `TotalCalculateListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L16 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener")</sup> were removed:
   - `$forms`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L16 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener::$forms")</sup>
   - `$applicationProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/OrderBundle/EventListener/TotalCalculateListener.php#L24 "Oro\Bundle\OrderBundle\EventListener\TotalCalculateListener::$applicationProvider")</sup>

PaymentBundle
-------------
* The following classes were removed:
   - `CompositePaymentMethodProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/CompositePaymentMethodProviderCompilerPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\CompositePaymentMethodProviderCompilerPass")</sup>
   - `PaymentMethodViewProvidersPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/PaymentMethodViewProvidersPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\PaymentMethodViewProvidersPass")</sup>
   - `SupportsEntityPaymentContextFactoriesPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/DependencyInjection/Compiler/SupportsEntityPaymentContextFactoriesPass.php#L9 "Oro\Bundle\PaymentBundle\DependencyInjection\Compiler\SupportsEntityPaymentContextFactoriesPass")</sup>
* The `CompositePaymentMethodViewProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Method/View/CompositePaymentMethodViewProvider.php#L17 "Oro\Bundle\PaymentBundle\Method\View\CompositePaymentMethodViewProvider::addProvider")</sup> method was removed.
* The `CompositePaymentMethodProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Method/Provider/CompositePaymentMethodProvider.php#L15 "Oro\Bundle\PaymentBundle\Method\Provider\CompositePaymentMethodProvider::addProvider")</sup> method was removed.
* The `PaymentMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Controller/Api/Rest/PaymentMethodsConfigsRuleController.php#L39 "Oro\Bundle\PaymentBundle\Controller\Api\Rest\PaymentMethodsConfigsRuleController")</sup> method was changed to `PaymentMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PaymentBundle/Controller/Api/Rest/PaymentMethodsConfigsRuleController.php#L39 "Oro\Bundle\PaymentBundle\Controller\Api\Rest\PaymentMethodsConfigsRuleController")</sup>
* The `CompositeSupportsEntityPaymentContextFactory::__construct($factories)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentBundle/Context/Factory/CompositeSupportsEntityPaymentContextFactory.php#L17 "Oro\Bundle\PaymentBundle\Context\Factory\CompositeSupportsEntityPaymentContextFactory")</sup> method was changed to `CompositeSupportsEntityPaymentContextFactory::__construct($factories)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PaymentBundle/Context/Factory/CompositeSupportsEntityPaymentContextFactory.php#L18 "Oro\Bundle\PaymentBundle\Context\Factory\CompositeSupportsEntityPaymentContextFactory")</sup>

PaymentTermBundle
-----------------
* The `PaymentTermAclExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermAclExtension.php#L10 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermAclExtension")</sup> class was removed.
* The `CustomerFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/CustomerFormExtension.php#L83 "Oro\Bundle\PaymentTermBundle\Form\Extension\CustomerFormExtension::getExtendedType")</sup> method was removed.
* The `PaymentTermExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PaymentTermBundle/Form/Extension/PaymentTermExtension.php#L79 "Oro\Bundle\PaymentTermBundle\Form\Extension\PaymentTermExtension::getExtendedType")</sup> method was removed.

PricingBundle
-------------
* The following classes were removed:
   - `EnableShardingOnConfig`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnConfig.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnConfig")</sup>
   - `EnableShardingOnQuery`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/EnableShardingOnQuery.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\EnableShardingOnQuery")</sup>
   - `HandlePriceListFilter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/HandlePriceListFilter.php#L16 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\HandlePriceListFilter")</sup>
   - `LoadNormalizedProductPriceWithNormalizedId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/LoadNormalizedProductPriceWithNormalizedId.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\LoadNormalizedProductPriceWithNormalizedId")</sup>
   - `NormalizeInputProductPriceId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeInputProductPriceId.php#L18 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeInputProductPriceId")</sup>
   - `NormalizeOutputProductPriceId`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/NormalizeOutputProductPriceId.php#L11 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\NormalizeOutputProductPriceId")</sup>
   - `PriceListIdContextUtil`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/PriceListIdContextUtil.php#L10 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\PriceListIdContextUtil")</sup>
   - `RememberProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/RememberProductPrice.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\RememberProductPrice")</sup>
   - `ResetPriceRuleField`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/ResetPriceRuleField.php#L13 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\ResetPriceRuleField")</sup>
   - `SaveProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/SaveProductPrice.php#L14 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\SaveProductPrice")</sup>
   - `StorePriceListInContextByProductPrice`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Processor/StorePriceListInContextByProductPrice.php#L12 "Oro\Bundle\PricingBundle\Api\ProductPrice\Processor\StorePriceListInContextByProductPrice")</sup>
   - `PriceManagerDeleteHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/ProductPrice/Delete/PriceManagerDeleteHandler.php#L10 "Oro\Bundle\PricingBundle\Api\ProductPrice\Delete\PriceManagerDeleteHandler")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomer.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomer")</sup>
   - `PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/Processor/PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup.php#L11 "Oro\Bundle\PricingBundle\Api\Processor\PriceListRelationTriggerHandlerForWebsiteAndCustomerGroup")</sup>
   - `UpdateLexemesOnPriceRuleDelete`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDelete.php#L14 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDelete")</sup>
   - `UpdateLexemesOnPriceRuleDeleteList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesOnPriceRuleDeleteList.php#L15 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesOnPriceRuleDeleteList")</sup>
   - `UpdateLexemesPriceRule`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceRule/Processor/UpdateLexemesPriceRule.php#L13 "Oro\Bundle\PricingBundle\Api\PriceRule\Processor\UpdateLexemesPriceRule")</sup>
   - `BuildCombinedPriceList`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceList.php#L14 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceList")</sup>
   - `BuildCombinedPriceLists`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/BuildCombinedPriceLists.php#L14 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\BuildCombinedPriceLists")</sup>
   - `RemovePriceListSchedulesFromContext`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/RemovePriceListSchedulesFromContext.php#L11 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\RemovePriceListSchedulesFromContext")</sup>
   - `SavePriceListSchedulesToContext`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/SavePriceListSchedulesToContext.php#L15 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\SavePriceListSchedulesToContext")</sup>
   - `UpdatePriceListsContainSchedule`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Processor/UpdatePriceListsContainSchedule.php#L15 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Processor\UpdatePriceListsContainSchedule")</sup>
   - `AddSchedulesToPriceListApiFormSubscriber`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceListSchedule/Form/AddSchedulesToPriceListApiFormSubscriber.php#L13 "Oro\Bundle\PricingBundle\Api\PriceListSchedule\Form\AddSchedulesToPriceListApiFormSubscriber")</sup>
   - `HandlePriceListStatusChange`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/HandlePriceListStatusChange.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\HandlePriceListStatusChange")</sup>
   - `UpdatePriceListLexemes`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Api/PriceList/Processor/UpdatePriceListLexemes.php#L10 "Oro\Bundle\PricingBundle\Api\PriceList\Processor\UpdatePriceListLexemes")</sup>
* The `LexemeCircularReferenceValidator::__construct(ExpressionParser $expressionParser, RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/LexemeCircularReferenceValidator.php#L55 "Oro\Bundle\PricingBundle\Validator\Constraints\LexemeCircularReferenceValidator")</sup> method was changed to `LexemeCircularReferenceValidator::__construct(ExpressionParser $expressionParser, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/LexemeCircularReferenceValidator.php#L55 "Oro\Bundle\PricingBundle\Validator\Constraints\LexemeCircularReferenceValidator")</sup>
* The `PriceForProductUnitExistsValidator::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceForProductUnitExistsValidator.php#L25 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceForProductUnitExistsValidator")</sup> method was changed to `PriceForProductUnitExistsValidator::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Validator/Constraints/PriceForProductUnitExistsValidator.php#L25 "Oro\Bundle\PricingBundle\Validator\Constraints\PriceForProductUnitExistsValidator")</sup>
* The `PriceListConfigConverter::__construct(RegistryInterface $doctrine, $priceListClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SystemConfig/PriceListConfigConverter.php#L28 "Oro\Bundle\PricingBundle\SystemConfig\PriceListConfigConverter")</sup> method was changed to `PriceListConfigConverter::__construct(ManagerRegistry $doctrine, $priceListClassName)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/SystemConfig/PriceListConfigConverter.php#L27 "Oro\Bundle\PricingBundle\SystemConfig\PriceListConfigConverter")</sup>
* The `ShardManager::setRegistry(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Sharding/ShardManager.php#L419 "Oro\Bundle\PricingBundle\Sharding\ShardManager")</sup> method was changed to `ShardManager::setRegistry(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Sharding/ShardManager.php#L421 "Oro\Bundle\PricingBundle\Sharding\ShardManager")</sup>
* The `CombinedPriceListProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Provider/CombinedPriceListProvider.php#L46 "Oro\Bundle\PricingBundle\Provider\CombinedPriceListProvider")</sup> method was changed to `CombinedPriceListProvider::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, StrategyRegister $strategyRegister)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Provider/CombinedPriceListProvider.php#L53 "Oro\Bundle\PricingBundle\Provider\CombinedPriceListProvider")</sup>
* The `PriceRuleLexemeTriggerHandler::__construct(PriceListTriggerHandler $priceListTriggerHandler, RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L32 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup> method was changed to `PriceRuleLexemeTriggerHandler::__construct(PriceListTriggerHandler $priceListTriggerHandler, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Model/PriceRuleLexemeTriggerHandler.php#L32 "Oro\Bundle\PricingBundle\Model\PriceRuleLexemeTriggerHandler")</sup>
* The `ProductPriceWriter::__construct(RegistryInterface $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager, OptionalListenerManager $listenerManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L40 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup> method was changed to `ProductPriceWriter::__construct(ManagerRegistry $registry, EventDispatcherInterface $eventDispatcher, ContextRegistry $contextRegistry, LoggerInterface $logger, PriceManager $priceManager, OptionalListenerManager $listenerManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/ImportExport/Writer/ProductPriceWriter.php#L40 "Oro\Bundle\PricingBundle\ImportExport\Writer\ProductPriceWriter")</sup>
* The `PriceAttributesProductFormExtension::__construct(RegistryInterface $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L41 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup> method was changed to `PriceAttributesProductFormExtension::__construct(ManagerRegistry $registry, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L41 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension")</sup>
* The `WebsiteSearchProductPriceIndexerListener::__construct(WebsiteContextManager $websiteContextManager, RegistryInterface $doctrine, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/EventListener/WebsiteSearchProductPriceIndexerListener.php#L47 "Oro\Bundle\PricingBundle\EventListener\WebsiteSearchProductPriceIndexerListener")</sup> method was changed to `WebsiteSearchProductPriceIndexerListener::__construct(WebsiteContextManager $websiteContextManager, ManagerRegistry $doctrine, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/EventListener/WebsiteSearchProductPriceIndexerListener.php#L47 "Oro\Bundle\PricingBundle\EventListener\WebsiteSearchProductPriceIndexerListener")</sup>
* The `CombinedPriceListCreateEvent::__construct(CombinedPriceList $combinedPriceList)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Event/CombinedPriceList/CombinedPriceListCreateEvent.php#L21 "Oro\Bundle\PricingBundle\Event\CombinedPriceList\CombinedPriceListCreateEvent")</sup> method was changed to `CombinedPriceListCreateEvent::__construct(CombinedPriceList $combinedPriceList, $options = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Event/CombinedPriceList/CombinedPriceListCreateEvent.php#L25 "Oro\Bundle\PricingBundle\Event\CombinedPriceList\CombinedPriceListCreateEvent")</sup>
* The `AbstractRuleEntityListener::__construct(PriceRuleLexemeTriggerHandler $priceRuleLexemeTriggerHandler, FieldsProviderInterface $fieldsProvider, RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/AbstractRuleEntityListener.php#L35 "Oro\Bundle\PricingBundle\Entity\EntityListener\AbstractRuleEntityListener")</sup> method was changed to `AbstractRuleEntityListener::__construct(PriceRuleLexemeTriggerHandler $priceRuleLexemeTriggerHandler, FieldsProviderInterface $fieldsProvider, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/AbstractRuleEntityListener.php#L35 "Oro\Bundle\PricingBundle\Entity\EntityListener\AbstractRuleEntityListener")</sup>
* The `ImportExportResultListener::__construct(RegistryInterface $registry, PriceRuleLexemeTriggerHandler $lexemeTriggerHandler, PriceListTriggerHandler $priceListTriggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ImportExportResultListener.php#L31 "Oro\Bundle\PricingBundle\Entity\EntityListener\ImportExportResultListener")</sup> method was changed to `ImportExportResultListener::__construct(ManagerRegistry $registry, PriceRuleLexemeTriggerHandler $lexemeTriggerHandler, PriceListTriggerHandler $priceListTriggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ImportExportResultListener.php#L31 "Oro\Bundle\PricingBundle\Entity\EntityListener\ImportExportResultListener")</sup>
* The `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, RegistryInterface $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L60 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup> method was changed to `ProductPriceCPLEntityListener::__construct(ExtraActionEntityStorageInterface $extraActionsStorage, ManagerRegistry $registry, PriceListTriggerHandler $priceListTriggerHandler, ShardManager $shardManager, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Entity/EntityListener/ProductPriceCPLEntityListener.php#L60 "Oro\Bundle\PricingBundle\Entity\EntityListener\ProductPriceCPLEntityListener")</sup>
* The `PriceListToProductDuplicator::__construct(RegistryInterface $registry, InsertFromSelectQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Duplicator/PriceListToProductDuplicator.php#L31 "Oro\Bundle\PricingBundle\Duplicator\PriceListToProductDuplicator")</sup> method was changed to `PriceListToProductDuplicator::__construct(ManagerRegistry $registry, InsertFromSelectQueryExecutor $insertQueryExecutor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Duplicator/PriceListToProductDuplicator.php#L31 "Oro\Bundle\PricingBundle\Duplicator\PriceListToProductDuplicator")</sup>
* The `PriceListRecalculateCommand::__construct(ManagerRegistry $registry, ProductPriceBuilder $priceBuilder, ShardQueryExecutorInterface $queryExecutor, DependentPriceListProvider $dependentPriceListProvider, CombinedPriceListTriggerHandler $triggerHandler, StrategyRegister $strategyRegister, CombinedPriceListsBuilderFacade $builder, EntityTriggerManager $databaseTriggerManager, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Command/PriceListRecalculateCommand.php#L84 "Oro\Bundle\PricingBundle\Command\PriceListRecalculateCommand")</sup> method was changed to `PriceListRecalculateCommand::__construct(ManagerRegistry $registry, ProductPriceBuilder $priceBuilder, DependentPriceListProvider $dependentPriceListProvider, CombinedPriceListTriggerHandler $triggerHandler, StrategyRegister $strategyRegister, CombinedPriceListsBuilderFacade $builder, EntityTriggerManager $databaseTriggerManager, PriceListProductAssignmentBuilder $assignmentBuilder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListRecalculateCommand.php#L93 "Oro\Bundle\PricingBundle\Command\PriceListRecalculateCommand")</sup>
* The `CombinedPriceListActivationPlanBuilder::__construct(DoctrineHelper $doctrineHelper, PriceListScheduleResolver $schedulerResolver, CombinedPriceListProvider $combinedPriceListProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListActivationPlanBuilder.php#L79 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListActivationPlanBuilder")</sup> method was changed to `CombinedPriceListActivationPlanBuilder::__construct(DoctrineHelper $doctrineHelper, PriceListScheduleResolver $schedulerResolver, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListRelationHelperInterface $relationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListActivationPlanBuilder.php#L92 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListActivationPlanBuilder")</sup>
* The `CombinedPriceListsBuilder::__construct(ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister, CombinedPriceListTriggerHandler $triggerHandler, WebsiteCombinedPriceListsBuilder $builder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L76 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup> method was changed to `CombinedPriceListsBuilder::__construct(Registry $registry, ConfigManager $configManager, PriceListCollectionProvider $priceListCollectionProvider, CombinedPriceListProvider $combinedPriceListProvider, CombinedPriceListGarbageCollector $garbageCollector, CombinedPriceListScheduleResolver $scheduleResolver, StrategyRegister $priceStrategyRegister, CombinedPriceListTriggerHandler $triggerHandler, WebsiteCombinedPriceListsBuilder $builder)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListsBuilder.php#L89 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListsBuilder")</sup>
* The `PriceListProductAssignmentBuilder::__construct(ManagerRegistry $registry, InsertFromSelectQueryExecutor $insertFromSelectQueryExecutor, ProductAssignmentRuleCompiler $ruleCompiler, EventDispatcherInterface $eventDispatcher, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L54 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup> method was changed to `PriceListProductAssignmentBuilder::__construct(ManagerRegistry $registry, InsertQueryExecutorInterface $insertQueryExecutor, ProductAssignmentRuleCompiler $ruleCompiler, EventDispatcherInterface $eventDispatcher, ShardManager $shardManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L54 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder")</sup>
* The `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, CombinedPriceListsBuilderFacade $combinedPriceListsBuilderFacade, LoggerInterface $logger, CombinedPriceListTriggerHandler $triggerHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L60 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup> method was changed to `PriceListProcessor::__construct(PriceListTriggerFactory $triggerFactory, ManagerRegistry $registry, CombinedPriceListsBuilderFacade $combinedPriceListsBuilderFacade, LoggerInterface $logger, CombinedPriceListTriggerHandler $triggerHandler, CombinedPriceListActivationStatusHelperInterface $activationStatusHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PricingBundle/Async/PriceListProcessor.php#L67 "Oro\Bundle\PricingBundle\Async\PriceListProcessor")</sup>
* The `SubtotalProviderRegistry::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/SubtotalProviderRegistry.php#L19 "Oro\Bundle\PricingBundle\SubtotalProcessor\SubtotalProviderRegistry::addProvider")</sup> method was removed.
* The `LineItemNotPricedSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemNotPricedSubtotalProvider.php#L74 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemNotPricedSubtotalProvider::getName")</sup> method was removed.
* The `LineItemSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Provider/LineItemSubtotalProvider.php#L51 "Oro\Bundle\PricingBundle\SubtotalProcessor\Provider\LineItemSubtotalProvider::getName")</sup> method was removed.
* The `ProductPriceProvider::recalculatePricePerUnit`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Provider/ProductPriceProvider.php#L147 "Oro\Bundle\PricingBundle\Provider\ProductPriceProvider::recalculatePricePerUnit")</sup> method was removed.
* The following methods in class `ProductPriceResetStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L27 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy")</sup> were removed:
   - `beforeProcessEntity`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L27 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::beforeProcessEntity")</sup>
   - `getProductPriceRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L64 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::getProductPriceRepository")</sup>
   - `updateContextCounters`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L76 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::updateContextCounters")</sup>
   - `setShardManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L84 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::setShardManager")</sup>
* The `CustomerFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/CustomerFormExtension.php#L45 "Oro\Bundle\PricingBundle\Form\Extension\CustomerFormExtension::getExtendedType")</sup> method was removed.
* The `CustomerGroupFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/CustomerGroupFormExtension.php#L45 "Oro\Bundle\PricingBundle\Form\Extension\CustomerGroupFormExtension::getExtendedType")</sup> method was removed.
* The `FrontendPriceFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/FrontendPriceFormExtension.php#L72 "Oro\Bundle\PricingBundle\Form\Extension\FrontendPriceFormExtension::getExtendedType")</sup> method was removed.
* The `PriceAttributesProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceAttributesProductFormExtension.php#L50 "Oro\Bundle\PricingBundle\Form\Extension\PriceAttributesProductFormExtension::getExtendedType")</sup> method was removed.
* The `PriceListFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/PriceListFormExtension.php#L32 "Oro\Bundle\PricingBundle\Form\Extension\PriceListFormExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Form/Extension/ProductFormExtension.php#L203 "Oro\Bundle\PricingBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.
* The following methods in class `CombinedPriceListGarbageCollector`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L74 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector")</sup> were removed:
   - `setCombinedPriceListClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L74 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::setCombinedPriceListClass")</sup>
   - `getCombinedPriceListsRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L83 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::getCombinedPriceListsRepository")</sup>
   - `getCombinedPriceListRelationRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L96 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::getCombinedPriceListRelationRepository")</sup>
* The `SubtotalProviderInterface::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/SubtotalProcessor/Model/SubtotalProviderInterface.php#L12 "Oro\Bundle\PricingBundle\SubtotalProcessor\Model\SubtotalProviderInterface::getName")</sup> method was removed.
* The following properties in class `ProductPriceResetStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L15 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy")</sup> were removed:
   - `$shardManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L15 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::$shardManager")</sup>
   - `$processedPriceLists`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/ImportExport/Strategy/ProductPriceResetStrategy.php#L20 "Oro\Bundle\PricingBundle\ImportExport\Strategy\ProductPriceResetStrategy::$processedPriceLists")</sup>
* The following properties in class `CombinedPriceListGarbageCollector`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L26 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector")</sup> were removed:
   - `$combinedPriceListClass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L26 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::$combinedPriceListClass")</sup>
   - `$combinedPriceListsRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/CombinedPriceListGarbageCollector.php#L31 "Oro\Bundle\PricingBundle\Builder\CombinedPriceListGarbageCollector::$combinedPriceListsRepository")</sup>
* The `PriceListProductAssignmentBuilder::$insertFromSelectQueryExecutor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/PriceListProductAssignmentBuilder.php#L35 "Oro\Bundle\PricingBundle\Builder\PriceListProductAssignmentBuilder::$insertFromSelectQueryExecutor")</sup> property was removed.
* The `ProductPriceBuilder::$insertFromSelectQueryExecutor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PricingBundle/Builder/ProductPriceBuilder.php#L35 "Oro\Bundle\PricingBundle\Builder\ProductPriceBuilder::$insertFromSelectQueryExecutor")</sup> property was removed.

ProductBundle
-------------
* The following classes were removed:
   - `ProductImageCurrentCollection`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/ProductImageCurrentCollection.php#L8 "Oro\Bundle\ProductBundle\Validator\Constraints\ProductImageCurrentCollection")</sup>
   - `DefaultProductUnitProvidersCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DependencyInjection/CompilerPass/DefaultProductUnitProvidersCompilerPass.php#L9 "Oro\Bundle\ProductBundle\DependencyInjection\CompilerPass\DefaultProductUnitProvidersCompilerPass")</sup>
   - `LoadProductSearchExpandedEntities`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Api/Processor/LoadProductSearchExpandedEntities.php#L15 "Oro\Bundle\ProductBundle\Api\Processor\LoadProductSearchExpandedEntities")</sup>
   - `AddRelatedProduct`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Api/Processor/Create/AddRelatedProduct.php#L21 "Oro\Bundle\ProductBundle\Api\Processor\Create\AddRelatedProduct")</sup>
* The `AttributeFamilyUsageInVariantFieldValidator::__construct(AttributeManager $attributeManager, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/AttributeFamilyUsageInVariantFieldValidator.php#L33 "Oro\Bundle\ProductBundle\Validator\Constraints\AttributeFamilyUsageInVariantFieldValidator")</sup> method was changed to `AttributeFamilyUsageInVariantFieldValidator::__construct(AttributeManager $attributeManager, DoctrineHelper $doctrineHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Validator/Constraints/AttributeFamilyUsageInVariantFieldValidator.php#L38 "Oro\Bundle\ProductBundle\Validator\Constraints\AttributeFamilyUsageInVariantFieldValidator")</sup>
* The `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L38 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup> method was changed to `WebsiteSearchProductIndexDataProvider::__construct(AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $indexFieldsProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Search/WebsiteSearchProductIndexDataProvider.php#L38 "Oro\Bundle\ProductBundle\Search\WebsiteSearchProductIndexDataProvider")</sup>
* The `ProductImagesURLsProvider::__construct(DoctrineHelper $doctrineHelper, AttachmentManager $attachmentManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Provider/ProductImagesURLsProvider.php#L27 "Oro\Bundle\ProductBundle\Provider\ProductImagesURLsProvider")</sup> method was changed to `ProductImagesURLsProvider::__construct(DoctrineHelper $doctrineHelper, AttachmentManager $attachmentManager, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Provider/ProductImagesURLsProvider.php#L37 "Oro\Bundle\ProductBundle\Provider\ProductImagesURLsProvider")</sup>
* The `ProductSegmentWithLoggingErrorsProvider::__construct(SegmentManager $segmentManager, LoggerInterface $logger, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Provider/Segment/LoggingErrors/ProductSegmentWithLoggingErrorsProvider.php#L37 "Oro\Bundle\ProductBundle\Provider\Segment\LoggingErrors\ProductSegmentWithLoggingErrorsProvider")</sup> method was changed to `ProductSegmentWithLoggingErrorsProvider::__construct(SegmentManager $segmentManager, LoggerInterface $logger, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Provider/Segment/LoggingErrors/ProductSegmentWithLoggingErrorsProvider.php#L31 "Oro\Bundle\ProductBundle\Provider\Segment\LoggingErrors\ProductSegmentWithLoggingErrorsProvider")</sup>
* The `SegmentMessageFactory::__construct(RegistryInterface $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L42 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup> method was changed to `SegmentMessageFactory::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L42 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup>
* The `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, RegistryInterface $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L69 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup> method was changed to `AbstractSegmentProductsProvider::__construct(SegmentManager $segmentManager, ProductSegmentProviderInterface $productSegmentProvider, ProductManager $productManager, ConfigManager $configManager, ManagerRegistry $registry, TokenStorageInterface $tokenStorage, SymmetricCrypterInterface $crypter, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Layout/DataProvider/AbstractSegmentProductsProvider.php#L71 "Oro\Bundle\ProductBundle\Layout\DataProvider\AbstractSegmentProductsProvider")</sup>
* The `ProductType::__construct(DefaultProductUnitProviderInterface $provider, UrlGeneratorInterface $urlGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductType.php#L57 "Oro\Bundle\ProductBundle\Form\Type\ProductType")</sup> method was changed to `ProductType::__construct(DefaultProductUnitProviderInterface $provider, UrlGeneratorInterface $urlGenerator, ProductImageHelper $productImageHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Form/Type/ProductType.php#L65 "Oro\Bundle\ProductBundle\Form\Type\ProductType")</sup>
* The `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::__construct($childName, $extendedType, ProductUnitFieldsSettingsInterface $productFormUnitFieldsSettings)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L36 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension")</sup> method was changed to `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::__construct($childName, ProductUnitFieldsSettingsInterface $productFormUnitFieldsSettings)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L31 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension")</sup>
* The `ProductCollectionExtension::__construct(TranslatorInterface $translator, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L32 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup> method was changed to `ProductCollectionExtension::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L27 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension")</sup>
* The `FieldsProvider::__construct(ServiceLink $entityFieldProviderLink, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L59 "Oro\Bundle\ProductBundle\Expression\FieldsProvider")</sup> method was changed to `FieldsProvider::__construct(EntityFieldProvider $entityFieldProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L61 "Oro\Bundle\ProductBundle\Expression\FieldsProvider")</sup>
* The `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductIndexFieldsProvider $fieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L37 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup> method was changed to `WebsiteSearchMappingListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductIndexFieldsProvider $fieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchMappingListener.php#L37 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchMappingListener")</sup>
* The `DisplaySimpleVariationsListener::__construct(DataProviderCacheCleaner $cacheCleaner, DataProviderCacheCleaner $categoryCacheCleaner, $configParameter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L30 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup> method was changed to `DisplaySimpleVariationsListener::__construct(CacheProvider $productCache, CacheProvider $categoryCache, $configParameter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L28 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup>
* The `ProductImageResizeEvent::__construct($productImageId, $forceOption = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Event/ProductImageResizeEvent.php#L25 "Oro\Bundle\ProductBundle\Event\ProductImageResizeEvent")</sup> method was changed to `ProductImageResizeEvent::__construct($productImageId, $forceOption = false, $dimensions = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Event/ProductImageResizeEvent.php#L34 "Oro\Bundle\ProductBundle\Event\ProductImageResizeEvent")</sup>
* The `Product::setPrimaryUnitPrecision($primaryUnitPrecision)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Entity/Product.php#L1390 "Oro\Bundle\ProductBundle\Entity\Product")</sup> method was changed to `Product::setPrimaryUnitPrecision($primaryUnitPrecision)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Entity/Product.php#L1394 "Oro\Bundle\ProductBundle\Entity\Product")</sup>
* The `SegmentEntityListener::__construct(DataProviderCacheCleaner $cacheCleaner)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Entity/EntityListener/SegmentEntityListener.php#L17 "Oro\Bundle\ProductBundle\Entity\EntityListener\SegmentEntityListener")</sup> method was changed to `SegmentEntityListener::__construct(CacheProvider $productCache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Entity/EntityListener/SegmentEntityListener.php#L21 "Oro\Bundle\ProductBundle\Entity\EntityListener\SegmentEntityListener")</sup>
* The `FrontendProductGridEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup> method was changed to `FrontendProductGridEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductGridEventListener.php#L75 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductGridEventListener")</sup>
* The `BrandController::getAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Controller/Api/Rest/BrandController.php#L36 "Oro\Bundle\ProductBundle\Controller\Api\Rest\BrandController")</sup> method was changed to `BrandController::getAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Controller/Api/Rest/BrandController.php#L39 "Oro\Bundle\ProductBundle\Controller\Api\Rest\BrandController")</sup>
* The `ProductVisibilityLimitedSearchHandler::__construct($entityName, RequestStack $requestStack, ProductManager $productManager, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L51 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler")</sup> method was changed to `ProductVisibilityLimitedSearchHandler::__construct($entityName, RequestStack $requestStack, ProductManager $productManager, ProductRepository $searchRepository, LocalizationHelper $localizationHelper, FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L48 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler")</sup>
* The `ConfigureProductSearchAttributes::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Api/Processor/ConfigureProductSearchAttributes.php#L38 "Oro\Bundle\ProductBundle\Api\Processor\ConfigureProductSearchAttributes")</sup> method was changed to `ConfigureProductSearchAttributes::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProviderInterface $configurationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ProductBundle/Api/Processor/ConfigureProductSearchAttributes.php#L38 "Oro\Bundle\ProductBundle\Api\Processor\ConfigureProductSearchAttributes")</sup>
* The `ChainDefaultProductUnitProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Provider/ChainDefaultProductUnitProvider.php#L19 "Oro\Bundle\ProductBundle\Provider\ChainDefaultProductUnitProvider::addProvider")</sup> method was removed.
* The following methods in class `ProductImageHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L42 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper")</sup> were removed:
   - `setProductImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L42 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::setProductImageImportDir")</sup>
   - `getProductImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L50 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::getProductImageImportDir")</sup>
* The following methods in class `AbstractProductDataStorageExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L263 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension")</sup> were removed:
   - `getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L263 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension::getExtendedType")</sup>
   - `setExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AbstractProductDataStorageExtension.php#L271 "Oro\Bundle\ProductBundle\Form\Extension\AbstractProductDataStorageExtension::setExtendedType")</sup>
* The `AttributeConfigExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/AttributeConfigExtension.php#L158 "Oro\Bundle\ProductBundle\Form\Extension\AttributeConfigExtension::getExtendedType")</sup> method was removed.
* The `ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/ChoicesProductPrimaryUnitSelectionOwnerTypeExtension.php#L79 "Oro\Bundle\ProductBundle\Form\Extension\ChoicesProductPrimaryUnitSelectionOwnerTypeExtension::getExtendedType")</sup> method was removed.
* The `EnumValueCollectionExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/EnumValueCollectionExtension.php#L44 "Oro\Bundle\ProductBundle\Form\Extension\EnumValueCollectionExtension::getExtendedType")</sup> method was removed.
* The `IntegerExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/IntegerExtension.php#L16 "Oro\Bundle\ProductBundle\Form\Extension\IntegerExtension::getExtendedType")</sup> method was removed.
* The `ProductCollectionExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Form/Extension/ProductCollectionExtension.php#L86 "Oro\Bundle\ProductBundle\Form\Extension\ProductCollectionExtension::getExtendedType")</sup> method was removed.
* The `FieldsProvider::getFieldsProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L219 "Oro\Bundle\ProductBundle\Expression\FieldsProvider::getFieldsProvider")</sup> method was removed.
* The `WebsiteSearchSegmentListener::onWebsiteSearchIndex`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/WebsiteSearchSegmentListener.php#L41 "Oro\Bundle\ProductBundle\EventListener\WebsiteSearchSegmentListener::onWebsiteSearchIndex")</sup> method was removed.
* The following methods in class `ProductCollectionsIndexCronCommand`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Command/ProductCollectionsIndexCronCommand.php#L46 "Oro\Bundle\ProductBundle\Command\ProductCollectionsIndexCronCommand")</sup> were removed:
   - `setMessageProducer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Command/ProductCollectionsIndexCronCommand.php#L46 "Oro\Bundle\ProductBundle\Command\ProductCollectionsIndexCronCommand::setMessageProducer")</sup>
   - `setMessageFactory`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Command/ProductCollectionsIndexCronCommand.php#L54 "Oro\Bundle\ProductBundle\Command\ProductCollectionsIndexCronCommand::setMessageFactory")</sup>
   - `setSegmentProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Command/ProductCollectionsIndexCronCommand.php#L62 "Oro\Bundle\ProductBundle\Command\ProductCollectionsIndexCronCommand::setSegmentProvider")</sup>
   - `setProductCollectionHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Command/ProductCollectionsIndexCronCommand.php#L70 "Oro\Bundle\ProductBundle\Command\ProductCollectionsIndexCronCommand::setProductCollectionHelper")</sup>
* The following methods in class `ProductVisibilityLimitedSearchHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L76 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler")</sup> were removed:
   - `setFrontendHelper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L76 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler::setFrontendHelper")</sup>
   - `setSearchRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L84 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler::setSearchRepository")</sup>
   - `isItem`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L200 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler::isItem")</sup>
* The `ProductImageHelper::$productImageImportDir`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Helper/ProductImageHelper.php#L15 "Oro\Bundle\ProductBundle\Helper\ProductImageHelper::$productImageImportDir")</sup> property was removed.
* The `FieldsProvider::$entityFieldProviderLink`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Expression/FieldsProvider.php#L33 "Oro\Bundle\ProductBundle\Expression\FieldsProvider::$entityFieldProviderLink")</sup> property was removed.
* The following properties in class `DisplaySimpleVariationsListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L13 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener")</sup> were removed:
   - `$cacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L13 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener::$cacheCleaner")</sup>
   - `$categoryCacheCleaner`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/EventListener/Config/DisplaySimpleVariationsListener.php#L18 "Oro\Bundle\ProductBundle\EventListener\Config\DisplaySimpleVariationsListener::$categoryCacheCleaner")</sup>
* The `ProductVisibilityLimitedSearchHandler::$entityRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ProductBundle/Autocomplete/ProductVisibilityLimitedSearchHandler.php#L31 "Oro\Bundle\ProductBundle\Autocomplete\ProductVisibilityLimitedSearchHandler::$entityRepository")</sup> property was removed.

PromotionBundle
---------------
* The `PromotionCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/DependencyInjection/Compiler/PromotionCompilerPass.php#L9 "Oro\Bundle\PromotionBundle\DependencyInjection\Compiler\PromotionCompilerPass")</sup> class was removed.
* The `SubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Provider/SubtotalProvider.php#L68 "Oro\Bundle\PromotionBundle\Provider\SubtotalProvider::getName")</sup> method was removed.
* The `OrderLineItemTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderLineItemTypeExtension.php#L128 "Oro\Bundle\PromotionBundle\Form\Extension\OrderLineItemTypeExtension::getExtendedType")</sup> method was removed.
* The `OrderTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Form/Extension/OrderTypeExtension.php#L35 "Oro\Bundle\PromotionBundle\Form\Extension\OrderTypeExtension::getExtendedType")</sup> method was removed.
* The `StrategyRegistry::addStrategy`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L16 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry::addStrategy")</sup> method was removed.
* The `DiscountContextConverterRegistry::registerConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Discount/Converter/DiscountContextConverterRegistry.php#L18 "Oro\Bundle\PromotionBundle\Discount\Converter\DiscountContextConverterRegistry::registerConverter")</sup> method was removed.
* The `ContextDataConverterRegistry::registerConverter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Context/ContextDataConverterRegistry.php#L17 "Oro\Bundle\PromotionBundle\Context\ContextDataConverterRegistry::registerConverter")</sup> method was removed.
* The `PromotionExecutor::__construct(DiscountContextConverterInterface $discountContextConverter, StrategyProvider $discountStrategyProvider, PromotionDiscountsProviderInterface $promotionDiscountsProvider, Cache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Executor/PromotionExecutor.php#L42 "Oro\Bundle\PromotionBundle\Executor\PromotionExecutor")</sup> method was changed to `PromotionExecutor::__construct(DiscountContextConverterInterface $discountContextConverter, StrategyProvider $discountStrategyProvider, PromotionDiscountsProviderInterface $promotionDiscountsProvider, Cache $cache, ObjectCacheKeyGenerator $objectCacheKeyGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PromotionBundle/Executor/PromotionExecutor.php#L49 "Oro\Bundle\PromotionBundle\Executor\PromotionExecutor")</sup>
* The `ActualizeCouponsStateListener::__construct(RegistryInterface $registry, EntityCouponsProvider $entityCouponsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/EventListener/ActualizeCouponsStateListener.php#L28 "Oro\Bundle\PromotionBundle\EventListener\ActualizeCouponsStateListener")</sup> method was changed to `ActualizeCouponsStateListener::__construct(ManagerRegistry $registry, EntityCouponsProvider $entityCouponsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PromotionBundle/EventListener/ActualizeCouponsStateListener.php#L28 "Oro\Bundle\PromotionBundle\EventListener\ActualizeCouponsStateListener")</sup>
* The `StrategyRegistry::getStrategyByAlias($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L33 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry")</sup> method was changed to `StrategyRegistry::getStrategyByAlias($alias)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/PromotionBundle/Discount/Strategy/StrategyRegistry.php#L46 "Oro\Bundle\PromotionBundle\Discount\Strategy\StrategyRegistry")</sup>

RFPBundle
---------
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\RFPBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RFPBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\RFPBundle\Provider\CurrencyCheckerProvider")</sup>
* The `FrontendRequestVoter::__construct(DoctrineHelper $doctrineHelper, ActionCurrentApplicationProvider $applicationProvider, WorkflowManager $workflowManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L30 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter")</sup> method was changed to `FrontendRequestVoter::__construct(DoctrineHelper $doctrineHelper, FrontendHelper $frontendHelper, WorkflowManager $workflowManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L30 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter")</sup>
* The `OrderDataStorageExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Form/Extension/OrderDataStorageExtension.php#L69 "Oro\Bundle\RFPBundle\Form\Extension\OrderDataStorageExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemDataStorageExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Form/Extension/OrderLineItemDataStorageExtension.php#L188 "Oro\Bundle\RFPBundle\Form\Extension\OrderLineItemDataStorageExtension::getExtendedType")</sup> method was removed.
* The `FrontendRequestVoter::$applicationProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RFPBundle/Acl/Voter/FrontendRequestVoter.php#L20 "Oro\Bundle\RFPBundle\Acl\Voter\FrontendRequestVoter::$applicationProvider")</sup> property was removed.

RedirectBundle
--------------
* The following classes were removed:
   - `ContextUrlProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/DependencyInjection/Compiler/ContextUrlProviderCompilerPass.php#L9 "Oro\Bundle\RedirectBundle\DependencyInjection\Compiler\ContextUrlProviderCompilerPass")</sup>
   - `RoutingInformationProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/DependencyInjection/Compiler/RoutingInformationProviderCompilerPass.php#L9 "Oro\Bundle\RedirectBundle\DependencyInjection\Compiler\RoutingInformationProviderCompilerPass")</sup>
* The `Firewall::__construct(FirewallMapInterface $map, EventDispatcherInterface $dispatcher, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L47 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup> method was changed to `Firewall::__construct(MatchedUrlDecisionMaker $matchedUrlDecisionMaker, RequestContext $context = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Security/Firewall.php#L42 "Oro\Bundle\RedirectBundle\Security\Firewall")</sup>
* The `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L21 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup> method was changed to `MatchedUrlDecisionMaker::__construct($skippedUrlPatterns, FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L25 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup>
* The `SlugUrlMatcher::__construct(RouterInterface $router, SlugRepository $slugRepository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L80 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup> method was changed to `SlugUrlMatcher::__construct(RouterInterface $router, ManagerRegistry $registry, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L82 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher")</sup>
* The `ChangedSlugsHelper::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, SlugEntityGenerator $slugGenerator, SlugUrlDiffer $slugUrlDiffer)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Helper/ChangedSlugsHelper.php#L39 "Oro\Bundle\RedirectBundle\Helper\ChangedSlugsHelper")</sup> method was changed to `ChangedSlugsHelper::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, SlugEntityGenerator $slugGenerator, SlugUrlDiffer $slugUrlDiffer, DraftHelper $draftHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Helper/ChangedSlugsHelper.php#L50 "Oro\Bundle\RedirectBundle\Helper\ChangedSlugsHelper")</sup>
* The `UniqueSlugResolver::__construct(SlugRepository $repository, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L41 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup> method was changed to `UniqueSlugResolver::__construct(ManagerRegistry $registry, AclHelper $aclHelper, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L52 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver")</sup>
* The `RedirectExceptionListener::__construct(RedirectRepository $repository, ScopeManager $scopeManager, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L40 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup> method was changed to `RedirectExceptionListener::__construct(SlugRedirectMatcher $redirectMatcher, MatchedUrlDecisionMaker $matchedUrlDecisionMaker)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/EventListener/RedirectExceptionListener.php#L27 "Oro\Bundle\RedirectBundle\EventListener\RedirectExceptionListener")</sup>
* The `SluggableUrlDumper::__construct(SlugRepository $slugRepository, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L25 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup> method was changed to `SluggableUrlDumper::__construct(ManagerRegistry $registry, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Cache/Dumper/SluggableUrlDumper.php#L29 "Oro\Bundle\RedirectBundle\Cache\Dumper\SluggableUrlDumper")</sup>
* The `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, SlugRepository $slugRepository, LoggerInterface $logger, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L58 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup> method was changed to `UrlCacheMassJobProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ManagerRegistry $registry, LoggerInterface $logger, UrlCacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Async/UrlCacheMassJobProcessor.php#L63 "Oro\Bundle\RedirectBundle\Async\UrlCacheMassJobProcessor")</sup>
* The `ComputeUrlFields::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Api/Processor/ComputeUrlFields.php#L37 "Oro\Bundle\RedirectBundle\Api\Processor\ComputeUrlFields")</sup> method was changed to `ComputeUrlFields::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, ConfigManager $configManager, UrlGeneratorInterface $urlGenerator, $urlField, $urlsField)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/RedirectBundle/Api/Processor/ComputeUrlFields.php#L47 "Oro\Bundle\RedirectBundle\Api\Processor\ComputeUrlFields")</sup>
* The `SlugUrlMatcher::$slugRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Routing/SlugUrlMatcher.php#L36 "Oro\Bundle\RedirectBundle\Routing\SlugUrlMatcher::$slugRepository")</sup> property was removed.
* The `UniqueSlugResolver::$repository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Generator/UniqueSlugResolver.php#L23 "Oro\Bundle\RedirectBundle\Generator\UniqueSlugResolver::$repository")</sup> property was removed.
* The `ContextUrlProviderRegistry::registerProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Provider/ContextUrlProviderRegistry.php#L16 "Oro\Bundle\RedirectBundle\Provider\ContextUrlProviderRegistry::registerProvider")</sup> method was removed.
* The `RoutingInformationProvider::registerProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/Provider/RoutingInformationProvider.php#L18 "Oro\Bundle\RedirectBundle\Provider\RoutingInformationProvider::registerProvider")</sup> method was removed.
* The `SluggableEntityListener::getChangedSluggableEntities`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/RedirectBundle/EventListener/SluggableEntityListener.php#L111 "Oro\Bundle\RedirectBundle\EventListener\SluggableEntityListener::getChangedSluggableEntities")</sup> method was removed.

SEOBundle
---------
* The `SeoDataProvider::__construct(LocalizationHelper $localizationHelper, RequestStack $requestStack, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoDataProvider.php#L35 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoDataProvider")</sup> method was changed to `SeoDataProvider::__construct(LocalizationHelper $localizationHelper, RequestWebContentVariantProvider $requestWebContentVariantProvider, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/SEOBundle/Layout/DataProvider/SeoDataProvider.php#L31 "Oro\Bundle\SEOBundle\Layout\DataProvider\SeoDataProvider")</sup>
* The `BrandFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Form/Extension/BrandFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\BrandFormExtension::getExtendedType")</sup> method was removed.
* The `CategoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Form/Extension/CategoryFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\CategoryFormExtension::getExtendedType")</sup> method was removed.
* The `ContentNodeFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Form/Extension/ContentNodeFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\ContentNodeFormExtension::getExtendedType")</sup> method was removed.
* The `PageFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Form/Extension/PageFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\PageFormExtension::getExtendedType")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SEOBundle/Form/Extension/ProductFormExtension.php#L12 "Oro\Bundle\SEOBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.

SaleBundle
----------
* The `CurrencyCheckerProvider::__construct(RegistryInterface $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Provider/CurrencyCheckerProvider.php#L18 "Oro\Bundle\SaleBundle\Provider\CurrencyCheckerProvider")</sup> method was changed to `CurrencyCheckerProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/SaleBundle/Provider/CurrencyCheckerProvider.php#L21 "Oro\Bundle\SaleBundle\Provider\CurrencyCheckerProvider")</sup>
* The `QuoteAddressSecurityProvider::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, QuoteAddressProvider $quoteAddressProvider, $customerAddressClass, $customerUserAddressClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Provider/QuoteAddressSecurityProvider.php#L40 "Oro\Bundle\SaleBundle\Provider\QuoteAddressSecurityProvider")</sup> method was changed to `QuoteAddressSecurityProvider::__construct(AuthorizationCheckerInterface $authorizationChecker, FrontendHelper $frontendHelper, QuoteAddressProvider $quoteAddressProvider, $customerAddressClass, $customerUserAddressClass)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/SaleBundle/Provider/QuoteAddressSecurityProvider.php#L40 "Oro\Bundle\SaleBundle\Provider\QuoteAddressSecurityProvider")</sup>
* The `FrontendQuotePermissionVoter::__construct(CurrentApplicationProviderInterface $applicationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Acl/Voter/FrontendQuotePermissionVoter.php#L23 "Oro\Bundle\SaleBundle\Acl\Voter\FrontendQuotePermissionVoter")</sup> method was changed to `FrontendQuotePermissionVoter::__construct(FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/SaleBundle/Acl/Voter/FrontendQuotePermissionVoter.php#L22 "Oro\Bundle\SaleBundle\Acl\Voter\FrontendQuotePermissionVoter")</sup>
* The `QuoteAddressSecurityProvider::$tokenAccessor`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Provider/QuoteAddressSecurityProvider.php#L22 "Oro\Bundle\SaleBundle\Provider\QuoteAddressSecurityProvider::$tokenAccessor")</sup> property was removed.
* The `FrontendQuotePermissionVoter::$applicationProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Acl/Voter/FrontendQuotePermissionVoter.php#L18 "Oro\Bundle\SaleBundle\Acl\Voter\FrontendQuotePermissionVoter::$applicationProvider")</sup> property was removed.
* The `QuoteType::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Form/Type/QuoteType.php#L214 "Oro\Bundle\SaleBundle\Form\Type\QuoteType::getName")</sup> method was removed.
* The `QuoteEmailTemplateExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Form/Extension/QuoteEmailTemplateExtension.php#L81 "Oro\Bundle\SaleBundle\Form\Extension\QuoteEmailTemplateExtension::getExtendedType")</sup> method was removed.
* The `FrontendQuotePermissionVoter::isValidApplication`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/SaleBundle/Acl/Voter/FrontendQuotePermissionVoter.php#L48 "Oro\Bundle\SaleBundle\Acl\Voter\FrontendQuotePermissionVoter::isValidApplication")</sup> method was removed.

ShippingBundle
--------------
* The following classes were removed:
   - `FreightClassExtensionPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/DependencyInjection/CompilerPass/FreightClassExtensionPass.php#L8 "Oro\Bundle\ShippingBundle\DependencyInjection\CompilerPass\FreightClassExtensionPass")</sup>
   - `ShippingMethodsCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/DependencyInjection/CompilerPass/ShippingMethodsCompilerPass.php#L9 "Oro\Bundle\ShippingBundle\DependencyInjection\CompilerPass\ShippingMethodsCompilerPass")</sup>
* The `OroShippingBundle::build`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/OroShippingBundle.php#L29 "Oro\Bundle\ShippingBundle\OroShippingBundle::build")</sup> method was removed.
* The `FreightClassesProvider::addExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Provider/FreightClassesProvider.php#L18 "Oro\Bundle\ShippingBundle\Provider\FreightClassesProvider::addExtension")</sup> method was removed.
* The `CompositeShippingMethodProvider::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Method/CompositeShippingMethodProvider.php#L15 "Oro\Bundle\ShippingBundle\Method\CompositeShippingMethodProvider::addProvider")</sup> method was removed.
* The `ProductFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Form/Extension/ProductFormExtension.php#L188 "Oro\Bundle\ShippingBundle\Form\Extension\ProductFormExtension::getExtendedType")</sup> method was removed.
* The `FormViewListener::addBlock(ScrollData $scrollData, $html, $label, $priority)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L95 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup> method was changed to `FormViewListener::addBlock(ScrollData $scrollData, $html, $label, $priority)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShippingBundle/EventListener/FormViewListener.php#L98 "Oro\Bundle\ShippingBundle\EventListener\FormViewListener")</sup>
* The `ShippingMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShippingBundle/Controller/Api/Rest/ShippingMethodsConfigsRuleController.php#L39 "Oro\Bundle\ShippingBundle\Controller\Api\Rest\ShippingMethodsConfigsRuleController")</sup> method was changed to `ShippingMethodsConfigsRuleController::enableAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShippingBundle/Controller/Api/Rest/ShippingMethodsConfigsRuleController.php#L39 "Oro\Bundle\ShippingBundle\Controller\Api\Rest\ShippingMethodsConfigsRuleController")</sup>

ShoppingListBundle
------------------
* The `ShoppingListViewVoter`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Voter/ShoppingListViewVoter.php#L9 "Oro\Bundle\ShoppingListBundle\Voter\ShoppingListViewVoter")</sup> class was removed.
* The `CurrentShoppingListManager::__construct(ShoppingListManager $shoppingListManager, GuestShoppingListManager $guestShoppingListManager, Cache $cache, ManagerRegistry $doctrine, AclHelper $aclHelper, TokenAccessorInterface $tokenAccessor, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/CurrentShoppingListManager.php#L50 "Oro\Bundle\ShoppingListBundle\Manager\CurrentShoppingListManager")</sup> method was changed to `CurrentShoppingListManager::__construct(ShoppingListManager $shoppingListManager, GuestShoppingListManager $guestShoppingListManager, CurrentShoppingListStorage $currentShoppingListStorage, ManagerRegistry $doctrine, AclHelper $aclHelper, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/CurrentShoppingListManager.php#L44 "Oro\Bundle\ShoppingListBundle\Manager\CurrentShoppingListManager")</sup>
* The `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L67 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup> method was changed to `ShoppingListManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor, TranslatorInterface $translator, QuantityRoundingService $rounding, WebsiteManager $websiteManager, ShoppingListTotalManager $totalManager, ProductVariantAvailabilityProvider $productVariantProvider, ProductMatrixAvailabilityProvider $productMatrixAvailabilityProvider, ConfigManager $configManager, EntityDeleteHandlerRegistry $deleteHandlerRegistry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListManager.php#L74 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListManager")</sup>
* The `ShoppingListOwnerManager::__construct(AclHelper $aclHelper, RegistryInterface $registry, ConfigProvider $configProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListOwnerManager.php#L41 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListOwnerManager")</sup> method was changed to `ShoppingListOwnerManager::__construct(AclHelper $aclHelper, ManagerRegistry $registry, ConfigProvider $configProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Manager/ShoppingListOwnerManager.php#L40 "Oro\Bundle\ShoppingListBundle\Manager\ShoppingListOwnerManager")</sup>
* The `ShoppingListTotalListener::__construct(RegistryInterface $registry, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L45 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup> method was changed to `ShoppingListTotalListener::__construct(ManagerRegistry $registry, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/EventListener/ShoppingListTotalListener.php#L45 "Oro\Bundle\ShoppingListBundle\EventListener\ShoppingListTotalListener")</sup>
* The `ShoppingListRepository::findAvailableForCustomerUser(AclHelper $aclHelper, $selectRelations = false, $websiteId = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L29 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup> method was changed to `ShoppingListRepository::findAvailableForCustomerUser(AclHelper $aclHelper, $selectRelations = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListRepository.php#L29 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListRepository")</sup>
* The `LineItemController::deleteAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/ShoppingListBundle/Controller/Frontend/Api/Rest/LineItemController.php#L33 "Oro\Bundle\ShoppingListBundle\Controller\Frontend\Api\Rest\LineItemController")</sup> method was changed to `LineItemController::deleteAction($id)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/ShoppingListBundle/Controller/Frontend/Api/Rest/LineItemController.php#L37 "Oro\Bundle\ShoppingListBundle\Controller\Frontend\Api\Rest\LineItemController")</sup>

TaxBundle
---------
* The following classes were removed:
   - `AddressMatcherRegistryPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/AddressMatcherRegistryPass.php#L8 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\AddressMatcherRegistryPass")</sup>
   - `TaxMapperPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/TaxMapperPass.php#L9 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\TaxMapperPass")</sup>
   - `TaxProviderPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/DependencyInjection/CompilerPass/TaxProviderPass.php#L9 "Oro\Bundle\TaxBundle\DependencyInjection\CompilerPass\TaxProviderPass")</sup>
* The `RowTotalResolver::__construct(TaxationSettingsProvider $settingsProvider, TaxCalculatorInterface $calculator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Resolver/RowTotalResolver.php#L35 "Oro\Bundle\TaxBundle\Resolver\RowTotalResolver")</sup> method was changed to `RowTotalResolver::__construct(TaxationSettingsProvider $settingsProvider, TaxCalculatorInterface $calculator, RoundingResolver $roundingResolver)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Resolver/RowTotalResolver.php#L39 "Oro\Bundle\TaxBundle\Resolver\RowTotalResolver")</sup>
* The `TaxProviderRegistry::__construct(ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L22 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry")</sup> method was changed to `TaxProviderRegistry::__construct($providerNames, ContainerInterface $providerContainer, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L31 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry")</sup>
* The `AbstractOrderMapper::__construct(ContextEventDispatcher $contextEventDispatcher, TaxationAddressProvider $addressProvider, $className)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L33 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper")</sup> method was changed to `AbstractOrderMapper::__construct(ContextEventDispatcher $contextEventDispatcher, TaxationAddressProvider $addressProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L27 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper")</sup>
* The `ResolvableMatcher::__construct(AddressMatcherRegistryInterface $addressMatcherRegistry, AddressResolverSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Matcher/ResolvableMatcher.php#L21 "Oro\Bundle\TaxBundle\Matcher\ResolvableMatcher")</sup> method was changed to `ResolvableMatcher::__construct(AddressMatcherRegistry $addressMatcherRegistry, AddressResolverSettingsProvider $taxationSettingsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Matcher/ResolvableMatcher.php#L24 "Oro\Bundle\TaxBundle\Matcher\ResolvableMatcher")</sup>
* The `TaxManager::__construct(TaxFactory $taxFactory, TaxEventDispatcher $eventDispatcher, TaxValueManager $taxValueManager, TaxationSettingsProvider $settingsProvider, CacheProvider $cacheProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Manager/TaxManager.php#L45 "Oro\Bundle\TaxBundle\Manager\TaxManager")</sup> method was changed to `TaxManager::__construct(TaxFactory $taxFactory, TaxEventDispatcher $eventDispatcher, TaxValueManager $taxValueManager, TaxationSettingsProvider $settingsProvider, CacheProvider $cacheProvider, ObjectCacheKeyGenerator $objectCacheKeyGenerator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Manager/TaxManager.php#L50 "Oro\Bundle\TaxBundle\Manager\TaxManager")</sup>
* The `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L40 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup> method was changed to `OrderLineItemTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxProviderRegistry $taxProviderRegistry, TotalProcessorProvider $totalProcessorProvider, SectionProvider $sectionProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L37 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension")</sup>
* The `OrderLineItemsCollectionTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxValueManager $taxValueManager, $extendedType)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L34 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension")</sup> method was changed to `OrderLineItemsCollectionTypeExtension::__construct(TaxationSettingsProvider $taxationSettingsProvider, TaxValueManager $taxValueManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L29 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension")</sup>
* The `TotalResolver::adjustAmounts`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Resolver/TotalResolver.php#L90 "Oro\Bundle\TaxBundle\Resolver\TotalResolver::adjustAmounts")</sup> method was removed.
* The `BuiltInTaxProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/BuiltInTaxProvider.php#L30 "Oro\Bundle\TaxBundle\Provider\BuiltInTaxProvider::getName")</sup> method was removed.
* The `TaxProviderRegistry::addProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderRegistry.php#L32 "Oro\Bundle\TaxBundle\Provider\TaxProviderRegistry::addProvider")</sup> method was removed.
* The `TaxSubtotalProvider::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxSubtotalProvider.php#L60 "Oro\Bundle\TaxBundle\Provider\TaxSubtotalProvider::getName")</sup> method was removed.
* The `AbstractOrderMapper::getProcessingClassName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L73 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper::getProcessingClassName")</sup> method was removed.
* The `OrderMapper::setOrderLineItemMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/OrderMapper.php#L68 "Oro\Bundle\TaxBundle\OrderTax\Mapper\OrderMapper::setOrderLineItemMapper")</sup> method was removed.
* The `AddressMatcherRegistry::addMatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Matcher/AddressMatcherRegistry.php#L40 "Oro\Bundle\TaxBundle\Matcher\AddressMatcherRegistry::addMatcher")</sup> method was removed.
* The `CustomerGroupTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/CustomerGroupTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\CustomerGroupTaxExtension::getExtendedType")</sup> method was removed.
* The `CustomerTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/CustomerTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\CustomerTaxExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L57 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension::getExtendedType")</sup> method was removed.
* The `OrderLineItemsCollectionTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemsCollectionTypeExtension.php#L47 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemsCollectionTypeExtension::getExtendedType")</sup> method was removed.
* The `ProductTaxExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/ProductTaxExtension.php#L17 "Oro\Bundle\TaxBundle\Form\Extension\ProductTaxExtension::getExtendedType")</sup> method was removed.
* The `TaxFactory::addMapper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Factory/TaxFactory.php#L22 "Oro\Bundle\TaxBundle\Factory\TaxFactory::addMapper")</sup> method was removed.
* The `TaxProviderInterface::getName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Provider/TaxProviderInterface.php#L25 "Oro\Bundle\TaxBundle\Provider\TaxProviderInterface::getName")</sup> method was removed.
* The `TaxMapperInterface::getProcessingClassName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Mapper/TaxMapperInterface.php#L20 "Oro\Bundle\TaxBundle\Mapper\TaxMapperInterface::getProcessingClassName")</sup> method was removed.
* The `AbstractOrderMapper::$className`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/OrderTax/Mapper/AbstractOrderMapper.php#L26 "Oro\Bundle\TaxBundle\OrderTax\Mapper\AbstractOrderMapper::$className")</sup> property was removed.
* The `OrderLineItemTypeExtension::$extendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Form/Extension/OrderLineItemTypeExtension.php#L31 "Oro\Bundle\TaxBundle\Form\Extension\OrderLineItemTypeExtension::$extendedType")</sup> property was removed.
* The `AddressMatcherRegistryInterface`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/TaxBundle/Matcher/AddressMatcherRegistryInterface.php#L5 "Oro\Bundle\TaxBundle\Matcher\AddressMatcherRegistryInterface")</sup> interface was removed.

VisibilityBundle
----------------
* The `CategoryVisibilityResolver::__construct(Registry $registry, ConfigManager $configManager, ScopeManager $scopeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L41 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver")</sup> method was changed to `CategoryVisibilityResolver::__construct(ManagerRegistry $doctrine, ConfigManager $configManager, ScopeManager $scopeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L40 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver")</sup>
* The `CategoryVisibleListener::__construct(CategoryRepository $categoryRepository, CategoryVisibilityResolverInterface $categoryVisibilityResolver, CustomerUserRelationsProvider $customerUserRelationsProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryVisibleListener.php#L47 "Oro\Bundle\VisibilityBundle\EventListener\CategoryVisibleListener")</sup> method was changed to `CategoryVisibleListener::__construct(ManagerRegistry $registry, CategoryVisibilityResolverInterface $categoryVisibilityResolver, CustomerUserRelationsProvider $customerUserRelationsProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/VisibilityBundle/EventListener/CategoryVisibleListener.php#L50 "Oro\Bundle\VisibilityBundle\EventListener\CategoryVisibleListener")</sup>
* The `CategoryVisibilityProcessor::__construct(ManagerRegistry $registry, MessageFactoryInterface $messageFactory, LoggerInterface $logger, CacheBuilderInterface $cacheBuilder, ProductMessageHandler $productMessageHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Async/Visibility/CategoryVisibilityProcessor.php#L30 "Oro\Bundle\VisibilityBundle\Async\Visibility\CategoryVisibilityProcessor")</sup> method was changed to `CategoryVisibilityProcessor::__construct(ManagerRegistry $registry, MessageFactoryInterface $messageFactory, LoggerInterface $logger, CacheBuilderInterface $cacheBuilder, ProductMessageHandler $productMessageHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/VisibilityBundle/Async/Visibility/CategoryVisibilityProcessor.php#L30 "Oro\Bundle\VisibilityBundle\Async\Visibility\CategoryVisibilityProcessor")</sup>
* The `CategoryVisibilityResolver::$registry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Visibility/Resolver/CategoryVisibilityResolver.php#L29 "Oro\Bundle\VisibilityBundle\Visibility\Resolver\CategoryVisibilityResolver::$registry")</sup> property was removed.
* The `CategoryFormExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/VisibilityBundle/Form/Extension/CategoryFormExtension.php#L18 "Oro\Bundle\VisibilityBundle\Form\Extension\CategoryFormExtension::getExtendedType")</sup> method was removed.

WebCatalog
----------
The following methods in interface `ContentVariantTypeInterface` were added (with link)
   - `getApiResourceClassName`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Component/WebCatalog/ContentVariantTypeInterface.php#L61 "Oro\Component\WebCatalog\ContentVariantTypeInterface::getApiResourceClassName")</sup>
   - `getApiResourceIdentifierDqlExpression`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Component/WebCatalog/ContentVariantTypeInterface.php#L71 "Oro\Component\WebCatalog\ContentVariantTypeInterface::getApiResourceIdentifierDqlExpression")</sup>

WebCatalogBundle
----------------
* The following classes were removed:
   - `AbstractWebCatalogDataProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/AbstractWebCatalogDataProvider.php#L14 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\AbstractWebCatalogDataProvider")</sup>
   - `RequestListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/EventListener/RequestListener.php#L10 "Oro\Bundle\WebCatalogBundle\EventListener\RequestListener")</sup>
   - `ScopeRequestListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/EventListener/ScopeRequestListener.php#L14 "Oro\Bundle\WebCatalogBundle\EventListener\ScopeRequestListener")</sup>
   - `ContentVariantProviderCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/DependencyInjection/Compiler/ContentVariantProviderCompilerPass.php#L9 "Oro\Bundle\WebCatalogBundle\DependencyInjection\Compiler\ContentVariantProviderCompilerPass")</sup>
   - `ContentVariantTypeCompilerPass`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/DependencyInjection/Compiler/ContentVariantTypeCompilerPass.php#L9 "Oro\Bundle\WebCatalogBundle\DependencyInjection\Compiler\ContentVariantTypeCompilerPass")</sup>
   - `ContentVariantProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentVariantProvider/ContentVariantProvider.php#L9 "Oro\Bundle\WebCatalogBundle\ContentVariantProvider\ContentVariantProvider")</sup>
   - `ContentVariantProviderRegistry`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentVariantProvider/ContentVariantProviderRegistry.php#L7 "Oro\Bundle\WebCatalogBundle\ContentVariantProvider\ContentVariantProviderRegistry")</sup>
   - `ContentNodeTreeResolverFacade`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverFacade.php#L13 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverFacade")</sup>
   - `ScopeMatcher`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ScopeMatcher.php#L13 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ScopeMatcher")</sup>
   - `ContentNodeTreeDumper`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/Dumper/ContentNodeTreeDumper.php#L20 "Oro\Bundle\WebCatalogBundle\Cache\Dumper\ContentNodeTreeDumper")</sup>
* The `ScopeWebCatalogProvider::getCriteriaForCurrentScope`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Provider/ScopeWebCatalogProvider.php#L28 "Oro\Bundle\WebCatalogBundle\Provider\ScopeWebCatalogProvider::getCriteriaForCurrentScope")</sup> method was removed.
* The `PageVariantTypeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Form/Extension/PageVariantTypeExtension.php#L23 "Oro\Bundle\WebCatalogBundle\Form\Extension\PageVariantTypeExtension::getExtendedType")</sup> method was removed.
* The `WebCatalogScopeExtension::getExtendedType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Form/Extension/WebCatalogScopeExtension.php#L59 "Oro\Bundle\WebCatalogBundle\Form\Extension\WebCatalogScopeExtension::getExtendedType")</sup> method was removed.
* The `ContentVariantTypeRegistry::addContentVariantType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentVariantType/ContentVariantTypeRegistry.php#L19 "Oro\Bundle\WebCatalogBundle\ContentVariantType\ContentVariantTypeRegistry::addContentVariantType")</sup> method was removed.
* The following methods in class `ContentNodeTreeResolver`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L56 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup> were removed:
   - `supports`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L56 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver::supports")</sup>
   - `getResolvedTree`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L68 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver::getResolvedTree")</sup>
   - `getResolvedContentVariant`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L116 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver::getResolvedContentVariant")</sup>
   - `resolveScope`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L201 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver::resolveScope")</sup>
   - `getCacheKey`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L45 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver::getCacheKey")</sup>
   - `supports`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L68 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver::supports")</sup>
* The `ContentNodeTreeResolverInterface::supports`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverInterface.php#L27 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverInterface::supports")</sup> method was removed.
* The `ContentVariantDataProvider::__construct(RequestStack $requestStack)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/ContentVariantDataProvider.php#L18 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\ContentVariantDataProvider")</sup> method was changed to `ContentVariantDataProvider::__construct(RequestWebContentVariantProvider $requestWebContentVariantProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/ContentVariantDataProvider.php#L19 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\ContentVariantDataProvider")</sup>
* The `MenuDataProvider::__construct(ManagerRegistry $registry, WebCatalogProvider $webCatalogProvider, ContentNodeTreeResolverInterface $contentNodeTreeResolverFacade, LocalizationHelper $localizationHelper, RequestStack $requestStack, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/MenuDataProvider.php#L57 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\MenuDataProvider")</sup> method was changed to `MenuDataProvider::__construct(ManagerRegistry $doctrine, WebCatalogProvider $webCatalogProvider, ContentNodeTreeResolverInterface $contentNodeTreeResolver, LocalizationHelper $localizationHelper, RequestWebContentScopeProvider $requestWebContentScopeProvider, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/MenuDataProvider.php#L63 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\MenuDataProvider")</sup>
* The `TitleDataProvider::__construct(RequestStack $requestStack, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/TitleDataProvider.php#L30 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\TitleDataProvider")</sup> method was changed to `TitleDataProvider::__construct(RequestWebContentVariantProvider $requestWebContentVariantProvider, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/TitleDataProvider.php#L25 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\TitleDataProvider")</sup>
* The following methods in class `WebCatalogBreadcrumbProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L44 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup> were changed:
  > - `__construct(ManagerRegistry $registry, LocalizationHelper $localizationHelper, RequestStack $requestStack, CategoryBreadcrumbProvider $categoryBreadcrumbProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L30 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup>
  > - `__construct(ManagerRegistry $doctrine, LocalizationHelper $localizationHelper, RequestStack $requestStack, RequestWebContentVariantProvider $requestWebContentVariantProvider, CategoryBreadcrumbProvider $categoryBreadcrumbProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L44 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup>

  > - `getItems($maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L45 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup>
  > - `getItems()`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/WebCatalogBreadcrumbProvider.php#L61 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\WebCatalogBreadcrumbProvider")</sup>

* The following methods in class `ContentNodeTreeResolver`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L42 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup> were changed:
  > - `__construct(DoctrineHelper $doctrineHelper, ScopeMatcher $scopeMatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L37 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup>
  > - `__construct(DoctrineHelper $doctrineHelper, ContentNodeProvider $contentNodeProvider, ScopeManager $scopeManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolver.php#L42 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolver")</sup>

  > - `getResolvedContentNode(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L53 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>
  > - `getResolvedContentNode(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L36 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>

  > - `__construct(DoctrineHelper $doctrineHelper, Cache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L34 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>
  > - `__construct(ContentNodeTreeResolverInterface $innerResolver, ContentNodeTreeCache $cache)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Cache/ContentNodeTreeResolver.php#L25 "Oro\Bundle\WebCatalogBundle\Cache\ContentNodeTreeResolver")</sup>

* The `ContentNodeCacheProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ScopeMatcher $scopeMatcher, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeCacheProcessor.php#L43 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeCacheProcessor")</sup> method was changed to `ContentNodeCacheProcessor::__construct(JobRunner $jobRunner, MessageProducerInterface $producer, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeCacheProcessor.php#L41 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeCacheProcessor")</sup>
* The `ContentNodeTreeCacheProcessor::__construct(JobRunner $jobRunner, ContentNodeTreeDumper $dumper, ManagerRegistry $registry, LoggerInterface $logger, CacheProvider $layoutCacheProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeTreeCacheProcessor.php#L68 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeTreeCacheProcessor")</sup> method was changed to `ContentNodeTreeCacheProcessor::__construct(JobRunner $jobRunner, ContentNodeTreeCacheDumper $dumper, ManagerRegistry $registry, LoggerInterface $logger, CacheProvider $layoutCacheProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/Async/ContentNodeTreeCacheProcessor.php#L68 "Oro\Bundle\WebCatalogBundle\Async\ContentNodeTreeCacheProcessor")</sup>
* The `ContentNodeTreeResolverInterface::getResolvedContentNode(ContentNode $node, Scope $scope, $maxNodesNestedLevel = null)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverInterface.php#L20 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverInterface")</sup> method was changed to `ContentNodeTreeResolverInterface::getResolvedContentNode(ContentNode $node, Scope $scope)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebCatalogBundle/ContentNodeUtils/ContentNodeTreeResolverInterface.php#L20 "Oro\Bundle\WebCatalogBundle\ContentNodeUtils\ContentNodeTreeResolverInterface")</sup>
* The `MenuDataProvider::$contentNodeTreeResolverFacade`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/MenuDataProvider.php#L37 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\MenuDataProvider::$contentNodeTreeResolverFacade")</sup> property was removed.
* The `TitleDataProvider::$requestStack`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebCatalogBundle/Layout/DataProvider/TitleDataProvider.php#L19 "Oro\Bundle\WebCatalogBundle\Layout\DataProvider\TitleDataProvider::$requestStack")</sup> property was removed.

WebsiteSearchBundle
-------------------
* The `HTMLSearchableAttributeType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/HTMLSearchableAttributeType.php#L11 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\HTMLSearchableAttributeType")</sup> class was removed.
* The `AbstractIndexer::__construct(DoctrineHelper $doctrineHelper, WebsiteSearchMappingProvider $mappingProvider, EntityDependenciesResolverInterface $entityDependenciesResolver, IndexDataProvider $indexDataProvider, PlaceholderInterface $placeholder, IndexerInputValidator $indexerInputValidator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AbstractIndexer.php#L59 "Oro\Bundle\WebsiteSearchBundle\Engine\AbstractIndexer")</sup> method was changed to `AbstractIndexer::__construct(DoctrineHelper $doctrineHelper, WebsiteSearchMappingProvider $mappingProvider, EntityDependenciesResolverInterface $entityDependenciesResolver, IndexDataProvider $indexDataProvider, PlaceholderInterface $placeholder, IndexerInputValidator $indexerInputValidator, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AbstractIndexer.php#L65 "Oro\Bundle\WebsiteSearchBundle\Engine\AbstractIndexer")</sup>
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L63 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L73 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>
* The `AbstractSearchableAttributeType::getType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0/src/Oro/Bundle/WebsiteSearchBundle/Attribute/Type/AbstractSearchableAttributeType.php#L29 "Oro\Bundle\WebsiteSearchBundle\Attribute\Type\AbstractSearchableAttributeType::getType")</sup> method was removed.

