- [ActionBundle](#actionbundle)
- [ActivityBundle](#activitybundle)
- [ActivityListBundle](#activitylistbundle)
- [AddressBundle](#addressbundle)
- [ApiBundle](#apibundle)
- [AssetBundle](#assetbundle)
- [AttachmentBundle](#attachmentbundle)
- [CacheBundle](#cachebundle)
- [ChainProcessor](#chainprocessor)
- [CommentBundle](#commentbundle)
- [Config](#config)
- [ConfigBundle](#configbundle)
- [CronBundle](#cronbundle)
- [CurrencyBundle](#currencybundle)
- [DashboardBundle](#dashboardbundle)
- [DataAuditBundle](#dataauditbundle)
- [DataGridBundle](#datagridbundle)
- [DigitalAssetBundle](#digitalassetbundle)
- [DistributionBundle](#distributionbundle)
- [DoctrineUtils](#doctrineutils)
- [DraftBundle](#draftbundle)
- [Duplicator](#duplicator)
- [EmailBundle](#emailbundle)
- [EmbeddedFormBundle](#embeddedformbundle)
- [EntityBundle](#entitybundle)
- [EntityConfigBundle](#entityconfigbundle)
- [EntityExtendBundle](#entityextendbundle)
- [EntityMergeBundle](#entitymergebundle)
- [EntityPaginationBundle](#entitypaginationbundle)
- [EntitySerializer](#entityserializer)
- [FeatureToggleBundle](#featuretogglebundle)
- [FilterBundle](#filterbundle)
- [FormBundle](#formbundle)
- [ImapBundle](#imapbundle)
- [ImportExportBundle](#importexportbundle)
- [InstallerBundle](#installerbundle)
- [IntegrationBundle](#integrationbundle)
- [Layout](#layout)
- [LayoutBundle](#layoutbundle)
- [LocaleBundle](#localebundle)
- [LoggerBundle](#loggerbundle)
- [MaintenanceBundle](#maintenancebundle)
- [MessageQueue](#messagequeue)
- [MessageQueueBundle](#messagequeuebundle)
- [MigrationBundle](#migrationbundle)
- [NavigationBundle](#navigationbundle)
- [NoteBundle](#notebundle)
- [NotificationBundle](#notificationbundle)
- [OrganizationBundle](#organizationbundle)
- [PhpUtils](#phputils)
- [PlatformBundle](#platformbundle)
- [PropertyAccess](#propertyaccess)
- [ReminderBundle](#reminderbundle)
- [ReportBundle](#reportbundle)
- [ScopeBundle](#scopebundle)
- [SearchBundle](#searchbundle)
- [SecurityBundle](#securitybundle)
- [SegmentBundle](#segmentbundle)
- [SoapBundle](#soapbundle)
- [SyncBundle](#syncbundle)
- [TagBundle](#tagbundle)
- [TestUtils](#testutils)
- [Testing](#testing)
- [TranslationBundle](#translationbundle)
- [UIBundle](#uibundle)
- [UserBundle](#userbundle)
- [WorkflowBundle](#workflowbundle)
- [WsseAuthenticationBundle](#wsseauthenticationbundle)

ActionBundle
------------
* The `ContextHelper::__construct(DoctrineHelper $doctrineHelper, PropertyAccessor $propertyAccessor, RequestStack $requestStack = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActionBundle/Helper/ContextHelper.php#L40 "Oro\Bundle\ActionBundle\Helper\ContextHelper")</sup> method was changed to `ContextHelper::__construct(DoctrineHelper $doctrineHelper, PropertyAccessorInterface $propertyAccessor, RequestStack $requestStack = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActionBundle/Helper/ContextHelper.php#L40 "Oro\Bundle\ActionBundle\Helper\ContextHelper")</sup>
* The `ConfigurationProvider::__construct($cacheFile, $debug, Container $container, $bundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActionBundle/Configuration/ConfigurationProvider.php#L33 "Oro\Bundle\ActionBundle\Configuration\ConfigurationProvider")</sup> method was changed to `ConfigurationProvider::__construct($cacheFile, $debug, Container $container)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActionBundle/Configuration/ConfigurationProvider.php#L28 "Oro\Bundle\ActionBundle\Configuration\ConfigurationProvider")</sup>

ActivityBundle
--------------
* The following classes were removed:
   - `ActivityEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityBundle/Tools/ActivityEntityGeneratorExtension.php#L16 "Oro\Bundle\ActivityBundle\Tools\ActivityEntityGeneratorExtension")</sup>
   - `ConfigureApiPass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityBundle/DependencyInjection/Compiler/ConfigureApiPass.php#L12 "Oro\Bundle\ActivityBundle\DependencyInjection\Compiler\ConfigureApiPass")</sup>
* The `AddActivityAssociationDescriptions::__construct(ActivityAssociationProvider $activityAssociationProvider, ResourceDocParserProvider $resourceDocParserProvider, EntityDescriptionProvider $entityDescriptionProvider, ValueNormalizer $valueNormalizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityBundle/Api/Processor/AddActivityAssociationDescriptions.php#L40 "Oro\Bundle\ActivityBundle\Api\Processor\AddActivityAssociationDescriptions")</sup> method was changed to `AddActivityAssociationDescriptions::__construct(ActivityAssociationProvider $activityAssociationProvider, ValueNormalizer $valueNormalizer, ResourceDocParserProvider $resourceDocParserProvider, EntityNameProvider $entityNameProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityBundle/Api/Processor/AddActivityAssociationDescriptions.php#L40 "Oro\Bundle\ActivityBundle\Api\Processor\AddActivityAssociationDescriptions")</sup>

ActivityListBundle
------------------
* The following classes were removed:
   - `ActivityListEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Tools/ActivityListEntityGeneratorExtension.php#L13 "Oro\Bundle\ActivityListBundle\Tools\ActivityListEntityGeneratorExtension")</sup>
   - `ExtendActivityList`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Model/ExtendActivityList.php#L5 "Oro\Bundle\ActivityListBundle\Model\ExtendActivityList")</sup>
* The following methods in class `ActivityListChainProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Provider/ActivityListChainProvider.php#L52 "Oro\Bundle\ActivityListBundle\Provider\ActivityListChainProvider")</sup> were changed:
  > - `__construct($activityClasses, $activityAclClasses, ContainerInterface $providerContainer, DoctrineHelper $doctrineHelper, ConfigManager $configManager, TranslatorInterface $translator, EntityRoutingHelper $routingHelper, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Provider/ActivityListChainProvider.php#L75 "Oro\Bundle\ActivityListBundle\Provider\ActivityListChainProvider")</sup>
  > - `__construct($activityClasses, $activityAclClasses, ContainerInterface $providerContainer, DoctrineHelper $doctrineHelper, ConfigManager $configManager, TranslatorInterface $translator, EntityRoutingHelper $routingHelper, TokenAccessorInterface $tokenAccessor, ActivityListFactory $activityListFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Provider/ActivityListChainProvider.php#L52 "Oro\Bundle\ActivityListBundle\Provider\ActivityListChainProvider")</sup>

  > - `getActivityListByEntity($entity, EntityManager $entityManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Provider/ActivityListChainProvider.php#L265 "Oro\Bundle\ActivityListBundle\Provider\ActivityListChainProvider")</sup>
  > - `getActivityListByEntity($entity, EntityManagerInterface $entityManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Provider/ActivityListChainProvider.php#L230 "Oro\Bundle\ActivityListBundle\Provider\ActivityListChainProvider")</sup>

* The `EmailRecipientsProvider::__construct(Registry $registry, ActivityManager $activityManager, RelatedEmailsProvider $relatedEmailsProvider, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Provider/EmailRecipientsProvider.php#L39 "Oro\Bundle\ActivityListBundle\Provider\EmailRecipientsProvider")</sup> method was changed to `EmailRecipientsProvider::__construct(ManagerRegistry $doctrine, ActivityManager $activityManager, RelatedEmailsProvider $relatedEmailsProvider, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Provider/EmailRecipientsProvider.php#L33 "Oro\Bundle\ActivityListBundle\Provider\EmailRecipientsProvider")</sup>
* The `PlaceholderFilter::__construct(ActivityListChainProvider $activityListChainProvider, ManagerRegistry $doctrine, DoctrineHelper $doctrineHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Placeholder/PlaceholderFilter.php#L34 "Oro\Bundle\ActivityListBundle\Placeholder\PlaceholderFilter")</sup> method was changed to `PlaceholderFilter::__construct(ActivityListChainProvider $activityListChainProvider, DoctrineHelper $doctrineHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Placeholder/PlaceholderFilter.php#L32 "Oro\Bundle\ActivityListBundle\Placeholder\PlaceholderFilter")</sup>
* The `ActivityInheritanceTargetsHelper::__construct(ConfigManager $configManager, Registry $registry, SubQueryLimitHelper $limitHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Helper/ActivityInheritanceTargetsHelper.php#L31 "Oro\Bundle\ActivityListBundle\Helper\ActivityInheritanceTargetsHelper")</sup> method was changed to `ActivityInheritanceTargetsHelper::__construct(ConfigManager $configManager, ManagerRegistry $doctrine, SubQueryLimitHelper $limitHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Helper/ActivityInheritanceTargetsHelper.php#L26 "Oro\Bundle\ActivityListBundle\Helper\ActivityInheritanceTargetsHelper")</sup>
* The `CollectListManager::isSupportedEntity($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Entity/Manager/CollectListManager.php#L31 "Oro\Bundle\ActivityListBundle\Entity\Manager\CollectListManager")</sup> method was changed to `CollectListManager::isSupportedEntity($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Entity/Manager/CollectListManager.php#L27 "Oro\Bundle\ActivityListBundle\Entity\Manager\CollectListManager")</sup>
* The `EmailRecipientsProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Provider/EmailRecipientsProvider.php#L28 "Oro\Bundle\ActivityListBundle\Provider\EmailRecipientsProvider::$registry")</sup> property was removed.
* The `PlaceholderFilter::$doctrine`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Placeholder/PlaceholderFilter.php#L23 "Oro\Bundle\ActivityListBundle\Placeholder\PlaceholderFilter::$doctrine")</sup> property was removed.
* The `ActivityInheritanceTargetsHelper::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Helper/ActivityInheritanceTargetsHelper.php#L26 "Oro\Bundle\ActivityListBundle\Helper\ActivityInheritanceTargetsHelper::$registry")</sup> property was removed.
* The `ActivityListFilter::getForm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ActivityListBundle/Filter/ActivityListFilter.php#L91 "Oro\Bundle\ActivityListBundle\Filter\ActivityListFilter::getForm")</sup> method was removed.
* The `ActivityListProviderInterface::isActivityListApplicable`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ActivityListBundle/Model/ActivityListProviderInterface.php#L63 "Oro\Bundle\ActivityListBundle\Model\ActivityListProviderInterface::isActivityListApplicable")</sup> interface method was added.

AddressBundle
-------------
* The following classes were removed:
   - `ExtendAddress`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Model/ExtendAddress.php#L7 "Oro\Bundle\AddressBundle\Model\ExtendAddress")</sup>
   - `ExtendCountry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Model/ExtendCountry.php#L5 "Oro\Bundle\AddressBundle\Model\ExtendCountry")</sup>
   - `TranslatorCatalogueListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/EventListener/TranslatorCatalogueListener.php#L19 "Oro\Bundle\AddressBundle\EventListener\TranslatorCatalogueListener")</sup>
   - `AddressTypeTranslationRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/AddressTypeTranslationRepository.php#L12 "Oro\Bundle\AddressBundle\Entity\Repository\AddressTypeTranslationRepository")</sup>
   - `CountryTranslationRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/CountryTranslationRepository.php#L12 "Oro\Bundle\AddressBundle\Entity\Repository\CountryTranslationRepository")</sup>
   - `RegionTranslationRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/RegionTranslationRepository.php#L12 "Oro\Bundle\AddressBundle\Entity\Repository\RegionTranslationRepository")</sup>
* The `CountryProvider::getCountriesNames`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Provider/CountryProvider.php#L20 "Oro\Bundle\AddressBundle\Provider\CountryProvider::getCountriesNames")</sup> method was removed.
* The following methods in class `AddressTypeRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/AddressTypeRepository.php#L21 "Oro\Bundle\AddressBundle\Entity\Repository\AddressTypeRepository")</sup> were removed:
   - `getAllIdentities`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/AddressTypeRepository.php#L21 "Oro\Bundle\AddressBundle\Entity\Repository\AddressTypeRepository::getAllIdentities")</sup>
   - `updateTranslations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/AddressTypeRepository.php#L34 "Oro\Bundle\AddressBundle\Entity\Repository\AddressTypeRepository::updateTranslations")</sup>
* The following methods in class `CountryRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/CountryRepository.php#L32 "Oro\Bundle\AddressBundle\Entity\Repository\CountryRepository")</sup> were removed:
   - `getAllCountryNamesArray`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/CountryRepository.php#L32 "Oro\Bundle\AddressBundle\Entity\Repository\CountryRepository::getAllCountryNamesArray")</sup>
   - `getAllIdentities`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/CountryRepository.php#L43 "Oro\Bundle\AddressBundle\Entity\Repository\CountryRepository::getAllIdentities")</sup>
   - `updateTranslations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/CountryRepository.php#L56 "Oro\Bundle\AddressBundle\Entity\Repository\CountryRepository::updateTranslations")</sup>
* The following methods in class `RegionRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/RegionRepository.php#L51 "Oro\Bundle\AddressBundle\Entity\Repository\RegionRepository")</sup> were removed:
   - `getAllIdentities`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/RegionRepository.php#L51 "Oro\Bundle\AddressBundle\Entity\Repository\RegionRepository::getAllIdentities")</sup>
   - `updateTranslations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/RegionRepository.php#L64 "Oro\Bundle\AddressBundle\Entity\Repository\RegionRepository::updateTranslations")</sup>
* The `CountryProvider::__construct(CountryRepository $repository)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Provider/CountryProvider.php#L12 "Oro\Bundle\AddressBundle\Provider\CountryProvider")</sup> method was changed to `CountryProvider::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AddressBundle/Provider/CountryProvider.php#L16 "Oro\Bundle\AddressBundle\Provider\CountryProvider")</sup>
* The following methods in class `AddressHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L21 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup> were changed:
  > - `__construct(FormInterface $form, RequestStack $requestStack, ObjectManager $manager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L30 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup>
  > - `__construct(ObjectManager $manager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L21 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup>

  > - `process(AbstractAddress $entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L43 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup>
  > - `process($entity, FormInterface $form, Request $request)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L29 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup>

* The `AddressSameTransformer::__construct(PropertyAccessor $propertyAccessor, $fields)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/DataTransformer/AddressSameTransformer.php#L20 "Oro\Bundle\AddressBundle\Form\DataTransformer\AddressSameTransformer")</sup> method was changed to `AddressSameTransformer::__construct(PropertyAccessorInterface $propertyAccessor, $fields)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AddressBundle/Form/DataTransformer/AddressSameTransformer.php#L23 "Oro\Bundle\AddressBundle\Form\DataTransformer\AddressSameTransformer")</sup>
* The `CountryProvider::$repository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Provider/CountryProvider.php#L10 "Oro\Bundle\AddressBundle\Provider\CountryProvider::$repository")</sup> property was removed.
* The following properties in class `AddressHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L18 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler")</sup> were removed:
   - `$form`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L18 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler::$form")</sup>
   - `$requestStack`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Form/Handler/AddressHandler.php#L23 "Oro\Bundle\AddressBundle\Form\Handler\AddressHandler::$requestStack")</sup>
* The `IdentityAwareTranslationRepositoryInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AddressBundle/Entity/Repository/IdentityAwareTranslationRepositoryInterface.php#L9 "Oro\Bundle\AddressBundle\Entity\Repository\IdentityAwareTranslationRepositoryInterface")</sup> interface was removed.

ApiBundle
---------
* The following classes were removed:
   - `AbstractUpdateNestedModel`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/AbstractUpdateNestedModel.php#L17 "Oro\Bundle\ApiBundle\Processor\AbstractUpdateNestedModel")</sup>
   - `CompleteCompositeIdentifierFilter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteCompositeIdentifierFilter.php#L12 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteCompositeIdentifierFilter")</sup>
   - `ScalarCollectionEntryFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/EventListener/ScalarCollectionEntryFactory.php#L11 "Oro\Bundle\ApiBundle\Form\EventListener\ScalarCollectionEntryFactory")</sup>
   - `FindFieldUtil`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/FindFieldUtil.php#L10 "Oro\Bundle\ApiBundle\Config\FindFieldUtil")</sup>
   - `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Async/Topics.php#L8 "Oro\Bundle\ApiBundle\Batch\Async\Topics")</sup>
* The `AclProtectedEntitySerializer::serialize(QueryBuilder $qb, $config, $context = [], $skipPostSerializationForPrimaryEntities = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/AclProtectedEntitySerializer.php#L19 "Oro\Bundle\ApiBundle\Util\AclProtectedEntitySerializer")</sup> method was changed to `AclProtectedEntitySerializer::serialize(QueryBuilder $qb, $config, $context = [], $skipPostSerializationForPrimaryEntities = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/AclProtectedEntitySerializer.php#L20 "Oro\Bundle\ApiBundle\Util\AclProtectedEntitySerializer")</sup>
* The `AclProtectedQueryFactory::setRequestType(RequestType $requestType = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/AclProtectedQueryFactory.php#L38 "Oro\Bundle\ApiBundle\Util\AclProtectedQueryFactory")</sup> method was changed to `AclProtectedQueryFactory::setRequestType($requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/AclProtectedQueryFactory.php#L36 "Oro\Bundle\ApiBundle\Util\AclProtectedQueryFactory")</sup>
* The `ConfigConverter::setRequestType(RequestType $requestType = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/ConfigConverter.php#L28 "Oro\Bundle\ApiBundle\Util\ConfigConverter")</sup> method was changed to `ConfigConverter::setRequestType($requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ConfigConverter.php#L25 "Oro\Bundle\ApiBundle\Util\ConfigConverter")</sup>
* The `ConfigUtil::convertObjectsToArray($objects, $treatEmptyAsNull = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/ConfigUtil.php#L180 "Oro\Bundle\ApiBundle\Util\ConfigUtil")</sup> method was changed to `ConfigUtil::convertObjectsToArray($objects, $treatEmptyAsNull = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ConfigUtil.php#L167 "Oro\Bundle\ApiBundle\Util\ConfigUtil")</sup>
* The `DoctrineHelper::findEntityMetadataByPath($entityClass, $associationPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/DoctrineHelper.php#L107 "Oro\Bundle\ApiBundle\Util\DoctrineHelper")</sup> method was changed to `DoctrineHelper::findEntityMetadataByPath($entityClass, $associationPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/DoctrineHelper.php#L80 "Oro\Bundle\ApiBundle\Util\DoctrineHelper")</sup>
* The `EntityIdHelper::setEntityIdentifier($entity, $entityId, EntityIdMetadataInterface $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityIdHelper.php#L28 "Oro\Bundle\ApiBundle\Util\EntityIdHelper")</sup> method was changed to `EntityIdHelper::setEntityIdentifier($entity, $entityId, EntityIdMetadataInterface $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/EntityIdHelper.php#L25 "Oro\Bundle\ApiBundle\Util\EntityIdHelper")</sup>
* The `EntityLoader::findEntity($entityClass, $entityId, EntityMetadata $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityLoader.php#L33 "Oro\Bundle\ApiBundle\Util\EntityLoader")</sup> method was changed to `EntityLoader::findEntity($entityClass, $entityId, EntityMetadata $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/EntityLoader.php#L32 "Oro\Bundle\ApiBundle\Util\EntityLoader")</sup>
* The `EntityMapper::getModel($entity, $modelClass = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityMapper.php#L64 "Oro\Bundle\ApiBundle\Util\EntityMapper")</sup> method was changed to `EntityMapper::getModel($entity, $modelClass = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/EntityMapper.php#L47 "Oro\Bundle\ApiBundle\Util\EntityMapper")</sup>
* The `FieldAccessor::setRequestType(RequestType $requestType = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/FieldAccessor.php#L25 "Oro\Bundle\ApiBundle\Util\FieldAccessor")</sup> method was changed to `FieldAccessor::setRequestType($requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/FieldAccessor.php#L22 "Oro\Bundle\ApiBundle\Util\FieldAccessor")</sup>
* The `RequestDataAccessor::setValue(&$requestData, $path, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/RequestDataAccessor.php#L38 "Oro\Bundle\ApiBundle\Util\RequestDataAccessor")</sup> method was changed to `RequestDataAccessor::setValue(&$requestData, $path, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/RequestDataAccessor.php#L28 "Oro\Bundle\ApiBundle\Util\RequestDataAccessor")</sup>
* The `RequestExpressionMatcher::matchValue($expression, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/RequestExpressionMatcher.php#L24 "Oro\Bundle\ApiBundle\Util\RequestExpressionMatcher")</sup> method was changed to `RequestExpressionMatcher::matchValue($expression, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/RequestExpressionMatcher.php#L18 "Oro\Bundle\ApiBundle\Util\RequestExpressionMatcher")</sup>
* The `ValidationHelper::getValidationMetadataForClass($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/ValidationHelper.php#L27 "Oro\Bundle\ApiBundle\Util\ValidationHelper")</sup> method was changed to `ValidationHelper::getValidationMetadataForClass($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ValidationHelper.php#L25 "Oro\Bundle\ApiBundle\Util\ValidationHelper")</sup>
* The following methods in class `ValueNormalizerUtil`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ValueNormalizerUtil.php#L24 "Oro\Bundle\ApiBundle\Util\ValueNormalizerUtil")</sup> were changed:
  > - `humanizeClassName($className, $classSuffix = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/ValueNormalizerUtil.php#L29 "Oro\Bundle\ApiBundle\Util\ValueNormalizerUtil")</sup>
  > - `humanizeClassName($className, $classSuffix = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ValueNormalizerUtil.php#L24 "Oro\Bundle\ApiBundle\Util\ValueNormalizerUtil")</sup>

  > - `convertToEntityType(ValueNormalizer $valueNormalizer, $entityClass, RequestType $requestType, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/ValueNormalizerUtil.php#L70 "Oro\Bundle\ApiBundle\Util\ValueNormalizerUtil")</sup>
  > - `convertToEntityType(ValueNormalizer $valueNormalizer, $entityClass, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Util/ValueNormalizerUtil.php#L58 "Oro\Bundle\ApiBundle\Util\ValueNormalizerUtil")</sup>

* The following methods in class `AbstractDocumentBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L97 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup> were changed:
  > - `getEntityId($entity, RequestType $requestType, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L115 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>
  > - `getEntityId($entity, RequestType $requestType, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L97 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>

  > - `convertCollectionToArray($collection, RequestType $requestType, EntityMetadata $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L237 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>
  > - `convertCollectionToArray($collection, RequestType $requestType, $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L212 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>

  > - `convertToEntityType($entityClass, RequestType $requestType, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L265 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>
  > - `convertToEntityType($entityClass, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/AbstractDocumentBuilder.php#L233 "Oro\Bundle\ApiBundle\Request\AbstractDocumentBuilder")</sup>

* The `ApiResource::__construct($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ApiResource.php#L16 "Oro\Bundle\ApiBundle\Request\ApiResource")</sup> method was changed to `ApiResource::__construct($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ApiResource.php#L14 "Oro\Bundle\ApiBundle\Request\ApiResource")</sup>
* The `ApiResourceCollection::has($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceCollection.php#L20 "Oro\Bundle\ApiBundle\Request\ApiResourceCollection")</sup> method was changed to `ApiResourceCollection::has($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceCollection.php#L16 "Oro\Bundle\ApiBundle\Request\ApiResourceCollection")</sup>
* The `ApiResourceSubresources::__construct($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceSubresources.php#L16 "Oro\Bundle\ApiBundle\Request\ApiResourceSubresources")</sup> method was changed to `ApiResourceSubresources::__construct($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceSubresources.php#L14 "Oro\Bundle\ApiBundle\Request\ApiResourceSubresources")</sup>
* The `ApiResourceSubresourcesCollection::has($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceSubresourcesCollection.php#L20 "Oro\Bundle\ApiBundle\Request\ApiResourceSubresourcesCollection")</sup> method was changed to `ApiResourceSubresourcesCollection::has($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ApiResourceSubresourcesCollection.php#L16 "Oro\Bundle\ApiBundle\Request\ApiResourceSubresourcesCollection")</sup>
* The `ApiSubresource::setTargetClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ApiSubresource.php#L37 "Oro\Bundle\ApiBundle\Request\ApiSubresource")</sup> method was changed to `ApiSubresource::setTargetClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ApiSubresource.php#L28 "Oro\Bundle\ApiBundle\Request\ApiSubresource")</sup>
* The `CombinedEntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/CombinedEntityIdTransformer.php#L36 "Oro\Bundle\ApiBundle\Request\CombinedEntityIdTransformer")</sup> method was changed to `CombinedEntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/CombinedEntityIdTransformer.php#L31 "Oro\Bundle\ApiBundle\Request\CombinedEntityIdTransformer")</sup>
* The `DocumentBuilderDataAccessor::tryGetValue($propertyPath, &$value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilderDataAccessor.php#L162 "Oro\Bundle\ApiBundle\Request\DocumentBuilderDataAccessor")</sup> method was changed to `DocumentBuilderDataAccessor::tryGetValue($propertyPath, &$value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilderDataAccessor.php#L155 "Oro\Bundle\ApiBundle\Request\DocumentBuilderDataAccessor")</sup>
* The `ExceptionTextExtractor::__construct($debug, TranslatorInterface $translator, $safeExceptions, $safeExceptionExclusions = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ExceptionTextExtractor.php#L41 "Oro\Bundle\ApiBundle\Request\ExceptionTextExtractor")</sup> method was changed to `ExceptionTextExtractor::__construct($debug, TranslatorInterface $translator, $safeExceptions, $safeExceptionExclusions = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ExceptionTextExtractor.php#L36 "Oro\Bundle\ApiBundle\Request\ExceptionTextExtractor")</sup>
* The `NullEntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/NullEntityIdTransformer.php#L37 "Oro\Bundle\ApiBundle\Request\NullEntityIdTransformer")</sup> method was changed to `NullEntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/NullEntityIdTransformer.php#L33 "Oro\Bundle\ApiBundle\Request\NullEntityIdTransformer")</sup>
* The `RestFilterValueAccessor::__construct(Request $request, $operatorPattern, $operatorNameMap)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/RestFilterValueAccessor.php#L65 "Oro\Bundle\ApiBundle\Request\RestFilterValueAccessor")</sup> method was changed to `RestFilterValueAccessor::__construct(Request $request, $operatorPattern, $operatorNameMap)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/RestFilterValueAccessor.php#L54 "Oro\Bundle\ApiBundle\Request\RestFilterValueAccessor")</sup>
* The `RestFilterValueAccessorFactory::__construct($operatorPattern, $operators)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/RestFilterValueAccessorFactory.php#L23 "Oro\Bundle\ApiBundle\Request\RestFilterValueAccessorFactory")</sup> method was changed to `RestFilterValueAccessorFactory::__construct($operatorPattern, $operators)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/RestFilterValueAccessorFactory.php#L21 "Oro\Bundle\ApiBundle\Request\RestFilterValueAccessorFactory")</sup>
* The `RestRequestHeaders::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/RestRequestHeaders.php#L35 "Oro\Bundle\ApiBundle\Request\RestRequestHeaders")</sup> method was changed to `RestRequestHeaders::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/RestRequestHeaders.php#L32 "Oro\Bundle\ApiBundle\Request\RestRequestHeaders")</sup>
* The `ValueNormalizer::normalizeValue($value, $dataType, RequestType $requestType, $isArrayAllowed = false, $isRangeAllowed = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ValueNormalizer.php#L56 "Oro\Bundle\ApiBundle\Request\ValueNormalizer")</sup> method was changed to `ValueNormalizer::normalizeValue($value, $dataType, RequestType $requestType, $isArrayAllowed = false, $isRangeAllowed = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ValueNormalizer.php#L53 "Oro\Bundle\ApiBundle\Request\ValueNormalizer")</sup>
* The `ValueTransformer::transformValue($value, $dataType, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/ValueTransformer.php#L40 "Oro\Bundle\ApiBundle\Request\ValueTransformer")</sup> method was changed to `ValueTransformer::transformValue($value, $dataType, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/ValueTransformer.php#L31 "Oro\Bundle\ApiBundle\Request\ValueTransformer")</sup>
* The `EntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/Rest/EntityIdTransformer.php#L34 "Oro\Bundle\ApiBundle\Request\Rest\EntityIdTransformer")</sup> method was changed to `EntityIdTransformer::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/Rest/EntityIdTransformer.php#L31 "Oro\Bundle\ApiBundle\Request\Rest\EntityIdTransformer")</sup>
* The following methods in class `RestDocumentBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/Rest/RestDocumentBuilder.php#L53 "Oro\Bundle\ApiBundle\Request\Rest\RestDocumentBuilder")</sup> were changed:
  > - `convertCollectionToArray($collection, RequestType $requestType, EntityMetadata $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/Rest/RestDocumentBuilder.php#L53 "Oro\Bundle\ApiBundle\Request\Rest\RestDocumentBuilder")</sup>
  > - `convertCollectionToArray($collection, RequestType $requestType, $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/Rest/RestDocumentBuilder.php#L53 "Oro\Bundle\ApiBundle\Request\Rest\RestDocumentBuilder")</sup>

  > - `convertToEntityType($entityClass, RequestType $requestType, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/Rest/RestDocumentBuilder.php#L149 "Oro\Bundle\ApiBundle\Request\Rest\RestDocumentBuilder")</sup>
  > - `convertToEntityType($entityClass, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/Rest/RestDocumentBuilder.php#L149 "Oro\Bundle\ApiBundle\Request\Rest\RestDocumentBuilder")</sup>

* The `AbstractBaseRequestDataValidator::doValidation($validationCallback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/AbstractBaseRequestDataValidator.php#L26 "Oro\Bundle\ApiBundle\Request\JsonApi\AbstractBaseRequestDataValidator")</sup> method was changed to `AbstractBaseRequestDataValidator::doValidation($validationCallback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/AbstractBaseRequestDataValidator.php#L26 "Oro\Bundle\ApiBundle\Request\JsonApi\AbstractBaseRequestDataValidator")</sup>
* The following methods in class `JsonApiDocumentBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/JsonApiDocumentBuilder.php#L86 "Oro\Bundle\ApiBundle\Request\JsonApi\JsonApiDocumentBuilder")</sup> were changed:
  > - `convertCollectionToArray($collection, RequestType $requestType, EntityMetadata $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/JsonApiDocumentBuilder.php#L68 "Oro\Bundle\ApiBundle\Request\JsonApi\JsonApiDocumentBuilder")</sup>
  > - `convertCollectionToArray($collection, RequestType $requestType, $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/JsonApiDocumentBuilder.php#L86 "Oro\Bundle\ApiBundle\Request\JsonApi\JsonApiDocumentBuilder")</sup>

  > - `convertToEntityType($entityClass, RequestType $requestType, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/JsonApiDocumentBuilder.php#L175 "Oro\Bundle\ApiBundle\Request\JsonApi\JsonApiDocumentBuilder")</sup>
  > - `convertToEntityType($entityClass, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/JsonApiDocumentBuilder.php#L193 "Oro\Bundle\ApiBundle\Request\JsonApi\JsonApiDocumentBuilder")</sup>

* The `RelationshipRequestDataValidator::validatePrimarySingleItemDataObject($data, $pointer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/RelationshipRequestDataValidator.php#L75 "Oro\Bundle\ApiBundle\Request\JsonApi\RelationshipRequestDataValidator")</sup> method was changed to `RelationshipRequestDataValidator::validatePrimarySingleItemDataObject($data, $pointer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/RelationshipRequestDataValidator.php#L71 "Oro\Bundle\ApiBundle\Request\JsonApi\RelationshipRequestDataValidator")</sup>
* The following methods in class `TypedRequestDataValidator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/TypedRequestDataValidator.php#L23 "Oro\Bundle\ApiBundle\Request\JsonApi\TypedRequestDataValidator")</sup> were changed:
  > - `__construct($convertEntityTypeToClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/TypedRequestDataValidator.php#L24 "Oro\Bundle\ApiBundle\Request\JsonApi\TypedRequestDataValidator")</sup>
  > - `__construct($convertEntityTypeToClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/TypedRequestDataValidator.php#L23 "Oro\Bundle\ApiBundle\Request\JsonApi\TypedRequestDataValidator")</sup>

  > - `validatePrimaryDataObject($data, $primaryResourceClass, $primaryResourceId, $pointer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/TypedRequestDataValidator.php#L137 "Oro\Bundle\ApiBundle\Request\JsonApi\TypedRequestDataValidator")</sup>
  > - `validatePrimaryDataObject($data, $primaryResourceClass, $primaryResourceId, $pointer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/JsonApi/TypedRequestDataValidator.php#L130 "Oro\Bundle\ApiBundle\Request\JsonApi\TypedRequestDataValidator")</sup>

* The `ArrayAccessor::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ArrayAccessor.php#L15 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ArrayAccessor")</sup> method was changed to `ArrayAccessor::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ArrayAccessor.php#L15 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ArrayAccessor")</sup>
* The `AssociationToArrayAttributeConverter::convertObjectToArray($object, AssociationMetadata $association = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/AssociationToArrayAttributeConverter.php#L35 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\AssociationToArrayAttributeConverter")</sup> method was changed to `AssociationToArrayAttributeConverter::convertObjectToArray($object, AssociationMetadata $association = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/AssociationToArrayAttributeConverter.php#L32 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\AssociationToArrayAttributeConverter")</sup>
* The `EntityIdAccessor::getEntityId($entity, EntityMetadata $metadata, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/EntityIdAccessor.php#L40 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\EntityIdAccessor")</sup> method was changed to `EntityIdAccessor::getEntityId($entity, EntityMetadata $metadata, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/EntityIdAccessor.php#L32 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\EntityIdAccessor")</sup>
* The `ObjectAccessor::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectAccessor.php#L16 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectAccessor")</sup> method was changed to `ObjectAccessor::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectAccessor.php#L16 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectAccessor")</sup>
* The `CacheManager::clearApiDocCache($view = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Provider/CacheManager.php#L139 "Oro\Bundle\ApiBundle\Provider\CacheManager")</sup> method was changed to `CacheManager::clearApiDocCache($view = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Provider/CacheManager.php#L119 "Oro\Bundle\ApiBundle\Provider\CacheManager")</sup>
* The `EntityAliasResolver::__construct(EntityAliasLoader $loader, EntityOverrideProviderInterface $entityOverrideProvider, Cache $cache, LoggerInterface $logger, $configFiles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Provider/EntityAliasResolver.php#L28 "Oro\Bundle\ApiBundle\Provider\EntityAliasResolver")</sup> method was changed to `EntityAliasResolver::__construct(EntityAliasLoader $loader, EntityOverrideProviderInterface $entityOverrideProvider, CacheItemPoolInterface $cache, LoggerInterface $logger, $configFiles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Provider/EntityAliasResolver.php#L26 "Oro\Bundle\ApiBundle\Provider\EntityAliasResolver")</sup>
* The `ResourcesCacheAccessor::__construct(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Provider/ResourcesCacheAccessor.php#L19 "Oro\Bundle\ApiBundle\Provider\ResourcesCacheAccessor")</sup> method was changed to `ResourcesCacheAccessor::__construct(CacheItemPoolInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Provider/ResourcesCacheAccessor.php#L18 "Oro\Bundle\ApiBundle\Provider\ResourcesCacheAccessor")</sup>
* The `ResourcesProvider::__construct(ActionProcessorInterface $processor, ResourcesCache $resourcesCache, ResourcesWithoutIdentifierLoader $resourcesWithoutIdentifierLoader)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Provider/ResourcesProvider.php#L45 "Oro\Bundle\ApiBundle\Provider\ResourcesProvider")</sup> method was changed to `ResourcesProvider::__construct(ActionProcessorInterface $processor, ResourcesCache $resourcesCache, ResourcesWithoutIdentifierLoader $resourcesWithoutIdentifierLoader, ResourceCheckerInterface $resourceChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Provider/ResourcesProvider.php#L39 "Oro\Bundle\ApiBundle\Provider\ResourcesProvider")</sup>
* The `ActionProcessorBag::getProcessor($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ActionProcessorBag.php#L23 "Oro\Bundle\ApiBundle\Processor\ActionProcessorBag")</sup> method was changed to `ActionProcessorBag::getProcessor($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ActionProcessorBag.php#L30 "Oro\Bundle\ApiBundle\Processor\ActionProcessorBag")</sup>
* The `ApiContext::setVersion($version)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ApiContext.php#L61 "Oro\Bundle\ApiBundle\Processor\ApiContext")</sup> method was changed to `ApiContext::setVersion($version)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ApiContext.php#L54 "Oro\Bundle\ApiBundle\Processor\ApiContext")</sup>
* The `ByStepNormalizeResultActionProcessor::handleErrors(NormalizeResultContext $context, $processorId, $group)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ByStepNormalizeResultActionProcessor.php#L88 "Oro\Bundle\ApiBundle\Processor\ByStepNormalizeResultActionProcessor")</sup> method was changed to `ByStepNormalizeResultActionProcessor::handleErrors(NormalizeResultContext $context, $processorId, $group)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ByStepNormalizeResultActionProcessor.php#L88 "Oro\Bundle\ApiBundle\Processor\ByStepNormalizeResultActionProcessor")</sup>
* The following methods in class `Context`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Context.php#L107 "Oro\Bundle\ApiBundle\Processor\Context")</sup> were changed:
  > - `setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Context.php#L138 "Oro\Bundle\ApiBundle\Processor\Context")</sup>
  > - `setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Context.php#L107 "Oro\Bundle\ApiBundle\Processor\Context")</sup>

  > - `loadEntityConfig($entityClass, $extras)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Context.php#L680 "Oro\Bundle\ApiBundle\Processor\Context")</sup>
  > - `loadEntityConfig($entityClass, $extras)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Context.php#L647 "Oro\Bundle\ApiBundle\Processor\Context")</sup>

* The `CustomizeDataContext::setRootClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeDataContext.php#L46 "Oro\Bundle\ApiBundle\Processor\CustomizeDataContext")</sup> method was changed to `CustomizeDataContext::setRootClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeDataContext.php#L37 "Oro\Bundle\ApiBundle\Processor\CustomizeDataContext")</sup>
* The `ListContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ListContext.php#L29 "Oro\Bundle\ApiBundle\Processor\ListContext")</sup> method was changed to `ListContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ListContext.php#L25 "Oro\Bundle\ApiBundle\Processor\ListContext")</sup>
* The following methods in class `MatchApplicableChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L22 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup> were changed:
  > - `__construct($ignoredAttributes = [ ... ], $classAttributes = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L22 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>
  > - `__construct($ignoredAttributes = [ ... ], $classAttributes = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L22 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>

  > - `addClassAttribute($attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L34 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>
  > - `addClassAttribute($attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L32 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>

  > - `isMatchScalars($value, $contextValue, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L42 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>
  > - `isMatchScalars($value, $contextValue, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/MatchApplicableChecker.php#L40 "Oro\Bundle\ApiBundle\Processor\MatchApplicableChecker")</sup>

* The `NormalizeResultActionProcessor::handleErrors(NormalizeResultContext $context, $processorId, $group)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeResultActionProcessor.php#L83 "Oro\Bundle\ApiBundle\Processor\NormalizeResultActionProcessor")</sup> method was changed to `NormalizeResultActionProcessor::handleErrors(NormalizeResultContext $context, $processorId, $group)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeResultActionProcessor.php#L78 "Oro\Bundle\ApiBundle\Processor\NormalizeResultActionProcessor")</sup>
* The `NormalizeResultContext::setSoftErrorsHandling($softErrorsHandling)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeResultContext.php#L80 "Oro\Bundle\ApiBundle\Processor\NormalizeResultContext")</sup> method was changed to `NormalizeResultContext::setSoftErrorsHandling($softErrorsHandling)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeResultContext.php#L68 "Oro\Bundle\ApiBundle\Processor\NormalizeResultContext")</sup>
* The `OptimizedProcessorIterator::processSkippedGroups($skippedGroups)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/OptimizedProcessorIterator.php#L125 "Oro\Bundle\ApiBundle\Processor\OptimizedProcessorIterator")</sup> method was changed to `OptimizedProcessorIterator::processSkippedGroups($skippedGroups)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/OptimizedProcessorIterator.php#L124 "Oro\Bundle\ApiBundle\Processor\OptimizedProcessorIterator")</sup>
* The `OptimizedProcessorIteratorFactory::setProcessorBag(ProcessorBagInterface $processorBag = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/OptimizedProcessorIteratorFactory.php#L60 "Oro\Bundle\ApiBundle\Processor\OptimizedProcessorIteratorFactory")</sup> method was changed to `OptimizedProcessorIteratorFactory::setProcessorBag(ProcessorBagInterface $processorBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/OptimizedProcessorIteratorFactory.php#L57 "Oro\Bundle\ApiBundle\Processor\OptimizedProcessorIteratorFactory")</sup>
* The `OptionsProcessor::__construct(ProcessorBagInterface $processorBag, $action, ConfigProvider $configProvider, MetadataProvider $metadataProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/OptionsProcessor.php#L27 "Oro\Bundle\ApiBundle\Processor\OptionsProcessor")</sup> method was changed to `OptionsProcessor::__construct(ProcessorBagInterface $processorBag, $action, ConfigProvider $configProvider, MetadataProvider $metadataProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/OptionsProcessor.php#L18 "Oro\Bundle\ApiBundle\Processor\OptionsProcessor")</sup>
* The `RequestActionProcessor::__construct(ProcessorBagInterface $processorBag, $action, ConfigProvider $configProvider, MetadataProvider $metadataProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/RequestActionProcessor.php#L26 "Oro\Bundle\ApiBundle\Processor\RequestActionProcessor")</sup> method was changed to `RequestActionProcessor::__construct(ProcessorBagInterface $processorBag, $action, ConfigProvider $configProvider, MetadataProvider $metadataProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/RequestActionProcessor.php#L17 "Oro\Bundle\ApiBundle\Processor\RequestActionProcessor")</sup>
* The `SingleItemContext::setId($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/SingleItemContext.php#L29 "Oro\Bundle\ApiBundle\Processor\SingleItemContext")</sup> method was changed to `SingleItemContext::setId($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/SingleItemContext.php#L24 "Oro\Bundle\ApiBundle\Processor\SingleItemContext")</sup>
* The `UpdateListContext::setTargetFileName($targetFileName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/UpdateList/UpdateListContext.php#L52 "Oro\Bundle\ApiBundle\Processor\UpdateList\UpdateListContext")</sup> method was changed to `UpdateListContext::setTargetFileName($targetFileName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/UpdateList/UpdateListContext.php#L48 "Oro\Bundle\ApiBundle\Processor\UpdateList\UpdateListContext")</sup>
* The `ChangeRelationshipContext::setParentEntity($parentEntity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/ChangeRelationshipContext.php#L44 "Oro\Bundle\ApiBundle\Processor\Subresource\ChangeRelationshipContext")</sup> method was changed to `ChangeRelationshipContext::setParentEntity($parentEntity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/ChangeRelationshipContext.php#L37 "Oro\Bundle\ApiBundle\Processor\Subresource\ChangeRelationshipContext")</sup>
* The `SubresourceContext::setParentClassName($parentClassName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/SubresourceContext.php#L77 "Oro\Bundle\ApiBundle\Processor\Subresource\SubresourceContext")</sup> method was changed to `SubresourceContext::setParentClassName($parentClassName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/SubresourceContext.php#L68 "Oro\Bundle\ApiBundle\Processor\Subresource\SubresourceContext")</sup>
* The `LoadCustomAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadCustomAssociation.php#L72 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadCustomAssociation")</sup> method was changed to `LoadCustomAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadCustomAssociation.php#L60 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadCustomAssociation")</sup>
* The `LoadExtendedAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadExtendedAssociation.php#L17 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadExtendedAssociation")</sup> method was changed to `LoadExtendedAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadExtendedAssociation.php#L17 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadExtendedAssociation")</sup>
* The `LoadNestedAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadNestedAssociation.php#L17 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadNestedAssociation")</sup> method was changed to `LoadNestedAssociation::isSupportedAssociation($dataType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/LoadNestedAssociation.php#L17 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\LoadNestedAssociation")</sup>
* The `ValidateParentEntityObjectAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityObjectAccess.php#L27 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityObjectAccess")</sup> method was changed to `ValidateParentEntityObjectAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityObjectAccess.php#L20 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityObjectAccess")</sup>
* The `ValidateParentEntityTypeAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, DoctrineHelper $doctrineHelper, AclGroupProviderInterface $aclGroupProvider, $permission, $forcePermissionUsage = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityTypeAccess.php#L44 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityTypeAccess")</sup> method was changed to `ValidateParentEntityTypeAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, DoctrineHelper $doctrineHelper, AclGroupProviderInterface $aclGroupProvider, $permission, $forcePermissionUsage = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityTypeAccess.php#L28 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityTypeAccess")</sup>
* The `ValidateParentEntityTypeFeature::__construct(FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityTypeFeature.php#L21 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityTypeFeature")</sup> method was changed to `ValidateParentEntityTypeFeature::__construct(ResourcesProvider $resourcesProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/Shared/ValidateParentEntityTypeFeature.php#L20 "Oro\Bundle\ApiBundle\Processor\Subresource\Shared\ValidateParentEntityTypeFeature")</sup>
* The `GetSubresourceContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/GetSubresource/GetSubresourceContext.php#L30 "Oro\Bundle\ApiBundle\Processor\Subresource\GetSubresource\GetSubresourceContext")</sup> method was changed to `GetSubresourceContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/GetSubresource/GetSubresourceContext.php#L26 "Oro\Bundle\ApiBundle\Processor\Subresource\GetSubresource\GetSubresourceContext")</sup>
* The `GetRelationshipContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/GetRelationship/GetRelationshipContext.php#L30 "Oro\Bundle\ApiBundle\Processor\Subresource\GetRelationship\GetRelationshipContext")</sup> method was changed to `GetRelationshipContext::setTotalCountCallback($totalCount)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Subresource/GetRelationship/GetRelationshipContext.php#L26 "Oro\Bundle\ApiBundle\Processor\Subresource\GetRelationship\GetRelationshipContext")</sup>
* The `BuildQuery::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/BuildQuery.php#L18 "Oro\Bundle\ApiBundle\Processor\Shared\BuildQuery")</sup> method was changed to `BuildQuery::__construct(DoctrineHelper $doctrineHelper, FilterNamesRegistry $filterNamesRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/BuildQuery.php#L27 "Oro\Bundle\ApiBundle\Processor\Shared\BuildQuery")</sup>
* The `LoadNormalizedEntity::__construct(ActionProcessorBagInterface $processorBag, $reuseExistingEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/LoadNormalizedEntity.php#L35 "Oro\Bundle\ApiBundle\Processor\Shared\LoadNormalizedEntity")</sup> method was changed to `LoadNormalizedEntity::__construct(ActionProcessorBagInterface $processorBag, $reuseExistingEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/LoadNormalizedEntity.php#L32 "Oro\Bundle\ApiBundle\Processor\Shared\LoadNormalizedEntity")</sup>
* The `ProtectQueryByAcl::__construct(DoctrineHelper $doctrineHelper, AclHelper $aclHelper, AclAnnotationProvider $aclAnnotationProvider, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ProtectQueryByAcl.php#L37 "Oro\Bundle\ApiBundle\Processor\Shared\ProtectQueryByAcl")</sup> method was changed to `ProtectQueryByAcl::__construct(DoctrineHelper $doctrineHelper, AclHelper $aclHelper, AclAnnotationProvider $aclAnnotationProvider, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ProtectQueryByAcl.php#L24 "Oro\Bundle\ApiBundle\Processor\Shared\ProtectQueryByAcl")</sup>
* The `RegisterFilters::createFilter(FilterFieldConfig $filterConfig, $propertyPath, Context $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/RegisterFilters.php#L45 "Oro\Bundle\ApiBundle\Processor\Shared\RegisterFilters")</sup> method was changed to `RegisterFilters::createFilter(FilterFieldConfig $filterConfig, $propertyPath, Context $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/RegisterFilters.php#L38 "Oro\Bundle\ApiBundle\Processor\Shared\RegisterFilters")</sup>
* The `SetHttpAllowHeader::getExcludeActionsForClass($entityClass, $version, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/SetHttpAllowHeader.php#L102 "Oro\Bundle\ApiBundle\Processor\Shared\SetHttpAllowHeader")</sup> method was changed to `SetHttpAllowHeader::getExcludeActionsForClass($entityClass, $version, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/SetHttpAllowHeader.php#L101 "Oro\Bundle\ApiBundle\Processor\Shared\SetHttpAllowHeader")</sup>
* The `SwitchFormExtension::rememberValue(FormContext $context, $contextKey, $currentValue)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/SwitchFormExtension.php#L98 "Oro\Bundle\ApiBundle\Processor\Shared\SwitchFormExtension")</sup> method was changed to `SwitchFormExtension::rememberValue(FormContext $context, $contextKey, $currentValue)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/SwitchFormExtension.php#L88 "Oro\Bundle\ApiBundle\Processor\Shared\SwitchFormExtension")</sup>
* The `ValidateEntityObjectAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityObjectAccess.php#L27 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityObjectAccess")</sup> method was changed to `ValidateEntityObjectAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityObjectAccess.php#L20 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityObjectAccess")</sup>
* The `ValidateEntityObjectsAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityObjectsAccess.php#L27 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityObjectsAccess")</sup> method was changed to `ValidateEntityObjectsAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, $permission)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityObjectsAccess.php#L20 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityObjectsAccess")</sup>
* The `ValidateEntityTypeAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, DoctrineHelper $doctrineHelper, AclGroupProviderInterface $aclGroupProvider, $permission, $forcePermissionUsage = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityTypeAccess.php#L44 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityTypeAccess")</sup> method was changed to `ValidateEntityTypeAccess::__construct(AuthorizationCheckerInterface $authorizationChecker, DoctrineHelper $doctrineHelper, AclGroupProviderInterface $aclGroupProvider, $permission, $forcePermissionUsage = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityTypeAccess.php#L28 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityTypeAccess")</sup>
* The `ValidateEntityTypeFeature::__construct(FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityTypeFeature.php#L21 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityTypeFeature")</sup> method was changed to `ValidateEntityTypeFeature::__construct(ResourcesProvider $resourcesProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/ValidateEntityTypeFeature.php#L18 "Oro\Bundle\ApiBundle\Processor\Shared\ValidateEntityTypeFeature")</sup>
* The following methods in class `AbstractNormalizeRequestData`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/Rest/AbstractNormalizeRequestData.php#L71 "Oro\Bundle\ApiBundle\Processor\Shared\Rest\AbstractNormalizeRequestData")</sup> were changed:
  > - `normalizeRelationId($propertyPath, $entityClass, $entityId, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/Rest/AbstractNormalizeRequestData.php#L74 "Oro\Bundle\ApiBundle\Processor\Shared\Rest\AbstractNormalizeRequestData")</sup>
  > - `normalizeRelationId($propertyPath, $entityClass, $entityId, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/Rest/AbstractNormalizeRequestData.php#L71 "Oro\Bundle\ApiBundle\Processor\Shared\Rest\AbstractNormalizeRequestData")</sup>

  > - `normalizeEntityId($path, $pointer, $entityClass, $entityId, $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Shared/JsonApi/AbstractNormalizeRequestData.php#L199 "Oro\Bundle\ApiBundle\Processor\Shared\JsonApi\AbstractNormalizeRequestData")</sup>
  > - `normalizeEntityId($path, $pointer, $entityClass, $entityId, $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Shared/JsonApi/AbstractNormalizeRequestData.php#L179 "Oro\Bundle\ApiBundle\Processor\Shared\JsonApi\AbstractNormalizeRequestData")</sup>

* The `OptionsContext::setId($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/Options/OptionsContext.php#L82 "Oro\Bundle\ApiBundle\Processor\Options\OptionsContext")</sup> method was changed to `OptionsContext::setId($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/Options/OptionsContext.php#L78 "Oro\Bundle\ApiBundle\Processor\Options\OptionsContext")</sup>
* The `AbstractProcessor::getArrayRequirement($arrayDelimiter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/AbstractProcessor.php#L78 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\AbstractProcessor")</sup> method was changed to `AbstractProcessor::getArrayRequirement($arrayDelimiter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/AbstractProcessor.php#L68 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\AbstractProcessor")</sup>
* The `NormalizeBigint::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeBigint.php#L41 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeBigint")</sup> method was changed to `NormalizeBigint::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeBigint.php#L41 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeBigint")</sup>
* The `NormalizeBoolean::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeBoolean.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeBoolean")</sup> method was changed to `NormalizeBoolean::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeBoolean.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeBoolean")</sup>
* The `NormalizeDecimal::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeDecimal.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeDecimal")</sup> method was changed to `NormalizeDecimal::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeDecimal.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeDecimal")</sup>
* The `NormalizeEntityClass::isValueNormalizationRequired($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeEntityClass.php#L54 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeEntityClass")</sup> method was changed to `NormalizeEntityClass::isValueNormalizationRequired($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeEntityClass.php#L51 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeEntityClass")</sup>
* The `NormalizeEntityType::isValueNormalizationRequired($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeEntityType.php#L54 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeEntityType")</sup> method was changed to `NormalizeEntityType::isValueNormalizationRequired($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeEntityType.php#L51 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeEntityType")</sup>
* The `NormalizeInteger::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeInteger.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeInteger")</sup> method was changed to `NormalizeInteger::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeInteger.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeInteger")</sup>
* The `NormalizeNumber::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeNumber.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeNumber")</sup> method was changed to `NormalizeNumber::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeNumber.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeNumber")</sup>
* The `NormalizePercent100::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizePercent100.php#L16 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizePercent100")</sup> method was changed to `NormalizePercent100::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizePercent100.php#L16 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizePercent100")</sup>
* The `NormalizeString::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeString.php#L49 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeString")</sup> method was changed to `NormalizeString::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeString.php#L49 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeString")</sup>
* The `NormalizeUnsignedInteger::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeUnsignedInteger.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeUnsignedInteger")</sup> method was changed to `NormalizeUnsignedInteger::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/NormalizeUnsignedInteger.php#L40 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\NormalizeUnsignedInteger")</sup>
* The `NormalizeDate::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeDate.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeDate")</sup> method was changed to `NormalizeDate::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeDate.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeDate")</sup>
* The `NormalizeDateTime::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeDateTime.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeDateTime")</sup> method was changed to `NormalizeDateTime::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeDateTime.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeDateTime")</sup>
* The `NormalizeTime::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeTime.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeTime")</sup> method was changed to `NormalizeTime::normalizeValue($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/NormalizeValue/Rest/NormalizeTime.php#L42 "Oro\Bundle\ApiBundle\Processor\NormalizeValue\Rest\NormalizeTime")</sup>
* The `MetadataContext::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/MetadataContext.php#L58 "Oro\Bundle\ApiBundle\Processor\GetMetadata\MetadataContext")</sup> method was changed to `MetadataContext::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/MetadataContext.php#L52 "Oro\Bundle\ApiBundle\Processor\GetMetadata\MetadataContext")</sup>
* The `EntityMetadataFactory::createAndAddMetaPropertyMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityMetadataFactory.php#L41 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityMetadataFactory")</sup> method was changed to `EntityMetadataFactory::createAndAddMetaPropertyMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityMetadataFactory.php#L29 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityMetadataFactory")</sup>
* The `EntityMetadataLoader::loadEntityMetadata($entityClass, EntityDefinitionConfig $config, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityMetadataLoader.php#L66 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityMetadataLoader")</sup> method was changed to `EntityMetadataLoader::loadEntityMetadata($entityClass, EntityDefinitionConfig $config, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityMetadataLoader.php#L47 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityMetadataLoader")</sup>
* The `EntityNestedAssociationMetadataFactory::createAndAddNestedAssociationMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityNestedAssociationMetadataFactory.php#L41 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityNestedAssociationMetadataFactory")</sup> method was changed to `EntityNestedAssociationMetadataFactory::createAndAddNestedAssociationMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityNestedAssociationMetadataFactory.php#L27 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityNestedAssociationMetadataFactory")</sup>
* The `EntityNestedObjectMetadataFactory::createAndAddNestedObjectMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, EntityDefinitionConfig $config, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityNestedObjectMetadataFactory.php#L42 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityNestedObjectMetadataFactory")</sup> method was changed to `EntityNestedObjectMetadataFactory::createAndAddNestedObjectMetadata(EntityMetadata $entityMetadata, ClassMetadata $classMetadata, EntityDefinitionConfig $config, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/EntityNestedObjectMetadataFactory.php#L27 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\EntityNestedObjectMetadataFactory")</sup>
* The `MetadataHelper::assertDataType($dataType, $entityClass, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/MetadataHelper.php#L23 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\MetadataHelper")</sup> method was changed to `MetadataHelper::assertDataType($dataType, $entityClass, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/MetadataHelper.php#L16 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\MetadataHelper")</sup>
* The `NestedAssociationMetadataHelper::addNestedAssociation(EntityMetadata $entityMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/NestedAssociationMetadataHelper.php#L44 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\NestedAssociationMetadataHelper")</sup> method was changed to `NestedAssociationMetadataHelper::addNestedAssociation(EntityMetadata $entityMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/NestedAssociationMetadataHelper.php#L33 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\NestedAssociationMetadataHelper")</sup>
* The `NestedObjectMetadataHelper::addNestedObjectAssociation(EntityMetadata $entityMetadata, $entityClass, EntityDefinitionConfig $config, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/NestedObjectMetadataHelper.php#L43 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\NestedObjectMetadataHelper")</sup> method was changed to `NestedObjectMetadataHelper::addNestedObjectAssociation(EntityMetadata $entityMetadata, $entityClass, EntityDefinitionConfig $config, $fieldName, EntityDefinitionFieldConfig $field, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/NestedObjectMetadataHelper.php#L30 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\NestedObjectMetadataHelper")</sup>
* The `ObjectMetadataFactory::__construct(MetadataHelper $metadataHelper, AssociationManager $associationManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataFactory.php#L28 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataFactory")</sup> method was changed to `ObjectMetadataFactory::__construct(MetadataHelper $metadataHelper, ExtendedAssociationProvider $extendedAssociationProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataFactory.php#L25 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataFactory")</sup>
* The `ObjectMetadataLoader::loadObjectMetadata($entityClass, EntityDefinitionConfig $config, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataLoader.php#L43 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataLoader")</sup> method was changed to `ObjectMetadataLoader::loadObjectMetadata($entityClass, EntityDefinitionConfig $config, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataLoader.php#L32 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataLoader")</sup>
* The `ObjectNestedAssociationMetadataFactory::createAndAddNestedAssociationMetadata(EntityMetadata $entityMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectNestedAssociationMetadataFactory.php#L39 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectNestedAssociationMetadataFactory")</sup> method was changed to `ObjectNestedAssociationMetadataFactory::createAndAddNestedAssociationMetadata(EntityMetadata $entityMetadata, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectNestedAssociationMetadataFactory.php#L26 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectNestedAssociationMetadataFactory")</sup>
* The `ObjectNestedObjectMetadataFactory::createAndAddNestedObjectMetadata(EntityMetadata $entityMetadata, EntityDefinitionConfig $config, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectNestedObjectMetadataFactory.php#L40 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectNestedObjectMetadataFactory")</sup> method was changed to `ObjectNestedObjectMetadataFactory::createAndAddNestedObjectMetadata(EntityMetadata $entityMetadata, EntityDefinitionConfig $config, $entityClass, $fieldName, EntityDefinitionFieldConfig $field, $withExcludedProperties, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectNestedObjectMetadataFactory.php#L26 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectNestedObjectMetadataFactory")</sup>
* The `AbstractAddStatusCodes::addStatusCode(StatusCodesConfig $statusCodes, $statusCode, $description)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/AbstractAddStatusCodes.php#L19 "Oro\Bundle\ApiBundle\Processor\GetConfig\AbstractAddStatusCodes")</sup> method was changed to `AbstractAddStatusCodes::addStatusCode(StatusCodesConfig $statusCodes, $statusCode, $description)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/AbstractAddStatusCodes.php#L14 "Oro\Bundle\ApiBundle\Processor\GetConfig\AbstractAddStatusCodes")</sup>
* The `AddAssociationValidators::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/AddAssociationValidators.php#L22 "Oro\Bundle\ApiBundle\Processor\GetConfig\AddAssociationValidators")</sup> method was changed to `AddAssociationValidators::__construct(DoctrineHelper $doctrineHelper, AssociationAccessExclusionProviderRegistry $associationAccessExclusionProviderRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/AddAssociationValidators.php#L25 "Oro\Bundle\ApiBundle\Processor\GetConfig\AddAssociationValidators")</sup>
* The `CompleteFilters::completeFields(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteFilters.php#L58 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteFilters")</sup> method was changed to `CompleteFilters::completeFields(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteFilters.php#L57 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteFilters")</sup>
* The `CompleteSection::complete(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteSection.php#L24 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteSection")</sup> method was changed to `CompleteSection::complete(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteSection.php#L23 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteSection")</sup>
* The `CompleteSorters::completeFields(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteSorters.php#L30 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteSorters")</sup> method was changed to `CompleteSorters::completeFields(EntityConfigInterface $section, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteSorters.php#L30 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteSorters")</sup>
* The `ConfigContext::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/ConfigContext.php#L74 "Oro\Bundle\ApiBundle\Processor\GetConfig\ConfigContext")</sup> method was changed to `ConfigContext::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/ConfigContext.php#L69 "Oro\Bundle\ApiBundle\Processor\GetConfig\ConfigContext")</sup>
* The `NormalizeSection::normalize(EntityConfigInterface $section, $sectionName, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/NormalizeSection.php#L37 "Oro\Bundle\ApiBundle\Processor\GetConfig\NormalizeSection")</sup> method was changed to `NormalizeSection::normalize(EntityConfigInterface $section, $sectionName, $entityClass, EntityDefinitionConfig $definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/NormalizeSection.php#L30 "Oro\Bundle\ApiBundle\Processor\GetConfig\NormalizeSection")</sup>
* The `AbstractCompleteStatusCodes::addStatusCodes(StatusCodesConfig $statusCodes, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/Rest/AbstractCompleteStatusCodes.php#L41 "Oro\Bundle\ApiBundle\Processor\GetConfig\Rest\AbstractCompleteStatusCodes")</sup> method was changed to `AbstractCompleteStatusCodes::addStatusCodes(StatusCodesConfig $statusCodes, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/Rest/AbstractCompleteStatusCodes.php#L37 "Oro\Bundle\ApiBundle\Processor\GetConfig\Rest\AbstractCompleteStatusCodes")</sup>
* The `CompleteStatusCodes::addStatusCodes(StatusCodesConfig $statusCodes, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/Rest/CompleteStatusCodes.php#L23 "Oro\Bundle\ApiBundle\Processor\GetConfig\Rest\CompleteStatusCodes")</sup> method was changed to `CompleteStatusCodes::addStatusCodes(StatusCodesConfig $statusCodes, $targetAction)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/Rest/CompleteStatusCodes.php#L23 "Oro\Bundle\ApiBundle\Processor\GetConfig\Rest\CompleteStatusCodes")</sup>
* The `MergeActionConfigHelper::mergeActionConfig($config, $actionConfig, $withStatusCodes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeActionConfigHelper.php#L21 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeActionConfigHelper")</sup> method was changed to `MergeActionConfigHelper::mergeActionConfig($config, $actionConfig, $withStatusCodes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeActionConfigHelper.php#L14 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeActionConfigHelper")</sup>
* The `MergeParentResourceHelper::mergeParentResourceConfig(ConfigContext $context, $parentResourceClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeParentResourceHelper.php#L30 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeParentResourceHelper")</sup> method was changed to `MergeParentResourceHelper::mergeParentResourceConfig(ConfigContext $context, $parentResourceClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeParentResourceHelper.php#L24 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeParentResourceHelper")</sup>
* The `MergeSubresourceConfigHelper::mergeSubresourcesConfig($config, $subresourceConfig, $action, $withStatusCodes, $withFilters, $withSorters)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeSubresourceConfigHelper.php#L41 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeSubresourceConfigHelper")</sup> method was changed to `MergeSubresourceConfigHelper::mergeSubresourcesConfig($config, $subresourceConfig, $action, $withStatusCodes, $withFilters, $withSorters)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeSubresourceConfigHelper.php#L26 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeSubresourceConfigHelper")</sup>
* The `FixFieldNaming::renameReservedField(EntityDefinitionConfig $definition, $entityClass, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/JsonApi/FixFieldNaming.php#L62 "Oro\Bundle\ApiBundle\Processor\GetConfig\JsonApi\FixFieldNaming")</sup> method was changed to `FixFieldNaming::renameReservedField(EntityDefinitionConfig $definition, $entityClass, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/JsonApi/FixFieldNaming.php#L58 "Oro\Bundle\ApiBundle\Processor\GetConfig\JsonApi\FixFieldNaming")</sup>
* The `EntityDescriptionHelper::__construct(EntityDescriptionProvider $entityDocProvider, TranslatorInterface $translator, ResourceDocProvider $resourceDocProvider, ResourceDocParserProvider $resourceDocParserProvider, DescriptionProcessor $descriptionProcessor, IdentifierDescriptionHelper $identifierDescriptionHelper, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDescriptions/EntityDescriptionHelper.php#L48 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDescriptions\EntityDescriptionHelper")</sup> method was changed to `EntityDescriptionHelper::__construct(EntityDescriptionProvider $entityDescriptionProvider, EntityNameProvider $entityNameProvider, TranslatorInterface $translator, ResourceDocProvider $resourceDocProvider, ResourceDocParserProvider $resourceDocParserProvider, DescriptionProcessor $descriptionProcessor, IdentifierDescriptionHelper $identifierDescriptionHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDescriptions/EntityDescriptionHelper.php#L35 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDescriptions\EntityDescriptionHelper")</sup>
* The `CompleteAssociationHelper::completeAssociation(EntityDefinitionFieldConfig $field, $targetClass, $version, RequestType $requestType, $extras = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDefinition/CompleteAssociationHelper.php#L39 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDefinition\CompleteAssociationHelper")</sup> method was changed to `CompleteAssociationHelper::completeAssociation(EntityDefinitionFieldConfig $field, $targetClass, $version, RequestType $requestType, $extras = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDefinition/CompleteAssociationHelper.php#L38 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDefinition\CompleteAssociationHelper")</sup>
* The `CustomAssociationCompleter::__construct(DoctrineHelper $doctrineHelper, CompleteAssociationHelper $associationHelper, AssociationManager $associationManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDefinition/CustomAssociationCompleter.php#L32 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDefinition\CustomAssociationCompleter")</sup> method was changed to `CustomAssociationCompleter::__construct(DoctrineHelper $doctrineHelper, CompleteAssociationHelper $associationHelper, ExtendedAssociationProvider $extendedAssociationProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/CompleteDefinition/CustomAssociationCompleter.php#L27 "Oro\Bundle\ApiBundle\Processor\GetConfig\CompleteDefinition\CustomAssociationCompleter")</sup>
* The `BuildCustomTypes::__construct(AssociationManager $associationManager, DoctrineHelper $doctrineHelper, ValueTransformer $valueTransformer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/BuildCustomTypes.php#L34 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\BuildCustomTypes")</sup> method was changed to `BuildCustomTypes::__construct(ExtendedAssociationProvider $extendedAssociationProvider, DoctrineHelper $doctrineHelper, ValueTransformer $valueTransformer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/BuildCustomTypes.php#L29 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\BuildCustomTypes")</sup>
* The `ComputePrimaryField::__construct($primaryFieldName, $associationName, $associationDataFieldName, $associationPrimaryFlagFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/ComputePrimaryField.php#L37 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\ComputePrimaryField")</sup> method was changed to `ComputePrimaryField::__construct($primaryFieldName, $associationName, $associationDataFieldName, $associationPrimaryFlagFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/ComputePrimaryField.php#L24 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\ComputePrimaryField")</sup>
* The `CustomizeLoadedDataContext::isFieldRequested($fieldName, $data = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/CustomizeLoadedDataContext.php#L165 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\CustomizeLoadedDataContext")</sup> method was changed to `CustomizeLoadedDataContext::isFieldRequested($fieldName, $data = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/CustomizeLoadedDataContext.php#L149 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\CustomizeLoadedDataContext")</sup>
* The `ExpandMultiTargetAssociations::__construct(ConfigProvider $configProvider, EntitySerializer $entitySerializer, SerializationHelper $serializationHelper, DoctrineHelper $doctrineHelper, ResourcesProvider $resourcesProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/ExpandMultiTargetAssociations.php#L46 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\ExpandMultiTargetAssociations")</sup> method was changed to `ExpandMultiTargetAssociations::__construct(MultiTargetAssociationDataLoader $dataLoader)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeLoadedData/ExpandMultiTargetAssociations.php#L28 "Oro\Bundle\ApiBundle\Processor\CustomizeLoadedData\ExpandMultiTargetAssociations")</sup>
* The `CustomizeFormDataContext::setParentAction($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeFormData/CustomizeFormDataContext.php#L142 "Oro\Bundle\ApiBundle\Processor\CustomizeFormData\CustomizeFormDataContext")</sup> method was changed to `CustomizeFormDataContext::setParentAction($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeFormData/CustomizeFormDataContext.php#L131 "Oro\Bundle\ApiBundle\Processor\CustomizeFormData\CustomizeFormDataContext")</sup>
* The `MapPrimaryField::__construct(PropertyAccessorInterface $propertyAccessor, $unknownPrimaryValueValidationMessage, $primaryFieldName, $associationName, $associationDataFieldName, $associationPrimaryFlagFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeFormData/MapPrimaryField.php#L51 "Oro\Bundle\ApiBundle\Processor\CustomizeFormData\MapPrimaryField")</sup> method was changed to `MapPrimaryField::__construct(PropertyAccessorInterface $propertyAccessor, $unknownPrimaryValueValidationMessage, $primaryFieldName, $associationName, $associationDataFieldName, $associationPrimaryFlagFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CustomizeFormData/MapPrimaryField.php#L32 "Oro\Bundle\ApiBundle\Processor\CustomizeFormData\MapPrimaryField")</sup>
* The `CollectSubresourcesContext::hasResource($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/CollectSubresources/CollectSubresourcesContext.php#L38 "Oro\Bundle\ApiBundle\Processor\CollectSubresources\CollectSubresourcesContext")</sup> method was changed to `CollectSubresourcesContext::hasResource($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/CollectSubresources/CollectSubresourcesContext.php#L33 "Oro\Bundle\ApiBundle\Processor\CollectSubresources\CollectSubresourcesContext")</sup>
* The `PostProcessingDataTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/PostProcessor/PostProcessingDataTransformer.php#L27 "Oro\Bundle\ApiBundle\PostProcessor\PostProcessingDataTransformer")</sup> method was changed to `PostProcessingDataTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/PostProcessor/PostProcessingDataTransformer.php#L24 "Oro\Bundle\ApiBundle\PostProcessor\PostProcessingDataTransformer")</sup>
* The `TwigPostProcessor::__construct(Environment $twig)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/PostProcessor/TwigPostProcessor.php#L15 "Oro\Bundle\ApiBundle\PostProcessor\TwigPostProcessor")</sup> method was changed to `TwigPostProcessor::__construct(ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/PostProcessor/TwigPostProcessor.php#L16 "Oro\Bundle\ApiBundle\PostProcessor\TwigPostProcessor")</sup>
* The `DateTimeNormalizer::normalize($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Normalizer/DateTimeNormalizer.php#L26 "Oro\Bundle\ApiBundle\Normalizer\DateTimeNormalizer")</sup> method was changed to `DateTimeNormalizer::normalize($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Normalizer/DateTimeNormalizer.php#L25 "Oro\Bundle\ApiBundle\Normalizer\DateTimeNormalizer")</sup>
* The `ObjectNormalizer::__construct(ObjectNormalizerRegistry $normalizerRegistry, DoctrineHelper $doctrineHelper, SerializationHelper $serializationHelper, DataAccessorInterface $dataAccessor, ConfigNormalizer $configNormalizer, DataNormalizer $dataNormalizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizer.php#L46 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizer")</sup> method was changed to `ObjectNormalizer::__construct(ObjectNormalizerRegistry $normalizerRegistry, DoctrineHelper $doctrineHelper, SerializationHelper $serializationHelper, DataAccessorInterface $dataAccessor, ConfigNormalizer $configNormalizer, DataNormalizer $dataNormalizer, AuthorizationCheckerInterface $authorizationChecker, AssociationAccessExclusionProviderRegistry $associationAccessExclusionProviderRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizer.php#L44 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizer")</sup>
* The `ObjectNormalizerRegistry::getObjectNormalizer($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizerRegistry.php#L44 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizerRegistry")</sup> method was changed to `ObjectNormalizerRegistry::getObjectNormalizer($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizerRegistry.php#L35 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizerRegistry")</sup>
* The `EntityIdentifier::__construct($id = null, $class = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/EntityIdentifier.php#L25 "Oro\Bundle\ApiBundle\Model\EntityIdentifier")</sup> method was changed to `EntityIdentifier::__construct($id = null, $class = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/EntityIdentifier.php#L17 "Oro\Bundle\ApiBundle\Model\EntityIdentifier")</sup>
* The `Error::create($title, $detail = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/Error.php#L41 "Oro\Bundle\ApiBundle\Model\Error")</sup> method was changed to `Error::create($title, $detail = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/Error.php#L30 "Oro\Bundle\ApiBundle\Model\Error")</sup>
* The `ErrorSource::createByPropertyPath($propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/ErrorSource.php#L28 "Oro\Bundle\ApiBundle\Model\ErrorSource")</sup> method was changed to `ErrorSource::createByPropertyPath($propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/ErrorSource.php#L23 "Oro\Bundle\ApiBundle\Model\ErrorSource")</sup>
* The `Label::__construct($name, $domain = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/Label.php#L23 "Oro\Bundle\ApiBundle\Model\Label")</sup> method was changed to `Label::__construct($name, $domain = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/Label.php#L16 "Oro\Bundle\ApiBundle\Model\Label")</sup>
* The `NotResolvedIdentifier::__construct($value, $entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/NotResolvedIdentifier.php#L20 "Oro\Bundle\ApiBundle\Model\NotResolvedIdentifier")</sup> method was changed to `NotResolvedIdentifier::__construct($value, $entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/NotResolvedIdentifier.php#L13 "Oro\Bundle\ApiBundle\Model\NotResolvedIdentifier")</sup>
* The `Range::__construct($fromValue = null, $toValue = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Model/Range.php#L20 "Oro\Bundle\ApiBundle\Model\Range")</sup> method was changed to `Range::__construct($fromValue = null, $toValue = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Model/Range.php#L13 "Oro\Bundle\ApiBundle\Model\Range")</sup>
* The `AssociationMetadata::setTargetClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/AssociationMetadata.php#L191 "Oro\Bundle\ApiBundle\Metadata\AssociationMetadata")</sup> method was changed to `AssociationMetadata::setTargetClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/AssociationMetadata.php#L159 "Oro\Bundle\ApiBundle\Metadata\AssociationMetadata")</sup>
* The `EntityMetadata::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/EntityMetadata.php#L143 "Oro\Bundle\ApiBundle\Metadata\EntityMetadata")</sup> method was changed to `EntityMetadata::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/EntityMetadata.php#L126 "Oro\Bundle\ApiBundle\Metadata\EntityMetadata")</sup>
* The `FieldMetadata::setIsNullable($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/FieldMetadata.php#L47 "Oro\Bundle\ApiBundle\Metadata\FieldMetadata")</sup> method was changed to `FieldMetadata::setIsNullable($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/FieldMetadata.php#L40 "Oro\Bundle\ApiBundle\Metadata\FieldMetadata")</sup>
* The `MetaPropertyMetadata::setResultName($resultName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/MetaPropertyMetadata.php#L32 "Oro\Bundle\ApiBundle\Metadata\MetaPropertyMetadata")</sup> method was changed to `MetaPropertyMetadata::setResultName($resultName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/MetaPropertyMetadata.php#L23 "Oro\Bundle\ApiBundle\Metadata\MetaPropertyMetadata")</sup>
* The following methods in class `PropertyMetadata`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/PropertyMetadata.php#L23 "Oro\Bundle\ApiBundle\Metadata\PropertyMetadata")</sup> were changed:
  > - `__construct($name = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/PropertyMetadata.php#L33 "Oro\Bundle\ApiBundle\Metadata\PropertyMetadata")</sup>
  > - `__construct($name = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/PropertyMetadata.php#L23 "Oro\Bundle\ApiBundle\Metadata\PropertyMetadata")</sup>

  > - `hasFlag($valueMask)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/PropertyMetadata.php#L186 "Oro\Bundle\ApiBundle\Metadata\PropertyMetadata")</sup>
  > - `hasFlag($valueMask)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/PropertyMetadata.php#L153 "Oro\Bundle\ApiBundle\Metadata\PropertyMetadata")</sup>

* The `TargetMetadataProvider::getTargetMetadata($object, EntityMetadata $entityMetadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/TargetMetadataProvider.php#L26 "Oro\Bundle\ApiBundle\Metadata\TargetMetadataProvider")</sup> method was changed to `TargetMetadataProvider::getTargetMetadata($object, EntityMetadata $entityMetadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/TargetMetadataProvider.php#L19 "Oro\Bundle\ApiBundle\Metadata\TargetMetadataProvider")</sup>
* The `ActionMetadataExtra::__construct($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/Extra/ActionMetadataExtra.php#L21 "Oro\Bundle\ApiBundle\Metadata\Extra\ActionMetadataExtra")</sup> method was changed to `ActionMetadataExtra::__construct($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/Extra/ActionMetadataExtra.php#L20 "Oro\Bundle\ApiBundle\Metadata\Extra\ActionMetadataExtra")</sup>
* The `ApiFormBuilder::addViewTransformer(DataTransformerInterface $viewTransformer, $forcePrepend = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/ApiFormBuilder.php#L23 "Oro\Bundle\ApiBundle\Form\ApiFormBuilder")</sup> method was changed to `ApiFormBuilder::addViewTransformer(DataTransformerInterface $viewTransformer, $forcePrepend = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/ApiFormBuilder.php#L23 "Oro\Bundle\ApiBundle\Form\ApiFormBuilder")</sup>
* The `ApiResolvedFormType::createBuilder(FormFactoryInterface $factory, $name, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/ApiResolvedFormType.php#L70 "Oro\Bundle\ApiBundle\Form\ApiResolvedFormType")</sup> method was changed to `ApiResolvedFormType::createBuilder(FormFactoryInterface $factory, $name, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/ApiResolvedFormType.php#L65 "Oro\Bundle\ApiBundle\Form\ApiResolvedFormType")</sup>
* The `FormHelper::createFormBuilder($formType, $data, $options, $eventSubscribers = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/FormHelper.php#L66 "Oro\Bundle\ApiBundle\Form\FormHelper")</sup> method was changed to `FormHelper::createFormBuilder($formType, $data, $options, $eventSubscribers = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/FormHelper.php#L52 "Oro\Bundle\ApiBundle\Form\FormHelper")</sup>
* The `ReflectionUtil::findAdderAndRemover($object, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/ReflectionUtil.php#L44 "Oro\Bundle\ApiBundle\Form\ReflectionUtil")</sup> method was changed to `ReflectionUtil::findAdderAndRemover($object, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/ReflectionUtil.php#L47 "Oro\Bundle\ApiBundle\Form\ReflectionUtil")</sup>
* The `MetadataTypeGuesser::setMetadataAccessor(MetadataAccessorInterface $metadataAccessor = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/Guesser/MetadataTypeGuesser.php#L63 "Oro\Bundle\ApiBundle\Form\Guesser\MetadataTypeGuesser")</sup> method was changed to `MetadataTypeGuesser::setMetadataAccessor($metadataAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/Guesser/MetadataTypeGuesser.php#L47 "Oro\Bundle\ApiBundle\Form\Guesser\MetadataTypeGuesser")</sup>
* The `SwitchableDependencyInjectionExtension::addExtension($extensionName, $extensionServiceId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/Extension/SwitchableDependencyInjectionExtension.php#L33 "Oro\Bundle\ApiBundle\Form\Extension\SwitchableDependencyInjectionExtension")</sup> method was changed to `SwitchableDependencyInjectionExtension::addExtension($extensionName, $extensionServiceId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/Extension/SwitchableDependencyInjectionExtension.php#L28 "Oro\Bundle\ApiBundle\Form\Extension\SwitchableDependencyInjectionExtension")</sup>
* The `CollectionEntryFactory::__construct($dataClass, $type, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/EventListener/CollectionEntryFactory.php#L25 "Oro\Bundle\ApiBundle\Form\EventListener\CollectionEntryFactory")</sup> method was changed to `CollectionEntryFactory::__construct($dataClass, $type, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/EventListener/CollectionEntryFactory.php#L18 "Oro\Bundle\ApiBundle\Form\EventListener\CollectionEntryFactory")</sup>
* The `AbstractEntityAssociationTransformer::loadEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L128 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer")</sup> method was changed to `AbstractEntityAssociationTransformer::loadEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L44 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer")</sup>
* The `CollectionToArrayTransformer::__construct(DataTransformerInterface $elementTransformer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/CollectionToArrayTransformer.php#L13 "Oro\Bundle\ApiBundle\Form\DataTransformer\CollectionToArrayTransformer")</sup> method was changed to `CollectionToArrayTransformer::__construct(DataTransformerInterface $elementTransformer, $useCollection = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/CollectionToArrayTransformer.php#L16 "Oro\Bundle\ApiBundle\Form\DataTransformer\CollectionToArrayTransformer")</sup>
* The following methods in class `EntityToIdTransformer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/EntityToIdTransformer.php#L19 "Oro\Bundle\ApiBundle\Form\DataTransformer\EntityToIdTransformer")</sup> were changed:
  > - `__construct(DoctrineHelper $doctrineHelper, EntityLoader $entityLoader, AssociationMetadata $metadata, EntityMapper $entityMapper = null, IncludedEntityCollection $includedEntities = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/EntityToIdTransformer.php#L22 "Oro\Bundle\ApiBundle\Form\DataTransformer\EntityToIdTransformer")</sup>
  > - `__construct(DoctrineHelper $doctrineHelper, EntityLoader $entityLoader, AssociationMetadata $metadata, $entityMapper = null, $includedEntities = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/EntityToIdTransformer.php#L19 "Oro\Bundle\ApiBundle\Form\DataTransformer\EntityToIdTransformer")</sup>

  > - `getEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/EntityToIdTransformer.php#L40 "Oro\Bundle\ApiBundle\Form\DataTransformer\EntityToIdTransformer")</sup>
  > - `getEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/EntityToIdTransformer.php#L34 "Oro\Bundle\ApiBundle\Form\DataTransformer\EntityToIdTransformer")</sup>

* The `NestedAssociationTransformer::getEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/NestedAssociationTransformer.php#L15 "Oro\Bundle\ApiBundle\Form\DataTransformer\NestedAssociationTransformer")</sup> method was changed to `NestedAssociationTransformer::getEntity($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/NestedAssociationTransformer.php#L15 "Oro\Bundle\ApiBundle\Form\DataTransformer\NestedAssociationTransformer")</sup>
* The `NumberToStringTransformer::__construct($scale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/NumberToStringTransformer.php#L19 "Oro\Bundle\ApiBundle\Form\DataTransformer\NumberToStringTransformer")</sup> method was changed to `NumberToStringTransformer::__construct($scale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/NumberToStringTransformer.php#L15 "Oro\Bundle\ApiBundle\Form\DataTransformer\NumberToStringTransformer")</sup>
* The `Percent100ToLocalizedStringTransformer::__construct($scale = null, $grouping = false, $roundingMode, $locale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/Percent100ToLocalizedStringTransformer.php#L14 "Oro\Bundle\ApiBundle\Form\DataTransformer\Percent100ToLocalizedStringTransformer")</sup> method was changed to `Percent100ToLocalizedStringTransformer::__construct($scale = null, $grouping = false, $roundingMode, $locale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/Percent100ToLocalizedStringTransformer.php#L14 "Oro\Bundle\ApiBundle\Form\DataTransformer\Percent100ToLocalizedStringTransformer")</sup>
* The `AbstractRelationshipMapper::mapDataToFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/AbstractRelationshipMapper.php#L92 "Oro\Bundle\ApiBundle\Form\DataMapper\AbstractRelationshipMapper")</sup> method was changed to `AbstractRelationshipMapper::mapDataToFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/AbstractRelationshipMapper.php#L85 "Oro\Bundle\ApiBundle\Form\DataMapper\AbstractRelationshipMapper")</sup>
* The `AppendRelationshipMapper::mapDataToCollectionFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/AppendRelationshipMapper.php#L17 "Oro\Bundle\ApiBundle\Form\DataMapper\AppendRelationshipMapper")</sup> method was changed to `AppendRelationshipMapper::mapDataToCollectionFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/AppendRelationshipMapper.php#L17 "Oro\Bundle\ApiBundle\Form\DataMapper\AppendRelationshipMapper")</sup>
* The `RemoveRelationshipMapper::mapDataToCollectionFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/RemoveRelationshipMapper.php#L18 "Oro\Bundle\ApiBundle\Form\DataMapper\RemoveRelationshipMapper")</sup> method was changed to `RemoveRelationshipMapper::mapDataToCollectionFormField($data, FormInterface $formField, PropertyPathInterface $propertyPath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Form/DataMapper/RemoveRelationshipMapper.php#L18 "Oro\Bundle\ApiBundle\Form\DataMapper\RemoveRelationshipMapper")</sup>
* The following methods in class `ComparisonFilter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/ComparisonFilter.php#L138 "Oro\Bundle\ApiBundle\Filter\ComparisonFilter")</sup> were changed:
  > - `setValueTransformer($valueTransformer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/ComparisonFilter.php#L145 "Oro\Bundle\ApiBundle\Filter\ComparisonFilter")</sup>
  > - `setValueTransformer($valueTransformer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/ComparisonFilter.php#L138 "Oro\Bundle\ApiBundle\Filter\ComparisonFilter")</sup>

  > - `buildExpression($field, $path, $operator, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/ComparisonFilter.php#L193 "Oro\Bundle\ApiBundle\Filter\ComparisonFilter")</sup>
  > - `buildExpression($field, $path, $operator, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/ComparisonFilter.php#L179 "Oro\Bundle\ApiBundle\Filter\ComparisonFilter")</sup>

* The `ExtendedAssociationFilter::doBuildExpression($field, $path, $operator, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/ExtendedAssociationFilter.php#L60 "Oro\Bundle\ApiBundle\Filter\ExtendedAssociationFilter")</sup> method was changed to `ExtendedAssociationFilter::doBuildExpression($field, $path, $operator, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/ExtendedAssociationFilter.php#L61 "Oro\Bundle\ApiBundle\Filter\ExtendedAssociationFilter")</sup>
* The `ExtendedAssociationFilterFactory::__construct(ValueNormalizer $valueNormalizer, AssociationManager $associationManager, EntityOverrideProviderRegistry $entityOverrideProviderRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/ExtendedAssociationFilterFactory.php#L23 "Oro\Bundle\ApiBundle\Filter\ExtendedAssociationFilterFactory")</sup> method was changed to `ExtendedAssociationFilterFactory::__construct(ValueNormalizer $valueNormalizer, ExtendedAssociationProvider $extendedAssociationProvider, EntityOverrideProviderRegistry $entityOverrideProviderRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/ExtendedAssociationFilterFactory.php#L18 "Oro\Bundle\ApiBundle\Filter\ExtendedAssociationFilterFactory")</sup>
* The `FilterNames::__construct($sortFilterName, $pageNumberFilterName, $pageSizeFilterName, $metaPropertyFilterName, $dataFilterGroupName = null, $fieldsFilterGroupName = null, $includeFilterName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/FilterNames.php#L31 "Oro\Bundle\ApiBundle\Filter\FilterNames")</sup> method was changed to `FilterNames::__construct($sortFilterName, $pageNumberFilterName, $pageSizeFilterName, $metaPropertyFilterName, $dataFilterGroupName = null, $fieldsFilterGroupName = null, $includeFilterName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/FilterNames.php#L18 "Oro\Bundle\ApiBundle\Filter\FilterNames")</sup>
* The `FilterValue::__construct($path, $value, $operator = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/FilterValue.php#L30 "Oro\Bundle\ApiBundle\Filter\FilterValue")</sup> method was changed to `FilterValue::__construct($path, $value, $operator = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/FilterValue.php#L16 "Oro\Bundle\ApiBundle\Filter\FilterValue")</sup>
* The `StandaloneFilterWithDefaultValue::__construct($dataType, $description = null, $defaultValue = null, $defaultValueToStringConverter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/StandaloneFilterWithDefaultValue.php#L24 "Oro\Bundle\ApiBundle\Filter\StandaloneFilterWithDefaultValue")</sup> method was changed to `StandaloneFilterWithDefaultValue::__construct($dataType, $description = null, $defaultValue = null, $defaultValueToStringConverter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/StandaloneFilterWithDefaultValue.php#L22 "Oro\Bundle\ApiBundle\Filter\StandaloneFilterWithDefaultValue")</sup>
* The `InvalidFilterOperatorException::__construct($operator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Exception/InvalidFilterOperatorException.php#L18 "Oro\Bundle\ApiBundle\Exception\InvalidFilterOperatorException")</sup> method was changed to `InvalidFilterOperatorException::__construct($operator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Exception/InvalidFilterOperatorException.php#L14 "Oro\Bundle\ApiBundle\Exception\InvalidFilterOperatorException")</sup>
* The `InvalidFilterValueKeyException::__construct($message, FilterValue $filterValue)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Exception/InvalidFilterValueKeyException.php#L20 "Oro\Bundle\ApiBundle\Exception\InvalidFilterValueKeyException")</sup> method was changed to `InvalidFilterValueKeyException::__construct($message, FilterValue $filterValue)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Exception/InvalidFilterValueKeyException.php#L15 "Oro\Bundle\ApiBundle\Exception\InvalidFilterValueKeyException")</sup>
* The `InvalidSorterException::__construct($message)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Exception/InvalidSorterException.php#L13 "Oro\Bundle\ApiBundle\Exception\InvalidSorterException")</sup> method was changed to `InvalidSorterException::__construct($message)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Exception/InvalidSorterException.php#L10 "Oro\Bundle\ApiBundle\Exception\InvalidSorterException")</sup>
* The `UnauthorizedApiRequestListener::__construct(ContainerInterface $container, $apiPattern)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/EventListener/UnauthorizedApiRequestListener.php#L22 "Oro\Bundle\ApiBundle\EventListener\UnauthorizedApiRequestListener")</sup> method was changed to `UnauthorizedApiRequestListener::__construct(ContainerInterface $container, ApiRequestHelper $apiRequestHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/EventListener/UnauthorizedApiRequestListener.php#L23 "Oro\Bundle\ApiBundle\EventListener\UnauthorizedApiRequestListener")</sup>
* The `UnhandledApiErrorExceptionListener::__construct(ContainerInterface $container, $apiPattern)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/EventListener/UnhandledApiErrorExceptionListener.php#L21 "Oro\Bundle\ApiBundle\EventListener\UnhandledApiErrorExceptionListener")</sup> method was changed to `UnhandledApiErrorExceptionListener::__construct(ContainerInterface $container, ApiRequestHelper $apiRequestHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/EventListener/UnhandledApiErrorExceptionListener.php#L19 "Oro\Bundle\ApiBundle\EventListener\UnhandledApiErrorExceptionListener")</sup>
* The `DecimalToStringTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/DataTransformer/DecimalToStringTransformer.php#L17 "Oro\Bundle\ApiBundle\DataTransformer\DecimalToStringTransformer")</sup> method was changed to `DecimalToStringTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/DataTransformer/DecimalToStringTransformer.php#L17 "Oro\Bundle\ApiBundle\DataTransformer\DecimalToStringTransformer")</sup>
* The `EmptyArrayToNullTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/DataTransformer/EmptyArrayToNullTransformer.php#L15 "Oro\Bundle\ApiBundle\DataTransformer\EmptyArrayToNullTransformer")</sup> method was changed to `EmptyArrayToNullTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/DataTransformer/EmptyArrayToNullTransformer.php#L15 "Oro\Bundle\ApiBundle\DataTransformer\EmptyArrayToNullTransformer")</sup>
* The `EntityClassToEntityTypeTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/DataTransformer/EntityClassToEntityTypeTransformer.php#L26 "Oro\Bundle\ApiBundle\DataTransformer\EntityClassToEntityTypeTransformer")</sup> method was changed to `EntityClassToEntityTypeTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/DataTransformer/EntityClassToEntityTypeTransformer.php#L25 "Oro\Bundle\ApiBundle\DataTransformer\EntityClassToEntityTypeTransformer")</sup>
* The `MoneyToStringTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/DataTransformer/MoneyToStringTransformer.php#L18 "Oro\Bundle\ApiBundle\DataTransformer\MoneyToStringTransformer")</sup> method was changed to `MoneyToStringTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/DataTransformer/MoneyToStringTransformer.php#L18 "Oro\Bundle\ApiBundle\DataTransformer\MoneyToStringTransformer")</sup>
* The `RestApiDocController::indexAction($view)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Controller/RestApiDocController.php#L32 "Oro\Bundle\ApiBundle\Controller\RestApiDocController")</sup> method was changed to `RestApiDocController::indexAction(Request $request, $view)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Controller/RestApiDocController.php#L28 "Oro\Bundle\ApiBundle\Controller\RestApiDocController")</sup>
* The following methods in class `ActionConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/ActionConfig.php#L108 "Oro\Bundle\ApiBundle\Config\ActionConfig")</sup> were changed:
  > - `hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/ActionConfig.php#L121 "Oro\Bundle\ApiBundle\Config\ActionConfig")</sup>
  > - `hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/ActionConfig.php#L108 "Oro\Bundle\ApiBundle\Config\ActionConfig")</sup>

  > - `setAclResource($aclResource = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/ActionConfig.php#L359 "Oro\Bundle\ApiBundle\Config\ActionConfig")</sup>
  > - `setAclResource($aclResource)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/ActionConfig.php#L307 "Oro\Bundle\ApiBundle\Config\ActionConfig")</sup>

* The `ActionFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/ActionFieldConfig.php#L47 "Oro\Bundle\ApiBundle\Config\ActionFieldConfig")</sup> method was changed to `ActionFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/ActionFieldConfig.php#L43 "Oro\Bundle\ApiBundle\Config\ActionFieldConfig")</sup>
* The `ActionsConfig::getAction($actionName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/ActionsConfig.php#L60 "Oro\Bundle\ApiBundle\Config\ActionsConfig")</sup> method was changed to `ActionsConfig::getAction($actionName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/ActionsConfig.php#L52 "Oro\Bundle\ApiBundle\Config\ActionsConfig")</sup>
* The `Config::setDefinition(EntityDefinitionConfig $definition = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Config.php#L74 "Oro\Bundle\ApiBundle\Config\Config")</sup> method was changed to `Config::setDefinition($definition)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Config.php#L65 "Oro\Bundle\ApiBundle\Config\Config")</sup>
* The `EntityDefinitionConfig::setKey($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L54 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig")</sup> method was changed to `EntityDefinitionConfig::setKey($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L50 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig")</sup>
* The `EntityDefinitionFieldConfig::toArray($excludeTargetEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L29 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig")</sup> method was changed to `EntityDefinitionFieldConfig::toArray($excludeTargetEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L28 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig")</sup>
* The `EntityIdMetadataAdapter::getPropertyPath($propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityIdMetadataAdapter.php#L43 "Oro\Bundle\ApiBundle\Config\EntityIdMetadataAdapter")</sup> method was changed to `EntityIdMetadataAdapter::getPropertyPath($propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/EntityIdMetadataAdapter.php#L40 "Oro\Bundle\ApiBundle\Config\EntityIdMetadataAdapter")</sup>
* The `FilterFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/FilterFieldConfig.php#L62 "Oro\Bundle\ApiBundle\Config\FilterFieldConfig")</sup> method was changed to `FilterFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/FilterFieldConfig.php#L56 "Oro\Bundle\ApiBundle\Config\FilterFieldConfig")</sup>
* The `FiltersConfig::hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/FiltersConfig.php#L89 "Oro\Bundle\ApiBundle\Config\FiltersConfig")</sup> method was changed to `FiltersConfig::hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/FiltersConfig.php#L78 "Oro\Bundle\ApiBundle\Config\FiltersConfig")</sup>
* The `SorterFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/SorterFieldConfig.php#L44 "Oro\Bundle\ApiBundle\Config\SorterFieldConfig")</sup> method was changed to `SorterFieldConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/SorterFieldConfig.php#L40 "Oro\Bundle\ApiBundle\Config\SorterFieldConfig")</sup>
* The `SortersConfig::hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/SortersConfig.php#L89 "Oro\Bundle\ApiBundle\Config\SortersConfig")</sup> method was changed to `SortersConfig::hasField($fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/SortersConfig.php#L78 "Oro\Bundle\ApiBundle\Config\SortersConfig")</sup>
* The `StatusCodeConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/StatusCodeConfig.php#L45 "Oro\Bundle\ApiBundle\Config\StatusCodeConfig")</sup> method was changed to `StatusCodeConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/StatusCodeConfig.php#L40 "Oro\Bundle\ApiBundle\Config\StatusCodeConfig")</sup>
* The `StatusCodesConfig::hasCode($code)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/StatusCodesConfig.php#L70 "Oro\Bundle\ApiBundle\Config\StatusCodesConfig")</sup> method was changed to `StatusCodesConfig::hasCode($code)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/StatusCodesConfig.php#L60 "Oro\Bundle\ApiBundle\Config\StatusCodesConfig")</sup>
* The `SubresourceConfig::getAction($actionName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/SubresourceConfig.php#L79 "Oro\Bundle\ApiBundle\Config\SubresourceConfig")</sup> method was changed to `SubresourceConfig::getAction($actionName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/SubresourceConfig.php#L67 "Oro\Bundle\ApiBundle\Config\SubresourceConfig")</sup>
* The `SubresourcesConfig::getSubresource($associationName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/SubresourcesConfig.php#L60 "Oro\Bundle\ApiBundle\Config\SubresourcesConfig")</sup> method was changed to `SubresourcesConfig::getSubresource($associationName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/SubresourcesConfig.php#L52 "Oro\Bundle\ApiBundle\Config\SubresourcesConfig")</sup>
* The `AbstractConfigLoader::callSetter($config, $method, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Loader/AbstractConfigLoader.php#L15 "Oro\Bundle\ApiBundle\Config\Loader\AbstractConfigLoader")</sup> method was changed to `AbstractConfigLoader::callSetter($config, $method, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Loader/AbstractConfigLoader.php#L15 "Oro\Bundle\ApiBundle\Config\Loader\AbstractConfigLoader")</sup>
* The `ConfigLoaderFactory::hasLoader($configType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Loader/ConfigLoaderFactory.php#L31 "Oro\Bundle\ApiBundle\Config\Loader\ConfigLoaderFactory")</sup> method was changed to `ConfigLoaderFactory::hasLoader($configType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Loader/ConfigLoaderFactory.php#L25 "Oro\Bundle\ApiBundle\Config\Loader\ConfigLoaderFactory")</sup>
* The `EntityDefinitionConfigExtra::__construct($action = null, $collection = false, $parentClassName = null, $associationName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Extra/EntityDefinitionConfigExtra.php#L37 "Oro\Bundle\ApiBundle\Config\Extra\EntityDefinitionConfigExtra")</sup> method was changed to `EntityDefinitionConfigExtra::__construct($action = null, $collection = false, $parentClassName = null, $associationName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Extra/EntityDefinitionConfigExtra.php#L30 "Oro\Bundle\ApiBundle\Config\Extra\EntityDefinitionConfigExtra")</sup>
* The `MaxRelatedEntitiesConfigExtra::__construct($maxRelatedEntities)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Extra/MaxRelatedEntitiesConfigExtra.php#L21 "Oro\Bundle\ApiBundle\Config\Extra\MaxRelatedEntitiesConfigExtra")</sup> method was changed to `MaxRelatedEntitiesConfigExtra::__construct($maxRelatedEntities)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Extra/MaxRelatedEntitiesConfigExtra.php#L17 "Oro\Bundle\ApiBundle\Config\Extra\MaxRelatedEntitiesConfigExtra")</sup>
* The `AbstractConfigurationSection::addPreProcessCallbacks(ArrayNodeDefinition $node, $section, $customPreProcessCallback = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Definition/AbstractConfigurationSection.php#L45 "Oro\Bundle\ApiBundle\Config\Definition\AbstractConfigurationSection")</sup> method was changed to `AbstractConfigurationSection::addPreProcessCallbacks(ArrayNodeDefinition $node, $section, $customPreProcessCallback = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Definition/AbstractConfigurationSection.php#L39 "Oro\Bundle\ApiBundle\Config\Definition\AbstractConfigurationSection")</sup>
* The `ConfigurationSettings::addConfigureCallback($section, $callback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Definition/ConfigurationSettings.php#L63 "Oro\Bundle\ApiBundle\Config\Definition\ConfigurationSettings")</sup> method was changed to `ConfigurationSettings::addConfigureCallback($section, $callback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Definition/ConfigurationSettings.php#L56 "Oro\Bundle\ApiBundle\Config\Definition\ConfigurationSettings")</sup>
* The `DefinitionConfigurationSettings::addAdditionalConfigureCallback($section, $callback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/Definition/DefinitionConfigurationSettings.php#L62 "Oro\Bundle\ApiBundle\Config\Definition\DefinitionConfigurationSettings")</sup> method was changed to `DefinitionConfigurationSettings::addAdditionalConfigureCallback($section, $callback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Config/Definition/DefinitionConfigurationSettings.php#L56 "Oro\Bundle\ApiBundle\Config\Definition\DefinitionConfigurationSettings")</sup>
* The `AbstractDebugCommand::convertValueToString($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Command/AbstractDebugCommand.php#L86 "Oro\Bundle\ApiBundle\Command\AbstractDebugCommand")</sup> method was changed to `AbstractDebugCommand::convertValueToString($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Command/AbstractDebugCommand.php#L83 "Oro\Bundle\ApiBundle\Command\AbstractDebugCommand")</sup>
* The `CleanupAsyncOperationsCommand::__construct($operationLifetime, $cleanupProcessLifetime, DoctrineHelper $doctrineHelper, EntityDeleteHandlerRegistry $deleteHandlerRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Command/CleanupAsyncOperationsCommand.php#L32 "Oro\Bundle\ApiBundle\Command\CleanupAsyncOperationsCommand")</sup> method was changed to `CleanupAsyncOperationsCommand::__construct($operationLifetime, $cleanupProcessLifetime, $operationTimeout, DoctrineHelper $doctrineHelper, EntityDeleteHandlerRegistry $deleteHandlerRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Command/CleanupAsyncOperationsCommand.php#L33 "Oro\Bundle\ApiBundle\Command\CleanupAsyncOperationsCommand")</sup>
* The `DumpConfigCommand::convertConfigValueToHumanReadableRepresentation($val)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Command/DumpConfigCommand.php#L275 "Oro\Bundle\ApiBundle\Command\DumpConfigCommand")</sup> method was changed to `DumpConfigCommand::convertConfigValueToHumanReadableRepresentation($val)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Command/DumpConfigCommand.php#L270 "Oro\Bundle\ApiBundle\Command\DumpConfigCommand")</sup>
* The `CaseInsensitiveParameterBag::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/CaseInsensitiveParameterBag.php#L15 "Oro\Bundle\ApiBundle\Collection\CaseInsensitiveParameterBag")</sup> method was changed to `CaseInsensitiveParameterBag::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/CaseInsensitiveParameterBag.php#L15 "Oro\Bundle\ApiBundle\Collection\CaseInsensitiveParameterBag")</sup>
* The `IncludedEntityCollection::setPrimaryEntityId($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/IncludedEntityCollection.php#L33 "Oro\Bundle\ApiBundle\Collection\IncludedEntityCollection")</sup> method was changed to `IncludedEntityCollection::setPrimaryEntityId($entityClass, $entityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/IncludedEntityCollection.php#L27 "Oro\Bundle\ApiBundle\Collection\IncludedEntityCollection")</sup>
* The `IncludedEntityData::__construct($path, $index, $existing = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/IncludedEntityData.php#L38 "Oro\Bundle\ApiBundle\Collection\IncludedEntityData")</sup> method was changed to `IncludedEntityData::__construct($path, $index, $existing = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/IncludedEntityData.php#L27 "Oro\Bundle\ApiBundle\Collection\IncludedEntityData")</sup>
* The `Join::__construct($joinType, $join, $conditionType = null, $condition = null, $indexBy = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/Join.php#L16 "Oro\Bundle\ApiBundle\Collection\Join")</sup> method was changed to `Join::__construct($joinType, $join, $conditionType = null, $condition = null, $indexBy = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/Join.php#L19 "Oro\Bundle\ApiBundle\Collection\Join")</sup>
* The `KeyObjectCollection::add($object, $key, $data = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/KeyObjectCollection.php#L28 "Oro\Bundle\ApiBundle\Collection\KeyObjectCollection")</sup> method was changed to `KeyObjectCollection::add($object, $key, $data = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/KeyObjectCollection.php#L22 "Oro\Bundle\ApiBundle\Collection\KeyObjectCollection")</sup>
* The `QueryExpressionVisitor::addParameter($parameter, $value = null, $type = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryExpressionVisitor.php#L111 "Oro\Bundle\ApiBundle\Collection\QueryExpressionVisitor")</sup> method was changed to `QueryExpressionVisitor::addParameter($parameter, $value = null, $type = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryExpressionVisitor.php#L99 "Oro\Bundle\ApiBundle\Collection\QueryExpressionVisitor")</sup>
* The `AllMemberOfComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/AllMemberOfComparisonExpression.php#L29 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\AllMemberOfComparisonExpression")</sup> method was changed to `AllMemberOfComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/AllMemberOfComparisonExpression.php#L28 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\AllMemberOfComparisonExpression")</sup>
* The `ContainsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ContainsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ContainsComparisonExpression")</sup> method was changed to `ContainsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ContainsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ContainsComparisonExpression")</sup>
* The `EmptyComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EmptyComparisonExpression.php#L17 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EmptyComparisonExpression")</sup> method was changed to `EmptyComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EmptyComparisonExpression.php#L17 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EmptyComparisonExpression")</sup>
* The `EndsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EndsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EndsWithComparisonExpression")</sup> method was changed to `EndsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EndsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EndsWithComparisonExpression")</sup>
* The `EqComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EqComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EqComparisonExpression")</sup> method was changed to `EqComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/EqComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\EqComparisonExpression")</sup>
* The `ExistsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ExistsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ExistsComparisonExpression")</sup> method was changed to `ExistsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ExistsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ExistsComparisonExpression")</sup>
* The `GtComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/GtComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\GtComparisonExpression")</sup> method was changed to `GtComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/GtComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\GtComparisonExpression")</sup>
* The `GteComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/GteComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\GteComparisonExpression")</sup> method was changed to `GteComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/GteComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\GteComparisonExpression")</sup>
* The `InComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/InComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\InComparisonExpression")</sup> method was changed to `InComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/InComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\InComparisonExpression")</sup>
* The `LtComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/LtComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\LtComparisonExpression")</sup> method was changed to `LtComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/LtComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\LtComparisonExpression")</sup>
* The `LteComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/LteComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\LteComparisonExpression")</sup> method was changed to `LteComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/LteComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\LteComparisonExpression")</sup>
* The `MemberOfComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/MemberOfComparisonExpression.php#L19 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\MemberOfComparisonExpression")</sup> method was changed to `MemberOfComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/MemberOfComparisonExpression.php#L19 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\MemberOfComparisonExpression")</sup>
* The `NeqComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqComparisonExpression")</sup> method was changed to `NeqComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqComparisonExpression")</sup>
* The `NeqOrEmptyComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqOrEmptyComparisonExpression.php#L20 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqOrEmptyComparisonExpression")</sup> method was changed to `NeqOrEmptyComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqOrEmptyComparisonExpression.php#L20 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqOrEmptyComparisonExpression")</sup>
* The `NeqOrNullComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqOrNullComparisonExpression.php#L20 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqOrNullComparisonExpression")</sup> method was changed to `NeqOrNullComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NeqOrNullComparisonExpression.php#L20 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NeqOrNullComparisonExpression")</sup>
* The `NestedTreeComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NestedTreeComparisonExpression.php#L45 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NestedTreeComparisonExpression")</sup> method was changed to `NestedTreeComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NestedTreeComparisonExpression.php#L40 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NestedTreeComparisonExpression")</sup>
* The `NinComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NinComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NinComparisonExpression")</sup> method was changed to `NinComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NinComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NinComparisonExpression")</sup>
* The `NotContainsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotContainsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotContainsComparisonExpression")</sup> method was changed to `NotContainsComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotContainsComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotContainsComparisonExpression")</sup>
* The `NotEndsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotEndsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotEndsWithComparisonExpression")</sup> method was changed to `NotEndsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotEndsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotEndsWithComparisonExpression")</sup>
* The `NotStartsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotStartsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotStartsWithComparisonExpression")</sup> method was changed to `NotStartsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/NotStartsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\NotStartsWithComparisonExpression")</sup>
* The `StartsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/StartsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\StartsWithComparisonExpression")</sup> method was changed to `StartsWithComparisonExpression::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/StartsWithComparisonExpression.php#L15 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\StartsWithComparisonExpression")</sup>
* The `FileLockManager::__construct(ManagerRegistry $doctrine, $connectionName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/FileLockManager.php#L27 "Oro\Bundle\ApiBundle\Batch\FileLockManager")</sup> method was changed to `FileLockManager::__construct(LockFactory $lockFactory, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/FileLockManager.php#L20 "Oro\Bundle\ApiBundle\Batch\FileLockManager")</sup>
* The `JsonFileSplitter::processItem($item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Splitter/JsonFileSplitter.php#L229 "Oro\Bundle\ApiBundle\Batch\Splitter\JsonFileSplitter")</sup> method was changed to `JsonFileSplitter::processItem($item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Splitter/JsonFileSplitter.php#L209 "Oro\Bundle\ApiBundle\Batch\Splitter\JsonFileSplitter")</sup>
* The `JsonPartialFileSplitter::processItem($item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Splitter/JsonPartialFileSplitter.php#L151 "Oro\Bundle\ApiBundle\Batch\Splitter\JsonPartialFileSplitter")</sup> method was changed to `JsonPartialFileSplitter::processItem($item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Splitter/JsonPartialFileSplitter.php#L139 "Oro\Bundle\ApiBundle\Batch\Splitter\JsonPartialFileSplitter")</sup>
* The `BatchUpdateItemContext::setClassName($className = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Processor/UpdateItem/BatchUpdateItemContext.php#L54 "Oro\Bundle\ApiBundle\Batch\Processor\UpdateItem\BatchUpdateItemContext")</sup> method was changed to `BatchUpdateItemContext::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Processor/UpdateItem/BatchUpdateItemContext.php#L42 "Oro\Bundle\ApiBundle\Batch\Processor\UpdateItem\BatchUpdateItemContext")</sup>
* The `BatchUpdateContext::setIncludedData(IncludedData $includedData = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Processor/Update/BatchUpdateContext.php#L194 "Oro\Bundle\ApiBundle\Batch\Processor\Update\BatchUpdateContext")</sup> method was changed to `BatchUpdateContext::setIncludedData($includedData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Processor/Update/BatchUpdateContext.php#L174 "Oro\Bundle\ApiBundle\Batch\Processor\Update\BatchUpdateContext")</sup>
* The `ChunkFile::__construct($fileName, $fileIndex, $firstRecordOffset, $sectionName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Model/ChunkFile.php#L22 "Oro\Bundle\ApiBundle\Batch\Model\ChunkFile")</sup> method was changed to `ChunkFile::__construct($fileName, $fileIndex, $firstRecordOffset, $sectionName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Model/ChunkFile.php#L15 "Oro\Bundle\ApiBundle\Batch\Model\ChunkFile")</sup>
* The `BatchUpdateItem::initialize($data)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Handler/BatchUpdateItem.php#L77 "Oro\Bundle\ApiBundle\Batch\Handler\BatchUpdateItem")</sup> method was changed to `BatchUpdateItem::initialize($data)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Handler/BatchUpdateItem.php#L68 "Oro\Bundle\ApiBundle\Batch\Handler\BatchUpdateItem")</sup>
* The `BatchUpdateResponse::__construct($data, $processedItemStatuses, BatchSummary $summary, $hasUnexpectedErrors, $retryReason = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Handler/BatchUpdateResponse.php#L34 "Oro\Bundle\ApiBundle\Batch\Handler\BatchUpdateResponse")</sup> method was changed to `BatchUpdateResponse::__construct($data, $processedItemStatuses, BatchSummary $summary, $hasUnexpectedErrors, $retryReason = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Handler/BatchUpdateResponse.php#L26 "Oro\Bundle\ApiBundle\Batch\Handler\BatchUpdateResponse")</sup>
* The `JobListener::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/EventListener/JobListener.php#L28 "Oro\Bundle\ApiBundle\Batch\EventListener\JobListener")</sup> method was changed to `JobListener::__construct(ManagerRegistry $doctrine, AsyncOperationManager $asyncOperationManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/EventListener/JobListener.php#L29 "Oro\Bundle\ApiBundle\Batch\EventListener\JobListener")</sup>
* The `UpdateListCreateChunkJobsMessageProcessor::__construct(JobRunner $jobRunner, DoctrineHelper $doctrineHelper, AsyncOperationManager $operationManager, UpdateListProcessingHelper $processingHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListCreateChunkJobsMessageProcessor.php#L42 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListCreateChunkJobsMessageProcessor")</sup> method was changed to `UpdateListCreateChunkJobsMessageProcessor::__construct(JobRunner $jobRunner, ManagerRegistry $doctrine, AsyncOperationManager $operationManager, UpdateListProcessingHelper $processingHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListCreateChunkJobsMessageProcessor.php#L30 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListCreateChunkJobsMessageProcessor")</sup>
* The `UpdateListFinishMessageProcessor::__construct(UpdateListProcessingHelper $processingHelper, AsyncOperationManager $operationManager, FileManager $fileManager, IncludeMapManager $includeMapManager, FileNameProvider $fileNameProvider, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListFinishMessageProcessor.php#L41 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListFinishMessageProcessor")</sup> method was changed to `UpdateListFinishMessageProcessor::__construct(UpdateListProcessingHelper $processingHelper, AsyncOperationManager $operationManager, FileManager $fileManager, IncludeMapManager $includeMapManager, FileNameProvider $fileNameProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListFinishMessageProcessor.php#L28 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListFinishMessageProcessor")</sup>
* The `UpdateListProcessChunkMessageProcessor::__construct(JobRunner $jobRunner, FileManager $fileManager, BatchUpdateHandler $handler, DataEncoderRegistry $dataEncoderRegistry, RetryHelper $retryHelper, UpdateListProcessingHelper $processingHelper, FileNameProvider $fileNameProvider, FileLockManager $fileLockManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListProcessChunkMessageProcessor.php#L57 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListProcessChunkMessageProcessor")</sup> method was changed to `UpdateListProcessChunkMessageProcessor::__construct(JobRunner $jobRunner, JobManagerInterface $jobManager, FileManager $fileManager, BatchUpdateHandler $handler, DataEncoderRegistry $dataEncoderRegistry, RetryHelper $retryHelper, UpdateListProcessingHelper $processingHelper, FileNameProvider $fileNameProvider, FileLockManager $fileLockManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListProcessChunkMessageProcessor.php#L45 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListProcessChunkMessageProcessor")</sup>
* The `UpdateListStartChunkJobsMessageProcessor::__construct(DoctrineHelper $doctrineHelper, AsyncOperationManager $operationManager, UpdateListProcessingHelper $processingHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListStartChunkJobsMessageProcessor.php#L37 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListStartChunkJobsMessageProcessor")</sup> method was changed to `UpdateListStartChunkJobsMessageProcessor::__construct(ManagerRegistry $doctrine, AsyncOperationManager $operationManager, UpdateListProcessingHelper $processingHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Batch/Async/UpdateListStartChunkJobsMessageProcessor.php#L27 "Oro\Bundle\ApiBundle\Batch\Async\UpdateListStartChunkJobsMessageProcessor")</sup>
* The `ApiDocMetadata::__construct($action, EntityMetadata $metadata, EntityDefinitionConfig $config, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Parser/ApiDocMetadata.php#L32 "Oro\Bundle\ApiBundle\ApiDoc\Parser\ApiDocMetadata")</sup> method was changed to `ApiDocMetadata::__construct($action, EntityMetadata $metadata, EntityDefinitionConfig $config, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Parser/ApiDocMetadata.php#L19 "Oro\Bundle\ApiBundle\ApiDoc\Parser\ApiDocMetadata")</sup>
* The `MarkdownApiDocParserState::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Parser/MarkdownApiDocParserState.php#L33 "Oro\Bundle\ApiBundle\ApiDoc\Parser\MarkdownApiDocParserState")</sup> method was changed to `MarkdownApiDocParserState::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Parser/MarkdownApiDocParserState.php#L21 "Oro\Bundle\ApiBundle\ApiDoc\Parser\MarkdownApiDocParserState")</sup>
* The `CompositeFormatter::addFormatter($view, FormatterInterface $formatter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/CompositeFormatter.php#L29 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\CompositeFormatter")</sup> method was changed to `CompositeFormatter::addFormatter($view, FormatterInterface $formatter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/CompositeFormatter.php#L23 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\CompositeFormatter")</sup>
* The following methods in class `HtmlFormatter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/HtmlFormatter.php#L54 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\HtmlFormatter")</sup> were changed:
  > - `setApiName($apiName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/HtmlFormatter.php#L92 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\HtmlFormatter")</sup>
  > - `setApiName($apiName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/HtmlFormatter.php#L54 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\HtmlFormatter")</sup>

  > - `getFileContent($path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/HtmlFormatter.php#L288 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\HtmlFormatter")</sup>
  > - `getFileContent($path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Formatter/HtmlFormatter.php#L206 "Oro\Bundle\ApiBundle\ApiDoc\Formatter\HtmlFormatter")</sup>

* The `CachingApiDocExtractor::__construct(ContainerInterface $container, RouterInterface $router, Reader $reader, DocCommentExtractor $commentExtractor, $handlers, $annotationsProviders, $cacheFile, $debug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/ApiDoc/Extractor/CachingApiDocExtractor.php#L43 "Oro\Bundle\ApiBundle\ApiDoc\Extractor\CachingApiDocExtractor")</sup> method was changed to `CachingApiDocExtractor::__construct(ContainerInterface $container, RouterInterface $router, Reader $reader, DocCommentExtractor $commentExtractor, $handlers, $annotationsProviders, $cacheFile, $debug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/ApiDoc/Extractor/CachingApiDocExtractor.php#L29 "Oro\Bundle\ApiBundle\ApiDoc\Extractor\CachingApiDocExtractor")</sup>
* The `DocumentBuilderInterface::getEntityId($entity, RequestType $requestType, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilderInterface.php#L38 "Oro\Bundle\ApiBundle\Request\DocumentBuilderInterface")</sup> method was changed to `DocumentBuilderInterface::getEntityId($entity, RequestType $requestType, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilderInterface.php#L32 "Oro\Bundle\ApiBundle\Request\DocumentBuilderInterface")</sup>
* The `EntityIdTransformerInterface::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/EntityIdTransformerInterface.php#L24 "Oro\Bundle\ApiBundle\Request\EntityIdTransformerInterface")</sup> method was changed to `EntityIdTransformerInterface::transform($id, EntityMetadata $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/EntityIdTransformerInterface.php#L24 "Oro\Bundle\ApiBundle\Request\EntityIdTransformerInterface")</sup>
* The `ObjectAccessorInterface::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectAccessorInterface.php#L17 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectAccessorInterface")</sup> method was changed to `ObjectAccessorInterface::getClassName($object)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectAccessorInterface.php#L13 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectAccessorInterface")</sup>
* The `ObjectPropertyAccessorInterface::getValue($object, $propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectPropertyAccessorInterface.php#L18 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectPropertyAccessorInterface")</sup> method was changed to `ObjectPropertyAccessorInterface::getValue($object, $propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Request/DocumentBuilder/ObjectPropertyAccessorInterface.php#L13 "Oro\Bundle\ApiBundle\Request\DocumentBuilder\ObjectPropertyAccessorInterface")</sup>
* The `ActionProcessorBagInterface::getProcessor($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ActionProcessorBagInterface.php#L23 "Oro\Bundle\ApiBundle\Processor\ActionProcessorBagInterface")</sup> method was changed to `ActionProcessorBagInterface::getProcessor($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ActionProcessorBagInterface.php#L22 "Oro\Bundle\ApiBundle\Processor\ActionProcessorBagInterface")</sup>
* The `ContextInterface::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/ContextInterface.php#L37 "Oro\Bundle\ApiBundle\Processor\ContextInterface")</sup> method was changed to `ContextInterface::setClassName($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/ContextInterface.php#L33 "Oro\Bundle\ApiBundle\Processor\ContextInterface")</sup>
* The `FormContext::setIncludedData($includedData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/FormContext.php#L38 "Oro\Bundle\ApiBundle\Processor\FormContext")</sup> method was changed to `FormContext::setIncludedData($includedData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/FormContext.php#L34 "Oro\Bundle\ApiBundle\Processor\FormContext")</sup>
* The `SharedDataAwareContextInterface::setVersion($version)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/SharedDataAwareContextInterface.php#L35 "Oro\Bundle\ApiBundle\Processor\SharedDataAwareContextInterface")</sup> method was changed to `SharedDataAwareContextInterface::setVersion($version)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Processor/SharedDataAwareContextInterface.php#L29 "Oro\Bundle\ApiBundle\Processor\SharedDataAwareContextInterface")</sup>
* The `PostProcessorInterface::process($value, $options)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/PostProcessor/PostProcessorInterface.php#L18 "Oro\Bundle\ApiBundle\PostProcessor\PostProcessorInterface")</sup> method was changed to `PostProcessorInterface::process($value, $options)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/PostProcessor/PostProcessorInterface.php#L13 "Oro\Bundle\ApiBundle\PostProcessor\PostProcessorInterface")</sup>
* The `ObjectNormalizerInterface::normalize($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizerInterface.php#L18 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizerInterface")</sup> method was changed to `ObjectNormalizerInterface::normalize($object, RequestType $requestType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Normalizer/ObjectNormalizerInterface.php#L12 "Oro\Bundle\ApiBundle\Normalizer\ObjectNormalizerInterface")</sup>
* The `DataAccessorInterface::tryGetValue($propertyPath, &$value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/DataAccessorInterface.php#L39 "Oro\Bundle\ApiBundle\Metadata\DataAccessorInterface")</sup> method was changed to `DataAccessorInterface::tryGetValue($propertyPath, &$value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/DataAccessorInterface.php#L39 "Oro\Bundle\ApiBundle\Metadata\DataAccessorInterface")</sup>
* The `EntityIdMetadataInterface::getPropertyPath($propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Metadata/EntityIdMetadataInterface.php#L31 "Oro\Bundle\ApiBundle\Metadata\EntityIdMetadataInterface")</sup> method was changed to `EntityIdMetadataInterface::getPropertyPath($propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Metadata/EntityIdMetadataInterface.php#L26 "Oro\Bundle\ApiBundle\Metadata\EntityIdMetadataInterface")</sup>
* The `ComparisonExpressionInterface::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ComparisonExpressionInterface.php#L23 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ComparisonExpressionInterface")</sup> method was changed to `ComparisonExpressionInterface::walkComparisonExpression(QueryExpressionVisitor $visitor, $field, $expression, $parameterName, $value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Collection/QueryVisitorExpression/ComparisonExpressionInterface.php#L23 "Oro\Bundle\ApiBundle\Collection\QueryVisitorExpression\ComparisonExpressionInterface")</sup>
* The following methods in class `DoctrineHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/DoctrineHelper.php#L21 "Oro\Bundle\ApiBundle\Util\DoctrineHelper")</sup> were removed:
   - `reset`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/DoctrineHelper.php#L21 "Oro\Bundle\ApiBundle\Util\DoctrineHelper::reset")</sup>
   - `isManageableEntityClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/DoctrineHelper.php#L30 "Oro\Bundle\ApiBundle\Util\DoctrineHelper::isManageableEntityClass")</sup>
* The following methods in class `EntityDataAccessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityDataAccessor.php#L15 "Oro\Bundle\ApiBundle\Util\EntityDataAccessor")</sup> were removed:
   - `hasGetter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityDataAccessor.php#L15 "Oro\Bundle\ApiBundle\Util\EntityDataAccessor::hasGetter")</sup>
   - `tryGetValue`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Util/EntityDataAccessor.php#L30 "Oro\Bundle\ApiBundle\Util\EntityDataAccessor::tryGetValue")</sup>
* The `ObjectMetadataFactory::getExtendedAssociationTargets`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataFactory.php#L229 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataFactory::getExtendedAssociationTargets")</sup> method was removed.
* The `MergeParentResourceHelper::mergeConfigAttributes`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetConfig/MergeConfig/MergeParentResourceHelper.php#L113 "Oro\Bundle\ApiBundle\Processor\GetConfig\MergeConfig\MergeParentResourceHelper::mergeConfigAttributes")</sup> method was removed.
* The following methods in class `AbstractEntityAssociationTransformer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L40 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer")</sup> were removed:
   - `transform`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L40 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer::transform")</sup>
   - `reverseTransform`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L50 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer::reverseTransform")</sup>
   - `isEntityIdAcceptable`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L107 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer::isEntityIdAcceptable")</sup>
   - `getEntity`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Form/DataTransformer/AbstractEntityAssociationTransformer.php#L120 "Oro\Bundle\ApiBundle\Form\DataTransformer\AbstractEntityAssociationTransformer::getEntity")</sup>
* The `ExtendedAssociationFilter::setAssociationManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Filter/ExtendedAssociationFilter.php#L32 "Oro\Bundle\ApiBundle\Filter\ExtendedAssociationFilter::setAssociationManager")</sup> method was removed.
* The `FormCompilerPass::getTagKeyForExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/DependencyInjection/Compiler/FormCompilerPass.php#L263 "Oro\Bundle\ApiBundle\DependencyInjection\Compiler\FormCompilerPass::getTagKeyForExtension")</sup> method was removed.
* The following methods in class `EntityConfigMerger`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityConfigMerger.php#L52 "Oro\Bundle\ApiBundle\Config\EntityConfigMerger")</sup> were removed:
   - `getConfigurationSectionName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityConfigMerger.php#L52 "Oro\Bundle\ApiBundle\Config\EntityConfigMerger::getConfigurationSectionName")</sup>
   - `getConfigurationSection`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityConfigMerger.php#L60 "Oro\Bundle\ApiBundle\Config\EntityConfigMerger::getConfigurationSection")</sup>
* The following methods in class `EntityDefinitionConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L122 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig")</sup> were removed:
   - `hasFields`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L122 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::hasFields")</sup>
   - `findField`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L136 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::findField")</sup>
   - `findFieldNameByPropertyPath`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L150 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::findFieldNameByPropertyPath")</sup>
   - `getOrAddField`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L192 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::getOrAddField")</sup>
   - `keys`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L234 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::keys")</sup>
   - `hasExclusionPolicy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionConfig.php#L244 "Oro\Bundle\ApiBundle\Config\EntityDefinitionConfig::hasExclusionPolicy")</sup>
* The following methods in class `EntityDefinitionFieldConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L67 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig")</sup> were removed:
   - `keys`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L67 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig::keys")</sup>
   - `hasExcluded`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L77 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig::hasExcluded")</sup>
   - `hasPropertyPath`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityDefinitionFieldConfig.php#L282 "Oro\Bundle\ApiBundle\Config\EntityDefinitionFieldConfig::hasPropertyPath")</sup>
* The `CleanupAsyncOperationsCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Command/CleanupAsyncOperationsCommand.php#L51 "Oro\Bundle\ApiBundle\Command\CleanupAsyncOperationsCommand::isActive")</sup> method was removed.
* The `ObjectMetadataFactory::$associationManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Processor/GetMetadata/Loader/ObjectMetadataFactory.php#L26 "Oro\Bundle\ApiBundle\Processor\GetMetadata\Loader\ObjectMetadataFactory::$associationManager")</sup> property was removed.
* The following interfaces were removed:
   - `ConfigBagInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/ConfigBagInterface.php#L8 "Oro\Bundle\ApiBundle\Config\ConfigBagInterface")</sup>
   - `EntityConfigInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/EntityConfigInterface.php#L8 "Oro\Bundle\ApiBundle\Config\EntityConfigInterface")</sup>
   - `FieldConfigInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ApiBundle/Config/FieldConfigInterface.php#L8 "Oro\Bundle\ApiBundle\Config\FieldConfigInterface")</sup>
* The `FieldAwareFilterInterface::getField`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ApiBundle/Filter/FieldAwareFilterInterface.php#L20 "Oro\Bundle\ApiBundle\Filter\FieldAwareFilterInterface::getField")</sup> interface method was added.

AssetBundle
-----------
* The following classes were removed:
   - `NodeJsVersionChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AssetBundle/NodeJsVersionChecker.php#L11 "Oro\Bundle\AssetBundle\NodeJsVersionChecker")</sup>
   - `NodeProcessFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AssetBundle/NodeProcessFactory.php#L10 "Oro\Bundle\AssetBundle\NodeProcessFactory")</sup>
* The `OroAssetsBuildCommand::__construct(NodeProcessFactory $nodeProcessFactory, AssetConfigCache $cache, $npmPath, $buildTimeout, $npmInstallTimeout, $disableBabel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AssetBundle/Command/OroAssetsBuildCommand.php#L65 "Oro\Bundle\AssetBundle\Command\OroAssetsBuildCommand")</sup> method was changed to `OroAssetsBuildCommand::__construct(AssetCommandProcessFactory $nodeProcessFactory, AssetConfigCache $cache, $npmPath, $buildTimeout, $npmInstallTimeout, $withBabel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AssetBundle/Command/OroAssetsBuildCommand.php#L63 "Oro\Bundle\AssetBundle\Command\OroAssetsBuildCommand")</sup>

AttachmentBundle
----------------
* The following classes were removed:
   - `AttachmentEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Tools/AttachmentEntityGeneratorExtension.php#L12 "Oro\Bundle\AttachmentBundle\Tools\AttachmentEntityGeneratorExtension")</sup>
   - `ExtendAttachment`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Model/ExtendAttachment.php#L5 "Oro\Bundle\AttachmentBundle\Model\ExtendAttachment")</sup>
   - `ExtendFile`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Model/ExtendFile.php#L5 "Oro\Bundle\AttachmentBundle\Model\ExtendFile")</sup>
   - `ExtendFileItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Model/ExtendFileItem.php#L8 "Oro\Bundle\AttachmentBundle\Model\ExtendFileItem")</sup>
   - `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Async/Topics.php#L8 "Oro\Bundle\AttachmentBundle\Async\Topics")</sup>
* The `ProcessorHelper::generateParameter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/ProcessorHelper.php#L76 "Oro\Bundle\AttachmentBundle\ProcessorHelper::generateParameter")</sup> method was removed.
* The `FileItemType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Form/Type/FileItemType.php#L45 "Oro\Bundle\AttachmentBundle\Form\Type\FileItemType::getName")</sup> method was removed.
* The `FileType::postSubmit`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Form/Type/FileType.php#L59 "Oro\Bundle\AttachmentBundle\Form\Type\FileType::postSubmit")</sup> method was removed.
* The `MultiImageType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Form/Type/MultiImageType.php#L30 "Oro\Bundle\AttachmentBundle\Form\Type\MultiImageType::getName")</sup> method was removed.
* The `ProcessorHelper::__construct(ParameterBagInterface $parameterBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/ProcessorHelper.php#L22 "Oro\Bundle\AttachmentBundle\ProcessorHelper")</sup> method was changed to `ProcessorHelper::__construct($jpegoptimBinaryPath, $pngquantBinaryPath, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/ProcessorHelper.php#L21 "Oro\Bundle\AttachmentBundle\ProcessorHelper")</sup>
* The `AttachmentAssociationHelper::isAttachmentAssociationEnabled($entityClass, $accessible = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Tools/AttachmentAssociationHelper.php#L30 "Oro\Bundle\AttachmentBundle\Tools\AttachmentAssociationHelper")</sup> method was changed to `AttachmentAssociationHelper::isAttachmentAssociationEnabled($entityClass, $accessible = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Tools/AttachmentAssociationHelper.php#L31 "Oro\Bundle\AttachmentBundle\Tools\AttachmentAssociationHelper")</sup>
* The `FilenameExtensionHelper::addExtension($filename, $extension)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Tools/FilenameExtensionHelper.php#L10 "Oro\Bundle\AttachmentBundle\Tools\FilenameExtensionHelper")</sup> method was changed to `FilenameExtensionHelper::addExtension($filename, $extension, $fileMimeTypes = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Tools/FilenameExtensionHelper.php#L19 "Oro\Bundle\AttachmentBundle\Tools\FilenameExtensionHelper")</sup>
* The `FileNameProvider::__construct(FilterConfiguration $filterConfiguration)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Provider/FileNameProvider.php#L17 "Oro\Bundle\AttachmentBundle\Provider\FileNameProvider")</sup> method was changed to `FileNameProvider::__construct(FilterConfiguration $filterConfiguration, FilenameExtensionHelper $filenameExtensionHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Provider/FileNameProvider.php#L19 "Oro\Bundle\AttachmentBundle\Provider\FileNameProvider")</sup>
* The `WebpAwarePictureSourcesProvider::__construct(PictureSourcesProviderInterface $innerPictureSourcesProvider, AttachmentManager $attachmentManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Provider/WebpAwarePictureSourcesProvider.php#L17 "Oro\Bundle\AttachmentBundle\Provider\WebpAwarePictureSourcesProvider")</sup> method was changed to `WebpAwarePictureSourcesProvider::__construct(PictureSourcesProviderInterface $innerPictureSourcesProvider, AttachmentManager $attachmentManager, $unsupportedMimeTypes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Provider/WebpAwarePictureSourcesProvider.php#L19 "Oro\Bundle\AttachmentBundle\Provider\WebpAwarePictureSourcesProvider")</sup>
* The `AttachmentManager::getResizedImageUrl(File $file, $width, $height, $format, $referenceType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Manager/AttachmentManager.php#L71 "Oro\Bundle\AttachmentBundle\Manager\AttachmentManager")</sup> method was changed to `AttachmentManager::getResizedImageUrl(File $file, $width, $height, $format, $referenceType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Manager/AttachmentManager.php#L72 "Oro\Bundle\AttachmentBundle\Manager\AttachmentManager")</sup>
* The following methods in class `FileManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L30 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup> were changed:
  > - `__construct($filesystemName, ProtocolValidatorInterface $protocolValidator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L24 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup>
  > - `__construct($filesystemName, ProtocolValidatorInterface $protocolValidator, ClientMimeTypeMapperInterface $clientMimeTypeMapper, ExternalFileFactory $externalFileFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L30 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup>

  > - `getContent($file, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L38 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup>
  > - `getContent($file, $throwException = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Manager/FileManager.php#L53 "Oro\Bundle\AttachmentBundle\Manager\FileManager")</sup>

* The `FileNormalizer::__construct(AttachmentManager $attachmentManager, FileManager $fileManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/ImportExport/FileNormalizer.php#L24 "Oro\Bundle\AttachmentBundle\ImportExport\FileNormalizer")</sup> method was changed to `FileNormalizer::__construct(AttachmentManager $attachmentManager, FileManager $fileManager, AttachmentEntityConfigProviderInterface $attachmentEntityConfigProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/ImportExport/FileNormalizer.php#L28 "Oro\Bundle\AttachmentBundle\ImportExport\FileNormalizer")</sup>
* The `FileStrategyEventListener::__construct(FileManager $fileManager, FieldHelper $fieldHelper, DatabaseHelper $databaseHelper, ImportStrategyHelper $importStrategyHelper, FileImportStrategyHelper $fileImportStrategyHelper, AuthorizationCheckerInterface $authorizationChecker, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/ImportExport/EventListener/FileStrategyEventListener.php#L58 "Oro\Bundle\AttachmentBundle\ImportExport\EventListener\FileStrategyEventListener")</sup> method was changed to `FileStrategyEventListener::__construct(FileManipulator $fileManipulator, FieldHelper $fieldHelper, DatabaseHelper $databaseHelper, ImportStrategyHelper $importStrategyHelper, FileImportStrategyHelper $fileImportStrategyHelper, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/ImportExport/EventListener/FileStrategyEventListener.php#L41 "Oro\Bundle\AttachmentBundle\ImportExport\EventListener\FileStrategyEventListener")</sup>
* The `ImagineFilterService::__construct(DataManager $dataManager, CacheManager $cacheManager, FilterConfiguration $filterConfiguration, ResizedImageProviderInterface $resizedImageProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Imagine/ImagineFilterService.php#L25 "Oro\Bundle\AttachmentBundle\Imagine\ImagineFilterService")</sup> method was changed to `ImagineFilterService::__construct(DataManager $dataManager, CacheManager $cacheManager, FilterConfiguration $filterConfiguration, ResizedImageProviderInterface $resizedImageProvider, FilenameExtensionHelper $filenameExtensionHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Imagine/ImagineFilterService.php#L27 "Oro\Bundle\AttachmentBundle\Imagine\ImagineFilterService")</sup>
* The `ImagineUrlProvider::__construct(UrlGeneratorInterface $urlGenerator, FilterConfiguration $filterConfiguration)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Imagine/Provider/ImagineUrlProvider.php#L18 "Oro\Bundle\AttachmentBundle\Imagine\Provider\ImagineUrlProvider")</sup> method was changed to `ImagineUrlProvider::__construct(UrlGeneratorInterface $urlGenerator, FilterConfiguration $filterConfiguration, FilenameExtensionHelper $filenameExtensionHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Imagine/Provider/ImagineUrlProvider.php#L20 "Oro\Bundle\AttachmentBundle\Imagine\Provider\ImagineUrlProvider")</sup>
* The `FileType::preSetData(FormEvent $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Form/Type/FileType.php#L48 "Oro\Bundle\AttachmentBundle\Form\Type\FileType")</sup> method was changed to `FileType::preSetData(PreSetDataEvent $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Form/Type/FileType.php#L73 "Oro\Bundle\AttachmentBundle\Form\Type\FileType")</sup>
* The `FileDeleteListener::postUpdate(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/EventListener/FileDeleteListener.php#L29 "Oro\Bundle\AttachmentBundle\EventListener\FileDeleteListener")</sup> method was changed to `FileDeleteListener::postUpdate(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/EventListener/FileDeleteListener.php#L57 "Oro\Bundle\AttachmentBundle\EventListener\FileDeleteListener")</sup>
* The `FileListener::prePersist(File $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/EventListener/FileListener.php#L27 "Oro\Bundle\AttachmentBundle\EventListener\FileListener")</sup> method was changed to `FileListener::prePersist(File $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/EventListener/FileListener.php#L28 "Oro\Bundle\AttachmentBundle\EventListener\FileListener")</sup>
* The `SetsParentEntityOnFlushListener::prePersist(LifecycleEventArgs $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/EventListener/SetsParentEntityOnFlushListener.php#L185 "Oro\Bundle\AttachmentBundle\EventListener\SetsParentEntityOnFlushListener")</sup> method was changed to `SetsParentEntityOnFlushListener::prePersist(LifecycleEventArgs $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/EventListener/SetsParentEntityOnFlushListener.php#L200 "Oro\Bundle\AttachmentBundle\EventListener\SetsParentEntityOnFlushListener")</sup>
* The `File::setFile(File $file = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Entity/File.php#L292 "Oro\Bundle\AttachmentBundle\Entity\File")</sup> method was changed to `File::setFile(SplFileInfo $file = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Entity/File.php#L298 "Oro\Bundle\AttachmentBundle\Entity\File")</sup>
* The `PostProcessorsVoter::__construct($jpegopim, $pngQuant)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/AttachmentBundle/Checker/Voter/PostProcessorsVoter.php#L26 "Oro\Bundle\AttachmentBundle\Checker\Voter\PostProcessorsVoter")</sup> method was changed to `PostProcessorsVoter::__construct(ProcessorHelper $processorHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/AttachmentBundle/Checker/Voter/PostProcessorsVoter.php#L17 "Oro\Bundle\AttachmentBundle\Checker\Voter\PostProcessorsVoter")</sup>

CacheBundle
-----------
* The `MemoryCacheChain`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CacheBundle/Provider/MemoryCacheChain.php#L17 "Oro\Bundle\CacheBundle\Provider\MemoryCacheChain")</sup> class was removed.
* The `OroDataCacheManager::registerCacheProvider($cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CacheBundle/Manager/OroDataCacheManager.php#L20 "Oro\Bundle\CacheBundle\Manager\OroDataCacheManager")</sup> method was changed to `OroDataCacheManager::registerCacheProvider($cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CacheBundle/Manager/OroDataCacheManager.php#L15 "Oro\Bundle\CacheBundle\Manager\OroDataCacheManager")</sup>
* The `CacheClearListener::__construct(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CacheBundle/EventListener/CacheClearListener.php#L15 "Oro\Bundle\CacheBundle\EventListener\CacheClearListener")</sup> method was changed to `CacheClearListener::__construct(CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CacheBundle/EventListener/CacheClearListener.php#L14 "Oro\Bundle\CacheBundle\EventListener\CacheClearListener")</sup>
* The `CacheConfigurationPass::getMemoryCacheChain`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CacheBundle/DependencyInjection/Compiler/CacheConfigurationPass.php#L137 "Oro\Bundle\CacheBundle\DependencyInjection\Compiler\CacheConfigurationPass::getMemoryCacheChain")</sup> method was removed.

ChainProcessor
--------------
* The `AbstractMatcher::isMatch($value, $contextValue, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/AbstractMatcher.php#L25 "Oro\Component\ChainProcessor\AbstractMatcher")</sup> method was changed to `AbstractMatcher::isMatch($value, $contextValue, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/AbstractMatcher.php#L25 "Oro\Component\ChainProcessor\AbstractMatcher")</sup>
* The `ActionProcessor::__construct(ProcessorBagInterface $processorBag, $action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ActionProcessor.php#L17 "Oro\Component\ChainProcessor\ActionProcessor")</sup> method was changed to `ActionProcessor::__construct(ProcessorBagInterface $processorBag, $action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ActionProcessor.php#L12 "Oro\Component\ChainProcessor\ActionProcessor")</sup>
* The `Context::setAction($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/Context.php#L39 "Oro\Component\ChainProcessor\Context")</sup> method was changed to `Context::setAction($action)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/Context.php#L31 "Oro\Component\ChainProcessor\Context")</sup>
* The `GroupRangeApplicableChecker::setProcessorBag(ProcessorBagInterface $processorBag = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/GroupRangeApplicableChecker.php#L23 "Oro\Component\ChainProcessor\GroupRangeApplicableChecker")</sup> method was changed to `GroupRangeApplicableChecker::setProcessorBag(ProcessorBagInterface $processorBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/GroupRangeApplicableChecker.php#L18 "Oro\Component\ChainProcessor\GroupRangeApplicableChecker")</sup>
* The `ParameterBag::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ParameterBag.php#L16 "Oro\Component\ChainProcessor\ParameterBag")</sup> method was changed to `ParameterBag::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ParameterBag.php#L16 "Oro\Component\ChainProcessor\ParameterBag")</sup>
* The `TraceLogger::__construct($sectionName, Stopwatch $stopwatch = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/Debug/TraceLogger.php#L40 "Oro\Component\ChainProcessor\Debug\TraceLogger")</sup> method was changed to `TraceLogger::__construct($sectionName, Stopwatch $stopwatch = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/Debug/TraceLogger.php#L22 "Oro\Component\ChainProcessor\Debug\TraceLogger")</sup>
* The `TraceableProcessor::__construct(ProcessorInterface $processor, $processorId, TraceLogger $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/Debug/TraceableProcessor.php#L24 "Oro\Component\ChainProcessor\Debug\TraceableProcessor")</sup> method was changed to `TraceableProcessor::__construct(ProcessorInterface $processor, $processorId, TraceLogger $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/Debug/TraceableProcessor.php#L17 "Oro\Component\ChainProcessor\Debug\TraceableProcessor")</sup>
* The `ContextInterface::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ContextInterface.php#L17 "Oro\Component\ChainProcessor\ContextInterface")</sup> method was changed to `ContextInterface::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ContextInterface.php#L13 "Oro\Component\ChainProcessor\ContextInterface")</sup>
* The `ParameterBagInterface::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ParameterBagInterface.php#L17 "Oro\Component\ChainProcessor\ParameterBagInterface")</sup> method was changed to `ParameterBagInterface::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ParameterBagInterface.php#L13 "Oro\Component\ChainProcessor\ParameterBagInterface")</sup>
* The `ProcessorBagAwareApplicableCheckerInterface::setProcessorBag(ProcessorBagInterface $processorBag = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ProcessorBagAwareApplicableCheckerInterface.php#L15 "Oro\Component\ChainProcessor\ProcessorBagAwareApplicableCheckerInterface")</sup> method was changed to `ProcessorBagAwareApplicableCheckerInterface::setProcessorBag(ProcessorBagInterface $processorBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ProcessorBagAwareApplicableCheckerInterface.php#L10 "Oro\Component\ChainProcessor\ProcessorBagAwareApplicableCheckerInterface")</sup>
* The `ProcessorBagAwareIteratorFactoryInterface::setProcessorBag(ProcessorBagInterface $processorBag = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/ChainProcessor/ProcessorBagAwareIteratorFactoryInterface.php#L15 "Oro\Component\ChainProcessor\ProcessorBagAwareIteratorFactoryInterface")</sup> method was changed to `ProcessorBagAwareIteratorFactoryInterface::setProcessorBag(ProcessorBagInterface $processorBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/ChainProcessor/ProcessorBagAwareIteratorFactoryInterface.php#L10 "Oro\Component\ChainProcessor\ProcessorBagAwareIteratorFactoryInterface")</sup>

CommentBundle
-------------
* The following classes were removed:
   - `CommentEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/Tools/CommentEntityGeneratorExtension.php#L12 "Oro\Bundle\CommentBundle\Tools\CommentEntityGeneratorExtension")</sup>
   - `ExtendComment`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/Model/ExtendComment.php#L7 "Oro\Bundle\CommentBundle\Model\ExtendComment")</sup>
   - `ConfigureApiPass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/DependencyInjection/Compiler/ConfigureApiPass.php#L12 "Oro\Bundle\CommentBundle\DependencyInjection\Compiler\ConfigureApiPass")</sup>
* The `OroCommentBundle::build`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/OroCommentBundle.php#L17 "Oro\Bundle\CommentBundle\OroCommentBundle::build")</sup> method was removed.
* The `CommentAssociationHelper::isCommentAssociationEnabled($entityClass, $accessible = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/Tools/CommentAssociationHelper.php#L30 "Oro\Bundle\CommentBundle\Tools\CommentAssociationHelper")</sup> method was changed to `CommentAssociationHelper::isCommentAssociationEnabled($entityClass, $accessible = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CommentBundle/Tools/CommentAssociationHelper.php#L31 "Oro\Bundle\CommentBundle\Tools\CommentAssociationHelper")</sup>
* The `CommentLifecycleListener::preUpdate(Comment $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/EventListener/CommentLifecycleListener.php#L22 "Oro\Bundle\CommentBundle\EventListener\CommentLifecycleListener")</sup> method was changed to `CommentLifecycleListener::preUpdate(Comment $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CommentBundle/EventListener/CommentLifecycleListener.php#L25 "Oro\Bundle\CommentBundle\EventListener\CommentLifecycleListener")</sup>
* The `CommentApiManager::__construct(Registry $doctrine, AuthorizationCheckerInterface $authorizationChecker, EntityNameResolver $entityNameResolver, CountQueryBuilderOptimizer $countQueryBuilderOptimizer, EventDispatcherInterface $eventDispatcher, AttachmentProvider $attachmentProvider, AclHelper $aclHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/Entity/Manager/CommentApiManager.php#L62 "Oro\Bundle\CommentBundle\Entity\Manager\CommentApiManager")</sup> method was changed to `CommentApiManager::__construct(ManagerRegistry $doctrine, AuthorizationCheckerInterface $authorizationChecker, EntityNameResolver $entityNameResolver, CountQueryBuilderOptimizer $countQueryBuilderOptimizer, EventDispatcherInterface $eventDispatcher, AttachmentProvider $attachmentProvider, AclHelper $aclHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CommentBundle/Entity/Manager/CommentApiManager.php#L62 "Oro\Bundle\CommentBundle\Entity\Manager\CommentApiManager")</sup>
* The `AddCommentAssociationDescriptions::__construct(CommentAssociationProvider $commentAssociationProvider, ResourceDocParserProvider $resourceDocParserProvider, EntityDescriptionProvider $entityDescriptionProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CommentBundle/Api/Processor/AddCommentAssociationDescriptions.php#L31 "Oro\Bundle\CommentBundle\Api\Processor\AddCommentAssociationDescriptions")</sup> method was changed to `AddCommentAssociationDescriptions::__construct(CommentAssociationProvider $commentAssociationProvider, ResourceDocParserProvider $resourceDocParserProvider, EntityNameProvider $entityNameProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CommentBundle/Api/Processor/AddCommentAssociationDescriptions.php#L31 "Oro\Bundle\CommentBundle\Api\Processor\AddCommentAssociationDescriptions")</sup>

Config
------
* The `CumulativeResource::isFresh($timestamp)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Config/CumulativeResource.php#L56 "Oro\Component\Config\CumulativeResource")</sup> method was changed to `CumulativeResource::isFresh($timestamp)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Config/CumulativeResource.php#L48 "Oro\Component\Config\CumulativeResource")</sup>
* The `PhpConfigCacheAccessor::save(ConfigCacheInterface $cache, $config, $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Config/Cache/PhpConfigCacheAccessor.php#L62 "Oro\Component\Config\Cache\PhpConfigCacheAccessor")</sup> method was changed to `PhpConfigCacheAccessor::save(ConfigCacheInterface $cache, $config, $metadata = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Config/Cache/PhpConfigCacheAccessor.php#L55 "Oro\Component\Config\Cache\PhpConfigCacheAccessor")</sup>

ConfigBundle
------------
* The `UseDefaultConfigurator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Form/Configurator/UseDefaultConfigurator.php#L17 "Oro\Bundle\ConfigBundle\Form\Configurator\UseDefaultConfigurator")</sup> class was removed.
* The following methods in class `AbstractProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L85 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup> were removed:
   - `setFeatureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L85 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider::setFeatureChecker")</sup>
   - `addFieldToForm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L474 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider::addFieldToForm")</sup>
* The following methods in class `SystemConfigurationFormProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/SystemConfigurationFormProvider.php#L12 "Oro\Bundle\ConfigBundle\Provider\SystemConfigurationFormProvider")</sup> were removed:
   - `getTree`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/SystemConfigurationFormProvider.php#L12 "Oro\Bundle\ConfigBundle\Provider\SystemConfigurationFormProvider::getTree")</sup>
   - `getJsTree`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/SystemConfigurationFormProvider.php#L20 "Oro\Bundle\ConfigBundle\Provider\SystemConfigurationFormProvider::getJsTree")</sup>
* The following methods in class `AbstractProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L47 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup> were changed:
  > - `__construct(ConfigBag $configBag, TranslatorInterface $translator, FormFactoryInterface $factory, AuthorizationCheckerInterface $authorizationChecker, ChainSearchProvider $searchProvider, FormRegistryInterface $formRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L62 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup>
  > - `__construct(ConfigBag $configBag, TranslatorInterface $translator, FormFactoryInterface $factory, FormRegistryInterface $formRegistry, AuthorizationCheckerInterface $authorizationChecker, ChainSearchProvider $searchProvider, FeatureChecker $featureChecker, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L47 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup>

  > - `buildApiTree($sectionName, $tree)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L368 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup>
  > - `buildApiTree($sectionName, $tree)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L380 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider")</sup>

* The `ConfigurationController::systemAction(Request $request, $activeGroup = null, $activeSubGroup = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Controller/ConfigurationController.php#L41 "Oro\Bundle\ConfigBundle\Controller\ConfigurationController")</sup> method was changed to `ConfigurationController::systemAction(Request $request, $activeGroup = null, $activeSubGroup = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Controller/ConfigurationController.php#L46 "Oro\Bundle\ConfigBundle\Controller\ConfigurationController")</sup>
* The following methods in class `AbstractScopeManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Config/AbstractScopeManager.php#L24 "Oro\Bundle\ConfigBundle\Config\AbstractScopeManager")</sup> were changed:
  > - `__construct(ManagerRegistry $doctrine, CacheProvider $cache, EventDispatcherInterface $eventDispatcher, ConfigBag $configBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Config/AbstractScopeManager.php#L32 "Oro\Bundle\ConfigBundle\Config\AbstractScopeManager")</sup>
  > - `__construct(ManagerRegistry $doctrine, CacheInterface $cache, EventDispatcherInterface $eventDispatcher, ConfigBag $configBag)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Config/AbstractScopeManager.php#L24 "Oro\Bundle\ConfigBundle\Config\AbstractScopeManager")</sup>

  > - `getCachedSetting($entityId, $name, $skipChanges = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Config/AbstractScopeManager.php#L115 "Oro\Bundle\ConfigBundle\Config\AbstractScopeManager")</sup>
  > - `getCachedSetting($entityId, $name, $skipChanges = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Config/AbstractScopeManager.php#L92 "Oro\Bundle\ConfigBundle\Config\AbstractScopeManager")</sup>

* The `ConfigManager::dispatchConfigSettingsUpdateEvent($eventName, $settings)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Config/ConfigManager.php#L285 "Oro\Bundle\ConfigBundle\Config\ConfigManager")</sup> method was changed to `ConfigManager::dispatchConfigSettingsUpdateEvent($eventName, $settings)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Config/ConfigManager.php#L281 "Oro\Bundle\ConfigBundle\Config\ConfigManager")</sup>
* The `UserScopeManager::setScopeId($scopeId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Config/UserScopeManager.php#L48 "Oro\Bundle\ConfigBundle\Config\UserScopeManager")</sup> method was changed to `UserScopeManager::setScopeId($scopeId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Config/UserScopeManager.php#L36 "Oro\Bundle\ConfigBundle\Config\UserScopeManager")</sup>
* The `ConfigurationRepository::getSection($sectionId, $scope)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Api/Repository/ConfigurationRepository.php#L52 "Oro\Bundle\ConfigBundle\Api\Repository\ConfigurationRepository")</sup> method was changed to `ConfigurationRepository::getSection($sectionId, $scope)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Api/Repository/ConfigurationRepository.php#L49 "Oro\Bundle\ConfigBundle\Api\Repository\ConfigurationRepository")</sup>
* The `ConfigurationOption::__construct($scope, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Api/Model/ConfigurationOption.php#L29 "Oro\Bundle\ConfigBundle\Api\Model\ConfigurationOption")</sup> method was changed to `ConfigurationOption::__construct($scope, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Api/Model/ConfigurationOption.php#L17 "Oro\Bundle\ConfigBundle\Api\Model\ConfigurationOption")</sup>
* The `ConfigurationSection::__construct($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Api/Model/ConfigurationSection.php#L16 "Oro\Bundle\ConfigBundle\Api\Model\ConfigurationSection")</sup> method was changed to `ConfigurationSection::__construct($id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Api/Model/ConfigurationSection.php#L13 "Oro\Bundle\ConfigBundle\Api\Model\ConfigurationSection")</sup>
* The following methods in class `ProviderInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/ProviderInterface.php#L19 "Oro\Bundle\ConfigBundle\Provider\ProviderInterface")</sup> were changed:
  > - `getApiTree($path = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/ProviderInterface.php#L22 "Oro\Bundle\ConfigBundle\Provider\ProviderInterface")</sup>
  > - `getApiTree($path = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/ProviderInterface.php#L19 "Oro\Bundle\ConfigBundle\Provider\ProviderInterface")</sup>

  > - `getForm($groupName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/ProviderInterface.php#L54 "Oro\Bundle\ConfigBundle\Provider\ProviderInterface")</sup>
  > - `getForm($groupName, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ConfigBundle/Provider/ProviderInterface.php#L39 "Oro\Bundle\ConfigBundle\Provider\ProviderInterface")</sup>

* The `AbstractProvider::$factory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ConfigBundle/Provider/AbstractProvider.php#L51 "Oro\Bundle\ConfigBundle\Provider\AbstractProvider::$factory")</sup> property was removed.

CronBundle
----------
* The following classes were removed:
   - `CronHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CronBundle/Helper/CronHelper.php#L10 "Oro\Bundle\CronBundle\Helper\CronHelper")</sup>
   - `ScheduleRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CronBundle/Entity/Repository/ScheduleRepository.php#L8 "Oro\Bundle\CronBundle\Entity\Repository\ScheduleRepository")</sup>
* The `CommandArgsTokenizer::tokenize($str, AbstractPlatform $platform)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CronBundle/ORM/CommandArgsTokenizer.php#L31 "Oro\Bundle\CronBundle\ORM\CommandArgsTokenizer")</sup> method was changed to `CommandArgsTokenizer::tokenize($str, AbstractPlatform $platform)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CronBundle/ORM/CommandArgsTokenizer.php#L34 "Oro\Bundle\CronBundle\ORM\CommandArgsTokenizer")</sup>
* The `CronCommand::__construct(ManagerRegistry $registry, Mode $maintenanceMode, CronHelper $cronHelper, CommandRunnerInterface $commandRunner, LoggerInterface $logger, $environment)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CronBundle/Command/CronCommand.php#L34 "Oro\Bundle\CronBundle\Command\CronCommand")</sup> method was changed to `CronCommand::__construct(ManagerRegistry $doctrine, MaintenanceModeState $maintenanceMode, CronHelper $cronHelper, CommandRunnerInterface $commandRunner, CronCommandFeatureCheckerInterface $commandFeatureChecker, LoggerInterface $logger, $environment)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/CronBundle/Command/CronCommand.php#L33 "Oro\Bundle\CronBundle\Command\CronCommand")</sup>
* The `CronCommandInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CronBundle/Command/CronCommandInterface.php#L5 "Oro\Bundle\CronBundle\Command\CronCommandInterface")</sup> interface was removed.

CurrencyBundle
--------------
* The `Configuration::$defaultCurrencies`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CurrencyBundle/DependencyInjection/Configuration.php#L24 "Oro\Bundle\CurrencyBundle\DependencyInjection\Configuration::$defaultCurrencies")</sup> property was removed.
* The `OroCurrencyExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CurrencyBundle/DependencyInjection/OroCurrencyExtension.php#L36 "Oro\Bundle\CurrencyBundle\DependencyInjection\OroCurrencyExtension::getAlias")</sup> method was removed.
* The `UpdatePriceByValueAndCurrency::__construct`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/CurrencyBundle/Api/Processor/UpdatePriceByValueAndCurrency.php#L16 "Oro\Bundle\CurrencyBundle\Api\Processor\UpdatePriceByValueAndCurrency::__construct")</sup> method was removed.

DashboardBundle
---------------
* The `ExtendDashboard`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Model/ExtendDashboard.php#L8 "Oro\Bundle\DashboardBundle\Model\ExtendDashboard")</sup> class was removed.
* The following methods in class `FilterDateRangeConverter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DashboardBundle/Provider/Converters/FilterDateRangeConverter.php#L250 "Oro\Bundle\DashboardBundle\Provider\Converters\FilterDateRangeConverter")</sup> were changed:
  > - `getPeriodValues($value, $saveOpenRange)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Provider/Converters/FilterDateRangeConverter.php#L192 "Oro\Bundle\DashboardBundle\Provider\Converters\FilterDateRangeConverter")</sup>
  > - `getPeriodValues($value, $saveOpenRange)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DashboardBundle/Provider/Converters/FilterDateRangeConverter.php#L250 "Oro\Bundle\DashboardBundle\Provider\Converters\FilterDateRangeConverter")</sup>

  > - `processValueTypes($value, $cretePreviousPeriod)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Provider/Converters/FilterDateRangeConverter.php#L228 "Oro\Bundle\DashboardBundle\Provider\Converters\FilterDateRangeConverter")</sup>
  > - `processValueTypes($value, $createPreviousPeriod, $todayAsEndDateTypes = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DashboardBundle/Provider/Converters/FilterDateRangeConverter.php#L289 "Oro\Bundle\DashboardBundle\Provider\Converters\FilterDateRangeConverter")</sup>

* The `Factory::__construct(ConfigProvider $configProvider, StateManager $stateManager, WidgetConfigs $widgetConfigs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Model/Factory.php#L19 "Oro\Bundle\DashboardBundle\Model\Factory")</sup> method was changed to `Factory::__construct(ConfigProvider $configProvider, StateManager $stateManager, WidgetConfigs $widgetConfigs, $dashboardTypeConfigProviders)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DashboardBundle/Model/Factory.php#L21 "Oro\Bundle\DashboardBundle\Model\Factory")</sup>
* The `DateHelper::convertToCurrentPeriod(DateTime $from, DateTime $to, $data, $rowKey, $dataKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Helper/DateHelper.php#L53 "Oro\Bundle\DashboardBundle\Helper\DateHelper")</sup> method was changed to `DateHelper::convertToCurrentPeriod(DateTime $from, DateTime $to, $data, $rowKey, $dataKey, $isConvertEmptyData = false, $scaleType = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DashboardBundle/Helper/DateHelper.php#L58 "Oro\Bundle\DashboardBundle\Helper\DateHelper")</sup>
* The `DashboardType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DashboardBundle/Form/Type/DashboardType.php#L44 "Oro\Bundle\DashboardBundle\Form\Type\DashboardType::getName")</sup> method was removed.

DataAuditBundle
---------------
* The `ExtendAuditField`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Model/ExtendAuditField.php#L7 "Oro\Bundle\DataAuditBundle\Model\ExtendAuditField")</sup> class was removed.
* The `AuditFilter::getForm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Filter/AuditFilter.php#L59 "Oro\Bundle\DataAuditBundle\Filter\AuditFilter::getForm")</sup> method was removed.
* The `AuditChangedEntitiesInverseCollectionsProcessor::setStrategyProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L176 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor::setStrategyProcessor")</sup> method was removed.
* The `AuditChangedEntitiesInverseRelationsProcessor::setStrategyProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseRelationsProcessor.php#L447 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseRelationsProcessor::setStrategyProcessor")</sup> method was removed.
* The `AuditChangedEntitiesProcessor::setStrategyProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesProcessor.php#L135 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesProcessor::setStrategyProcessor")</sup> method was removed.
* The `SendChangedEntitiesToMessageQueueListener::setPropertyAccessor(PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L582 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener")</sup> method was changed to `SendChangedEntitiesToMessageQueueListener::setPropertyAccessor(PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/EventListener/SendChangedEntitiesToMessageQueueListener.php#L582 "Oro\Bundle\DataAuditBundle\EventListener\SendChangedEntitiesToMessageQueueListener")</sup>
* The following methods in class `EntityTypeProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Datagrid/EntityTypeProvider.php#L19 "Oro\Bundle\DataAuditBundle\Datagrid\EntityTypeProvider")</sup> were changed:
  > - `__construct(EntityClassNameProviderInterface $entityClassNameProvider, AuditConfigProvider $configProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Datagrid/EntityTypeProvider.php#L17 "Oro\Bundle\DataAuditBundle\Datagrid\EntityTypeProvider")</sup>
  > - `__construct(EntityClassNameProviderInterface $entityClassNameProvider, AuditConfigProvider $configProvider, FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Datagrid/EntityTypeProvider.php#L19 "Oro\Bundle\DataAuditBundle\Datagrid\EntityTypeProvider")</sup>

  > - `getEntityType($gridName, $keyName, $node)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Datagrid/EntityTypeProvider.php#L32 "Oro\Bundle\DataAuditBundle\Datagrid\EntityTypeProvider")</sup>
  > - `getEntityType()`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Datagrid/EntityTypeProvider.php#L29 "Oro\Bundle\DataAuditBundle\Datagrid\EntityTypeProvider")</sup>

* The following methods in class `AuditChangedEntitiesInverseCollectionsProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L34 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor")</sup> were changed:
  > - `__construct(ManagerRegistry $doctrine, JobRunner $jobRunner, MessageProducerInterface $producer, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L37 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor")</sup>
  > - `__construct(JobRunner $jobRunner, MessageProducerInterface $producer, LoggerInterface $logger, EntityAuditStrategyProcessorInterface $strategyProcessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L34 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor")</sup>

  > - `processCollections($body, $messageId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L83 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor")</sup>
  > - `processCollections($body, MessageInterface $message)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseCollectionsProcessor.php#L79 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseCollectionsProcessor")</sup>

* The `AuditChangedEntitiesInverseRelationsProcessor::__construct(ManagerRegistry $doctrine, EntityChangesToAuditEntryConverter $entityChangesToAuditEntryConverter, AuditConfigProvider $auditConfigProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseRelationsProcessor.php#L32 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseRelationsProcessor")</sup> method was changed to `AuditChangedEntitiesInverseRelationsProcessor::__construct(ManagerRegistry $doctrine, EntityChangesToAuditEntryConverter $entityChangesToAuditEntryConverter, AuditConfigProvider $auditConfigProvider, EntityAuditStrategyProcessorInterface $strategyProcessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesInverseRelationsProcessor.php#L32 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesInverseRelationsProcessor")</sup>
* The `AuditChangedEntitiesProcessor::__construct(EntityChangesToAuditEntryConverter $entityChangesToAuditEntryConverter, MessageProducerInterface $messageProducer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesProcessor.php#L33 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesProcessor")</sup> method was changed to `AuditChangedEntitiesProcessor::__construct(EntityChangesToAuditEntryConverter $entityChangesToAuditEntryConverter, MessageProducerInterface $messageProducer, EntityAuditStrategyProcessorInterface $strategyProcessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataAuditBundle/Async/AuditChangedEntitiesProcessor.php#L31 "Oro\Bundle\DataAuditBundle\Async\AuditChangedEntitiesProcessor")</sup>

DataGridBundle
--------------
* The following classes were removed:
   - `DatagridExportConnector`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/ImportExport/DatagridExportConnector.php#L20 "Oro\Bundle\DataGridBundle\ImportExport\DatagridExportConnector")</sup>
   - `DatagridExportIdFetcher`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/ImportExport/DatagridExportIdFetcher.php#L18 "Oro\Bundle\DataGridBundle\ImportExport\DatagridExportIdFetcher")</sup>
   - `DatagridExportReader`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/ImportExport/DatagridExportReader.php#L9 "Oro\Bundle\DataGridBundle\ImportExport\DatagridExportReader")</sup>
   - `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Async/Topics.php#L4 "Oro\Bundle\DataGridBundle\Async\Topics")</sup>
   - `ExportMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Async/Export/ExportMessageProcessor.php#L20 "Oro\Bundle\DataGridBundle\Async\Export\ExportMessageProcessor")</sup>
   - `PreExportMessageProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Async/Export/PreExportMessageProcessor.php#L22 "Oro\Bundle\DataGridBundle\Async\Export\PreExportMessageProcessor")</sup>
* The following methods in class `ExportHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Handler/ExportHandler.php#L139 "Oro\Bundle\DataGridBundle\Handler\ExportHandler")</sup> were removed:
   - `getExportingEntityIds`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Handler/ExportHandler.php#L139 "Oro\Bundle\DataGridBundle\Handler\ExportHandler::getExportingEntityIds")</sup>
   - `getEntityName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Handler/ExportHandler.php#L147 "Oro\Bundle\DataGridBundle\Handler\ExportHandler::getEntityName")</sup>
* The `ExportExtension::visitDatasource`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Extension/Export/ExportExtension.php#L71 "Oro\Bundle\DataGridBundle\Extension\Export\ExportExtension::visitDatasource")</sup> method was removed.
* The `OrmDatasource::getParameterBinder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Datasource/Orm/OrmDatasource.php#L173 "Oro\Bundle\DataGridBundle\Datasource\Orm\OrmDatasource::getParameterBinder")</sup> method was removed.
* The `GridViewApiHandler::__construct(FormInterface $form, RequestStack $requestStack, Registry $registry, GridViewManager $gridViewManager, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Form/Handler/GridViewApiHandler.php#L29 "Oro\Bundle\DataGridBundle\Form\Handler\GridViewApiHandler")</sup> method was changed to `GridViewApiHandler::__construct(FormInterface $form, RequestStack $requestStack, ManagerRegistry $registry, GridViewManager $gridViewManager, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Form/Handler/GridViewApiHandler.php#L32 "Oro\Bundle\DataGridBundle\Form\Handler\GridViewApiHandler")</sup>
* The `ChoicesGuesser::guessEditorView($column, $isConfiguredInlineEdit, $result)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Extension/InlineEditing/InlineEditColumnOptions/ChoicesGuesser.php#L83 "Oro\Bundle\DataGridBundle\Extension\InlineEditing\InlineEditColumnOptions\ChoicesGuesser")</sup> method was changed to `ChoicesGuesser::guessEditorView($column, $isConfiguredInlineEdit, $result)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Extension/InlineEditing/InlineEditColumnOptions/ChoicesGuesser.php#L73 "Oro\Bundle\DataGridBundle\Extension\InlineEditing\InlineEditColumnOptions\ChoicesGuesser")</sup>
* The `GridViewManager::__construct(AclHelper $aclHelper, Registry $registry, Manager $gridManager, RestrictionManager $restrictionManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Entity/Manager/GridViewManager.php#L60 "Oro\Bundle\DataGridBundle\Entity\Manager\GridViewManager")</sup> method was changed to `GridViewManager::__construct(AclHelper $aclHelper, ManagerRegistry $registry, Manager $gridManager, RestrictionManager $restrictionManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Entity/Manager/GridViewManager.php#L60 "Oro\Bundle\DataGridBundle\Entity\Manager\GridViewManager")</sup>
* The `OrmDatasource::__construct(ConfigProcessorInterface $processor, EventDispatcherInterface $eventDispatcher, ParameterBinderInterface $parameterBinder, QueryHintResolver $queryHintResolver, QueryExecutorInterface $queryExecutor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Datasource/Orm/OrmDatasource.php#L57 "Oro\Bundle\DataGridBundle\Datasource\Orm\OrmDatasource")</sup> method was changed to `OrmDatasource::__construct(ConfigProcessorInterface $processor, EventDispatcherInterface $eventDispatcher, ParameterBinder $parameterBinder, QueryHintResolver $queryHintResolver, QueryExecutorInterface $queryExecutor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Datasource/Orm/OrmDatasource.php#L57 "Oro\Bundle\DataGridBundle\Datasource\Orm\OrmDatasource")</sup>
* The `PrimaryKeyColumnOptionsGuesser::__construct(Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Datagrid/PrimaryKeyColumnOptionsGuesser.php#L16 "Oro\Bundle\DataGridBundle\Datagrid\PrimaryKeyColumnOptionsGuesser")</sup> method was changed to `PrimaryKeyColumnOptionsGuesser::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Datagrid/PrimaryKeyColumnOptionsGuesser.php#L15 "Oro\Bundle\DataGridBundle\Datagrid\PrimaryKeyColumnOptionsGuesser")</sup>
* The `AbstractPager::$maxRecordLimit`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Extension/Pager/AbstractPager.php#L20 "Oro\Bundle\DataGridBundle\Extension\Pager\AbstractPager::$maxRecordLimit")</sup> property was removed.
* The following interfaces were removed:
   - `ParameterBinderAwareInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Datasource/ParameterBinderAwareInterface.php#L8 "Oro\Bundle\DataGridBundle\Datasource\ParameterBinderAwareInterface")</sup>
   - `ParameterBinderInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DataGridBundle/Datasource/ParameterBinderInterface.php#L10 "Oro\Bundle\DataGridBundle\Datasource\ParameterBinderInterface")</sup>
* The `ResultRecordInterface::getDataArray`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DataGridBundle/Datasource/ResultRecordInterface.php#L40 "Oro\Bundle\DataGridBundle\Datasource\ResultRecordInterface::getDataArray")</sup> interface method was added.

DigitalAssetBundle
------------------
* The `ExtendDigitalAsset`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DigitalAssetBundle/Model/ExtendDigitalAsset.php#L16 "Oro\Bundle\DigitalAssetBundle\Model\ExtendDigitalAsset")</sup> class was removed.
* The `DigitalAssetAwareFileStrategyEventListener::__construct(AttachmentEntityConfigProviderInterface $attachmentEntityConfigProvider, FieldHelper $fieldHelper, DatabaseHelper $databaseHelper, ImportStrategyHelper $importStrategyHelper, DoctrineHelper $doctrineHelper, TranslatorInterface $translator, MemoryCache $memoryCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DigitalAssetBundle/ImportExport/EventListener/DigitalAssetAwareFileStrategyEventListener.php#L41 "Oro\Bundle\DigitalAssetBundle\ImportExport\EventListener\DigitalAssetAwareFileStrategyEventListener")</sup> method was changed to `DigitalAssetAwareFileStrategyEventListener::__construct(AttachmentEntityConfigProviderInterface $attachmentEntityConfigProvider, FieldHelper $fieldHelper, DatabaseHelper $databaseHelper, ImportStrategyHelper $importStrategyHelper, FileImportStrategyHelper $fileImportStrategyHelper, TranslatorInterface $translator, MemoryCache $memoryCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DigitalAssetBundle/ImportExport/EventListener/DigitalAssetAwareFileStrategyEventListener.php#L50 "Oro\Bundle\DigitalAssetBundle\ImportExport\EventListener\DigitalAssetAwareFileStrategyEventListener")</sup>
* The `DigitalAssetSourceChangedListener::postUpdate(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/DigitalAssetSourceChangedListener.php#L23 "Oro\Bundle\DigitalAssetBundle\EventListener\DigitalAssetSourceChangedListener")</sup> method was changed to `DigitalAssetSourceChangedListener::postUpdate(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/DigitalAssetSourceChangedListener.php#L23 "Oro\Bundle\DigitalAssetBundle\EventListener\DigitalAssetSourceChangedListener")</sup>
* The `FileDeleteListener::preRemove(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/FileDeleteListener.php#L22 "Oro\Bundle\DigitalAssetBundle\EventListener\FileDeleteListener")</sup> method was changed to `FileDeleteListener::preRemove(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/FileDeleteListener.php#L29 "Oro\Bundle\DigitalAssetBundle\EventListener\FileDeleteListener")</sup>
* The `FileDigitalAssetChangedListener::prePersist(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/FileDigitalAssetChangedListener.php#L24 "Oro\Bundle\DigitalAssetBundle\EventListener\FileDigitalAssetChangedListener")</sup> method was changed to `FileDigitalAssetChangedListener::prePersist(File $file, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DigitalAssetBundle/EventListener/FileDigitalAssetChangedListener.php#L24 "Oro\Bundle\DigitalAssetBundle\EventListener\FileDigitalAssetChangedListener")</sup>

DistributionBundle
------------------
* The following classes were removed:
   - `DeploymentConfigResolver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DistributionBundle/Resolver/DeploymentConfigResolver.php#L10 "Oro\Bundle\DistributionBundle\Resolver\DeploymentConfigResolver")</sup>
   - `InstallCommandDeploymentTypeListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DistributionBundle/EventListener/InstallCommandDeploymentTypeListener.php#L14 "Oro\Bundle\DistributionBundle\EventListener\InstallCommandDeploymentTypeListener")</sup>
   - `CacheConfigurationPass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DistributionBundle/DependencyInjection/Compiler/CacheConfigurationPass.php#L11 "Oro\Bundle\DistributionBundle\DependencyInjection\Compiler\CacheConfigurationPass")</sup>
* The `OroKernel::buildContainer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DistributionBundle/OroKernel.php#L473 "Oro\Bundle\DistributionBundle\OroKernel::buildContainer")</sup> method was removed.
* The `OroDistributionExtension::mergeTwigResources`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DistributionBundle/DependencyInjection/OroDistributionExtension.php#L26 "Oro\Bundle\DistributionBundle\DependencyInjection\OroDistributionExtension::mergeTwigResources")</sup> method was removed.

DoctrineUtils
-------------
* The `UnionQueryBuilder::__construct(EntityManager $em, $unionAll = true, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/DoctrineUtils/ORM/UnionQueryBuilder.php#L43 "Oro\Component\DoctrineUtils\ORM\UnionQueryBuilder")</sup> method was changed to `UnionQueryBuilder::__construct(EntityManagerInterface $em, $unionAll = true, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/DoctrineUtils/ORM/UnionQueryBuilder.php#L29 "Oro\Component\DoctrineUtils\ORM\UnionQueryBuilder")</sup>

DraftBundle
-----------
* The `ExtendDraftProject`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Model/ExtendDraftProject.php#L8 "Oro\Bundle\DraftBundle\Model\ExtendDraftProject")</sup> class was removed.
* The following methods in class `AclVoter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L33 "Oro\Bundle\DraftBundle\Voter\AclVoter")</sup> were removed:
   - `__construct`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L33 "Oro\Bundle\DraftBundle\Voter\AclVoter::__construct")</sup>
   - `addOneShotIsGrantedObserver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L50 "Oro\Bundle\DraftBundle\Voter\AclVoter::addOneShotIsGrantedObserver")</sup>
   - `getSecurityToken`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L55 "Oro\Bundle\DraftBundle\Voter\AclVoter::getSecurityToken")</sup>
   - `getAclExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L60 "Oro\Bundle\DraftBundle\Voter\AclVoter::getAclExtension")</sup>
   - `getObject`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L68 "Oro\Bundle\DraftBundle\Voter\AclVoter::getObject")</sup>
   - `setTriggeredMask`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Voter/AclVoter.php#L77 "Oro\Bundle\DraftBundle\Voter\AclVoter::setTriggeredMask")</sup>
* The `DraftSourceListener::__construct`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/EventListener/ORM/DraftSourceListener.php#L20 "Oro\Bundle\DraftBundle\EventListener\ORM\DraftSourceListener::__construct")</sup> method was removed.
* The `DraftableFilterExtension::__construct(ManagerRegistry $managerRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/DraftBundle/Consumption/Extension/DraftableFilterExtension.php#L21 "Oro\Bundle\DraftBundle\Consumption\Extension\DraftableFilterExtension")</sup> method was changed to `DraftableFilterExtension::__construct(ManagerRegistry $managerRegistry, DraftableFilterState $filterState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/DraftBundle/Consumption/Extension/DraftableFilterExtension.php#L17 "Oro\Bundle\DraftBundle\Consumption\Extension\DraftableFilterExtension")</sup>

Duplicator
----------
* The following methods in class `Duplicator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Duplicator/Duplicator.php#L27 "Oro\Component\Duplicator\Duplicator")</sup> were changed:
  > - `duplicate($object, $settings = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Duplicator/Duplicator.php#L32 "Oro\Component\Duplicator\Duplicator")</sup>
  > - `duplicate($object, $settings = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Duplicator/Duplicator.php#L27 "Oro\Component\Duplicator\Duplicator")</sup>

  > - `getFilter($filterOptions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Duplicator/Duplicator.php#L54 "Oro\Component\Duplicator\Duplicator")</sup>
  > - `getFilter($filterOptions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Duplicator/Duplicator.php#L53 "Oro\Component\Duplicator\Duplicator")</sup>

* The `DuplicatorFactory::$container`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Duplicator/DuplicatorFactory.php#L14 "Oro\Component\Duplicator\DuplicatorFactory::$container")</sup> property was removed.

EmailBundle
-----------
* The following classes were removed:
   - `MailboxEmailOwnerProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/MailboxEmailOwnerProvider.php#L8 "Oro\Bundle\EmailBundle\Provider\MailboxEmailOwnerProvider")</sup>
   - `ExtendEmail`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Model/ExtendEmail.php#L8 "Oro\Bundle\EmailBundle\Model\ExtendEmail")</sup>
   - `ExtendEmailTemplate`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Model/ExtendEmailTemplate.php#L8 "Oro\Bundle\EmailBundle\Model\ExtendEmailTemplate")</sup>
   - `ExtendEmailTemplateTranslation`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Model/ExtendEmailTemplateTranslation.php#L8 "Oro\Bundle\EmailBundle\Model\ExtendEmailTemplateTranslation")</sup>
* The `AggregatedEmailTemplatesSender::__construct(DoctrineHelper $doctrineHelper, LocalizedTemplateProvider $localizedTemplateProvider, EmailOriginHelper $emailOriginHelper, EmailModelSender $emailModelSender)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Tools/AggregatedEmailTemplatesSender.php#L33 "Oro\Bundle\EmailBundle\Tools\AggregatedEmailTemplatesSender")</sup> method was changed to `AggregatedEmailTemplatesSender::__construct(DoctrineHelper $doctrineHelper, LocalizedTemplateProvider $localizedTemplateProvider, EmailOriginHelper $emailOriginHelper, EmailModelSender $emailModelSender, EntityOwnerAccessor $entityOwnerAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Tools/AggregatedEmailTemplatesSender.php#L36 "Oro\Bundle\EmailBundle\Tools\AggregatedEmailTemplatesSender")</sup>
* The `AbstractEmailSynchronizer::changeOriginSyncState(EmailOrigin $origin, $syncCode, $synchronizedAt = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Sync/AbstractEmailSynchronizer.php#L392 "Oro\Bundle\EmailBundle\Sync\AbstractEmailSynchronizer")</sup> method was changed to `AbstractEmailSynchronizer::changeOriginSyncState(EmailOrigin $origin, $syncCode, $synchronizedAt = null, $disableSync = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Sync/AbstractEmailSynchronizer.php#L400 "Oro\Bundle\EmailBundle\Sync\AbstractEmailSynchronizer")</sup>
* The following methods in class `EmailBodySynchronizer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L36 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer")</sup> were changed:
  > - `__construct(EmailBodyLoaderSelector $selector, ManagerRegistry $doctrine, EventDispatcherInterface $eventDispatcher, NotificationAlertManager $notificationAlertManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L40 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer")</sup>
  > - `__construct(EmailBodyLoaderSelector $selector, ManagerRegistry $doctrine, EventDispatcherInterface $eventDispatcher, NotificationAlertManager $notificationAlertManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L36 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer")</sup>

  > - `isBodyNotLoaded(Email $email, $forceSync)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L180 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer")</sup>
  > - `isBodyNotLoaded(Email $email, $forceSync)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L168 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer")</sup>

* The `NotificationAlertManager::__construct($sourceType, $resourceType, ManagerRegistry $doctrine, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Sync/NotificationAlertManager.php#L18 "Oro\Bundle\EmailBundle\Sync\NotificationAlertManager")</sup> method was changed to `NotificationAlertManager::__construct($sourceType, $resourceType, ManagerRegistry $doctrine, TokenAccessor $tokenAccessor, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Sync/NotificationAlertManager.php#L18 "Oro\Bundle\EmailBundle\Sync\NotificationAlertManager")</sup>
* The `EmailAttributeProvider::__construct(Registry $registry, ConfigManager $configManager, NameFormatter $nameFormatter, EmailAddressHelper $emailAddressHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailAttributeProvider.php#L37 "Oro\Bundle\EmailBundle\Provider\EmailAttributeProvider")</sup> method was changed to `EmailAttributeProvider::__construct(ManagerRegistry $doctrine, ConfigManager $configManager, NameFormatter $nameFormatter, EmailAddressHelper $emailAddressHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/EmailAttributeProvider.php#L28 "Oro\Bundle\EmailBundle\Provider\EmailAttributeProvider")</sup>
* The `EmailOwnersProvider::__construct(ActivityListChainProvider $activityListChainProvider, EmailOwnerProviderStorage $emailOwnerStorage, Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailOwnersProvider.php#L23 "Oro\Bundle\EmailBundle\Provider\EmailOwnersProvider")</sup> method was changed to `EmailOwnersProvider::__construct(ActivityListChainProvider $activityListChainProvider, EmailOwnerProviderStorage $emailOwnerStorage, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/EmailOwnersProvider.php#L22 "Oro\Bundle\EmailBundle\Provider\EmailOwnersProvider")</sup>
* The `EmailRecipientsHelper::__construct(AclHelper $aclHelper, DQLNameFormatter $dqlNameFormatter, NameFormatter $nameFormatter, ConfigManager $configManager, TranslatorInterface $translator, EmailOwnerProvider $emailOwnerProvider, Registry $registry, EmailAddressHelper $addressHelper, Indexer $search, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailRecipientsHelper.php#L64 "Oro\Bundle\EmailBundle\Provider\EmailRecipientsHelper")</sup> method was changed to `EmailRecipientsHelper::__construct(AclHelper $aclHelper, DQLNameFormatter $dqlNameFormatter, NameFormatter $nameFormatter, ConfigManager $configManager, TranslatorInterface $translator, EmailOwnerProvider $emailOwnerProvider, ManagerRegistry $registry, EmailAddressHelper $addressHelper, Indexer $search, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/EmailRecipientsHelper.php#L65 "Oro\Bundle\EmailBundle\Provider\EmailRecipientsHelper")</sup>
* The `EmailRenderer::__construct(Environment $environment, TemplateRendererConfigProviderInterface $configProvider, VariableProcessorRegistry $variableProcessors, TranslatorInterface $translator, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailRenderer.php#L25 "Oro\Bundle\EmailBundle\Provider\EmailRenderer")</sup> method was changed to `EmailRenderer::__construct(Environment $environment, TemplateRendererConfigProviderInterface $configProvider, VariableProcessorRegistry $variableProcessors, TranslatorInterface $translator, Inflector $inflector, HtmlTagHelper $htmlTagHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/EmailRenderer.php#L25 "Oro\Bundle\EmailBundle\Provider\EmailRenderer")</sup>
* The `EmailTemplateContentProvider::__construct(ManagerRegistry $doctrine, EmailRenderer $emailRenderer, PropertyAccessor $propertyAccessor, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailTemplateContentProvider.php#L36 "Oro\Bundle\EmailBundle\Provider\EmailTemplateContentProvider")</sup> method was changed to `EmailTemplateContentProvider::__construct(ManagerRegistry $doctrine, EmailRenderer $emailRenderer, PropertyAccessorInterface $propertyAccessor, LoggerInterface $logger, TranslatableListener $translatableListener, LocaleAwareInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/EmailTemplateContentProvider.php#L34 "Oro\Bundle\EmailBundle\Provider\EmailTemplateContentProvider")</sup>
* The `MailboxEntityNameProvider::__construct(Translator $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/MailboxEntityNameProvider.php#L17 "Oro\Bundle\EmailBundle\Provider\MailboxEntityNameProvider")</sup> method was changed to `MailboxEntityNameProvider::__construct(TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/MailboxEntityNameProvider.php#L17 "Oro\Bundle\EmailBundle\Provider\MailboxEntityNameProvider")</sup>
* The `RecentEmailRecipientsProvider::__construct(TokenAccessorInterface $tokenAccessor, RelatedEmailsProvider $relatedEmailsProvider, AclHelper $aclHelper, Registry $registry, EmailOwnerProvider $emailOwnerProvider, EmailRecipientsHelper $emailRecipientsHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/RecentEmailRecipientsProvider.php#L38 "Oro\Bundle\EmailBundle\Provider\RecentEmailRecipientsProvider")</sup> method was changed to `RecentEmailRecipientsProvider::__construct(TokenAccessorInterface $tokenAccessor, RelatedEmailsProvider $relatedEmailsProvider, AclHelper $aclHelper, ManagerRegistry $doctrine, EmailOwnerProvider $emailOwnerProvider, EmailRecipientsHelper $emailRecipientsHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Provider/RecentEmailRecipientsProvider.php#L28 "Oro\Bundle\EmailBundle\Provider\RecentEmailRecipientsProvider")</sup>
* The `RequestMailboxes::__construct(ContextAccessor $contextAccessor, Registry $doctrine, MailboxProcessStorage $processStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Model/Action/RequestMailboxes.php#L29 "Oro\Bundle\EmailBundle\Model\Action\RequestMailboxes")</sup> method was changed to `RequestMailboxes::__construct(ContextAccessor $contextAccessor, ManagerRegistry $doctrine, MailboxProcessStorage $processStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Model/Action/RequestMailboxes.php#L28 "Oro\Bundle\EmailBundle\Model\Action\RequestMailboxes")</sup>
* The `AutoResponseManager::__construct(Registry $registry, EmailModelBuilder $emailBuilder, EmailModelSender $emailModelSender, EmailRenderer $emailRender, LoggerInterface $logger, TranslatorInterface $translator, $defaultLocale)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Manager/AutoResponseManager.php#L82 "Oro\Bundle\EmailBundle\Manager\AutoResponseManager")</sup> method was changed to `AutoResponseManager::__construct(ManagerRegistry $registry, EmailModelBuilder $emailBuilder, EmailModelSender $emailModelSender, EmailRenderer $emailRender, LoggerInterface $logger, TranslatorInterface $translator, $defaultLocale)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Manager/AutoResponseManager.php#L82 "Oro\Bundle\EmailBundle\Manager\AutoResponseManager")</sup>
* The `EmailNotificationManager::__construct(ManagerRegistry $doctrine, HtmlTagHelper $htmlTagHelper, UrlGeneratorInterface $urlGenerator, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Manager/EmailNotificationManager.php#L31 "Oro\Bundle\EmailBundle\Manager\EmailNotificationManager")</sup> method was changed to `EmailNotificationManager::__construct(ManagerRegistry $doctrine, HtmlTagHelper $htmlTagHelper, UrlGeneratorInterface $urlGenerator, ConfigManager $configManager, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Manager/EmailNotificationManager.php#L27 "Oro\Bundle\EmailBundle\Manager\EmailNotificationManager")</sup>
* The `AutoResponseTemplateType::__construct(ConfigManager $cm, ConfigManager $userConfig, Registry $registry, LocalizationManager $localizationManager, HtmlTagHelper $htmlTagHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Type/AutoResponseTemplateType.php#L44 "Oro\Bundle\EmailBundle\Form\Type\AutoResponseTemplateType")</sup> method was changed to `AutoResponseTemplateType::__construct(ConfigManager $configManager, ConfigManager $userConfig, ManagerRegistry $doctrine, LocalizationManager $localizationManager, HtmlTagHelper $htmlTagHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Form/Type/AutoResponseTemplateType.php#L35 "Oro\Bundle\EmailBundle\Form\Type\AutoResponseTemplateType")</sup>
* The `MailboxHandler::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, Registry $doctrine, MailboxProcessStorage $mailboxProcessStorage, EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Handler/MailboxHandler.php#L39 "Oro\Bundle\EmailBundle\Form\Handler\MailboxHandler")</sup> method was changed to `MailboxHandler::__construct(FormFactoryInterface $formFactory, RequestStack $requestStack, ManagerRegistry $doctrine, MailboxProcessStorage $mailboxProcessStorage, EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Form/Handler/MailboxHandler.php#L42 "Oro\Bundle\EmailBundle\Form\Handler\MailboxHandler")</sup>
* The `MailboxUnboudRulesExtension::__construct(Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Extension/MailboxUnboudRulesExtension.php#L22 "Oro\Bundle\EmailBundle\Form\Extension\MailboxUnboudRulesExtension")</sup> method was changed to `MailboxUnboudRulesExtension::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Form/Extension/MailboxUnboudRulesExtension.php#L24 "Oro\Bundle\EmailBundle\Form\Extension\MailboxUnboudRulesExtension")</sup>
* The `EmailTemplateCompilationException::__construct(EmailTemplateCriteria $criteria)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Exception/EmailTemplateCompilationException.php#L12 "Oro\Bundle\EmailBundle\Exception\EmailTemplateCompilationException")</sup> method was changed to `EmailTemplateCompilationException::__construct(EmailTemplateCriteria $criteria, Error $previous = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Exception/EmailTemplateCompilationException.php#L13 "Oro\Bundle\EmailBundle\Exception\EmailTemplateCompilationException")</sup>
* The `EmailAssociationsDemoDataFixturesListener::__construct(OptionalListenerManager $listenerManager, AssociationManager $associationManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/EventListener/EmailAssociationsDemoDataFixturesListener.php#L19 "Oro\Bundle\EmailBundle\EventListener\EmailAssociationsDemoDataFixturesListener")</sup> method was changed to `EmailAssociationsDemoDataFixturesListener::__construct(OptionalListenerManager $listenerManager, AssociationManager $associationManager, ManagerRegistry $doctrine, EmailAddressVisibilityManager $emailAddressVisibilityManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/EventListener/EmailAssociationsDemoDataFixturesListener.php#L26 "Oro\Bundle\EmailBundle\EventListener\EmailAssociationsDemoDataFixturesListener")</sup>
* The `EntityListener::postRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/EventListener/EntityListener.php#L174 "Oro\Bundle\EmailBundle\EventListener\EntityListener")</sup> method was changed to `EntityListener::postRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/EventListener/EntityListener.php#L186 "Oro\Bundle\EmailBundle\EventListener\EntityListener")</sup>
* The `MailboxGridListener::__construct(Registry $doctrine, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/EventListener/Datagrid/MailboxGridListener.php#L28 "Oro\Bundle\EmailBundle\EventListener\Datagrid\MailboxGridListener")</sup> method was changed to `MailboxGridListener::__construct(ManagerRegistry $doctrine, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/EventListener/Datagrid/MailboxGridListener.php#L33 "Oro\Bundle\EmailBundle\EventListener\Datagrid\MailboxGridListener")</sup>
* The `EmailRepository::getNewEmails(User $user, Organization $organization, $limit, $folderId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRepository.php#L74 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRepository")</sup> method was changed to `EmailRepository::getNewEmails(User $user, Organization $organization, $limit, $folderId, AclHelper $aclHelper = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRepository.php#L77 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRepository")</sup>
* The `EmailOwnerProvider::findEmailOwner(EntityManager $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProvider.php#L33 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProvider")</sup> method was changed to `EmailOwnerProvider::findEmailOwner(EntityManagerInterface $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProvider.php#L23 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProvider")</sup>
* The `MailboxManager::__construct(Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Manager/MailboxManager.php#L19 "Oro\Bundle\EmailBundle\Entity\Manager\MailboxManager")</sup> method was changed to `MailboxManager::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Manager/MailboxManager.php#L22 "Oro\Bundle\EmailBundle\Entity\Manager\MailboxManager")</sup>
* The `MailboxController::searchUsersAction(Request $request, $organizationId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Controller/Configuration/MailboxController.php#L148 "Oro\Bundle\EmailBundle\Controller\Configuration\MailboxController")</sup> method was changed to `MailboxController::searchUsersAction(Request $request, $organizationId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Controller/Configuration/MailboxController.php#L119 "Oro\Bundle\EmailBundle\Controller\Configuration\MailboxController")</sup>
* The `EmailBodySyncCommand::__construct(FeatureChecker $featureChecker, EmailBodySynchronizer $synchronizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Command/Cron/EmailBodySyncCommand.php#L34 "Oro\Bundle\EmailBundle\Command\Cron\EmailBodySyncCommand")</sup> method was changed to `EmailBodySyncCommand::__construct(EmailBodySynchronizer $synchronizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Command/Cron/EmailBodySyncCommand.php#L32 "Oro\Bundle\EmailBundle\Command\Cron\EmailBodySyncCommand")</sup>
* The following methods in class `EmailEntityBatchProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Builder/EmailEntityBatchProcessor.php#L146 "Oro\Bundle\EmailBundle\Builder\EmailEntityBatchProcessor")</sup> were changed:
  > - `persist(EntityManager $em)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Builder/EmailEntityBatchProcessor.php#L143 "Oro\Bundle\EmailBundle\Builder\EmailEntityBatchProcessor")</sup>
  > - `persist(EntityManagerInterface $em)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Builder/EmailEntityBatchProcessor.php#L146 "Oro\Bundle\EmailBundle\Builder\EmailEntityBatchProcessor")</sup>

  > - `persistEmailUsers(EntityManager $em)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Builder/EmailEntityBatchProcessor.php#L184 "Oro\Bundle\EmailBundle\Builder\EmailEntityBatchProcessor")</sup>
  > - `persistEmailUsers(EntityManagerInterface $em)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Builder/EmailEntityBatchProcessor.php#L187 "Oro\Bundle\EmailBundle\Builder\EmailEntityBatchProcessor")</sup>

* The `AutoResponseMessageProcessor::__construct(Registry $doctrine, AutoResponseManager $autoResponseManager, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Async/AutoResponseMessageProcessor.php#L42 "Oro\Bundle\EmailBundle\Async\AutoResponseMessageProcessor")</sup> method was changed to `AutoResponseMessageProcessor::__construct(ManagerRegistry $doctrine, AutoResponseManager $autoResponseManager, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Async/AutoResponseMessageProcessor.php#L26 "Oro\Bundle\EmailBundle\Async\AutoResponseMessageProcessor")</sup>
* The `SyncEmailSeenFlagMessageProcessor::__construct(Registry $doctrine, EmailFlagManager $emailFlagManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Async/SyncEmailSeenFlagMessageProcessor.php#L37 "Oro\Bundle\EmailBundle\Async\SyncEmailSeenFlagMessageProcessor")</sup> method was changed to `SyncEmailSeenFlagMessageProcessor::__construct(ManagerRegistry $doctrine, EmailFlagManager $emailFlagManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Async/SyncEmailSeenFlagMessageProcessor.php#L25 "Oro\Bundle\EmailBundle\Async\SyncEmailSeenFlagMessageProcessor")</sup>
* The `EmailOwnerProviderInterface::findEmailOwner(EntityManager $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProviderInterface.php#L27 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProviderInterface")</sup> method was changed to `EmailOwnerProviderInterface::findEmailOwner(EntityManagerInterface $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProviderInterface.php#L23 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProviderInterface")</sup>
* The `EmailAddressHelper::extractEmailAddresses`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Tools/EmailAddressHelper.php#L184 "Oro\Bundle\EmailBundle\Tools\EmailAddressHelper::extractEmailAddresses")</sup> method was removed.
* The `EmailRenderer::setHtmlTagHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailRenderer.php#L36 "Oro\Bundle\EmailBundle\Provider\EmailRenderer::setHtmlTagHelper")</sup> method was removed.
* The `MailboxUnboudRulesExtension::getAutoResponseRuleManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Extension/MailboxUnboudRulesExtension.php#L61 "Oro\Bundle\EmailBundle\Form\Extension\MailboxUnboudRulesExtension::getAutoResponseRuleManager")</sup> method was removed.
* The `AutoResponseRuleSubscriber::createExistingEntityQueryBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/EventListener/AutoResponseRuleSubscriber.php#L65 "Oro\Bundle\EmailBundle\Form\EventListener\AutoResponseRuleSubscriber::createExistingEntityQueryBuilder")</sup> method was removed.
* The `Mailbox::getClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Mailbox.php#L274 "Oro\Bundle\EmailBundle\Entity\Mailbox::getClass")</sup> method was removed.
* The `EmailRepository::getEmailsWithoutBody`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/Repository/EmailRepository.php#L147 "Oro\Bundle\EmailBundle\Entity\Repository\EmailRepository::getEmailsWithoutBody")</sup> method was removed.
* The `EmailBodySyncCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Command/Cron/EmailBodySyncCommand.php#L50 "Oro\Bundle\EmailBundle\Command\Cron\EmailBodySyncCommand::isActive")</sup> method was removed.
* The `AutoResponseMessageProcessor::getEmailRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Async/AutoResponseMessageProcessor.php#L81 "Oro\Bundle\EmailBundle\Async\AutoResponseMessageProcessor::getEmailRepository")</sup> method was removed.
* The `EmailOwnerInterface::getClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Entity/EmailOwnerInterface.php#L20 "Oro\Bundle\EmailBundle\Entity\EmailOwnerInterface::getClass")</sup> method was removed.
* The `EmailBodySynchronizer::$manager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Sync/EmailBodySynchronizer.php#L35 "Oro\Bundle\EmailBundle\Sync\EmailBodySynchronizer::$manager")</sup> property was removed.
* The `EmailOwnersProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EmailOwnersProvider.php#L21 "Oro\Bundle\EmailBundle\Provider\EmailOwnersProvider::$registry")</sup> property was removed.
* The following properties in class `EntityVariablesProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EntityVariablesProvider.php#L23 "Oro\Bundle\EmailBundle\Provider\EntityVariablesProvider")</sup> were removed:
   - `$translator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EntityVariablesProvider.php#L23 "Oro\Bundle\EmailBundle\Provider\EntityVariablesProvider::$translator")</sup>
   - `$configManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EntityVariablesProvider.php#L26 "Oro\Bundle\EmailBundle\Provider\EntityVariablesProvider::$configManager")</sup>
   - `$formatterManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EntityVariablesProvider.php#L29 "Oro\Bundle\EmailBundle\Provider\EntityVariablesProvider::$formatterManager")</sup>
   - `$doctrine`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/EntityVariablesProvider.php#L32 "Oro\Bundle\EmailBundle\Provider\EntityVariablesProvider::$doctrine")</sup>
* The `RecentEmailRecipientsProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Provider/RecentEmailRecipientsProvider.php#L30 "Oro\Bundle\EmailBundle\Provider\RecentEmailRecipientsProvider::$registry")</sup> property was removed.
* The following properties in class `AutoResponseTemplateType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Type/AutoResponseTemplateType.php#L30 "Oro\Bundle\EmailBundle\Form\Type\AutoResponseTemplateType")</sup> were removed:
   - `$cm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Type/AutoResponseTemplateType.php#L30 "Oro\Bundle\EmailBundle\Form\Type\AutoResponseTemplateType::$cm")</sup>
   - `$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Type/AutoResponseTemplateType.php#L36 "Oro\Bundle\EmailBundle\Form\Type\AutoResponseTemplateType::$registry")</sup>
* The `MailboxUnboudRulesExtension::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Form/Extension/MailboxUnboudRulesExtension.php#L20 "Oro\Bundle\EmailBundle\Form\Extension\MailboxUnboudRulesExtension::$registry")</sup> property was removed.
* The `EmailBodySyncCommand::$featureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmailBundle/Command/Cron/EmailBodySyncCommand.php#L31 "Oro\Bundle\EmailBundle\Command\Cron\EmailBodySyncCommand::$featureChecker")</sup> property was removed.
The following methods in interface `EmailOwnerProviderInterface` were added (with link)
   - `getOrganizations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProviderInterface.php#L28 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProviderInterface::getOrganizations")</sup>
   - `getEmails`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EmailBundle/Entity/Provider/EmailOwnerProviderInterface.php#L33 "Oro\Bundle\EmailBundle\Entity\Provider\EmailOwnerProviderInterface::getEmails")</sup>

EmbeddedFormBundle
------------------
* The `ExtendEmbeddedForm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EmbeddedFormBundle/Model/ExtendEmbeddedForm.php#L5 "Oro\Bundle\EmbeddedFormBundle\Model\ExtendEmbeddedForm")</sup> class was removed.

EntityBundle
------------
* The `PartialIndexListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/EventListener/ORM/PartialIndexListener.php#L12 "Oro\Bundle\EntityBundle\EventListener\ORM\PartialIndexListener")</sup> class was removed.
* The `TemplateRendererConfigProvider::__construct(VariablesProvider $variablesProvider, Cache $cache, $configCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Twig/Sandbox/TemplateRendererConfigProvider.php#L34 "Oro\Bundle\EntityBundle\Twig\Sandbox\TemplateRendererConfigProvider")</sup> method was changed to `TemplateRendererConfigProvider::__construct(VariablesProvider $variablesProvider, CacheInterface $cache, $configCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Twig/Sandbox/TemplateRendererConfigProvider.php#L23 "Oro\Bundle\EntityBundle\Twig\Sandbox\TemplateRendererConfigProvider")</sup>
* The `DictionaryVirtualFieldProvider::__construct(ConfigManager $configManager, ManagerRegistry $doctrine, TranslatorInterface $translator, CacheProvider $cache, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Provider/DictionaryVirtualFieldProvider.php#L44 "Oro\Bundle\EntityBundle\Provider\DictionaryVirtualFieldProvider")</sup> method was changed to `DictionaryVirtualFieldProvider::__construct(ConfigManager $configManager, ManagerRegistry $doctrine, TranslatorInterface $translator, CacheInterface $cache, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Provider/DictionaryVirtualFieldProvider.php#L31 "Oro\Bundle\EntityBundle\Provider\DictionaryVirtualFieldProvider")</sup>
* The `EntityFieldProvider::__construct(ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, EntityClassResolver $entityClassResolver, FieldTypeHelper $fieldTypeHelper, ManagerRegistry $doctrine, TranslatorInterface $translator, $hiddenFields)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Provider/EntityFieldProvider.php#L115 "Oro\Bundle\EntityBundle\Provider\EntityFieldProvider")</sup> method was changed to `EntityFieldProvider::__construct(ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, EntityClassResolver $entityClassResolver, FieldTypeHelper $fieldTypeHelper, ManagerRegistry $doctrine, TranslatorInterface $translator, $hiddenFields)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Provider/EntityFieldProvider.php#L115 "Oro\Bundle\EntityBundle\Provider\EntityFieldProvider")</sup>
* The `EntityNameProvider::__construct(ManagerRegistry $doctrine, ConfigProvider $configProvider, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Provider/EntityNameProvider.php#L31 "Oro\Bundle\EntityBundle\Provider\EntityNameProvider")</sup> method was changed to `EntityNameProvider::__construct($fieldGuesses, ManagerRegistry $doctrine, ConfigProvider $configProvider, Inflector $inflector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Provider/EntityNameProvider.php#L28 "Oro\Bundle\EntityBundle\Provider\EntityNameProvider")</sup>
* The `EntityStructureDataProvider::__construct(EventDispatcherInterface $eventDispatcher, EntityWithFieldsProvider $entityWithFieldsProvider, EntityClassNameHelper $classNameHelper, TranslatorInterface $translator, Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Provider/EntityStructureDataProvider.php#L50 "Oro\Bundle\EntityBundle\Provider\EntityStructureDataProvider")</sup> method was changed to `EntityStructureDataProvider::__construct(EventDispatcherInterface $eventDispatcher, EntityWithFieldsProvider $entityWithFieldsProvider, EntityClassNameHelper $classNameHelper, TranslatorInterface $translator, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Provider/EntityStructureDataProvider.php#L41 "Oro\Bundle\EntityBundle\Provider\EntityStructureDataProvider")</sup>
* The `DoctrineHelper::getEntityIdentifier($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/ORM/DoctrineHelper.php#L107 "Oro\Bundle\EntityBundle\ORM\DoctrineHelper")</sup> method was changed to `DoctrineHelper::getEntityIdentifier($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/ORM/DoctrineHelper.php#L105 "Oro\Bundle\EntityBundle\ORM\DoctrineHelper")</sup>
* The `EntityAliasResolver::__construct(EntityAliasLoader $loader, Cache $cache, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/ORM/EntityAliasResolver.php#L39 "Oro\Bundle\EntityBundle\ORM\EntityAliasResolver")</sup> method was changed to `EntityAliasResolver::__construct(EntityAliasLoader $loader, CacheItemPoolInterface $cache, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/ORM/EntityAliasResolver.php#L39 "Oro\Bundle\EntityBundle\ORM\EntityAliasResolver")</sup>
* The `AdditionalMetadataProvider::__construct(ManagerRegistry $registry, CacheAdapter $cacheAdapter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/ORM/Mapping/AdditionalMetadataProvider.php#L20 "Oro\Bundle\EntityBundle\ORM\Mapping\AdditionalMetadataProvider")</sup> method was changed to `AdditionalMetadataProvider::__construct(ManagerRegistry $registry, CacheItemPoolInterface $cacheAdapter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/ORM/Mapping/AdditionalMetadataProvider.php#L19 "Oro\Bundle\EntityBundle\ORM\Mapping\AdditionalMetadataProvider")</sup>
* The `FieldHelper::__construct(EntityFieldProvider $fieldProvider, ConfigProvider $configProvider, FieldTypeHelper $fieldTypeHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Helper/FieldHelper.php#L51 "Oro\Bundle\EntityBundle\Helper\FieldHelper")</sup> method was changed to `FieldHelper::__construct(EntityFieldProvider $fieldProvider, ConfigProvider $configProvider, FieldTypeHelper $fieldTypeHelper, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Helper/FieldHelper.php#L54 "Oro\Bundle\EntityBundle\Helper\FieldHelper")</sup>
* The `FormBuilder::__construct(FormFactory $formFactory, Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Form/EntityField/FormBuilder.php#L50 "Oro\Bundle\EntityBundle\Form\EntityField\FormBuilder")</sup> method was changed to `FormBuilder::__construct(FormFactory $formFactory, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Form/EntityField/FormBuilder.php#L50 "Oro\Bundle\EntityBundle\Form\EntityField\FormBuilder")</sup>
* The `EntityApiBaseHandler::__construct(Registry $registry, EntityApiHandlerProcessor $processor, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Form/EntityField/Handler/EntityApiBaseHandler.php#L24 "Oro\Bundle\EntityBundle\Form\EntityField\Handler\EntityApiBaseHandler")</sup> method was changed to `EntityApiBaseHandler::__construct(ManagerRegistry $doctrine, EntityApiHandlerProcessor $processor, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Form/EntityField/Handler/EntityApiBaseHandler.php#L19 "Oro\Bundle\EntityBundle\Form\EntityField\Handler\EntityApiBaseHandler")</sup>
* The `ClearEntityStructureCacheListener::__construct(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/EventListener/ClearEntityStructureCacheListener.php#L15 "Oro\Bundle\EntityBundle\EventListener\ClearEntityStructureCacheListener")</sup> method was changed to `ClearEntityStructureCacheListener::__construct(CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/EventListener/ClearEntityStructureCacheListener.php#L14 "Oro\Bundle\EntityBundle\EventListener\ClearEntityStructureCacheListener")</sup>
* The `EntityFieldManager::__construct(Registry $registry, FormBuilder $formBuilder, EntityApiBaseHandler $handler, EntityRoutingHelper $entityRoutingHelper, OwnershipMetadataProviderInterface $ownershipMetadataProvider, EntityFieldValidator $entityFieldValidator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Entity/Manager/Field/EntityFieldManager.php#L46 "Oro\Bundle\EntityBundle\Entity\Manager\Field\EntityFieldManager")</sup> method was changed to `EntityFieldManager::__construct(ManagerRegistry $registry, FormBuilder $formBuilder, EntityApiBaseHandler $handler, EntityRoutingHelper $entityRoutingHelper, OwnershipMetadataProviderInterface $ownershipMetadataProvider, EntityFieldValidator $entityFieldValidator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Entity/Manager/Field/EntityFieldManager.php#L40 "Oro\Bundle\EntityBundle\Entity\Manager\Field\EntityFieldManager")</sup>
* The `EntityFieldValidator::__construct(Registry $registry, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Entity/Manager/Field/EntityFieldValidator.php#L27 "Oro\Bundle\EntityBundle\Entity\Manager\Field\EntityFieldValidator")</sup> method was changed to `EntityFieldValidator::__construct(ManagerRegistry $registry, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/Entity/Manager/Field/EntityFieldValidator.php#L27 "Oro\Bundle\EntityBundle\Entity\Manager\Field\EntityFieldValidator")</sup>
* The `ProfilingEntityManager::refresh($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/DataCollector/ProfilingEntityManager.php#L85 "Oro\Bundle\EntityBundle\DataCollector\ProfilingEntityManager")</sup> method was changed to `ProfilingEntityManager::refresh($entity, $lockMode = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityBundle/DataCollector/ProfilingEntityManager.php#L85 "Oro\Bundle\EntityBundle\DataCollector\ProfilingEntityManager")</sup>
* The `AdditionalMetadataProvider::$cacheDriver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/ORM/Mapping/AdditionalMetadataProvider.php#L18 "Oro\Bundle\EntityBundle\ORM\Mapping\AdditionalMetadataProvider::$cacheDriver")</sup> property was removed.
* The `EntityApiBaseHandler::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Form/EntityField/Handler/EntityApiBaseHandler.php#L16 "Oro\Bundle\EntityBundle\Form\EntityField\Handler\EntityApiBaseHandler::$registry")</sup> property was removed.
* The `GeneratedValueStrategyListener::$databaseDriver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/EventListener/ORM/GeneratedValueStrategyListener.php#L21 "Oro\Bundle\EntityBundle\EventListener\ORM\GeneratedValueStrategyListener::$databaseDriver")</sup> property was removed.
* The `EntityFieldManager::$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Entity/Manager/Field/EntityFieldManager.php#L32 "Oro\Bundle\EntityBundle\Entity\Manager\Field\EntityFieldManager::$em")</sup> property was removed.
* The `FieldHelper::getPropertyAccessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/Helper/FieldHelper.php#L413 "Oro\Bundle\EntityBundle\Helper\FieldHelper::getPropertyAccessor")</sup> method was removed.
* The `GeneratedValueStrategyListener::__construct`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityBundle/EventListener/ORM/GeneratedValueStrategyListener.php#L26 "Oro\Bundle\EntityBundle\EventListener\ORM\GeneratedValueStrategyListener::__construct")</sup> method was removed.

EntityConfigBundle
------------------
* The following classes were removed:
   - `ExtendAttributeFamily`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Model/ExtendAttributeFamily.php#L16 "Oro\Bundle\EntityConfigBundle\Model\ExtendAttributeFamily")</sup>
   - `ExtendAttributeGroup`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Model/ExtendAttributeGroup.php#L12 "Oro\Bundle\EntityConfigBundle\Model\ExtendAttributeGroup")</sup>
* The `AttributeValueProvider::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Provider/AttributeValueProvider.php#L16 "Oro\Bundle\EntityConfigBundle\Provider\AttributeValueProvider")</sup> method was changed to `AttributeValueProvider::__construct(ManagerRegistry $managerRegistry, DbalTypeDefaultValueProvider $dbalTypeDefaultValueProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Provider/AttributeValueProvider.php#L21 "Oro\Bundle\EntityConfigBundle\Provider\AttributeValueProvider")</sup>
* The `RemoveEnumFieldQuery::deleteEnumData(LoggerInterface $logger, $id, $data)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Migration/RemoveEnumFieldQuery.php#L65 "Oro\Bundle\EntityConfigBundle\Migration\RemoveEnumFieldQuery")</sup> method was changed to `RemoveEnumFieldQuery::deleteEnumData(LoggerInterface $logger, $id, $data)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Migration/RemoveEnumFieldQuery.php#L63 "Oro\Bundle\EntityConfigBundle\Migration\RemoveEnumFieldQuery")</sup>
* The `EntityFieldFixture::__construct(FieldTypeProvider $fieldTypeProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/TemplateFixture/EntityFieldFixture.php#L14 "Oro\Bundle\EntityConfigBundle\ImportExport\TemplateFixture\EntityFieldFixture")</sup> method was changed to `EntityFieldFixture::__construct(FieldTypeProvider $fieldTypeProvider, AttributeTypeRegistry $typeRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/TemplateFixture/EntityFieldFixture.php#L19 "Oro\Bundle\EntityConfigBundle\ImportExport\TemplateFixture\EntityFieldFixture")</sup>
* The `AbstractFieldTemplateDataConverter::getFieldProperties($fieldType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/DataConverter/AbstractFieldTemplateDataConverter.php#L59 "Oro\Bundle\EntityConfigBundle\ImportExport\DataConverter\AbstractFieldTemplateDataConverter")</sup> method was changed to `AbstractFieldTemplateDataConverter::getFieldProperties($fieldType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/DataConverter/AbstractFieldTemplateDataConverter.php#L50 "Oro\Bundle\EntityConfigBundle\ImportExport\DataConverter\AbstractFieldTemplateDataConverter")</sup>
* The `EntityFieldTemplateDataConverter::getFieldProperties($fieldType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/DataConverter/EntityFieldTemplateDataConverter.php#L11 "Oro\Bundle\EntityConfigBundle\ImportExport\DataConverter\EntityFieldTemplateDataConverter")</sup> method was changed to `EntityFieldTemplateDataConverter::getFieldProperties($fieldType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/DataConverter/EntityFieldTemplateDataConverter.php#L13 "Oro\Bundle\EntityConfigBundle\ImportExport\DataConverter\EntityFieldTemplateDataConverter")</sup>
* The `ConfigType::__construct(ConfigTranslationHelper $translationHelper, ConfigManager $configManager, Translator $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/Type/ConfigType.php#L33 "Oro\Bundle\EntityConfigBundle\Form\Type\ConfigType")</sup> method was changed to `ConfigType::__construct(ConfigTranslationHelper $translationHelper, ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Form/Type/ConfigType.php#L38 "Oro\Bundle\EntityConfigBundle\Form\Type\ConfigType")</sup>
* The `RemoveRestoreConfigFieldHandler::handleRemove(FieldConfigModel $field, $successMessage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/Handler/RemoveRestoreConfigFieldHandler.php#L53 "Oro\Bundle\EntityConfigBundle\Form\Handler\RemoveRestoreConfigFieldHandler")</sup> method was changed to `RemoveRestoreConfigFieldHandler::handleRemove(FieldConfigModel $field, $successMessage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Form/Handler/RemoveRestoreConfigFieldHandler.php#L40 "Oro\Bundle\EntityConfigBundle\Form\Handler\RemoveRestoreConfigFieldHandler")</sup>
* The `ConfigSubscriber::__construct(ConfigTranslationHelper $translationHelper, ConfigManager $configManager, Translator $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/EventListener/ConfigSubscriber.php#L31 "Oro\Bundle\EntityConfigBundle\Form\EventListener\ConfigSubscriber")</sup> method was changed to `ConfigSubscriber::__construct(ConfigTranslationHelper $translationHelper, ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Form/EventListener/ConfigSubscriber.php#L33 "Oro\Bundle\EntityConfigBundle\Form\EventListener\ConfigSubscriber")</sup>
* The `AttributeGroupListener::prePersist(AttributeGroup $group, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Entity/EntityListener/AttributeGroupListener.php#L21 "Oro\Bundle\EntityConfigBundle\Entity\EntityListener\AttributeGroupListener")</sup> method was changed to `AttributeGroupListener::prePersist(AttributeGroup $group, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Entity/EntityListener/AttributeGroupListener.php#L24 "Oro\Bundle\EntityConfigBundle\Entity\EntityListener\AttributeGroupListener")</sup>
* The following methods in class `AttributeFamilyController`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Controller/AttributeFamilyController.php#L35 "Oro\Bundle\EntityConfigBundle\Controller\AttributeFamilyController")</sup> were changed:
  > - `createAction($alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Controller/AttributeFamilyController.php#L37 "Oro\Bundle\EntityConfigBundle\Controller\AttributeFamilyController")</sup>
  > - `createAction($alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Controller/AttributeFamilyController.php#L35 "Oro\Bundle\EntityConfigBundle\Controller\AttributeFamilyController")</sup>

  > - `update(AttributeFamily $attributeFamily, $message)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Controller/AttributeFamilyController.php#L101 "Oro\Bundle\EntityConfigBundle\Controller\AttributeFamilyController")</sup>
  > - `update(AttributeFamily $attributeFamily, $message)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Controller/AttributeFamilyController.php#L92 "Oro\Bundle\EntityConfigBundle\Controller\AttributeFamilyController")</sup>

* The `ConfigCache::__construct(CacheProvider $cache, CacheProvider $modelCache, $scopes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigCache.php#L64 "Oro\Bundle\EntityConfigBundle\Config\ConfigCache")</sup> method was changed to `ConfigCache::__construct(CacheItemPoolInterface $cache, CacheItemPoolInterface $modelCache, $scopes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigCache.php#L65 "Oro\Bundle\EntityConfigBundle\Config\ConfigCache")</sup>
* The `ConfigManager::__construct(EventDispatcherInterface $eventDispatcher, MetadataFactory $metadataFactory, ConfigModelManager $modelManager, AuditManager $auditManager, ConfigCache $cache, ConfigurationHandler $configurationHandler)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L69 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager")</sup> method was changed to `ConfigManager::__construct(ConfigCache $cache, ContainerInterface $locator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L53 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager")</sup>
* The `BooleanAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/BooleanAttributeType.php#L19 "Oro\Bundle\EntityConfigBundle\Attribute\Type\BooleanAttributeType")</sup> method was changed to `BooleanAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/BooleanAttributeType.php#L19 "Oro\Bundle\EntityConfigBundle\Attribute\Type\BooleanAttributeType")</sup>
* The `DateAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/DateAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\DateAttributeType")</sup> method was changed to `DateAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/DateAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\DateAttributeType")</sup>
* The `DecimalAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/DecimalAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\DecimalAttributeType")</sup> method was changed to `DecimalAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/DecimalAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\DecimalAttributeType")</sup>
* The `EnumAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/EnumAttributeType.php#L17 "Oro\Bundle\EntityConfigBundle\Attribute\Type\EnumAttributeType")</sup> method was changed to `EnumAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/EnumAttributeType.php#L17 "Oro\Bundle\EntityConfigBundle\Attribute\Type\EnumAttributeType")</sup>
* The `FileAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/FileAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\FileAttributeType")</sup> method was changed to `FileAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/FileAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\FileAttributeType")</sup>
* The `IntegerAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/IntegerAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\IntegerAttributeType")</sup> method was changed to `IntegerAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/IntegerAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\IntegerAttributeType")</sup>
* The `ManyToManyAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/ManyToManyAttributeType.php#L35 "Oro\Bundle\EntityConfigBundle\Attribute\Type\ManyToManyAttributeType")</sup> method was changed to `ManyToManyAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/ManyToManyAttributeType.php#L35 "Oro\Bundle\EntityConfigBundle\Attribute\Type\ManyToManyAttributeType")</sup>
* The `ManyToOneAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/ManyToOneAttributeType.php#L30 "Oro\Bundle\EntityConfigBundle\Attribute\Type\ManyToOneAttributeType")</sup> method was changed to `ManyToOneAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/ManyToOneAttributeType.php#L30 "Oro\Bundle\EntityConfigBundle\Attribute\Type\ManyToOneAttributeType")</sup>
* The `MultiEnumAttributeType::isSortable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/MultiEnumAttributeType.php#L20 "Oro\Bundle\EntityConfigBundle\Attribute\Type\MultiEnumAttributeType")</sup> method was changed to `MultiEnumAttributeType::isSortable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/MultiEnumAttributeType.php#L20 "Oro\Bundle\EntityConfigBundle\Attribute\Type\MultiEnumAttributeType")</sup>
* The `StringAttributeType::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/StringAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\StringAttributeType")</sup> method was changed to `StringAttributeType::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/StringAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\StringAttributeType")</sup>
* The `TextAttributeType::isSortable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/TextAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\TextAttributeType")</sup> method was changed to `TextAttributeType::isSortable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/TextAttributeType.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\TextAttributeType")</sup>
* The `AttributeConfigurationInterface::isSearchable(FieldConfigModel $attribute = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/AttributeConfigurationInterface.php#L16 "Oro\Bundle\EntityConfigBundle\Attribute\Type\AttributeConfigurationInterface")</sup> method was changed to `AttributeConfigurationInterface::isSearchable(FieldConfigModel $attribute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityConfigBundle/Attribute/Type/AttributeConfigurationInterface.php#L20 "Oro\Bundle\EntityConfigBundle\Attribute\Type\AttributeConfigurationInterface")</sup>
* The `AttributeValueProvider::$doctrineHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Provider/AttributeValueProvider.php#L14 "Oro\Bundle\EntityConfigBundle\Provider\AttributeValueProvider::$doctrineHelper")</sup> property was removed.
* The `AbstractFieldTemplateDataConverter::$excludedFields`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/DataConverter/AbstractFieldTemplateDataConverter.php#L13 "Oro\Bundle\EntityConfigBundle\ImportExport\DataConverter\AbstractFieldTemplateDataConverter::$excludedFields")</sup> property was removed.
* The `InvalidateTranslationCacheListener::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/EventListener/InvalidateTranslationCacheListener.php#L19 "Oro\Bundle\EntityConfigBundle\EventListener\InvalidateTranslationCacheListener::$registry")</sup> property was removed.
* The following properties in class `ConfigManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L40 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager")</sup> were removed:
   - `$eventDispatcher`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L40 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$eventDispatcher")</sup>
   - `$metadataFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L43 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$metadataFactory")</sup>
   - `$cache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L46 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$cache")</sup>
   - `$configurationHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L49 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$configurationHandler")</sup>
   - `$auditManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L52 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$auditManager")</sup>
   - `$modelManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Config/ConfigManager.php#L55 "Oro\Bundle\EntityConfigBundle\Config\ConfigManager::$modelManager")</sup>
* The following methods in class `EntityFieldFixture`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/TemplateFixture/EntityFieldFixture.php#L90 "Oro\Bundle\EntityConfigBundle\ImportExport\TemplateFixture\EntityFieldFixture")</sup> were removed:
   - `getValueFromConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/TemplateFixture/EntityFieldFixture.php#L90 "Oro\Bundle\EntityConfigBundle\ImportExport\TemplateFixture\EntityFieldFixture::getValueFromConfig")</sup>
   - `getEnumValues`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/ImportExport/TemplateFixture/EntityFieldFixture.php#L113 "Oro\Bundle\EntityConfigBundle\ImportExport\TemplateFixture\EntityFieldFixture::getEnumValues")</sup>
* The `ConfigScopeType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/Type/ConfigScopeType.php#L113 "Oro\Bundle\EntityConfigBundle\Form\Type\ConfigScopeType::getName")</sup> method was removed.
* The `ConfigType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/Type/ConfigType.php#L139 "Oro\Bundle\EntityConfigBundle\Form\Type\ConfigType::getName")</sup> method was removed.
* The `ConfigHelperHandler::showClearCacheMessage`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/Form/Handler/ConfigHelperHandler.php#L117 "Oro\Bundle\EntityConfigBundle\Form\Handler\ConfigHelperHandler::showClearCacheMessage")</sup> method was removed.
* The `InvalidateTranslationCacheListener::onInvalidateTranslationCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityConfigBundle/EventListener/InvalidateTranslationCacheListener.php#L26 "Oro\Bundle\EntityConfigBundle\EventListener\InvalidateTranslationCacheListener::onInvalidateTranslationCache")</sup> method was removed.

EntityExtendBundle
------------------
* The `AbstractAssociationEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/AbstractAssociationEntityGeneratorExtension.php#L16 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\AbstractAssociationEntityGeneratorExtension")</sup> class was removed.
* The `ExtendClassLoadingUtils::setAliases`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/ExtendClassLoadingUtils.php#L75 "Oro\Bundle\EntityExtendBundle\Tools\ExtendClassLoadingUtils::setAliases")</sup> method was removed.
* The `RelationBuilder::addManyToOneRelationTargetSide`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/RelationBuilder.php#L177 "Oro\Bundle\EntityExtendBundle\Tools\RelationBuilder::addManyToOneRelationTargetSide")</sup> method was removed.
* The following methods in class `ExtendEntityGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L61 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension")</sup> were removed:
   - `generateConstructor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L61 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateConstructor")</sup>
   - `generateToStringMethod`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L92 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateToStringMethod")</sup>
   - `generateProperties`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L108 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateProperties")</sup>
   - `isSupportedRelation`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L135 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::isSupportedRelation")</sup>
   - `getSetterBody`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L157 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::getSetterBody")</sup>
   - `generateCollectionMethods`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L192 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateCollectionMethods")</sup>
   - `generateGetMethodName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L224 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateGetMethodName")</sup>
   - `generateSetMethodName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L229 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateSetMethodName")</sup>
   - `generateAddMethodName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L234 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateAddMethodName")</sup>
   - `generateRemoveMethodName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Tools/GeneratorExtensions/ExtendEntityGeneratorExtension.php#L239 "Oro\Bundle\EntityExtendBundle\Tools\GeneratorExtensions\ExtendEntityGeneratorExtension::generateRemoveMethodName")</sup>
* The `MultipleEntityType::configureOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/MultipleEntityType.php#L82 "Oro\Bundle\EntityExtendBundle\Form\Type\MultipleEntityType::configureOptions")</sup> method was removed.
* The `TargetType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/TargetType.php#L191 "Oro\Bundle\EntityExtendBundle\Form\Type\TargetType::getName")</sup> method was removed.
* The following methods in class `ExtendFieldTypeGuesser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L57 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser")</sup> were removed:
   - `addExtendTypeMapping`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L57 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::addExtendTypeMapping")</sup>
   - `getOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L122 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::getOptions")</sup>
* The `BeforeMapObjectSearchListener::processTitles`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/EventListener/BeforeMapObjectSearchListener.php#L174 "Oro\Bundle\EntityExtendBundle\EventListener\BeforeMapObjectSearchListener::processTitles")</sup> method was removed.
* The `CacheCommand::setClassAliases`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Command/CacheCommand.php#L181 "Oro\Bundle\EntityExtendBundle\Command\CacheCommand::setClassAliases")</sup> method was removed.
* The following methods in class `EnumTranslationCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L38 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache")</sup> were removed:
   - `contains`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L38 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache::contains")</sup>
   - `fetch`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L56 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache::fetch")</sup>
   - `save`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L74 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache::save")</sup>
* The `ExtendEntityFieldFilter::__construct(ConfigManager $configManager, $allowExtendedFields = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Serializer/ExtendEntityFieldFilter.php#L21 "Oro\Bundle\EntityExtendBundle\Serializer\ExtendEntityFieldFilter")</sup> method was changed to `ExtendEntityFieldFilter::__construct(ConfigManager $configManager, $allowExtendedFields = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Serializer/ExtendEntityFieldFilter.php#L18 "Oro\Bundle\EntityExtendBundle\Serializer\ExtendEntityFieldFilter")</sup>
* The `ExtendExclusionProvider::__construct(ConfigManager $configManager, $excludeHiddenEntities = false, $excludeHiddenFields = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Provider/ExtendExclusionProvider.php#L31 "Oro\Bundle\EntityExtendBundle\Provider\ExtendExclusionProvider")</sup> method was changed to `ExtendExclusionProvider::__construct(ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Provider/ExtendExclusionProvider.php#L19 "Oro\Bundle\EntityExtendBundle\Provider\ExtendExclusionProvider")</sup>
* The `EntityMetadataHelper::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Migration/EntityMetadataHelper.php#L34 "Oro\Bundle\EntityExtendBundle\Migration\EntityMetadataHelper")</sup> method was changed to `EntityMetadataHelper::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Migration/EntityMetadataHelper.php#L22 "Oro\Bundle\EntityExtendBundle\Migration\EntityMetadataHelper")</sup>
* The `ExtendConfigProcessor::updateEntityModel($className, $configs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Migration/ExtendConfigProcessor.php#L245 "Oro\Bundle\EntityExtendBundle\Migration\ExtendConfigProcessor")</sup> method was changed to `ExtendConfigProcessor::updateEntityModel($className, $configs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Migration/ExtendConfigProcessor.php#L240 "Oro\Bundle\EntityExtendBundle\Migration\ExtendConfigProcessor")</sup>
* The following methods in class `AbstractFieldsExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Grid/AbstractFieldsExtension.php#L133 "Oro\Bundle\EntityExtendBundle\Grid\AbstractFieldsExtension")</sup> were changed:
  > - `buildExpression($fields, DatagridConfiguration $config, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Grid/AbstractFieldsExtension.php#L139 "Oro\Bundle\EntityExtendBundle\Grid\AbstractFieldsExtension")</sup>
  > - `buildExpression($fields, DatagridConfiguration $config, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Grid/AbstractFieldsExtension.php#L133 "Oro\Bundle\EntityExtendBundle\Grid\AbstractFieldsExtension")</sup>

  > - `getFieldConfig($scope, FieldConfigId $fieldId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Grid/AbstractFieldsExtension.php#L329 "Oro\Bundle\EntityExtendBundle\Grid\AbstractFieldsExtension")</sup>
  > - `getFieldConfig($scope, FieldConfigId $fieldId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Grid/AbstractFieldsExtension.php#L313 "Oro\Bundle\EntityExtendBundle\Grid\AbstractFieldsExtension")</sup>

* The `DynamicFieldsExtension::buildExpression($fields, DatagridConfiguration $config, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Grid/DynamicFieldsExtension.php#L78 "Oro\Bundle\EntityExtendBundle\Grid\DynamicFieldsExtension")</sup> method was changed to `DynamicFieldsExtension::buildExpression($fields, DatagridConfiguration $config, $alias)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Grid/DynamicFieldsExtension.php#L76 "Oro\Bundle\EntityExtendBundle\Grid\DynamicFieldsExtension")</sup>
* The `MultipleEntityType::__construct(RouterInterface $router)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/MultipleEntityType.php#L23 "Oro\Bundle\EntityExtendBundle\Form\Type\MultipleEntityType")</sup> method was changed to `MultipleEntityType::__construct(UrlGeneratorInterface $router)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/MultipleEntityType.php#L22 "Oro\Bundle\EntityExtendBundle\Form\Type\MultipleEntityType")</sup>
* The `TargetType::__construct(ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/TargetType.php#L27 "Oro\Bundle\EntityExtendBundle\Form\Type\TargetType")</sup> method was changed to `TargetType::__construct(ConfigManager $configManager, FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Form/Type/TargetType.php#L28 "Oro\Bundle\EntityExtendBundle\Form\Type\TargetType")</sup>
* The `ExtendFieldTypeGuesser::__construct(ManagerRegistry $managerRegistry, ConfigProvider $entityConfigProvider, ConfigProvider $formConfigProvider, ConfigProvider $extendConfigProvider, ConfigProvider $enumConfigProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L38 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser")</sup> method was changed to `ExtendFieldTypeGuesser::__construct(ManagerRegistry $managerRegistry, ConfigProvider $entityConfigProvider, ConfigProvider $formConfigProvider, ConfigProvider $extendConfigProvider, ExtendFieldFormTypeProvider $extendFieldFormTypeProvider, ExtendFieldFormOptionsProviderInterface $extendFieldFormOptionsProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L29 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser")</sup>
* The `EntityExtendUpdateProcessor::__construct(Mode $maintenance, CommandExecutor $commandExecutor, LoggerInterface $logger, EventDispatcherInterface $dispatcher, EntityConfigBackupManagerInterface $entityConfigBackupManager, Profiler $profiler = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Extend/EntityExtendUpdateProcessor.php#L25 "Oro\Bundle\EntityExtendBundle\Extend\EntityExtendUpdateProcessor")</sup> method was changed to `EntityExtendUpdateProcessor::__construct(Mode $maintenance, CommandExecutor $commandExecutor, LoggerInterface $logger, EventDispatcherInterface $dispatcher, EntityConfigBackupManagerInterface $entityConfigBackupManager, ConfigManager $configManager, $profiler = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Extend/EntityExtendUpdateProcessor.php#L19 "Oro\Bundle\EntityExtendBundle\Extend\EntityExtendUpdateProcessor")</sup>
* The `CacheCommand::__construct(EntityProxyGenerator $entityProxyGenerator, EntityAliasResolver $entityAliasResolver, ExtendConfigDumper $extendConfigDumper, Registry $doctrine, KernelInterface $kernel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Command/CacheCommand.php#L32 "Oro\Bundle\EntityExtendBundle\Command\CacheCommand")</sup> method was changed to `CacheCommand::__construct(EntityProxyGenerator $entityProxyGenerator, EntityAliasResolver $entityAliasResolver, ExtendConfigDumper $extendConfigDumper, ManagerRegistry $doctrine, KernelInterface $kernel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Command/CacheCommand.php#L31 "Oro\Bundle\EntityExtendBundle\Command\CacheCommand")</sup>
* The `EnumTranslationCache::__construct(Cache $cache, LocalizationHelper $localizationHelper, LocaleSettings $localeSettings)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L25 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache")</sup> method was changed to `EnumTranslationCache::__construct(CacheInterface $cache, LocalizationHelper $localizationHelper, LocaleSettings $localeSettings)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Cache/EnumTranslationCache.php#L20 "Oro\Bundle\EntityExtendBundle\Cache\EnumTranslationCache")</sup>
* The following properties in class `ExtendExclusionProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Provider/ExtendExclusionProvider.php#L21 "Oro\Bundle\EntityExtendBundle\Provider\ExtendExclusionProvider")</sup> were removed:
   - `$excludeHiddenEntities`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Provider/ExtendExclusionProvider.php#L21 "Oro\Bundle\EntityExtendBundle\Provider\ExtendExclusionProvider::$excludeHiddenEntities")</sup>
   - `$excludeHiddenFields`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Provider/ExtendExclusionProvider.php#L24 "Oro\Bundle\EntityExtendBundle\Provider\ExtendExclusionProvider::$excludeHiddenFields")</sup>
* The `FieldTypeProvider::$types`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Provider/FieldTypeProvider.php#L17 "Oro\Bundle\EntityExtendBundle\Provider\FieldTypeProvider::$types")</sup> property was removed.
* The following properties in class `ExtendFieldTypeGuesser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L21 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser")</sup> were removed:
   - `$entityConfigProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L21 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::$entityConfigProvider")</sup>
   - `$managerRegistry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L30 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::$managerRegistry")</sup>
   - `$enumConfigProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L33 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::$enumConfigProvider")</sup>
   - `$typeMap`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Form/Guesser/ExtendFieldTypeGuesser.php#L36 "Oro\Bundle\EntityExtendBundle\Form\Guesser\ExtendFieldTypeGuesser::$typeMap")</sup>
* The `EntityExtendUpdateProcessor::$entityConfigBackupManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityExtendBundle/Extend/EntityExtendUpdateProcessor.php#L22 "Oro\Bundle\EntityExtendBundle\Extend\EntityExtendUpdateProcessor::$entityConfigBackupManager")</sup> property was removed.
The following methods in interface `ExtendEntityInterface` were added (with link)
   - `get`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Entity/ExtendEntityInterface.php#L17 "Oro\Bundle\EntityExtendBundle\Entity\ExtendEntityInterface::get")</sup>
   - `set`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityExtendBundle/Entity/ExtendEntityInterface.php#L26 "Oro\Bundle\EntityExtendBundle\Entity\ExtendEntityInterface::set")</sup>

EntityMergeBundle
-----------------
* The `MergeMassAction::configureOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L76 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction::configureOptions")</sup> method was removed.
* The `MergeMassAction::__construct(ConfigProvider $entityConfigProvider, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L28 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction")</sup> method was changed to `MergeMassAction::__construct(ConfigProvider $entityConfigProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L37 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction")</sup>
* The following properties in class `MergeMassAction`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L26 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction")</sup> were removed:
   - `$translator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L26 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction::$translator")</sup>
   - `$defaultOptions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityMergeBundle/DataGrid/Extension/MassAction/MergeMassAction.php#L42 "Oro\Bundle\EntityMergeBundle\DataGrid\Extension\MassAction\MergeMassAction::$defaultOptions")</sup>

EntityPaginationBundle
----------------------
* The `OroEntityPaginationExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/EntityPaginationBundle/DependencyInjection/OroEntityPaginationExtension.php#L34 "Oro\Bundle\EntityPaginationBundle\DependencyInjection\OroEntityPaginationExtension::getAlias")</sup> method was removed.

EntitySerializer
----------------
* The `AssociationQuery::__construct(QueryBuilder $qb, $targetEntityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/AssociationQuery.php#L38 "Oro\Component\EntitySerializer\AssociationQuery")</sup> method was changed to `AssociationQuery::__construct(QueryBuilder $qb, $targetEntityClass, $collection = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/AssociationQuery.php#L36 "Oro\Component\EntitySerializer\AssociationQuery")</sup>
* The `ConfigNormalizer::findField($fields, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/ConfigNormalizer.php#L180 "Oro\Component\EntitySerializer\ConfigNormalizer")</sup> method was changed to `ConfigNormalizer::findField($fields, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/ConfigNormalizer.php#L154 "Oro\Component\EntitySerializer\ConfigNormalizer")</sup>
* The `ConfigUtil::getArrayValue($config, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/ConfigUtil.php#L122 "Oro\Component\EntitySerializer\ConfigUtil")</sup> method was changed to `ConfigUtil::getArrayValue($config, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/ConfigUtil.php#L129 "Oro\Component\EntitySerializer\ConfigUtil")</sup>
* The `DataNormalizer::normalizeCollapsed(&$row, $field, $targetField)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DataNormalizer.php#L64 "Oro\Component\EntitySerializer\DataNormalizer")</sup> method was changed to `DataNormalizer::normalizeCollapsed(&$row, $field, $targetField)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataNormalizer.php#L51 "Oro\Component\EntitySerializer\DataNormalizer")</sup>
* The following methods in class `DataTransformer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataTransformer.php#L24 "Oro\Component\EntitySerializer\DataTransformer")</sup> were changed:
  > - `transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DataTransformer.php#L25 "Oro\Component\EntitySerializer\DataTransformer")</sup>
  > - `transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataTransformer.php#L24 "Oro\Component\EntitySerializer\DataTransformer")</sup>

  > - `transformByCustomTransformer($transformer, $value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DataTransformer.php#L51 "Oro\Component\EntitySerializer\DataTransformer")</sup>
  > - `transformByCustomTransformer($transformer, $value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataTransformer.php#L43 "Oro\Component\EntitySerializer\DataTransformer")</sup>

* The `DoctrineHelper::isManageableEntity($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DoctrineHelper.php#L37 "Oro\Component\EntitySerializer\DoctrineHelper")</sup> method was changed to `DoctrineHelper::isManageableEntity($entityClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DoctrineHelper.php#L30 "Oro\Component\EntitySerializer\DoctrineHelper")</sup>
* The following methods in class `EntityConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityConfig.php#L59 "Oro\Component\EntitySerializer\EntityConfig")</sup> were changed:
  > - `has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntityConfig.php#L71 "Oro\Component\EntitySerializer\EntityConfig")</sup>
  > - `has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityConfig.php#L59 "Oro\Component\EntitySerializer\EntityConfig")</sup>

  > - `setOrderBy($orderBy = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntityConfig.php#L275 "Oro\Component\EntitySerializer\EntityConfig")</sup>
  > - `setOrderBy($orderBy)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityConfig.php#L288 "Oro\Component\EntitySerializer\EntityConfig")</sup>

* The following methods in class `EntityDataAccessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityDataAccessor.php#L26 "Oro\Component\EntitySerializer\EntityDataAccessor")</sup> were changed:
  > - `hasGetter($className, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntityDataAccessor.php#L23 "Oro\Component\EntitySerializer\EntityDataAccessor")</sup>
  > - `hasGetter($className, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityDataAccessor.php#L26 "Oro\Component\EntitySerializer\EntityDataAccessor")</sup>

  > - `camelize($string)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntityDataAccessor.php#L86 "Oro\Component\EntitySerializer\EntityDataAccessor")</sup>
  > - `camelize($string)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityDataAccessor.php#L171 "Oro\Component\EntitySerializer\EntityDataAccessor")</sup>

* The following methods in class `EntitySerializer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntitySerializer.php#L186 "Oro\Component\EntitySerializer\EntitySerializer")</sup> were changed:
  > - `serialize(QueryBuilder $qb, $config, $context = [], $skipPostSerializationForPrimaryEntities = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntitySerializer.php#L215 "Oro\Component\EntitySerializer\EntitySerializer")</sup>
  > - `serialize(QueryBuilder $qb, $config, $context = [], $skipPostSerializationForPrimaryEntities = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntitySerializer.php#L186 "Oro\Component\EntitySerializer\EntitySerializer")</sup>

  > - `normalizeConfig($config)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntitySerializer.php#L284 "Oro\Component\EntitySerializer\EntitySerializer")</sup>
  > - `normalizeConfig($config)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntitySerializer.php#L237 "Oro\Component\EntitySerializer\EntitySerializer")</sup>

* The `FieldConfig::toArray($excludeTargetEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/FieldConfig.php#L28 "Oro\Component\EntitySerializer\FieldConfig")</sup> method was changed to `FieldConfig::toArray($excludeTargetEntity = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/FieldConfig.php#L19 "Oro\Component\EntitySerializer\FieldConfig")</sup>
* The `InternalEntityConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/InternalEntityConfig.php#L25 "Oro\Component\EntitySerializer\InternalEntityConfig")</sup> method was changed to `InternalEntityConfig::has($key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/InternalEntityConfig.php#L24 "Oro\Component\EntitySerializer\InternalEntityConfig")</sup>
* The `QueryModifier::updateSelectQueryPart(QueryBuilder $qb, $alias, $entityClass, EntityConfig $config, $withAssociations = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/QueryModifier.php#L67 "Oro\Component\EntitySerializer\QueryModifier")</sup> method was changed to `QueryModifier::updateSelectQueryPart(QueryBuilder $qb, $alias, $entityClass, EntityConfig $config, $withAssociations = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/QueryModifier.php#L55 "Oro\Component\EntitySerializer\QueryModifier")</sup>
* The `SerializationHelper::transformValue($fieldValue, $context, FieldConfig $fieldConfig = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/SerializationHelper.php#L27 "Oro\Component\EntitySerializer\SerializationHelper")</sup> method was changed to `SerializationHelper::transformValue($fieldValue, $context, $fieldConfig)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/SerializationHelper.php#L20 "Oro\Component\EntitySerializer\SerializationHelper")</sup>
* The `DataAccessorInterface::hasGetter($className, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DataAccessorInterface.php#L15 "Oro\Component\EntitySerializer\DataAccessorInterface")</sup> method was changed to `DataAccessorInterface::hasGetter($className, $property)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataAccessorInterface.php#L18 "Oro\Component\EntitySerializer\DataAccessorInterface")</sup>
* The `DataTransformerInterface::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/DataTransformerInterface.php#L19 "Oro\Component\EntitySerializer\DataTransformerInterface")</sup> method was changed to `DataTransformerInterface::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/DataTransformerInterface.php#L13 "Oro\Component\EntitySerializer\DataTransformerInterface")</sup>
* The `EntityFieldFilterInterface::isApplicableField($className, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/EntityFieldFilterInterface.php#L13 "Oro\Component\EntitySerializer\EntityFieldFilterInterface")</sup> method was changed to `EntityFieldFilterInterface::isApplicableField($className, $fieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/EntityFieldFilterInterface.php#L11 "Oro\Component\EntitySerializer\EntityFieldFilterInterface")</sup>
* The `FieldFilterInterface::checkField($entity, $entityClass, $field)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/FieldFilterInterface.php#L25 "Oro\Component\EntitySerializer\FieldFilterInterface")</sup> method was changed to `FieldFilterInterface::checkField($entity, $entityClass, $field)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/EntitySerializer/FieldFilterInterface.php#L25 "Oro\Component\EntitySerializer\FieldFilterInterface")</sup>
* The `QueryFactory::initializeToManyAssociationQueryBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/EntitySerializer/QueryFactory.php#L86 "Oro\Component\EntitySerializer\QueryFactory::initializeToManyAssociationQueryBuilder")</sup> method was removed.

FeatureToggleBundle
-------------------
* The following classes were removed:
   - `CircularReferenceException`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Exception/CircularReferenceException.php#L5 "Oro\Bundle\FeatureToggleBundle\Exception\CircularReferenceException")</sup>
   - `ConfigurationPass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/DependencyInjection/CompilerPass/ConfigurationPass.php#L13 "Oro\Bundle\FeatureToggleBundle\DependencyInjection\CompilerPass\ConfigurationPass")</sup>
* The `ConfigurationManager::get($feature, $node, $default = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Configuration/ConfigurationManager.php#L23 "Oro\Bundle\FeatureToggleBundle\Configuration\ConfigurationManager")</sup> method was changed to `ConfigurationManager::get($feature, $node, $default = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FeatureToggleBundle/Configuration/ConfigurationManager.php#L17 "Oro\Bundle\FeatureToggleBundle\Configuration\ConfigurationManager")</sup>
* The `ConfigurationProvider::__construct($cacheFile, $debug, $bundles, FeatureToggleConfiguration $configuration)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Configuration/ConfigurationProvider.php#L40 "Oro\Bundle\FeatureToggleBundle\Configuration\ConfigurationProvider")</sup> method was changed to `ConfigurationProvider::__construct($cacheFile, $debug, FeatureToggleConfiguration $configuration, ConfigurationExtension $configurationExtension)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FeatureToggleBundle/Configuration/ConfigurationProvider.php#L33 "Oro\Bundle\FeatureToggleBundle\Configuration\ConfigurationProvider")</sup>
* The `FeatureChecker::__construct(ConfigurationManager $configManager, $voters = [], $strategy, $allowIfAllAbstainDecisions = false, $allowIfEqualGrantedDeniedDecisions = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L64 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker")</sup> method was changed to `FeatureChecker::__construct(FeatureDecisionManagerInterface $featureDecisionManager, FeatureResourceDecisionManagerInterface $featureResourceDecisionManager, ConfigurationManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L16 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker")</sup>
* The `FeatureToggleConfiguration::addExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Configuration/FeatureToggleConfiguration.php#L20 "Oro\Bundle\FeatureToggleBundle\Configuration\FeatureToggleConfiguration::addExtension")</sup> method was removed.
* The following methods in class `FeatureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L88 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker")</sup> were removed:
   - `setVoters`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L88 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::setVoters")</sup>
   - `checkFeatureState`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L151 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::checkFeatureState")</sup>
   - `check`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L166 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::check")</sup>
   - `checkAffirmativeStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L188 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::checkAffirmativeStrategy")</sup>
   - `checkConsensusStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L220 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::checkConsensusStrategy")</sup>
   - `checkUnanimousStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L264 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::checkUnanimousStrategy")</sup>
   - `getCacheKey`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L296 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::getCacheKey")</sup>
* The following properties in class `FeatureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L21 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker")</sup> were removed:
   - `$voters`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L21 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$voters")</sup>
   - `$strategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L31 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$strategy")</sup>
   - `$allowIfAllAbstainDecisions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L36 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$allowIfAllAbstainDecisions")</sup>
   - `$allowIfEqualGrantedDeniedDecisions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L41 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$allowIfEqualGrantedDeniedDecisions")</sup>
   - `$featuresStates`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L46 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$featuresStates")</sup>
   - `$supportedStrategies`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FeatureToggleBundle/Checker/FeatureChecker.php#L51 "Oro\Bundle\FeatureToggleBundle\Checker\FeatureChecker::$supportedStrategies")</sup>

FilterBundle
------------
* The `BooleanFilterType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FilterBundle/Form/Type/Filter/BooleanFilterType.php#L16 "Oro\Bundle\FilterBundle\Form\Type\Filter\BooleanFilterType::getName")</sup> method was removed.
* The `EntityFilterType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FilterBundle/Form/Type/Filter/EntityFilterType.php#L17 "Oro\Bundle\FilterBundle\Form\Type\Filter\EntityFilterType::getName")</sup> method was removed.
* The `EnumFilterType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FilterBundle/Form/Type/Filter/EnumFilterType.php#L131 "Oro\Bundle\FilterBundle\Form\Type\Filter\EnumFilterType::getName")</sup> method was removed.
* The `EntityFilter::getEntity($entityClass, $entityId, $forceEntityLoad = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FilterBundle/Filter/EntityFilter.php#L92 "Oro\Bundle\FilterBundle\Filter\EntityFilter")</sup> method was changed to `EntityFilter::getEntity($entityClass, $entityId, $forceEntityLoad = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FilterBundle/Filter/EntityFilter.php#L90 "Oro\Bundle\FilterBundle\Filter\EntityFilter")</sup>

FormBundle
----------
* The following classes were removed:
   - `UpdateHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Model/UpdateHandler.php#L17 "Oro\Bundle\FormBundle\Model\UpdateHandler")</sup>
   - `OroTimeIntervalType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Form/Type/OroTimeIntervalType.php#L14 "Oro\Bundle\FormBundle\Form\Type\OroTimeIntervalType")</sup>
* The `UpdateFactory::__construct(FormFactory $formFactory, FormHandlerRegistry $formHandlerRegistry, FormTemplateDataProviderRegistry $dataProviderRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Model/UpdateFactory.php#L23 "Oro\Bundle\FormBundle\Model\UpdateFactory")</sup> method was changed to `UpdateFactory::__construct(FormFactory $formFactory, FormHandlerRegistry $formHandlerRegistry, FormTemplateDataProviderResolver $formTemplateDataProviderResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FormBundle/Model/UpdateFactory.php#L23 "Oro\Bundle\FormBundle\Model\UpdateFactory")</sup>
* The following methods in class `UpdateHandlerFacade`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FormBundle/Model/UpdateHandlerFacade.php#L68 "Oro\Bundle\FormBundle\Model\UpdateHandlerFacade")</sup> were changed:
  > - `update($data, $form, $saveMessage, Request $request = null, $formHandler = null, $resultProvider = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Model/UpdateHandlerFacade.php#L77 "Oro\Bundle\FormBundle\Model\UpdateHandlerFacade")</sup>
  > - `update($data, $form, $saveMessage, Request $request = null, $formHandler = null, $resultProvider = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FormBundle/Model/UpdateHandlerFacade.php#L68 "Oro\Bundle\FormBundle\Model\UpdateHandlerFacade")</sup>

  > - `constructResponse(UpdateInterface $update, Request $request, $saveMessage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Model/UpdateHandlerFacade.php#L103 "Oro\Bundle\FormBundle\Model\UpdateHandlerFacade")</sup>
  > - `constructResponse(UpdateInterface $update, Request $request, $saveMessage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FormBundle/Model/UpdateHandlerFacade.php#L87 "Oro\Bundle\FormBundle\Model\UpdateHandlerFacade")</sup>

* The `OroEntitySelectOrCreateInlineType::__construct(AuthorizationCheckerInterface $authorizationChecker, ConfigManager $configManager, EntityManager $entityManager, SearchRegistry $searchRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/FormBundle/Form/Type/OroEntitySelectOrCreateInlineType.php#L36 "Oro\Bundle\FormBundle\Form\Type\OroEntitySelectOrCreateInlineType")</sup> method was changed to `OroEntitySelectOrCreateInlineType::__construct(AuthorizationCheckerInterface $authorizationChecker, FeatureChecker $featureChecker, ConfigManager $configManager, EntityManager $entityManager, SearchRegistry $searchRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/FormBundle/Form/Type/OroEntitySelectOrCreateInlineType.php#L30 "Oro\Bundle\FormBundle\Form\Type\OroEntitySelectOrCreateInlineType")</sup>

ImapBundle
----------
* The `ImapEmailSynchronizationProcessor::setImapEmailFolderManagerFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessor.php#L78 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessor::setImapEmailFolderManagerFactory")</sup> method was removed.
* The `ImapEmailSynchronizationProcessorFactory::setImapEmailFolderManagerFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessorFactory.php#L38 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessorFactory::setImapEmailFolderManagerFactory")</sup> method was removed.
* The `UserEmailOriginListener::createManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L90 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener::createManager")</sup> method was removed.
* The `ImapEmailRepository::findLastUidByFolder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Entity/Repository/ImapEmailRepository.php#L43 "Oro\Bundle\ImapBundle\Entity\Repository\ImapEmailRepository::findLastUidByFolder")</sup> method was removed.
* The `EmailSyncCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Command/Cron/EmailSyncCommand.php#L56 "Oro\Bundle\ImapBundle\Command\Cron\EmailSyncCommand::isActive")</sup> method was removed.
* The `SendCredentialNotificationsCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Command/Cron/SendCredentialNotificationsCommand.php#L39 "Oro\Bundle\ImapBundle\Command\Cron\SendCredentialNotificationsCommand::isActive")</sup> method was removed.
* The `ImapEmailSynchronizationProcessor::__construct(EntityManager $em, EmailEntityBuilder $emailEntityBuilder, KnownEmailAddressCheckerInterface $knownEmailAddressChecker, ImapEmailManager $manager, ImapEmailRemoveManager $removeManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessor.php#L63 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessor")</sup> method was changed to `ImapEmailSynchronizationProcessor::__construct(EntityManager $em, EmailEntityBuilder $emailEntityBuilder, KnownEmailAddressCheckerInterface $knownEmailAddressChecker, ImapEmailManager $manager, ImapEmailRemoveManager $removeManager, ImapEmailFolderManagerFactory $imapEmailFolderManagerFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessor.php#L63 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessor")</sup>
* The `ImapEmailSynchronizationProcessorFactory::__construct(ManagerRegistry $doctrine, EmailEntityBuilder $emailEntityBuilder, ImapEmailRemoveManager $removeManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessorFactory.php#L25 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessorFactory")</sup> method was changed to `ImapEmailSynchronizationProcessorFactory::__construct(ManagerRegistry $doctrine, EmailEntityBuilder $emailEntityBuilder, ImapEmailRemoveManager $removeManager, ImapEmailFolderManagerFactory $imapEmailFolderManagerFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/Sync/ImapEmailSynchronizationProcessorFactory.php#L25 "Oro\Bundle\ImapBundle\Sync\ImapEmailSynchronizationProcessorFactory")</sup>
* The following methods in class `UserEmailOriginListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L22 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup> were changed:
  > - `__construct(SymmetricCrypterInterface $crypter, ImapConnectorFactory $connectorFactory, Registry $doctrine, OAuthManagerRegistry $oauthManagerRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L45 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup>
  > - `__construct(NotificationAlertManager $notificationAlertManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L22 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup>

  > - `createImapEmailFolders($folders, ImapEmailFolderManager $manager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L70 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup>
  > - `createImapEmailFolders($folders, EntityManager $em)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L61 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup>

* The `EmailSyncCommand::__construct(FeatureChecker $featureChecker, EmailSynchronizerInterface $imapEmailSynchronizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Command/Cron/EmailSyncCommand.php#L42 "Oro\Bundle\ImapBundle\Command\Cron\EmailSyncCommand")</sup> method was changed to `EmailSyncCommand::__construct(EmailSynchronizerInterface $imapEmailSynchronizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/Command/Cron/EmailSyncCommand.php#L40 "Oro\Bundle\ImapBundle\Command\Cron\EmailSyncCommand")</sup>
* The `SendCredentialNotificationsCommand::__construct(FeatureChecker $featureChecker, SyncCredentialsIssueManager $syncCredentialsIssueManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Command/Cron/SendCredentialNotificationsCommand.php#L24 "Oro\Bundle\ImapBundle\Command\Cron\SendCredentialNotificationsCommand")</sup> method was changed to `SendCredentialNotificationsCommand::__construct(SyncCredentialsIssueManager $syncCredentialsIssueManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImapBundle/Command/Cron/SendCredentialNotificationsCommand.php#L22 "Oro\Bundle\ImapBundle\Command\Cron\SendCredentialNotificationsCommand")</sup>
* The following properties in class `UserEmailOriginListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L26 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener")</sup> were removed:
   - `$crypter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L26 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener::$crypter")</sup>
   - `$connectorFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L33 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener::$connectorFactory")</sup>
   - `$oauthManagerRegistry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L40 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener::$oauthManagerRegistry")</sup>
   - `$doctrine`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/EventListener/UserEmailOriginListener.php#L43 "Oro\Bundle\ImapBundle\EventListener\UserEmailOriginListener::$doctrine")</sup>
* The `EmailSyncCommand::$featureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImapBundle/Command/Cron/EmailSyncCommand.php#L40 "Oro\Bundle\ImapBundle\Command\Cron\EmailSyncCommand::$featureChecker")</sup> property was removed.

ImportExportBundle
------------------
* The `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Topics.php#L8 "Oro\Bundle\ImportExportBundle\Async\Topics")</sup> class was removed.
* The `CsvFileWriter::setClearWriter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/CsvFileWriter.php#L56 "Oro\Bundle\ImportExportBundle\Writer\CsvFileWriter::setClearWriter")</sup> method was removed.
* The `XlsxFileWriter::setClearWriter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/XlsxFileWriter.php#L40 "Oro\Bundle\ImportExportBundle\Writer\XlsxFileWriter::setClearWriter")</sup> method was removed.
* The `ConfigurableEntityNormalizer::dispatchDenormalizeEvent`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Serializer/Normalizer/ConfigurableEntityNormalizer.php#L297 "Oro\Bundle\ImportExportBundle\Serializer\Normalizer\ConfigurableEntityNormalizer::dispatchDenormalizeEvent")</sup> method was removed.
* The `NormalizeEntityEvent::setResultField`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Event/NormalizeEntityEvent.php#L58 "Oro\Bundle\ImportExportBundle\Event\NormalizeEntityEvent::setResultField")</sup> method was removed.
* The `CleanupStorageCommandAbstract::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Command/Cron/CleanupStorageCommandAbstract.php#L20 "Oro\Bundle\ImportExportBundle\Command\Cron\CleanupStorageCommandAbstract::isActive")</sup> method was removed.
* The `ImportMessageProcessor::getNormalizeBody`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Import/ImportMessageProcessor.php#L100 "Oro\Bundle\ImportExportBundle\Async\Import\ImportMessageProcessor::getNormalizeBody")</sup> method was removed.
* The `PreImportMessageProcessor::validateMessageBody`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreImportMessageProcessor.php#L141 "Oro\Bundle\ImportExportBundle\Async\Import\PreImportMessageProcessor::validateMessageBody")</sup> method was removed.
* The `PreExportMessageProcessor::getJobUniqueName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessor.php#L42 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessor::getJobUniqueName")</sup> method was removed.
* The `PreExportMessageProcessorAbstract::getJobUniqueName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessorAbstract.php#L189 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessorAbstract::getJobUniqueName")</sup> method was removed.
* The `CsvFileWriter::__construct(ContextRegistry $contextRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/CsvFileWriter.php#L28 "Oro\Bundle\ImportExportBundle\Writer\CsvFileWriter")</sup> method was changed to `CsvFileWriter::__construct(ContextRegistry $contextRegistry, DoctrineClearWriter $clearWriter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Writer/CsvFileWriter.php#L21 "Oro\Bundle\ImportExportBundle\Writer\CsvFileWriter")</sup>
* The `DoctrineClearWriter::__construct(ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/DoctrineClearWriter.php#L18 "Oro\Bundle\ImportExportBundle\Writer\DoctrineClearWriter")</sup> method was changed to `DoctrineClearWriter::__construct(ManagerRegistry $registry, ContextRegistry $contextRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Writer/DoctrineClearWriter.php#L23 "Oro\Bundle\ImportExportBundle\Writer\DoctrineClearWriter")</sup>
* The `EntityDetachFixer::__construct(DoctrineHelper $doctrineHelper, FieldHelper $fieldHelper, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/EntityDetachFixer.php#L37 "Oro\Bundle\ImportExportBundle\Writer\EntityDetachFixer")</sup> method was changed to `EntityDetachFixer::__construct(DoctrineHelper $doctrineHelper, FieldHelper $fieldHelper, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Writer/EntityDetachFixer.php#L37 "Oro\Bundle\ImportExportBundle\Writer\EntityDetachFixer")</sup>
* The `XlsxFileWriter::__construct(ContextRegistry $contextRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Writer/XlsxFileWriter.php#L23 "Oro\Bundle\ImportExportBundle\Writer\XlsxFileWriter")</sup> method was changed to `XlsxFileWriter::__construct(ContextRegistry $contextRegistry, DoctrineClearWriter $clearWriter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Writer/XlsxFileWriter.php#L20 "Oro\Bundle\ImportExportBundle\Writer\XlsxFileWriter")</sup>
* The `ImportExportResultManager::__construct(ManagerRegistry $manager, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Manager/ImportExportResultManager.php#L27 "Oro\Bundle\ImportExportBundle\Manager\ImportExportResultManager")</sup> method was changed to `ImportExportResultManager::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Manager/ImportExportResultManager.php#L20 "Oro\Bundle\ImportExportBundle\Manager\ImportExportResultManager")</sup>
* The `JobExecutor::__construct(ConnectorRegistry $jobRegistry, DoctrineJobRepository $batchJobRepository, ContextRegistry $contextRegistry, ManagerRegistry $managerRegistry, ContextAggregatorRegistry $contextAggregatorRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Job/JobExecutor.php#L68 "Oro\Bundle\ImportExportBundle\Job\JobExecutor")</sup> method was changed to `JobExecutor::__construct(ConnectorRegistry $jobRegistry, DoctrineJobRepository $batchJobRepository, ContextRegistry $contextRegistry, ManagerRegistry $managerRegistry, ContextAggregatorRegistry $contextAggregatorRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Job/JobExecutor.php#L67 "Oro\Bundle\ImportExportBundle\Job\JobExecutor")</sup>
* The `SaveImportExportResultProcessor::__construct(ImportExportResultManager $importExportResultManager, UserManager $userManager, DoctrineHelper $doctrineHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/SaveImportExportResultProcessor.php#L50 "Oro\Bundle\ImportExportBundle\Async\SaveImportExportResultProcessor")</sup> method was changed to `SaveImportExportResultProcessor::__construct(ImportExportResultManager $importExportResultManager, DoctrineHelper $doctrineHelper, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Async/SaveImportExportResultProcessor.php#L28 "Oro\Bundle\ImportExportBundle\Async\SaveImportExportResultProcessor")</sup>
* The `PreImportMessageProcessor::processJob($parentMessageId, $body, $files)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreImportMessageProcessor.php#L173 "Oro\Bundle\ImportExportBundle\Async\Import\PreImportMessageProcessor")</sup> method was changed to `PreImportMessageProcessor::processJob(MessageInterface $message, $body, $files)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Async/Import/PreImportMessageProcessor.php#L142 "Oro\Bundle\ImportExportBundle\Async\Import\PreImportMessageProcessor")</sup>
* The `PreExportMessageProcessorAbstract::getRunUniqueJobCallback($jobUniqueName, $body)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessorAbstract.php#L109 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessorAbstract")</sup> method was changed to `PreExportMessageProcessorAbstract::getRunUniqueJobCallback($body)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ImportExportBundle/Async/Export/PreExportMessageProcessorAbstract.php#L106 "Oro\Bundle\ImportExportBundle\Async\Export\PreExportMessageProcessorAbstract")</sup>
* The `SaveImportExportResultProcessor::$userManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ImportExportBundle/Async/SaveImportExportResultProcessor.php#L38 "Oro\Bundle\ImportExportBundle\Async\SaveImportExportResultProcessor::$userManager")</sup> property was removed.

InstallerBundle
---------------
* The following classes were removed:
   - `YamlPersister`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Persister/YamlPersister.php#L7 "Oro\Bundle\InstallerBundle\Persister\YamlPersister")</sup>
   - `AssetsInstallCommandListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/EventListener/AssetsInstallCommandListener.php#L19 "Oro\Bundle\InstallerBundle\EventListener\AssetsInstallCommandListener")</sup>
* The following methods in class `CommandExecutor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/CommandExecutor.php#L26 "Oro\Bundle\InstallerBundle\CommandExecutor")</sup> were changed:
  > - `__construct($env, OutputInterface $output, Application $application, OroDataCacheManager $dataCacheManager = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/CommandExecutor.php#L52 "Oro\Bundle\InstallerBundle\CommandExecutor")</sup>
  > - `__construct($env, OutputInterface $output, Application $application, OroDataCacheManager $dataCacheManager = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/CommandExecutor.php#L26 "Oro\Bundle\InstallerBundle\CommandExecutor")</sup>

  > - `prepareParameters($command, $params)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/CommandExecutor.php#L196 "Oro\Bundle\InstallerBundle\CommandExecutor")</sup>
  > - `prepareParameters($command, $params)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/CommandExecutor.php#L154 "Oro\Bundle\InstallerBundle\CommandExecutor")</sup>

* The following methods in class `PlatformRequirementsProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L37 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup> were changed:
  > - `__construct(Connection $connection, $projectDirectory, $imageProcessorConfig)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L42 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup>
  > - `__construct(Connection $connection, $projectDirectory, ProcessorHelper $processorHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L37 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup>

  > - `getImageProcessorLibrary($libraryName, $config)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L840 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup>
  > - `getImageProcessorLibrary($libraryName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L821 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup>

* The `PermissionsHandler::getProcess($commandline)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/PermissionsHandler.php#L108 "Oro\Bundle\InstallerBundle\Composer\PermissionsHandler")</sup> method was changed to `PermissionsHandler::getProcess($commandline)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Composer/PermissionsHandler.php#L107 "Oro\Bundle\InstallerBundle\Composer\PermissionsHandler")</sup>
* The following methods in class `InstallCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/InstallCommand.php#L53 "Oro\Bundle\InstallerBundle\Command\InstallCommand")</sup> were changed:
  > - `__construct(ContainerInterface $container, Registry $doctrine, EventDispatcherInterface $eventDispatcher, ApplicationState $applicationState, ScriptManager $scriptManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Command/InstallCommand.php#L50 "Oro\Bundle\InstallerBundle\Command\InstallCommand")</sup>
  > - `__construct(ContainerInterface $container, ManagerRegistry $doctrine, EventDispatcherInterface $eventDispatcher, ApplicationState $applicationState, ScriptManager $scriptManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/InstallCommand.php#L53 "Oro\Bundle\InstallerBundle\Command\InstallCommand")</sup>

  > - `finalStep(CommandExecutor $commandExecutor, OutputInterface $output, InputInterface $input, $skipAssets)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Command/InstallCommand.php#L576 "Oro\Bundle\InstallerBundle\Command\InstallCommand")</sup>
  > - `finalStep(CommandExecutor $commandExecutor, OutputInterface $output, InputInterface $input)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/InstallCommand.php#L561 "Oro\Bundle\InstallerBundle\Command\InstallCommand")</sup>

* The following methods in class `PlatformUpdateCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/PlatformUpdateCommand.php#L38 "Oro\Bundle\InstallerBundle\Command\PlatformUpdateCommand")</sup> were changed:
  > - `__construct(ContainerInterface $container, PlatformUpdateCheckerInterface $platformUpdateChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Command/PlatformUpdateCommand.php#L29 "Oro\Bundle\InstallerBundle\Command\PlatformUpdateCommand")</sup>
  > - `__construct(ContainerInterface $container, PlatformUpdateCheckerInterface $platformUpdateChecker, ConfigManager $configManager, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/PlatformUpdateCommand.php#L38 "Oro\Bundle\InstallerBundle\Command\PlatformUpdateCommand")</sup>

  > - `finalStep(CommandExecutor $commandExecutor, OutputInterface $output, InputInterface $input, $skipAssets)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Command/PlatformUpdateCommand.php#L169 "Oro\Bundle\InstallerBundle\Command\PlatformUpdateCommand")</sup>
  > - `finalStep(CommandExecutor $commandExecutor, OutputInterface $output, InputInterface $input)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/InstallerBundle/Command/PlatformUpdateCommand.php#L213 "Oro\Bundle\InstallerBundle\Command\PlatformUpdateCommand")</sup>

* The following methods in class `PlatformRequirementsProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L499 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider")</sup> were removed:
   - `addNodeJsInstalledRequirement`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L499 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider::addNodeJsInstalledRequirement")</sup>
   - `addNodeJsVersionRequirement`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L508 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider::addNodeJsVersionRequirement")</sup>
   - `addNpmInstalledRequirement`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L518 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider::addNpmInstalledRequirement")</sup>
* The following methods in class `ScriptHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/ScriptHandler.php#L233 "Oro\Bundle\InstallerBundle\Composer\ScriptHandler")</sup> were removed:
   - `loadParametersFile`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/ScriptHandler.php#L233 "Oro\Bundle\InstallerBundle\Composer\ScriptHandler::loadParametersFile")</sup>
   - `saveParametersFile`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/ScriptHandler.php#L240 "Oro\Bundle\InstallerBundle\Composer\ScriptHandler::saveParametersFile")</sup>
   - `getParametersFile`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/ScriptHandler.php#L248 "Oro\Bundle\InstallerBundle\Composer\ScriptHandler::getParametersFile")</sup>
   - `getParametersKey`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Composer/ScriptHandler.php#L253 "Oro\Bundle\InstallerBundle\Composer\ScriptHandler::getParametersKey")</sup>
* The `PlatformRequirementsProvider::$imageProcessorConfig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/InstallerBundle/Provider/PlatformRequirementsProvider.php#L40 "Oro\Bundle\InstallerBundle\Provider\PlatformRequirementsProvider::$imageProcessorConfig")</sup> property was removed.

IntegrationBundle
-----------------
* The `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Async/Topics.php#L4 "Oro\Bundle\IntegrationBundle\Async\Topics")</sup> class was removed.
* The `PrefixedIntegrationIdentifierGenerator::__construct($prefix)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Generator/Prefixed/PrefixedIntegrationIdentifierGenerator.php#L18 "Oro\Bundle\IntegrationBundle\Generator\Prefixed\PrefixedIntegrationIdentifierGenerator")</sup> method was changed to `PrefixedIntegrationIdentifierGenerator::__construct($prefix)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/IntegrationBundle/Generator/Prefixed/PrefixedIntegrationIdentifierGenerator.php#L15 "Oro\Bundle\IntegrationBundle\Generator\Prefixed\PrefixedIntegrationIdentifierGenerator")</sup>
* The `ChannelRepository::countActiveIntegrations($type = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L170 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository")</sup> method was changed to `ChannelRepository::countActiveIntegrations($type = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L153 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository")</sup>
* The following methods in class `ChannelRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L27 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository")</sup> were removed:
   - `setAclHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L27 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository::setAclHelper")</sup>
   - `findByType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L193 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository::findByType")</sup>
   - `findByTypeAndExclude`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/IntegrationBundle/Entity/Repository/ChannelRepository.php#L206 "Oro\Bundle\IntegrationBundle\Entity\Repository\ChannelRepository::findByTypeAndExclude")</sup>

Layout
------
* The `BlockViewCache::__construct(CacheProvider $cacheProvider, Serializer $serializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/BlockViewCache.php#L20 "Oro\Component\Layout\BlockViewCache")</sup> method was changed to `BlockViewCache::__construct(CacheInterface $cacheProvider, Serializer $serializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/BlockViewCache.php#L18 "Oro\Component\Layout\BlockViewCache")</sup>
* The following methods in class `Layout`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Layout.php#L29 "Oro\Component\Layout\Layout")</sup> were changed:
  > - `__construct(BlockView $view, LayoutRendererRegistryInterface $rendererRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Layout.php#L31 "Oro\Component\Layout\Layout")</sup>
  > - `__construct(BlockView $view, LayoutRendererRegistryInterface $rendererRegistry, ContextInterface $context, LayoutContextStack $layoutContextStack)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Layout.php#L29 "Oro\Component\Layout\Layout")</sup>

  > - `setRenderer($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Layout.php#L101 "Oro\Component\Layout\Layout")</sup>
  > - `setRenderer($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Layout.php#L110 "Oro\Component\Layout\Layout")</sup>

* The following methods in class `LayoutBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/LayoutBuilder.php#L34 "Oro\Component\Layout\LayoutBuilder")</sup> were changed:
  > - `__construct(LayoutRegistryInterface $registry, RawLayoutBuilderInterface $rawLayoutBuilder, DeferredLayoutManipulatorInterface $layoutManipulator, BlockFactoryInterface $blockFactory, LayoutRendererRegistryInterface $rendererRegistry, ExpressionProcessor $expressionProcessor, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/LayoutBuilder.php#L41 "Oro\Component\Layout\LayoutBuilder")</sup>
  > - `__construct(LayoutRegistryInterface $registry, RawLayoutBuilderInterface $rawLayoutBuilder, DeferredLayoutManipulatorInterface $layoutManipulator, BlockFactoryInterface $blockFactory, LayoutRendererRegistryInterface $rendererRegistry, ExpressionProcessor $expressionProcessor, LayoutContextStack $layoutContextStack, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/LayoutBuilder.php#L34 "Oro\Component\Layout\LayoutBuilder")</sup>

  > - `createLayout(BlockView $rootView)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/LayoutBuilder.php#L272 "Oro\Component\Layout\LayoutBuilder")</sup>
  > - `createLayout(BlockView $rootView, ContextInterface $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/LayoutBuilder.php#L267 "Oro\Component\Layout\LayoutBuilder")</sup>

* The `AbstractExtension::loadLayoutUpdates(ContextInterface $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/AbstractExtension.php#L257 "Oro\Component\Layout\Extension\AbstractExtension")</sup> method was changed to `AbstractExtension::loadLayoutUpdates(LayoutItemInterface $item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Extension/AbstractExtension.php#L250 "Oro\Component\Layout\Extension\AbstractExtension")</sup>
* The `ThemeExtension::loadLayoutUpdates(ContextInterface $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/Theme/ThemeExtension.php#L57 "Oro\Component\Layout\Extension\Theme\ThemeExtension")</sup> method was changed to `ThemeExtension::loadLayoutUpdates(LayoutItemInterface $item)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Extension/Theme/ThemeExtension.php#L62 "Oro\Component\Layout\Extension\Theme\ThemeExtension")</sup>
* The `ThemeResourceProvider::__construct($cacheFile, $debug, LastModificationDateProvider $lastModificationDateProvider, LayoutUpdateLoaderInterface $loader, BlockViewCache $blockViewCache, $excludeFilePathPatterns = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/Theme/ResourceProvider/ThemeResourceProvider.php#L38 "Oro\Component\Layout\Extension\Theme\ResourceProvider\ThemeResourceProvider")</sup> method was changed to `ThemeResourceProvider::__construct($cacheFile, $debug, LastModificationDateProvider $lastModificationDateProvider, LayoutUpdateLoaderInterface $loader, BlockViewCache $blockViewCache, $excludeFilePathPatterns = [], $additionalResourcePaths = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Extension/Theme/ResourceProvider/ThemeResourceProvider.php#L42 "Oro\Component\Layout\Extension\Theme\ResourceProvider\ThemeResourceProvider")</sup>
* The `ThemeFactory::__construct(PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/Theme/Model/ThemeFactory.php#L15 "Oro\Component\Layout\Extension\Theme\Model\ThemeFactory")</sup> method was changed to `ThemeFactory::__construct(PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/Extension/Theme/Model/ThemeFactory.php#L15 "Oro\Component\Layout\Extension\Theme\Model\ThemeFactory")</sup>
* The `ImportVisitor::setRootName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/Theme/Visitor/ImportVisitor.php#L55 "Oro\Component\Layout\Extension\Theme\Visitor\ImportVisitor::setRootName")</sup> method was removed.
* The `ThemePathProvider::getThemesHierarchy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Layout/Extension/Theme/PathProvider/ThemePathProvider.php#L85 "Oro\Component\Layout\Extension\Theme\PathProvider\ThemePathProvider::getThemesHierarchy")</sup> method was removed.
* The `LayoutBuilderInterface::getLayoutContextStack`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/LayoutBuilderInterface.php#L28 "Oro\Component\Layout\LayoutBuilderInterface::getLayoutContextStack")</sup> interface method was added.
* The `LayoutItemInterface::getRootId`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Layout/LayoutItemInterface.php#L48 "Oro\Component\Layout\LayoutItemInterface::getRootId")</sup> interface method was added.

LayoutBundle
------------
* The `ExpressionLanguageDoctrineAdapter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/ExpressionLanguageDoctrineAdapter.php#L12 "Oro\Bundle\LayoutBundle\Cache\ExpressionLanguageDoctrineAdapter")</sup> class was removed.
* The `TwigRenderer::__construct(TwigRendererEngineInterface $engine, RenderCache $renderCache, PlaceholderRenderer $placeholderRenderer, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Twig/TwigRenderer.php#L56 "Oro\Bundle\LayoutBundle\Twig\TwigRenderer")</sup> method was changed to `TwigRenderer::__construct(TwigRendererEngineInterface $engine, LayoutContextStack $layoutContextStack, RenderCache $renderCache, PlaceholderRenderer $placeholderRenderer, Environment $environment)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Twig/TwigRenderer.php#L59 "Oro\Bundle\LayoutBundle\Twig\TwigRenderer")</sup>
* The `CacheImagePlaceholderProvider::__construct(ImagePlaceholderProviderInterface $imagePlaceholderProvider, Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Provider/Image/CacheImagePlaceholderProvider.php#L17 "Oro\Bundle\LayoutBundle\Provider\Image\CacheImagePlaceholderProvider")</sup> method was changed to `CacheImagePlaceholderProvider::__construct(ImagePlaceholderProviderInterface $imagePlaceholderProvider, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Provider/Image/CacheImagePlaceholderProvider.php#L17 "Oro\Bundle\LayoutBundle\Provider\Image\CacheImagePlaceholderProvider")</sup>
* The `ThemeImagePlaceholderProvider::__construct(LayoutContextHolder $contextHolder, ThemeManager $themeManager, ImagineUrlProviderInterface $imagineUrlProvider, $placeholderName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Provider/Image/ThemeImagePlaceholderProvider.php#L24 "Oro\Bundle\LayoutBundle\Provider\Image\ThemeImagePlaceholderProvider")</sup> method was changed to `ThemeImagePlaceholderProvider::__construct(LayoutContextStack $layoutContextStack, ThemeManager $themeManager, ImagineUrlProviderInterface $imagineUrlProvider, $placeholderName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Provider/Image/ThemeImagePlaceholderProvider.php#L23 "Oro\Bundle\LayoutBundle\Provider\Image\ThemeImagePlaceholderProvider")</sup>
* The `CacheLayoutBuilder::__construct(LayoutRegistryInterface $registry, RawLayoutBuilderInterface $rawLayoutBuilder, DeferredLayoutManipulatorInterface $layoutManipulator, BlockFactoryInterface $blockFactory, LayoutRendererRegistryInterface $rendererRegistry, ExpressionProcessor $expressionProcessor, RenderCache $renderCache, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutBuilder.php#L29 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutBuilder")</sup> method was changed to `CacheLayoutBuilder::__construct(LayoutRegistryInterface $registry, RawLayoutBuilderInterface $rawLayoutBuilder, DeferredLayoutManipulatorInterface $layoutManipulator, BlockFactoryInterface $blockFactory, LayoutRendererRegistryInterface $rendererRegistry, ExpressionProcessor $expressionProcessor, LayoutContextStack $layoutContextStack, RenderCache $renderCache, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutBuilder.php#L32 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutBuilder")</sup>
* The `CacheLayoutFactory::__construct(LayoutFactoryInterface $baseLayoutFactory, ExpressionProcessor $expressionProcessor, RenderCache $renderCache, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutFactory.php#L38 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutFactory")</sup> method was changed to `CacheLayoutFactory::__construct(LayoutFactoryInterface $baseLayoutFactory, LayoutContextStack $layoutContextStack, ExpressionProcessor $expressionProcessor, RenderCache $renderCache, EventDispatcherInterface $eventDispatcher, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutFactory.php#L32 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutFactory")</sup>
* The `CacheLayoutFactoryBuilder::__construct(ExpressionProcessor $expressionProcessor, RenderCache $renderCache, CacheMetadataProvider $cacheMetadataProvider, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutFactoryBuilder.php#L37 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutFactoryBuilder")</sup> method was changed to `CacheLayoutFactoryBuilder::__construct(LayoutContextStack $layoutContextStack, ExpressionProcessor $expressionProcessor, RenderCache $renderCache, CacheMetadataProviderInterface $cacheMetadataProvider, EventDispatcherInterface $eventDispatcher, BlockViewCache $blockViewCache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Layout/CacheLayoutFactoryBuilder.php#L29 "Oro\Bundle\LayoutBundle\Layout\CacheLayoutFactoryBuilder")</sup>
* The `LayoutManager::getLayout(ContextInterface $context, $rootId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L35 "Oro\Bundle\LayoutBundle\Layout\LayoutManager")</sup> method was changed to `LayoutManager::getLayout(ContextInterface $context, $rootId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L15 "Oro\Bundle\LayoutBundle\Layout\LayoutManager")</sup>
* The `PropertyAccessDataProvider::__construct(PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/DataProvider/PropertyAccessDataProvider.php#L12 "Oro\Bundle\LayoutBundle\Layout\DataProvider\PropertyAccessDataProvider")</sup> method was changed to `PropertyAccessDataProvider::__construct(PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Layout/DataProvider/PropertyAccessDataProvider.php#L15 "Oro\Bundle\LayoutBundle\Layout\DataProvider\PropertyAccessDataProvider")</sup>
* The `LayoutDataCollector::__construct(LayoutContextHolder $contextHolder, ConfigManager $configManager, $isDebug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L59 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector")</sup> method was changed to `LayoutDataCollector::__construct(DataCollectorLayoutNameProviderInterface $layoutNameProvider, ConfigManager $configManager, PathProviderInterface $pathProvider, $isDebug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L52 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector")</sup>
* The `PlaceholderRenderer::__construct(LayoutManager $layoutManager, LayoutContextHolder $contextHolder, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/PlaceholderRenderer.php#L35 "Oro\Bundle\LayoutBundle\Cache\PlaceholderRenderer")</sup> method was changed to `PlaceholderRenderer::__construct(LayoutManager $layoutManager, LayoutContextStack $layoutContextStack, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/PlaceholderRenderer.php#L23 "Oro\Bundle\LayoutBundle\Cache\PlaceholderRenderer")</sup>
* The following methods in class `RenderCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/RenderCache.php#L57 "Oro\Bundle\LayoutBundle\Cache\RenderCache")</sup> were changed:
  > - `__construct(TagAwareAdapterInterface $cache, CacheMetadataProvider $metadataProvider, RequestStack $requestStack, $extensions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/RenderCache.php#L56 "Oro\Bundle\LayoutBundle\Cache\RenderCache")</sup>
  > - `__construct(TagAwareAdapterInterface $cache, CacheMetadataProviderInterface $metadataProvider, RequestStack $requestStack, $extensions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/RenderCache.php#L57 "Oro\Bundle\LayoutBundle\Cache\RenderCache")</sup>

  > - `isCached(BlockView $blockView)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/RenderCache.php#L79 "Oro\Bundle\LayoutBundle\Cache\RenderCache")</sup>
  > - `isCached(BlockView $blockView, ContextInterface $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/RenderCache.php#L76 "Oro\Bundle\LayoutBundle\Cache\RenderCache")</sup>

* The following methods in class `CacheMetadataProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/Metadata/CacheMetadataProvider.php#L28 "Oro\Bundle\LayoutBundle\Cache\Metadata\CacheMetadataProvider")</sup> were changed:
  > - `__construct(CacheMetadataProviderInterface $defaultProvider, $providers, LayoutContextHolder $contextHolder, LoggerInterface $logger, $debug)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/Metadata/CacheMetadataProvider.php#L53 "Oro\Bundle\LayoutBundle\Cache\Metadata\CacheMetadataProvider")</sup>
  > - `__construct(CacheMetadataProviderInterface $defaultProvider, $providers, LoggerInterface $logger, $debug)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/Metadata/CacheMetadataProvider.php#L28 "Oro\Bundle\LayoutBundle\Cache\Metadata\CacheMetadataProvider")</sup>

  > - `getCacheMetadata(BlockView $blockView)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/Metadata/CacheMetadataProvider.php#L70 "Oro\Bundle\LayoutBundle\Cache\Metadata\CacheMetadataProvider")</sup>
  > - `getCacheMetadata(BlockView $blockView, ContextInterface $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/Metadata/CacheMetadataProvider.php#L40 "Oro\Bundle\LayoutBundle\Cache\Metadata\CacheMetadataProvider")</sup>

* The `ThemeRenderCacheExtension::__construct(LayoutContextHolder $contextHolder)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Cache/Extension/ThemeRenderCacheExtension.php#L17 "Oro\Bundle\LayoutBundle\Cache\Extension\ThemeRenderCacheExtension")</sup> method was changed to `ThemeRenderCacheExtension::__construct(LayoutContextStack $layoutContextStack)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LayoutBundle/Cache/Extension/ThemeRenderCacheExtension.php#L14 "Oro\Bundle\LayoutBundle\Cache\Extension\ThemeRenderCacheExtension")</sup>
* The `TwigRenderer::$engine`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Twig/TwigRenderer.php#L39 "Oro\Bundle\LayoutBundle\Twig\TwigRenderer::$engine")</sup> property was removed.
* The following properties in class `LayoutManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L15 "Oro\Bundle\LayoutBundle\Layout\LayoutManager")</sup> were removed:
   - `$contextHolder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L15 "Oro\Bundle\LayoutBundle\Layout\LayoutManager::$contextHolder")</sup>
   - `$layoutDataCollector`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L18 "Oro\Bundle\LayoutBundle\Layout\LayoutManager::$layoutDataCollector")</sup>
* The `RouteContextConfigurator::$requestStack`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/Extension/RouteContextConfigurator.php#L16 "Oro\Bundle\LayoutBundle\Layout\Extension\RouteContextConfigurator::$requestStack")</sup> property was removed.
* The `LayoutManager::__construct`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/Layout/LayoutManager.php#L20 "Oro\Bundle\LayoutBundle\Layout\LayoutManager::__construct")</sup> method was removed.
* The `OroLayoutExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/DependencyInjection/OroLayoutExtension.php#L81 "Oro\Bundle\LayoutBundle\DependencyInjection\OroLayoutExtension::getAlias")</sup> method was removed.
* The `LayoutDataCollector::setNotAppliedActions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LayoutBundle/DataCollector/LayoutDataCollector.php#L256 "Oro\Bundle\LayoutBundle\DataCollector\LayoutDataCollector::setNotAppliedActions")</sup> method was removed.

LocaleBundle
------------
* The following classes were removed:
   - `DefaultFallbackGeneratorExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Tools/GeneratorExtensions/DefaultFallbackGeneratorExtension.php#L17 "Oro\Bundle\LocaleBundle\Tools\GeneratorExtensions\DefaultFallbackGeneratorExtension")</sup>
   - `ExtendLocalization`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Model/ExtendLocalization.php#L13 "Oro\Bundle\LocaleBundle\Model\ExtendLocalization")</sup>
   - `ExtendLocalizedFallbackValue`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Model/ExtendLocalizedFallbackValue.php#L10 "Oro\Bundle\LocaleBundle\Model\ExtendLocalizedFallbackValue")</sup>
   - `DefaultFallbackExtensionPass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/DependencyInjection/Compiler/DefaultFallbackExtensionPass.php#L11 "Oro\Bundle\LocaleBundle\DependencyInjection\Compiler\DefaultFallbackExtensionPass")</sup>
* The following methods in class `LocalizationFallbackStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L54 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy")</sup> were removed:
   - `setEntityClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L54 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy::setEntityClass")</sup>
   - `getRootLocalizations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L104 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy::getRootLocalizations")</sup>
   - `localizationToArray`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L116 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy::localizationToArray")</sup>
* The `LocalizationRepository::findRootsWithChildren`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Entity/Repository/LocalizationRepository.php#L35 "Oro\Bundle\LocaleBundle\Entity\Repository\LocalizationRepository::findRootsWithChildren")</sup> method was removed.
* The `LocalizationFallbackStrategy::__construct(ManagerRegistry $registry, CacheProvider $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L37 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy")</sup> method was changed to `LocalizationFallbackStrategy::__construct(ManagerRegistry $doctrine, CacheInterface $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L24 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy")</sup>
* The following methods in class `LocalizationManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Manager/LocalizationManager.php#L29 "Oro\Bundle\LocaleBundle\Manager\LocalizationManager")</sup> were changed:
  > - `__construct(DoctrineHelper $doctrineHelper, ConfigManager $configManager, CacheProvider $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Manager/LocalizationManager.php#L37 "Oro\Bundle\LocaleBundle\Manager\LocalizationManager")</sup>
  > - `__construct(DoctrineHelper $doctrineHelper, ConfigManager $configManager, CacheItemPoolInterface $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Manager/LocalizationManager.php#L29 "Oro\Bundle\LocaleBundle\Manager\LocalizationManager")</sup>

  > - `getCacheKey($localizationId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Manager/LocalizationManager.php#L195 "Oro\Bundle\LocaleBundle\Manager\LocalizationManager")</sup>
  > - `getCacheKey($localizationId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Manager/LocalizationManager.php#L163 "Oro\Bundle\LocaleBundle\Manager\LocalizationManager")</sup>

* The `AddressFormatter::__construct(LocaleSettings $localeSettings, NameFormatter $nameFormatter, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Formatter/AddressFormatter.php#L37 "Oro\Bundle\LocaleBundle\Formatter\AddressFormatter")</sup> method was changed to `AddressFormatter::__construct(LocaleSettings $localeSettings, NameFormatter $nameFormatter, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Formatter/AddressFormatter.php#L37 "Oro\Bundle\LocaleBundle\Formatter\AddressFormatter")</sup>
* The `LocalizedFallbackValueFormatter::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, TranslatorInterface $translator, PropertyAccessor $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Formatter/LocalizedFallbackValueFormatter.php#L26 "Oro\Bundle\LocaleBundle\Formatter\LocalizedFallbackValueFormatter")</sup> method was changed to `LocalizedFallbackValueFormatter::__construct(DoctrineHelper $doctrineHelper, LocalizationHelper $localizationHelper, TranslatorInterface $translator, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Formatter/LocalizedFallbackValueFormatter.php#L26 "Oro\Bundle\LocaleBundle\Formatter\LocalizedFallbackValueFormatter")</sup>
* The `TimezoneType::__construct(Cache $cache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Form/Type/TimezoneType.php#L25 "Oro\Bundle\LocaleBundle\Form\Type\TimezoneType")</sup> method was changed to `TimezoneType::__construct(CacheInterface $cache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Form/Type/TimezoneType.php#L18 "Oro\Bundle\LocaleBundle\Form\Type\TimezoneType")</sup>
* The `LocalizationListener::postUpdate(Localization $localization, LifecycleEventArgs $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/EventListener/ORM/LocalizationListener.php#L33 "Oro\Bundle\LocaleBundle\EventListener\ORM\LocalizationListener")</sup> method was changed to `LocalizationListener::postUpdate(Localization $localization, LifecycleEventArgs $event)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/EventListener/ORM/LocalizationListener.php#L36 "Oro\Bundle\LocaleBundle\EventListener\ORM\LocalizationListener")</sup>
* The `LocalizationController::createAction(Request $request)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Controller/LocalizationController.php#L68 "Oro\Bundle\LocaleBundle\Controller\LocalizationController")</sup> method was changed to `LocalizationController::createAction()`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Controller/LocalizationController.php#L60 "Oro\Bundle\LocaleBundle\Controller\LocalizationController")</sup>
* The `CompleteLocalizedValues::__construct(LocalizationHelper $localizationHelper, DoctrineHelper $doctrineHelper, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Api/Processor/CompleteLocalizedValues.php#L34 "Oro\Bundle\LocaleBundle\Api\Processor\CompleteLocalizedValues")</sup> method was changed to `CompleteLocalizedValues::__construct(LocalizationManager $localizationManager, DoctrineHelper $doctrineHelper, PropertyAccessorInterface $propertyAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Api/Processor/CompleteLocalizedValues.php#L30 "Oro\Bundle\LocaleBundle\Api\Processor\CompleteLocalizedValues")</sup>
* The following properties in class `LocalizationFallbackStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L25 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy")</sup> were removed:
   - `$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L25 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy::$registry")</sup>
   - `$entityClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LocaleBundle/Translation/Strategy/LocalizationFallbackStrategy.php#L35 "Oro\Bundle\LocaleBundle\Translation\Strategy\LocalizationFallbackStrategy::$entityClass")</sup>
* The `LocalizationProviderInterface::setCurrentLocalization`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LocaleBundle/Provider/LocalizationProviderInterface.php#L17 "Oro\Bundle\LocaleBundle\Provider\LocalizationProviderInterface::setCurrentLocalization")</sup> interface method was added.

LoggerBundle
------------
* The `ErrorLogNotificationRecipientsProvider::__construct(ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/LoggerBundle/Provider/ErrorLogNotificationRecipientsProvider.php#L15 "Oro\Bundle\LoggerBundle\Provider\ErrorLogNotificationRecipientsProvider")</sup> method was changed to `ErrorLogNotificationRecipientsProvider::__construct(ConfigManager $configManager, ApplicationState $applicationState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/LoggerBundle/Provider/ErrorLogNotificationRecipientsProvider.php#L18 "Oro\Bundle\LoggerBundle\Provider\ErrorLogNotificationRecipientsProvider")</sup>

MaintenanceBundle
-----------------
* The `Mode::isOn`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MaintenanceBundle/Maintenance/Mode.php#L55 "Oro\Bundle\MaintenanceBundle\Maintenance\Mode::isOn")</sup> method was removed.

MessageQueue
------------
* The following classes were removed:
   - `CalculateRootJobStatusProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Job/CalculateRootJobStatusProcessor.php#L19 "Oro\Component\MessageQueue\Job\CalculateRootJobStatusProcessor")</sup>
   - `CalculateRootJobStatusTopic`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Job/Topic/CalculateRootJobStatusTopic.php#L11 "Oro\Component\MessageQueue\Job\Topic\CalculateRootJobStatusTopic")</sup>
* The `TopicRegistry::__construct(ServiceProviderInterface $topicServiceProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Topic/TopicRegistry.php#L14 "Oro\Component\MessageQueue\Topic\TopicRegistry")</sup> method was changed to `TopicRegistry::__construct(ServiceProviderInterface $topicServiceProvider, ServiceProviderInterface $jobAwareTopicServiceProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Topic/TopicRegistry.php#L15 "Oro\Component\MessageQueue\Topic\TopicRegistry")</sup>
* The `JobRunner::__construct(JobProcessor $jobProcessor, ExtensionInterface $jobExtension, Job $rootJob = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Job/JobRunner.php#L24 "Oro\Component\MessageQueue\Job\JobRunner")</sup> method was changed to `JobRunner::__construct(JobProcessor $jobProcessor, ExtensionInterface $jobExtension, TopicRegistry $topicRegistry, Job $rootJob = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Job/JobRunner.php#L25 "Oro\Component\MessageQueue\Job\JobRunner")</sup>
* The `RootJobStatusCalculator::__construct(JobManagerInterface $jobManager, JobStatusChecker $jobStatusChecker, StatusCalculatorResolver $statusCalculatorResolver, MessageProducerInterface $messageProducer, Registry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Job/RootJobStatusCalculator.php#L25 "Oro\Component\MessageQueue\Job\RootJobStatusCalculator")</sup> method was changed to `RootJobStatusCalculator::__construct(JobManagerInterface $jobManager, JobStatusChecker $jobStatusChecker, StatusCalculatorResolver $statusCalculatorResolver, MessageProducerInterface $messageProducer, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Job/RootJobStatusCalculator.php#L25 "Oro\Component\MessageQueue\Job\RootJobStatusCalculator")</sup>
* The `DbalCliProcessManager::getListOfProcessesPids($searchTerm)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Consumption/Dbal/DbalCliProcessManager.php#L16 "Oro\Component\MessageQueue\Consumption\Dbal\DbalCliProcessManager")</sup> method was changed to `DbalCliProcessManager::getListOfProcessesPids($searchTerm)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Consumption/Dbal/DbalCliProcessManager.php#L22 "Oro\Component\MessageQueue\Consumption\Dbal\DbalCliProcessManager")</sup>
* The `RedeliverOrphanMessagesDbalExtension::__construct(DbalPidFileManager $pidFileManager, DbalCliProcessManager $cliProcessManager, $consumerProcessPattern)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Consumption/Dbal/Extension/RedeliverOrphanMessagesDbalExtension.php#L54 "Oro\Component\MessageQueue\Consumption\Dbal\Extension\RedeliverOrphanMessagesDbalExtension")</sup> method was changed to `RedeliverOrphanMessagesDbalExtension::__construct(DbalPidFileManager $pidFileManager, DbalCliProcessManager $cliProcessManager, $consumerProcessPattern, $activeTransportName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Consumption/Dbal/Extension/RedeliverOrphanMessagesDbalExtension.php#L33 "Oro\Component\MessageQueue\Consumption\Dbal\Extension\RedeliverOrphanMessagesDbalExtension")</sup>
* The `MessageProducer::__construct(DriverInterface $driver, MessageRouterInterface $messageRouter, MessageBodyResolverInterface $messageBodyResolver, $debug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Client/MessageProducer.php#L27 "Oro\Component\MessageQueue\Client\MessageProducer")</sup> method was changed to `MessageProducer::__construct(DriverInterface $driver, MessageRouterInterface $messageRouter, $debug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/MessageQueue/Client/MessageProducer.php#L28 "Oro\Component\MessageQueue\Client\MessageProducer")</sup>
* The `UniqueJobHandler::setUpsertSupport`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/MessageQueue/Job/UniqueJobHandler.php#L66 "Oro\Component\MessageQueue\Job\UniqueJobHandler::setUpsertSupport")</sup> method was removed.

MessageQueueBundle
------------------
* The `MessageCollector::__construct(MessageProducerInterface $messageProducer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Test/Functional/MessageCollector.php#L13 "Oro\Bundle\MessageQueueBundle\Test\Functional\MessageCollector")</sup> method was changed to `MessageCollector::__construct(MessageProducerInterface $messageProducer, DriverMessageCollector $driverMessageCollector)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Test/Functional/MessageCollector.php#L15 "Oro\Bundle\MessageQueueBundle\Test\Functional\MessageCollector")</sup>
* The `SecurityAwareDriver::__construct(DriverInterface $driver, $securityAgnosticTopics, TokenStorageInterface $tokenStorage, TokenSerializerInterface $tokenSerializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Security/SecurityAwareDriver.php#L40 "Oro\Bundle\MessageQueueBundle\Security\SecurityAwareDriver")</sup> method was changed to `SecurityAwareDriver::__construct(DriverInterface $driver, $securityAgnosticTopics, SecurityTokenProviderInterface $tokenProvider, TokenSerializerInterface $tokenSerializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Security/SecurityAwareDriver.php#L27 "Oro\Bundle\MessageQueueBundle\Security\SecurityAwareDriver")</sup>
* The `SecurityAwareDriverFactory::__construct(DriverFactoryInterface $driverFactory, $securityAgnosticTopics, TokenStorageInterface $tokenStorage, TokenSerializerInterface $tokenSerializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Security/SecurityAwareDriverFactory.php#L36 "Oro\Bundle\MessageQueueBundle\Security\SecurityAwareDriverFactory")</sup> method was changed to `SecurityAwareDriverFactory::__construct(DriverFactoryInterface $driverFactory, $securityAgnosticTopics, SecurityTokenProviderInterface $tokenProvider, TokenSerializerInterface $tokenSerializer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Security/SecurityAwareDriverFactory.php#L23 "Oro\Bundle\MessageQueueBundle\Security\SecurityAwareDriverFactory")</sup>
* The `UpdateSchemaListener::__construct($filePath)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/EventListener/UpdateSchemaListener.php#L13 "Oro\Bundle\MessageQueueBundle\EventListener\UpdateSchemaListener")</sup> method was changed to `UpdateSchemaListener::__construct(CacheItemPoolInterface $interruptConsumptionCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/EventListener/UpdateSchemaListener.php#L14 "Oro\Bundle\MessageQueueBundle\EventListener\UpdateSchemaListener")</sup>
* The `InterruptConsumptionExtension::__construct($filePath, CacheState $cacheState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Consumption/Extension/InterruptConsumptionExtension.php#L38 "Oro\Bundle\MessageQueueBundle\Consumption\Extension\InterruptConsumptionExtension")</sup> method was changed to `InterruptConsumptionExtension::__construct(CacheItemPoolInterface $interruptConsumptionCache, CacheState $cacheState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Consumption/Extension/InterruptConsumptionExtension.php#L36 "Oro\Bundle\MessageQueueBundle\Consumption\Extension\InterruptConsumptionExtension")</sup>
* The `MaintenanceExtension::__construct(Mode $maintenance, $idleTime)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Consumption/Extension/MaintenanceExtension.php#L28 "Oro\Bundle\MessageQueueBundle\Consumption\Extension\MaintenanceExtension")</sup> method was changed to `MaintenanceExtension::__construct(MaintenanceModeState $maintenance, $idleTime)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Consumption/Extension/MaintenanceExtension.php#L28 "Oro\Bundle\MessageQueueBundle\Consumption\Extension\MaintenanceExtension")</sup>
* The `ClientConsumeMessagesCommand::__construct(QueueConsumer $queueConsumer, DestinationMetaRegistry $destinationMetaRegistry, ConsumerState $consumerState, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Command/ClientConsumeMessagesCommand.php#L28 "Oro\Bundle\MessageQueueBundle\Command\ClientConsumeMessagesCommand")</sup> method was changed to `ClientConsumeMessagesCommand::__construct(QueueConsumer $queueConsumer, DestinationMetaRegistry $destinationMetaRegistry, ConsumerState $consumerState, LoggerInterface $logger, JobManager $jobManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MessageQueueBundle/Command/ClientConsumeMessagesCommand.php#L30 "Oro\Bundle\MessageQueueBundle\Command\ClientConsumeMessagesCommand")</sup>
* The `UpdateSchemaListener::interruptConsumption`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/EventListener/UpdateSchemaListener.php#L21 "Oro\Bundle\MessageQueueBundle\EventListener\UpdateSchemaListener::interruptConsumption")</sup> method was removed.
* The `CleanupCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Command/CleanupCommand.php#L37 "Oro\Bundle\MessageQueueBundle\Command\CleanupCommand::isActive")</sup> method was removed.
* The `ConsumerHeartbeatCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MessageQueueBundle/Command/ConsumerHeartbeatCommand.php#L52 "Oro\Bundle\MessageQueueBundle\Command\ConsumerHeartbeatCommand::isActive")</sup> method was removed.

MigrationBundle
---------------
* The `DataFixturesExecutor::__construct(EntityManager $em, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Migration/DataFixturesExecutor.php#L24 "Oro\Bundle\MigrationBundle\Migration\DataFixturesExecutor")</sup> method was changed to `DataFixturesExecutor::__construct(EntityManagerInterface $em, EventDispatcherInterface $eventDispatcher, $language, $formattingCode)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Migration/DataFixturesExecutor.php#L28 "Oro\Bundle\MigrationBundle\Migration\DataFixturesExecutor")</sup>
* The `DataFixturesLoader::__construct(EntityManager $em, ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Migration/Loader/DataFixturesLoader.php#L34 "Oro\Bundle\MigrationBundle\Migration\Loader\DataFixturesLoader")</sup> method was changed to `DataFixturesLoader::__construct(EntityManager $em, KernelInterface $kernel, ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Migration/Loader/DataFixturesLoader.php#L32 "Oro\Bundle\MigrationBundle\Migration\Loader\DataFixturesLoader")</sup>
* The following methods in class `DumpMigrationsCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/DumpMigrationsCommand.php#L51 "Oro\Bundle\MigrationBundle\Command\DumpMigrationsCommand")</sup> were changed:
  > - `__construct(ManagerRegistry $registry, SchemaDumper $schemaDumper, ConfigManager $configManager, $bundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Command/DumpMigrationsCommand.php#L36 "Oro\Bundle\MigrationBundle\Command\DumpMigrationsCommand")</sup>
  > - `__construct(ManagerRegistry $registry, SchemaDumper $schemaDumper, ConfigManager $configManager, $bundles, $fileLinkFormat = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/DumpMigrationsCommand.php#L51 "Oro\Bundle\MigrationBundle\Command\DumpMigrationsCommand")</sup>

  > - `dumpPhpSchema(Schema $schema, OutputInterface $output)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Command/DumpMigrationsCommand.php#L181 "Oro\Bundle\MigrationBundle\Command\DumpMigrationsCommand")</sup>
  > - `dumpPhpSchema(Schema $schema)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/DumpMigrationsCommand.php#L266 "Oro\Bundle\MigrationBundle\Command\DumpMigrationsCommand")</sup>

* The following methods in class `LoadDataFixturesCommand`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/LoadDataFixturesCommand.php#L47 "Oro\Bundle\MigrationBundle\Command\LoadDataFixturesCommand")</sup> were changed:
  > - `__construct(KernelInterface $kernel, DataFixturesLoader $dataFixturesLoader, DataFixturesExecutorInterface $dataFixturesExecutor, FixturePathLocatorInterface $fixturePathLocator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Command/LoadDataFixturesCommand.php#L32 "Oro\Bundle\MigrationBundle\Command\LoadDataFixturesCommand")</sup>
  > - `__construct(KernelInterface $kernel, DataFixturesLoader $dataFixturesLoader, DataFixturesExecutorInterface $dataFixturesExecutor, FixturePathLocatorInterface $fixturePathLocator, ConfigManager $configManager, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/LoadDataFixturesCommand.php#L47 "Oro\Bundle\MigrationBundle\Command\LoadDataFixturesCommand")</sup>

  > - `executeFixtures(OutputInterface $output, $fixtures, $fixturesType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Command/LoadDataFixturesCommand.php#L187 "Oro\Bundle\MigrationBundle\Command\LoadDataFixturesCommand")</sup>
  > - `executeFixtures(InputInterface $input, OutputInterface $output, $fixtures, $fixturesType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Command/LoadDataFixturesCommand.php#L230 "Oro\Bundle\MigrationBundle\Command\LoadDataFixturesCommand")</sup>

* The `DataFixturesExecutorInterface::execute($fixtures, $fixturesType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Migration/DataFixturesExecutorInterface.php#L24 "Oro\Bundle\MigrationBundle\Migration\DataFixturesExecutorInterface")</sup> method was changed to `DataFixturesExecutorInterface::execute($fixtures, $fixturesType, $progressCallback)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/MigrationBundle/Migration/DataFixturesExecutorInterface.php#L26 "Oro\Bundle\MigrationBundle\Migration\DataFixturesExecutorInterface")</sup>
* The `DataFixturesLoader::$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/MigrationBundle/Migration/Loader/DataFixturesLoader.php#L23 "Oro\Bundle\MigrationBundle\Migration\Loader\DataFixturesLoader::$em")</sup> property was removed.

NavigationBundle
----------------
* The following classes were removed:
   - `ExtendMenuUpdate`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Model/ExtendMenuUpdate.php#L9 "Oro\Bundle\NavigationBundle\Model\ExtendMenuUpdate")</sup>
   - `MenuUpdateBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Builder/MenuUpdateBuilder.php#L16 "Oro\Bundle\NavigationBundle\Builder\MenuUpdateBuilder")</sup>
* The `MaxNestedLevelValidator::__construct(BuilderChainProvider $builderChainProvider, LocalizationHelper $localizationHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Validator/Constraints/MaxNestedLevelValidator.php#L22 "Oro\Bundle\NavigationBundle\Validator\Constraints\MaxNestedLevelValidator")</sup> method was changed to `MaxNestedLevelValidator::__construct(BuilderChainProvider $builderChainProvider, MenuUpdateApplierInterface $menuUpdateApplier)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Validator/Constraints/MaxNestedLevelValidator.php#L25 "Oro\Bundle\NavigationBundle\Validator\Constraints\MaxNestedLevelValidator")</sup>
* The `MenuUpdateUtils::findMenuItem(ItemInterface $menuItem, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L95 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils")</sup> method was changed to `MenuUpdateUtils::findMenuItem(ItemInterface $menuItem, $name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L17 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils")</sup>
* The `BuilderChainProvider::setCache(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Provider/BuilderChainProvider.php#L49 "Oro\Bundle\NavigationBundle\Provider\BuilderChainProvider")</sup> method was changed to `BuilderChainProvider::setCache(CacheItemPoolInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Provider/BuilderChainProvider.php#L50 "Oro\Bundle\NavigationBundle\Provider\BuilderChainProvider")</sup>
* The `MenuUpdateHelper::applyLocalizedFallbackValue(MenuUpdateInterface $entity, $value, $name, $type)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Menu/Helper/MenuUpdateHelper.php#L43 "Oro\Bundle\NavigationBundle\Menu\Helper\MenuUpdateHelper")</sup> method was changed to `MenuUpdateHelper::applyLocalizedFallbackValue(MenuUpdateInterface $entity, $value, $name, $type)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Menu/Helper/MenuUpdateHelper.php#L42 "Oro\Bundle\NavigationBundle\Menu\Helper\MenuUpdateHelper")</sup>
* The following methods in class `MenuUpdateManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L31 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup> were changed:
  > - `__construct(ManagerRegistry $managerRegistry, MenuUpdateHelper $menuUpdateHelper, PropertyAccessorInterface $propertyAccessor, $entityClass, $scopeType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L25 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup>
  > - `__construct(ManagerRegistry $managerRegistry, MenuUpdateFactoryInterface $menuUpdateFactory, MenuItemToMenuUpdatePropagatorInterface $menuItemToMenuUpdatePropagator, $menuUpdateClass, $scopeType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L31 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup>

  > - `createMenuUpdate(ItemInterface $menu, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L37 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup>
  > - `createMenuUpdate(ItemInterface $menu, Scope $scope, $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L58 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup>

* The `RouteChoiceType::__construct(RouterInterface $router, TitleReaderRegistry $readerRegistry, TitleTranslator $titleTranslator, TitleServiceInterface $titleService, Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Form/Type/RouteChoiceType.php#L54 "Oro\Bundle\NavigationBundle\Form\Type\RouteChoiceType")</sup> method was changed to `RouteChoiceType::__construct(RouterInterface $router, TitleReaderRegistry $readerRegistry, TitleTranslator $titleTranslator, TitleServiceInterface $titleService, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Form/Type/RouteChoiceType.php#L31 "Oro\Bundle\NavigationBundle\Form\Type\RouteChoiceType")</sup>
* The `MenuUpdateCacheFlusher::__construct(MenuUpdateRepository $repository, CacheProvider $cache, ScopeManager $scopeManager, $scopeType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/EventListener/MenuUpdateCacheFlusher.php#L44 "Oro\Bundle\NavigationBundle\EventListener\MenuUpdateCacheFlusher")</sup> method was changed to `MenuUpdateCacheFlusher::__construct(MenuUpdateRepository $repository, CacheInterface $cache, ScopeManager $scopeManager, $scopeType)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/EventListener/MenuUpdateCacheFlusher.php#L29 "Oro\Bundle\NavigationBundle\EventListener\MenuUpdateCacheFlusher")</sup>
* The `JsRoutingDumpListener::__construct(DynamicAssetVersionManager $assetVersionManager, $projectDir, $filenamePrefix)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Event/JsRoutingDumpListener.php#L22 "Oro\Bundle\NavigationBundle\Event\JsRoutingDumpListener")</sup> method was changed to `JsRoutingDumpListener::__construct(DynamicAssetVersionManager $assetVersionManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Event/JsRoutingDumpListener.php#L15 "Oro\Bundle\NavigationBundle\Event\JsRoutingDumpListener")</sup>
* The `ResponseHashnavListener::__construct(TokenStorageInterface $tokenStorage, Environment $twig, $isDebug = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Event/ResponseHashnavListener.php#L35 "Oro\Bundle\NavigationBundle\Event\ResponseHashnavListener")</sup> method was changed to `ResponseHashnavListener::__construct(TokenStorageInterface $tokenStorage, $debug, ContainerInterface $container)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Event/ResponseHashnavListener.php#L23 "Oro\Bundle\NavigationBundle\Event\ResponseHashnavListener")</sup>
* The `MenuUpdateRepository::setQueryResultCache(CacheProvider $queryResultCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/Repository/MenuUpdateRepository.php#L26 "Oro\Bundle\NavigationBundle\Entity\Repository\MenuUpdateRepository")</sup> method was changed to `MenuUpdateRepository::setQueryResultCache(CacheItemPoolInterface $queryResultCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Entity/Repository/MenuUpdateRepository.php#L23 "Oro\Bundle\NavigationBundle\Entity\Repository\MenuUpdateRepository")</sup>
* The `PinbarPostPersist::postPersist(AbstractPinbarTab $pinbarTab, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/Listener/PinbarPostPersist.php#L11 "Oro\Bundle\NavigationBundle\Entity\Listener\PinbarPostPersist")</sup> method was changed to `PinbarPostPersist::postPersist(AbstractPinbarTab $pinbarTab, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Entity/Listener/PinbarPostPersist.php#L14 "Oro\Bundle\NavigationBundle\Entity\Listener\PinbarPostPersist")</sup>
* The `PrepareUrlListener::prePersist(UrlAwareInterface $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/Listener/PrepareUrlListener.php#L11 "Oro\Bundle\NavigationBundle\Entity\Listener\PrepareUrlListener")</sup> method was changed to `PrepareUrlListener::prePersist(UrlAwareInterface $entity, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Entity/Listener/PrepareUrlListener.php#L14 "Oro\Bundle\NavigationBundle\Entity\Listener\PrepareUrlListener")</sup>
* The `AbstractMenuController::view($menuName, $context = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Controller/AbstractMenuController.php#L92 "Oro\Bundle\NavigationBundle\Controller\AbstractMenuController")</sup> method was changed to `AbstractMenuController::view($menuName, $context = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Controller/AbstractMenuController.php#L90 "Oro\Bundle\NavigationBundle\Controller\AbstractMenuController")</sup>
* The `UserMenuController::getMenu($menuName, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Controller/UserMenuController.php#L110 "Oro\Bundle\NavigationBundle\Controller\UserMenuController")</sup> method was changed to `UserMenuController::getMenu($menuName, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Controller/UserMenuController.php#L111 "Oro\Bundle\NavigationBundle\Controller\UserMenuController")</sup>
* The following methods in class `MenuUpdateUtils`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L18 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils")</sup> were removed:
   - `updateMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L18 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils::updateMenuItem")</sup>
   - `findOrCreateMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L61 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils::findOrCreateMenuItem")</sup>
   - `getItemExceededMaxNestingLevel`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Utils/MenuUpdateUtils.php#L121 "Oro\Bundle\NavigationBundle\Utils\MenuUpdateUtils::getItemExceededMaxNestingLevel")</sup>
* The following methods in class `MenuUpdateManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L82 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager")</sup> were removed:
   - `updateMenuUpdate`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L82 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::updateMenuUpdate")</sup>
   - `findMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L178 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::findMenuItem")</sup>
   - `showMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L192 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::showMenuItem")</sup>
   - `hideMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L246 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::hideMenuItem")</sup>
   - `moveMenuItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L281 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::moveMenuItem")</sup>
   - `moveMenuItems`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Manager/MenuUpdateManager.php#L323 "Oro\Bundle\NavigationBundle\Manager\MenuUpdateManager::moveMenuItems")</sup>
* The `MenuUpdate::getExtras`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdate.php#L95 "Oro\Bundle\NavigationBundle\Entity\MenuUpdate::getExtras")</sup> method was removed.
* The `ClearNavigationHistoryCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Command/ClearNavigationHistoryCommand.php#L40 "Oro\Bundle\NavigationBundle\Command\ClearNavigationHistoryCommand::isActive")</sup> method was removed.
* The following methods in class `MenuUpdateInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L73 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface")</sup> were removed:
   - `getTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L73 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getTitle")</sup>
   - `getDefaultTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L78 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getDefaultTitle")</sup>
   - `setDefaultTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L85 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::setDefaultTitle")</sup>
   - `getDescriptions`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L90 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getDescriptions")</sup>
   - `getDescription`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L111 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getDescription")</sup>
   - `getDefaultDescription`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L116 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getDefaultDescription")</sup>
   - `setDefaultDescription`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L123 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::setDefaultDescription")</sup>
   - `getExtras`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L204 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::getExtras")</sup>
* The following properties in class `ResponseHashnavListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Event/ResponseHashnavListener.php#L23 "Oro\Bundle\NavigationBundle\Event\ResponseHashnavListener")</sup> were removed:
   - `$twig`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Event/ResponseHashnavListener.php#L23 "Oro\Bundle\NavigationBundle\Event\ResponseHashnavListener::$twig")</sup>
   - `$isDebug`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NavigationBundle/Event/ResponseHashnavListener.php#L28 "Oro\Bundle\NavigationBundle\Event\ResponseHashnavListener::$isDebug")</sup>
The following methods in interface `MenuUpdateInterface` were added (with link)
   - `isSynthetic`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L167 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::isSynthetic")</sup>
   - `setSynthetic`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NavigationBundle/Entity/MenuUpdateInterface.php#L169 "Oro\Bundle\NavigationBundle\Entity\MenuUpdateInterface::setSynthetic")</sup>

NoteBundle
----------
* The `ExtendNote`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NoteBundle/Model/ExtendNote.php#L8 "Oro\Bundle\NoteBundle\Model\ExtendNote")</sup> class was removed.

NotificationBundle
------------------
* The following classes were removed:
   - `ExtendEmailNotification`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Model/ExtendEmailNotification.php#L5 "Oro\Bundle\NotificationBundle\Model\ExtendEmailNotification")</sup>
   - `ExtendNotificationAlert`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Model/ExtendNotificationAlert.php#L8 "Oro\Bundle\NotificationBundle\Model\ExtendNotificationAlert")</sup>
* The `DoctrineListener::postUpdate(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Provider/DoctrineListener.php#L40 "Oro\Bundle\NotificationBundle\Provider\DoctrineListener")</sup> method was changed to `DoctrineListener::postUpdate(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Provider/DoctrineListener.php#L40 "Oro\Bundle\NotificationBundle\Provider\DoctrineListener")</sup>
* The `EmailNotificationEntityProvider::__construct(ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, EntityClassResolver $entityClassResolver, TranslatorInterface $translator, FeatureChecker $featureChecker, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Provider/EmailNotificationEntityProvider.php#L22 "Oro\Bundle\NotificationBundle\Provider\EmailNotificationEntityProvider")</sup> method was changed to `EmailNotificationEntityProvider::__construct(ConfigProvider $entityConfigProvider, ConfigProvider $extendConfigProvider, EntityClassResolver $entityClassResolver, TranslatorInterface $translator, FeatureChecker $featureChecker, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Provider/EmailNotificationEntityProvider.php#L21 "Oro\Bundle\NotificationBundle\Provider\EmailNotificationEntityProvider")</sup>
* The `NotificationManager::__construct($handlers, Cache $cache, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Provider/NotificationManager.php#L38 "Oro\Bundle\NotificationBundle\Provider\NotificationManager")</sup> method was changed to `NotificationManager::__construct($handlers, CacheInterface $cache, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Provider/NotificationManager.php#L25 "Oro\Bundle\NotificationBundle\Provider\NotificationManager")</sup>
* The `NotificationAlertManager::__construct($sourceType, $resourceType, ManagerRegistry $doctrine, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/NotificationAlert/NotificationAlertManager.php#L43 "Oro\Bundle\NotificationBundle\NotificationAlert\NotificationAlertManager")</sup> method was changed to `NotificationAlertManager::__construct($sourceType, $resourceType, ManagerRegistry $doctrine, TokenAccessor $tokenAccessor, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/NotificationAlert/NotificationAlertManager.php#L43 "Oro\Bundle\NotificationBundle\NotificationAlert\NotificationAlertManager")</sup>
* The `NotificationProcessRecipientsEvent::__construct($entity, $recipients)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Event/NotificationProcessRecipientsEvent.php#L29 "Oro\Bundle\NotificationBundle\Event\NotificationProcessRecipientsEvent")</sup> method was changed to `NotificationProcessRecipientsEvent::__construct($entity, $recipients, WebsiteAwareEntityHelper $websiteAwareHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Event/NotificationProcessRecipientsEvent.php#L32 "Oro\Bundle\NotificationBundle\Event\NotificationProcessRecipientsEvent")</sup>
* The `EmailNotificationHandler::__construct(EmailNotificationManager $manager, ManagerRegistry $doctrine, PropertyAccessor $propertyAccessor, EventDispatcherInterface $eventDispatcher, ChainAdditionalEmailAssociationProvider $additionalEmailAssociationProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Event/Handler/EmailNotificationHandler.php#L34 "Oro\Bundle\NotificationBundle\Event\Handler\EmailNotificationHandler")</sup> method was changed to `EmailNotificationHandler::__construct(EmailNotificationManager $manager, ManagerRegistry $doctrine, PropertyAccessorInterface $propertyAccessor, EventDispatcherInterface $eventDispatcher, ChainAdditionalEmailAssociationProvider $additionalEmailAssociationProvider, WebsiteAwareEntityHelper $websiteAwareEntityHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Event/Handler/EmailNotificationHandler.php#L37 "Oro\Bundle\NotificationBundle\Event\Handler\EmailNotificationHandler")</sup>
* The `TemplateEmailNotificationAdapter::__construct($entity, EmailNotification $notification, EntityManager $entityManager, PropertyAccessor $propertyAccessor, EventDispatcherInterface $eventDispatcher, ChainAdditionalEmailAssociationProvider $additionalEmailAssociationProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Event/Handler/TemplateEmailNotificationAdapter.php#L60 "Oro\Bundle\NotificationBundle\Event\Handler\TemplateEmailNotificationAdapter")</sup> method was changed to `TemplateEmailNotificationAdapter::__construct($entity, EmailNotification $notification, EntityManager $entityManager, PropertyAccessorInterface $propertyAccessor, EventDispatcherInterface $eventDispatcher, ChainAdditionalEmailAssociationProvider $additionalEmailAssociationProvider, WebsiteAwareEntityHelper $websiteAwareEntityHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/NotificationBundle/Event/Handler/TemplateEmailNotificationAdapter.php#L63 "Oro\Bundle\NotificationBundle\Event\Handler\TemplateEmailNotificationAdapter")</sup>
* The `NotificationAlertCleanupCronCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Command/Cron/NotificationAlertCleanupCronCommand.php#L49 "Oro\Bundle\NotificationBundle\Command\Cron\NotificationAlertCleanupCronCommand::isActive")</sup> method was removed.
* The `NotificationEmailInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/NotificationBundle/Entity/NotificationEmailInterface.php#L10 "Oro\Bundle\NotificationBundle\Entity\NotificationEmailInterface")</sup> interface was removed.

OrganizationBundle
------------------
* The following classes were removed:
   - `BusinessUnitEntityNameProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Provider/BusinessUnitEntityNameProvider.php#L7 "Oro\Bundle\OrganizationBundle\Provider\BusinessUnitEntityNameProvider")</sup>
   - `ExtendBusinessUnit`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Model/ExtendBusinessUnit.php#L5 "Oro\Bundle\OrganizationBundle\Model\ExtendBusinessUnit")</sup>
   - `ExtendOrganization`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Model/ExtendOrganization.php#L5 "Oro\Bundle\OrganizationBundle\Model\ExtendOrganization")</sup>
* The `ChoiceTreeBusinessUnitProvider::__construct(Registry $registry, TokenAccessorInterface $tokenAccessor, AclHelper $aclHelper, ChainOwnerTreeProvider $treeProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Provider/Filter/ChoiceTreeBusinessUnitProvider.php#L28 "Oro\Bundle\OrganizationBundle\Provider\Filter\ChoiceTreeBusinessUnitProvider")</sup> method was changed to `ChoiceTreeBusinessUnitProvider::__construct(ManagerRegistry $registry, TokenAccessorInterface $tokenAccessor, AclHelper $aclHelper, ChainOwnerTreeProvider $treeProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Provider/Filter/ChoiceTreeBusinessUnitProvider.php#L31 "Oro\Bundle\OrganizationBundle\Provider\Filter\ChoiceTreeBusinessUnitProvider")</sup>
* The `EntityOwnershipAssociationsSetter::setOwnershipAssociations($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Ownership/EntityOwnershipAssociationsSetter.php#L41 "Oro\Bundle\OrganizationBundle\Ownership\EntityOwnershipAssociationsSetter")</sup> method was changed to `EntityOwnershipAssociationsSetter::setOwnershipAssociations($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Ownership/EntityOwnershipAssociationsSetter.php#L41 "Oro\Bundle\OrganizationBundle\Ownership\EntityOwnershipAssociationsSetter")</sup>
* The `BusinessUnitSelectType::__construct(Registry $doctrine, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Form/Type/BusinessUnitSelectType.php#L19 "Oro\Bundle\OrganizationBundle\Form\Type\BusinessUnitSelectType")</sup> method was changed to `BusinessUnitSelectType::__construct(ManagerRegistry $doctrine, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Form/Type/BusinessUnitSelectType.php#L20 "Oro\Bundle\OrganizationBundle\Form\Type\BusinessUnitSelectType")</sup>
* The `OrganizationsSelectType::__construct(EntityManager $em, BusinessUnitManager $buManager, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Form/Type/OrganizationsSelectType.php#L32 "Oro\Bundle\OrganizationBundle\Form\Type\OrganizationsSelectType")</sup> method was changed to `OrganizationsSelectType::__construct(BusinessUnitManager $buManager, TokenAccessorInterface $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Form/Type/OrganizationsSelectType.php#L25 "Oro\Bundle\OrganizationBundle\Form\Type\OrganizationsSelectType")</sup>
* The following methods in class `ChoiceTreeFilterLoadDataListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L16 "Oro\Bundle\OrganizationBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup> were changed:
  > - `__construct(Registry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L19 "Oro\Bundle\OrganizationBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup>
  > - `__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L16 "Oro\Bundle\OrganizationBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup>

  > - `getPath($businessUnit, $path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L48 "Oro\Bundle\OrganizationBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup>
  > - `getPath(BusinessUnit $businessUnit, $path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L39 "Oro\Bundle\OrganizationBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup>

* The `RecordOwnerDataListener::prePersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/EventListener/RecordOwnerDataListener.php#L26 "Oro\Bundle\OrganizationBundle\EventListener\RecordOwnerDataListener")</sup> method was changed to `RecordOwnerDataListener::prePersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/EventListener/RecordOwnerDataListener.php#L20 "Oro\Bundle\OrganizationBundle\EventListener\RecordOwnerDataListener")</sup>
* The `BusinessUnitGridListener::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, AclVoterInterface $aclVoter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Event/BusinessUnitGridListener.php#L30 "Oro\Bundle\OrganizationBundle\Event\BusinessUnitGridListener")</sup> method was changed to `BusinessUnitGridListener::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, AclVoterInterface $aclVoter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Event/BusinessUnitGridListener.php#L26 "Oro\Bundle\OrganizationBundle\Event\BusinessUnitGridListener")</sup>
* The `BusinessUnitOwnerSearchHandler::__construct($entityName, $properties, Registry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Autocomplete/BusinessUnitOwnerSearchHandler.php#L14 "Oro\Bundle\OrganizationBundle\Autocomplete\BusinessUnitOwnerSearchHandler")</sup> method was changed to `BusinessUnitOwnerSearchHandler::__construct($entityName, $properties, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Autocomplete/BusinessUnitOwnerSearchHandler.php#L16 "Oro\Bundle\OrganizationBundle\Autocomplete\BusinessUnitOwnerSearchHandler")</sup>
* The `AddOwnerValidator::__construct(DoctrineHelper $doctrineHelper, OwnershipMetadataProviderInterface $ownershipMetadataProvider, ValidationHelper $validationHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Api/Processor/GetConfig/AddOwnerValidator.php#L29 "Oro\Bundle\OrganizationBundle\Api\Processor\GetConfig\AddOwnerValidator")</sup> method was changed to `AddOwnerValidator::__construct(DoctrineHelper $doctrineHelper, OwnershipMetadataProviderInterface $ownershipMetadataProvider, ValidationHelper $validationHelper, $ownerConstraintClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Api/Processor/GetConfig/AddOwnerValidator.php#L24 "Oro\Bundle\OrganizationBundle\Api\Processor\GetConfig\AddOwnerValidator")</sup>
* The `OrganizationAwareAccessRule::__construct(TokenAccessorInterface $tokenAccessor, $organizationFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Acl/AccessRule/OrganizationAwareAccessRule.php#L27 "Oro\Bundle\OrganizationBundle\Acl\AccessRule\OrganizationAwareAccessRule")</sup> method was changed to `OrganizationAwareAccessRule::__construct(OrganizationRestrictionProviderInterface $organizationRestrictionProvider, $organizationFieldName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/OrganizationBundle/Acl/AccessRule/OrganizationAwareAccessRule.php#L17 "Oro\Bundle\OrganizationBundle\Acl\AccessRule\OrganizationAwareAccessRule")</sup>
* The `OrganizationsSelectType::getLoggedInUser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Form/Type/OrganizationsSelectType.php#L154 "Oro\Bundle\OrganizationBundle\Form\Type\OrganizationsSelectType::getLoggedInUser")</sup> method was removed.
* The `BusinessUnit::getNotificationEmails`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Entity/BusinessUnit.php#L434 "Oro\Bundle\OrganizationBundle\Entity\BusinessUnit::getNotificationEmails")</sup> method was removed.
* The `Organization::getNotificationEmails`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Entity/Organization.php#L318 "Oro\Bundle\OrganizationBundle\Entity\Organization::getNotificationEmails")</sup> method was removed.
* The `AddOwnerValidator::getOwnerConstraintClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Api/Processor/GetConfig/AddOwnerValidator.php#L80 "Oro\Bundle\OrganizationBundle\Api\Processor\GetConfig\AddOwnerValidator::getOwnerConstraintClass")</sup> method was removed.
* The `OrganizationAwareAccessRule::setOrganizationOptional`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Acl/AccessRule/OrganizationAwareAccessRule.php#L35 "Oro\Bundle\OrganizationBundle\Acl\AccessRule\OrganizationAwareAccessRule::setOrganizationOptional")</sup> method was removed.
* The `OrganizationsSelectType::$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/OrganizationBundle/Form/Type/OrganizationsSelectType.php#L24 "Oro\Bundle\OrganizationBundle\Form\Type\OrganizationsSelectType::$em")</sup> property was removed.

PhpUtils
--------
* The `ReflectionUtil::getProperty(ReflectionClass $reflClass, $propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/PhpUtils/ReflectionUtil.php#L18 "Oro\Component\PhpUtils\ReflectionUtil")</sup> method was changed to `ReflectionUtil::getProperty(ReflectionClass $reflClass, $propertyName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/PhpUtils/ReflectionUtil.php#L13 "Oro\Component\PhpUtils\ReflectionUtil")</sup>
* The `AbstractCommandExecutor::prepareParameters($command, $params)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/PhpUtils/Tools/CommandExecutor/AbstractCommandExecutor.php#L25 "Oro\Component\PhpUtils\Tools\CommandExecutor\AbstractCommandExecutor")</sup> method was changed to `AbstractCommandExecutor::prepareParameters($command, $params)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/PhpUtils/Tools/CommandExecutor/AbstractCommandExecutor.php#L19 "Oro\Component\PhpUtils\Tools\CommandExecutor\AbstractCommandExecutor")</sup>

PlatformBundle
--------------
* The following classes were removed:
   - `HttpFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Psr7/HttpFactory.php#L33 "Oro\Bundle\PlatformBundle\Psr7\HttpFactory")</sup>
   - `DbalConfigurationLoader`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/DependencyInjection/DbalConfigurationLoader.php#L41 "Oro\Bundle\PlatformBundle\DependencyInjection\DbalConfigurationLoader")</sup>
   - `LocalRepositoryFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Composer/LocalRepositoryFactory.php#L12 "Oro\Bundle\PlatformBundle\Composer\LocalRepositoryFactory")</sup>
* The `PackageProvider::__construct(LocalRepositoryFactory $localRepositoryFactory)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Provider/PackageProvider.php#L29 "Oro\Bundle\PlatformBundle\Provider\PackageProvider")</sup> method was changed to `PackageProvider::__construct($installedJsonfile = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/PlatformBundle/Provider/PackageProvider.php#L25 "Oro\Bundle\PlatformBundle\Provider\PackageProvider")</sup>
* The `UrlGenerator::__construct(PackageProvider $packageProvider, CacheProvider $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Form/UrlGenerator.php#L28 "Oro\Bundle\PlatformBundle\Form\UrlGenerator")</sup> method was changed to `UrlGenerator::__construct(PackageProvider $packageProvider, CacheInterface $cacheProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/PlatformBundle/Form/UrlGenerator.php#L24 "Oro\Bundle\PlatformBundle\Form\UrlGenerator")</sup>
* The `VersionHelper::__construct(LocalRepositoryFactory $factory, Cache $cache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Composer/VersionHelper.php#L24 "Oro\Bundle\PlatformBundle\Composer\VersionHelper")</sup> method was changed to `VersionHelper::__construct(CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/PlatformBundle/Composer/VersionHelper.php#L20 "Oro\Bundle\PlatformBundle\Composer\VersionHelper")</sup>
* The `PackageProvider::$localRepositoryFactory`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Provider/PackageProvider.php#L21 "Oro\Bundle\PlatformBundle\Provider\PackageProvider::$localRepositoryFactory")</sup> property was removed.
* The `PlatformController::getSubscribedServices`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/PlatformBundle/Controller/PlatformController.php#L44 "Oro\Bundle\PlatformBundle\Controller\PlatformController::getSubscribedServices")</sup> method was removed.

PropertyAccess
--------------
* The `PropertyAccessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/PropertyAccess/PropertyAccessor.php#L30 "Oro\Component\PropertyAccess\PropertyAccessor")</sup> class was removed.

ReminderBundle
--------------
* The `ExtendReminder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReminderBundle/Model/ExtendReminder.php#L5 "Oro\Bundle\ReminderBundle\Model\ExtendReminder")</sup> class was removed.
* The `ReminderListener::postLoad(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReminderBundle/EventListener/ReminderListener.php#L50 "Oro\Bundle\ReminderBundle\EventListener\ReminderListener")</sup> method was changed to `ReminderListener::postLoad(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ReminderBundle/EventListener/ReminderListener.php#L50 "Oro\Bundle\ReminderBundle\EventListener\ReminderListener")</sup>

ReportBundle
------------
* The `ExtendReport`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReportBundle/Model/ExtendReport.php#L7 "Oro\Bundle\ReportBundle\Model\ExtendReport")</sup> class was removed.
* The `ReportDatagridConfigurationProvider::__construct(ReportDatagridConfigurationBuilder $builder, ManagerRegistry $doctrine, Cache $cache, $prefixCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReportBundle/Grid/ReportDatagridConfigurationProvider.php#L31 "Oro\Bundle\ReportBundle\Grid\ReportDatagridConfigurationProvider")</sup> method was changed to `ReportDatagridConfigurationProvider::__construct(ReportDatagridConfigurationBuilder $builder, ManagerRegistry $doctrine, CacheInterface $cache, $prefixCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ReportBundle/Grid/ReportDatagridConfigurationProvider.php#L24 "Oro\Bundle\ReportBundle\Grid\ReportDatagridConfigurationProvider")</sup>
* The `NavigationListener::buildReportMenu(ItemInterface $reportsItem, $reportData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReportBundle/EventListener/NavigationListener.php#L104 "Oro\Bundle\ReportBundle\EventListener\NavigationListener")</sup> method was changed to `NavigationListener::buildReportMenu(ItemInterface $reportsItem, $reportData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ReportBundle/EventListener/NavigationListener.php#L86 "Oro\Bundle\ReportBundle\EventListener\NavigationListener")</sup>
* The `ReportCacheCleanerListener::__construct(Cache $cache, $prefixCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReportBundle/EventListener/ReportCacheCleanerListener.php#L20 "Oro\Bundle\ReportBundle\EventListener\ReportCacheCleanerListener")</sup> method was changed to `ReportCacheCleanerListener::__construct(CacheInterface $cache, $prefixCacheKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ReportBundle/EventListener/ReportCacheCleanerListener.php#L17 "Oro\Bundle\ReportBundle\EventListener\ReportCacheCleanerListener")</sup>
* The `CalendarDateCommand::isActive`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ReportBundle/Command/CalendarDateCommand.php#L35 "Oro\Bundle\ReportBundle\Command\CalendarDateCommand::isActive")</sup> method was removed.

ScopeBundle
-----------
* The `ExtendScope`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ScopeBundle/Model/ExtendScope.php#L5 "Oro\Bundle\ScopeBundle\Model\ExtendScope")</sup> class was removed.
* The `OroScopeBundle::getContainerExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ScopeBundle/OroScopeBundle.php#L21 "Oro\Bundle\ScopeBundle\OroScopeBundle::getContainerExtension")</sup> method was removed.
* The `ScopeDataAccessor::__construct(DoctrineHelper $doctrineHelper, CacheProvider $scopeCache, ScopeCacheKeyBuilderInterface $scopeCacheKeyBuilder)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ScopeBundle/Manager/ScopeDataAccessor.php#L28 "Oro\Bundle\ScopeBundle\Manager\ScopeDataAccessor")</sup> method was changed to `ScopeDataAccessor::__construct(DoctrineHelper $doctrineHelper, CacheItemPoolInterface $scopeCache, ScopeCacheKeyBuilderInterface $scopeCacheKeyBuilder)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ScopeBundle/Manager/ScopeDataAccessor.php#L22 "Oro\Bundle\ScopeBundle\Manager\ScopeDataAccessor")</sup>
* The `DoctrineEventListener::__construct(ScopeCollection $scheduledForInsertScopes, CacheProvider $scopeCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/ScopeBundle/EventListener/DoctrineEventListener.php#L25 "Oro\Bundle\ScopeBundle\EventListener\DoctrineEventListener")</sup> method was changed to `DoctrineEventListener::__construct(ScopeCollection $scheduledForInsertScopes, CacheItemPoolInterface $scopeCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/ScopeBundle/EventListener/DoctrineEventListener.php#L25 "Oro\Bundle\ScopeBundle\EventListener\DoctrineEventListener")</sup>

SearchBundle
------------
* The `ResultStatisticsProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Provider/ResultStatisticsProvider.php#L13 "Oro\Bundle\SearchBundle\Provider\ResultStatisticsProvider")</sup> class was removed.
* The `AbstractSearchQuery::addAggregate($name, $field, $function)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/AbstractSearchQuery.php#L236 "Oro\Bundle\SearchBundle\Query\AbstractSearchQuery")</sup> method was changed to `AbstractSearchQuery::addAggregate($name, $field, $function, $parameters = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/AbstractSearchQuery.php#L246 "Oro\Bundle\SearchBundle\Query\AbstractSearchQuery")</sup>
* The `Query::addAggregate($name, $field, $function)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Query.php#L369 "Oro\Bundle\SearchBundle\Query\Query")</sup> method was changed to `Query::addAggregate($name, $field, $function, $parameters = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/Query.php#L391 "Oro\Bundle\SearchBundle\Query\Query")</sup>
* The `Item::__construct($entityName = null, $recordId = null, $recordTitle = null, $recordUrl = null, $selectedData = [], $entityConfig = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L53 "Oro\Bundle\SearchBundle\Query\Result\Item")</sup> method was changed to `Item::__construct($entityName = null, $recordId = null, $recordUrl = null, $selectedData = [], $entityConfig = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L47 "Oro\Bundle\SearchBundle\Query\Result\Item")</sup>
* The `AbstractSearchMappingProvider::getEntityConfig($entity)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Provider/AbstractSearchMappingProvider.php#L177 "Oro\Bundle\SearchBundle\Provider\AbstractSearchMappingProvider")</sup> method was changed to `AbstractSearchMappingProvider::getEntityConfig($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Provider/AbstractSearchMappingProvider.php#L175 "Oro\Bundle\SearchBundle\Provider\AbstractSearchMappingProvider")</sup>
* The `SearchMappingProvider::__construct(EventDispatcherInterface $dispatcher, MappingConfigurationProviderAbstract $mappingConfigProvider, Cache $cache, $cacheKey, $eventName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Provider/SearchMappingProvider.php#L37 "Oro\Bundle\SearchBundle\Provider\SearchMappingProvider")</sup> method was changed to `SearchMappingProvider::__construct(EventDispatcherInterface $dispatcher, MappingConfigurationProviderAbstract $mappingConfigProvider, CacheItemPoolInterface $cache, $cacheKeyPrefix, $searchEngineName, $eventName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Provider/SearchMappingProvider.php#L28 "Oro\Bundle\SearchBundle\Provider\SearchMappingProvider")</sup>
* The `DateTimeFormatter::format(DateTime $dateTimeValue)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/DateTimeFormatter.php#L16 "Oro\Bundle\SearchBundle\Formatter\DateTimeFormatter")</sup> method was changed to `DateTimeFormatter::format($value)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Formatter/DateTimeFormatter.php#L20 "Oro\Bundle\SearchBundle\Formatter\DateTimeFormatter")</sup>
* The `ResultFormatter::__construct(EntityManager $entityManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L19 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter")</sup> method was changed to `ResultFormatter::__construct(DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L15 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter")</sup>
* The `PrepareResultItemListener::__construct(UrlGeneratorInterface $urlGenerator, ObjectMapper $mapper, ManagerRegistry $doctrine, EntityNameResolver $entityNameResolver, ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/EventListener/PrepareResultItemListener.php#L26 "Oro\Bundle\SearchBundle\EventListener\PrepareResultItemListener")</sup> method was changed to `PrepareResultItemListener::__construct(UrlGeneratorInterface $urlGenerator, ObjectMapper $mapper, ManagerRegistry $doctrine, ConfigManager $configManager, TranslatorInterface $translator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/EventListener/PrepareResultItemListener.php#L24 "Oro\Bundle\SearchBundle\EventListener\PrepareResultItemListener")</sup>
* The `AbstractMapper::__construct(SearchMappingProvider $mappingProvider, PropertyAccessorInterface $propertyAccessor, TypeCastingHandlerRegistry $handlerRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L29 "Oro\Bundle\SearchBundle\Engine\AbstractMapper")</sup> method was changed to `AbstractMapper::__construct(SearchMappingProvider $mappingProvider, PropertyAccessorInterface $propertyAccessor, TypeCastingHandlerRegistry $handlerRegistry, EntityNameResolver $nameResolver, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L23 "Oro\Bundle\SearchBundle\Engine\AbstractMapper")</sup>
* The `ObjectMapper::__construct(SearchMappingProvider $mappingProvider, PropertyAccessorInterface $propertyAccessor, TypeCastingHandlerRegistry $handlerRegistry, EventDispatcherInterface $dispatcher, HtmlTagHelper $htmlTagHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/ObjectMapper.php#L28 "Oro\Bundle\SearchBundle\Engine\ObjectMapper")</sup> method was changed to `ObjectMapper::__construct(SearchMappingProvider $mappingProvider, PropertyAccessorInterface $propertyAccessor, TypeCastingHandlerRegistry $handlerRegistry, EntityNameResolver $nameResolver, DoctrineHelper $doctrineHelper, EventDispatcherInterface $dispatcher, HtmlTagHelper $htmlTagHelper, DateTimeFormatter $dateTimeFormatter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Engine/ObjectMapper.php#L25 "Oro\Bundle\SearchBundle\Engine\ObjectMapper")</sup>
* The `SearchQueryInterface::addAggregate($name, $field, $function)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L165 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface")</sup> method was changed to `SearchQueryInterface::addAggregate($name, $field, $function, $parameters = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L176 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface")</sup>
* The following methods in class `Item`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L156 "Oro\Bundle\SearchBundle\Query\Result\Item")</sup> were removed:
   - `setRecordTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L156 "Oro\Bundle\SearchBundle\Query\Result\Item::setRecordTitle")</sup>
   - `getRecordTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L168 "Oro\Bundle\SearchBundle\Query\Result\Item::getRecordTitle")</sup>
* The following methods in class `ResultFormatter`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L83 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter")</sup> were removed:
   - `getEntityMetadata`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L83 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter::getEntityMetadata")</sup>
   - `getEntityIdentifier`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L92 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter::getEntityIdentifier")</sup>
* The following methods in class `AbstractItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Entity/AbstractItem.php#L387 "Oro\Bundle\SearchBundle\Entity\AbstractItem")</sup> were removed:
   - `setTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Entity/AbstractItem.php#L387 "Oro\Bundle\SearchBundle\Entity\AbstractItem::setTitle")</sup>
   - `getTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Entity/AbstractItem.php#L397 "Oro\Bundle\SearchBundle\Entity\AbstractItem::getTitle")</sup>
* The `AbstractIndexer::getEntityTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractIndexer.php#L153 "Oro\Bundle\SearchBundle\Engine\AbstractIndexer::getEntityTitle")</sup> method was removed.
* The `OroSearchExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/DependencyInjection/OroSearchExtension.php#L50 "Oro\Bundle\SearchBundle\DependencyInjection\OroSearchExtension::getAlias")</sup> method was removed.
* The `SearchBooleanFilterType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Datagrid/Form/Type/SearchBooleanFilterType.php#L43 "Oro\Bundle\SearchBundle\Datagrid\Form\Type\SearchBooleanFilterType::getName")</sup> method was removed.
* The following methods in class `SearchEntityFilterType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Datagrid/Form/Type/SearchEntityFilterType.php#L63 "Oro\Bundle\SearchBundle\Datagrid\Form\Type\SearchEntityFilterType")</sup> were removed:
   - `getLocalizedChoiceLabel`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Datagrid/Form/Type/SearchEntityFilterType.php#L63 "Oro\Bundle\SearchBundle\Datagrid\Form\Type\SearchEntityFilterType::getLocalizedChoiceLabel")</sup>
   - `getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Datagrid/Form/Type/SearchEntityFilterType.php#L93 "Oro\Bundle\SearchBundle\Datagrid\Form\Type\SearchEntityFilterType::getName")</sup>
* The following methods in class `SearchController`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Controller/SearchController.php#L36 "Oro\Bundle\SearchBundle\Controller\SearchController")</sup> were removed:
   - `ajaxAdvancedSearchAction`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Controller/SearchController.php#L36 "Oro\Bundle\SearchBundle\Controller\SearchController::ajaxAdvancedSearchAction")</sup>
   - `getSubscribedServices`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Controller/SearchController.php#L139 "Oro\Bundle\SearchBundle\Controller\SearchController::getSubscribedServices")</sup>
* The `SearchItem::getEntityTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Api/Model/SearchItem.php#L57 "Oro\Bundle\SearchBundle\Api\Model\SearchItem::getEntityTitle")</sup> method was removed.
* The `Item::$recordTitle`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Query/Result/Item.php#L28 "Oro\Bundle\SearchBundle\Query\Result\Item::$recordTitle")</sup> property was removed.
* The `ResultFormatter::$entityManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Formatter/ResultFormatter.php#L17 "Oro\Bundle\SearchBundle\Formatter\ResultFormatter::$entityManager")</sup> property was removed.
* The `SearchResultsGridListener::$paramName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/EventListener/SearchResultsGridListener.php#L13 "Oro\Bundle\SearchBundle\EventListener\SearchResultsGridListener::$paramName")</sup> property was removed.
* The `AbstractItem::$title`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Entity/AbstractItem.php#L53 "Oro\Bundle\SearchBundle\Entity\AbstractItem::$title")</sup> property was removed.
* The following properties in class `AbstractMapper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L18 "Oro\Bundle\SearchBundle\Engine\AbstractMapper")</sup> were removed:
   - `$mappingProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L18 "Oro\Bundle\SearchBundle\Engine\AbstractMapper::$mappingProvider")</sup>
   - `$propertyAccessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L21 "Oro\Bundle\SearchBundle\Engine\AbstractMapper::$propertyAccessor")</sup>
   - `$handlerRegistry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/AbstractMapper.php#L24 "Oro\Bundle\SearchBundle\Engine\AbstractMapper::$handlerRegistry")</sup>
* The following properties in class `ObjectMapper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/ObjectMapper.php#L23 "Oro\Bundle\SearchBundle\Engine\ObjectMapper")</sup> were removed:
   - `$dispatcher`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/ObjectMapper.php#L23 "Oro\Bundle\SearchBundle\Engine\ObjectMapper::$dispatcher")</sup>
   - `$htmlTagHelper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Engine/ObjectMapper.php#L26 "Oro\Bundle\SearchBundle\Engine\ObjectMapper::$htmlTagHelper")</sup>
* The `EntityTitleResolverInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SearchBundle/Resolver/EntityTitleResolverInterface.php#L5 "Oro\Bundle\SearchBundle\Resolver\EntityTitleResolverInterface")</sup> interface was removed.
The following methods in interface `SearchQueryInterface` were added (with link)
   - `getFrom`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L91 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface::getFrom")</sup>
   - `setHint`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L193 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface::setHint")</sup>
   - `getHint`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L202 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface::getHint")</sup>
   - `hasHint`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L211 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface::hasHint")</sup>
   - `getHints`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SearchBundle/Query/SearchQueryInterface.php#L218 "Oro\Bundle\SearchBundle\Query\SearchQueryInterface::getHints")</sup>

SecurityBundle
--------------
* The `AbstractOwnershipConditionDataBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/AbstractOwnershipConditionDataBuilder.php#L13 "Oro\Bundle\SecurityBundle\ORM\Walker\AbstractOwnershipConditionDataBuilder")</sup> class was removed.
* The `AclHelper::__construct(SearchMappingProvider $mappingProvider, TokenAccessorInterface $tokenAccessor, AclConditionDataBuilderInterface $ownershipDataBuilder, OwnershipMetadataProviderInterface $metadataProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Search/AclHelper.php#L32 "Oro\Bundle\SecurityBundle\Search\AclHelper")</sup> method was changed to `AclHelper::__construct(SearchMappingProvider $mappingProvider, TokenAccessorInterface $tokenAccessor, AclConditionDataBuilderInterface $ownershipDataBuilder, OwnershipMetadataProviderInterface $metadataProvider, SearchAclHelperConditionProvider $aclHelperConditionProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Search/AclHelper.php#L34 "Oro\Bundle\SecurityBundle\Search\AclHelper")</sup>
* The following methods in class `AbstractOwnerTreeProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/AbstractOwnerTreeProvider.php#L22 "Oro\Bundle\SecurityBundle\Owner\AbstractOwnerTreeProvider")</sup> were changed:
  > - `__construct(DatabaseChecker $databaseChecker, CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/AbstractOwnerTreeProvider.php#L25 "Oro\Bundle\SecurityBundle\Owner\AbstractOwnerTreeProvider")</sup>
  > - `__construct(DatabaseChecker $databaseChecker, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/AbstractOwnerTreeProvider.php#L22 "Oro\Bundle\SecurityBundle\Owner\AbstractOwnerTreeProvider")</sup>

  > - `buildTree($businessUnitIds, $businetUnitClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/AbstractOwnerTreeProvider.php#L44 "Oro\Bundle\SecurityBundle\Owner\AbstractOwnerTreeProvider")</sup>
  > - `buildTree($businessUnitIds, $businessUnitClass)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/AbstractOwnerTreeProvider.php#L41 "Oro\Bundle\SecurityBundle\Owner\AbstractOwnerTreeProvider")</sup>

* The `OwnerTreeProvider::__construct(ManagerRegistry $doctrine, DatabaseChecker $databaseChecker, CacheProvider $cache, OwnershipMetadataProviderInterface $ownershipMetadataProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/OwnerTreeProvider.php#L31 "Oro\Bundle\SecurityBundle\Owner\OwnerTreeProvider")</sup> method was changed to `OwnerTreeProvider::__construct(ManagerRegistry $doctrine, DatabaseChecker $databaseChecker, CacheInterface $cache, OwnershipMetadataProviderInterface $ownershipMetadataProvider, TokenStorageInterface $tokenStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/OwnerTreeProvider.php#L26 "Oro\Bundle\SecurityBundle\Owner\OwnerTreeProvider")</sup>
* The following methods in class `AbstractOwnershipMetadataProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/AbstractOwnershipMetadataProvider.php#L45 "Oro\Bundle\SecurityBundle\Owner\Metadata\AbstractOwnershipMetadataProvider")</sup> were changed:
  > - `warmUpCache($className = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/AbstractOwnershipMetadataProvider.php#L54 "Oro\Bundle\SecurityBundle\Owner\Metadata\AbstractOwnershipMetadataProvider")</sup>
  > - `warmUpCache($className = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/AbstractOwnershipMetadataProvider.php#L45 "Oro\Bundle\SecurityBundle\Owner\Metadata\AbstractOwnershipMetadataProvider")</sup>

  > - `ensureMetadataLoaded($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/AbstractOwnershipMetadataProvider.php#L144 "Oro\Bundle\SecurityBundle\Owner\Metadata\AbstractOwnershipMetadataProvider")</sup>
  > - `ensureMetadataLoaded($className)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/AbstractOwnershipMetadataProvider.php#L111 "Oro\Bundle\SecurityBundle\Owner\Metadata\AbstractOwnershipMetadataProvider")</sup>

* The `OwnershipMetadataProvider::__construct($owningEntityNames, ConfigManager $configManager, EntityClassResolver $entityClassResolver, TokenAccessorInterface $tokenAccessor, CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/OwnershipMetadataProvider.php#L47 "Oro\Bundle\SecurityBundle\Owner\Metadata\OwnershipMetadataProvider")</sup> method was changed to `OwnershipMetadataProvider::__construct($owningEntityNames, ConfigManager $configManager, EntityClassResolver $entityClassResolver, TokenAccessorInterface $tokenAccessor, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/OwnershipMetadataProvider.php#L34 "Oro\Bundle\SecurityBundle\Owner\Metadata\OwnershipMetadataProvider")</sup>
* The following methods in class `OwnershipConditionDataBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L38 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup> were changed:
  > - `__construct(AuthorizationCheckerInterface $authorizationChecker, TokenStorageInterface $tokenStorage, ObjectIdAccessor $objectIdAccessor, EntitySecurityMetadataProvider $entityMetadataProvider, OwnershipMetadataProviderInterface $metadataProvider, OwnerTreeProviderInterface $treeProvider, AclVoterInterface $aclVoter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L52 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>
  > - `__construct(AuthorizationCheckerInterface $authorizationChecker, TokenStorageInterface $tokenStorage, ObjectIdAccessor $objectIdAccessor, EntitySecurityMetadataProvider $entityMetadataProvider, OwnershipMetadataProviderInterface $metadataProvider, OwnerTreeProviderInterface $treeProvider, AclVoterInterface $aclVoter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L38 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>

  > - `setAclGroupProvider($aclGroupProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L73 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>
  > - `setAclGroupProvider(AclGroupProviderInterface $aclGroupProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L56 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>

  > - `buildConstraintIfAccessIsGranted($targetEntityClassName, $accessLevel, OwnershipMetadataInterface $metadata)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L129 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>
  > - `buildConstraintIfAccessIsGranted($targetEntityClassName, $accessLevel, OwnershipMetadataInterface $metadata, $permissions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/OwnershipConditionDataBuilder.php#L104 "Oro\Bundle\SecurityBundle\ORM\Walker\OwnershipConditionDataBuilder")</sup>

* The `QueryComponent::__construct(ClassMetadata $metadata, $relation = null, $parent = null, $map = null, $nestingLevel = null, $token = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/QueryComponent.php#L31 "Oro\Bundle\SecurityBundle\ORM\Walker\QueryComponent")</sup> method was changed to `QueryComponent::__construct(ClassMetadata $metadata, $relation = null, $parent = null, $map = null, $nestingLevel = null, Token $token = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/QueryComponent.php#L31 "Oro\Bundle\SecurityBundle\ORM\Walker\QueryComponent")</sup>
* The `EntitySecurityMetadataProvider::__construct(ConfigManager $configManager, ManagerRegistry $doctrine, CacheProvider $cache, EventDispatcherInterface $eventDispatcher, AclGroupProviderInterface $aclGroupProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Metadata/EntitySecurityMetadataProvider.php#L52 "Oro\Bundle\SecurityBundle\Metadata\EntitySecurityMetadataProvider")</sup> method was changed to `EntitySecurityMetadataProvider::__construct(ConfigManager $configManager, ManagerRegistry $doctrine, CacheItemPoolInterface $cache, EventDispatcherInterface $eventDispatcher, AclGroupProviderInterface $aclGroupProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Metadata/EntitySecurityMetadataProvider.php#L42 "Oro\Bundle\SecurityBundle\Metadata\EntitySecurityMetadataProvider")</sup>
* The `EntitySerializerFieldFilter::checkField($entity, $entityClass, $field)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Filter/EntitySerializerFieldFilter.php#L47 "Oro\Bundle\SecurityBundle\Filter\EntitySerializerFieldFilter")</sup> method was changed to `EntitySerializerFieldFilter::checkField($entity, $entityClass, $field)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Filter/EntitySerializerFieldFilter.php#L40 "Oro\Bundle\SecurityBundle\Filter\EntitySerializerFieldFilter")</sup>
* The `CsrfProtectionRequestListener::__construct(CsrfRequestManager $csrfRequestManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/EventListener/CsrfProtectionRequestListener.php#L21 "Oro\Bundle\SecurityBundle\EventListener\CsrfProtectionRequestListener")</sup> method was changed to `CsrfProtectionRequestListener::__construct(CsrfRequestManager $csrfRequestManager, CsrfTokenManagerInterface $csrfTokenManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/EventListener/CsrfProtectionRequestListener.php#L24 "Oro\Bundle\SecurityBundle\EventListener\CsrfProtectionRequestListener")</sup>
* The `SecurityExtensionHelper::makeFirewallLatest(ExtendedContainerBuilder $container, $firewallName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/DependencyInjection/Extension/SecurityExtensionHelper.php#L15 "Oro\Bundle\SecurityBundle\DependencyInjection\Extension\SecurityExtensionHelper")</sup> method was changed to `SecurityExtensionHelper::makeFirewallLatest(ExtendedContainerBuilder $container, $firewallName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/DependencyInjection/Extension/SecurityExtensionHelper.php#L15 "Oro\Bundle\SecurityBundle\DependencyInjection\Extension\SecurityExtensionHelper")</sup>
* The `CookieTokenStorage::__construct($secure, $httpOnly, RequestStack $requestStack, $sameSite)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Csrf/CookieTokenStorage.php#L35 "Oro\Bundle\SecurityBundle\Csrf\CookieTokenStorage")</sup> method was changed to `CookieTokenStorage::__construct($secure, RequestStack $requestStack, $sameSite)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Csrf/CookieTokenStorage.php#L26 "Oro\Bundle\SecurityBundle\Csrf\CookieTokenStorage")</sup>
* The `ConfigurablePermissionConfigurationProvider::__construct($cacheFile, $debug, $bundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Configuration/ConfigurablePermissionConfigurationProvider.php#L28 "Oro\Bundle\SecurityBundle\Configuration\ConfigurablePermissionConfigurationProvider")</sup> method was changed to `ConfigurablePermissionConfigurationProvider::__construct($cacheFile, $debug)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Configuration/ConfigurablePermissionConfigurationProvider.php#L24 "Oro\Bundle\SecurityBundle\Configuration\ConfigurablePermissionConfigurationProvider")</sup>
* The `PermissionConfigurationProvider::__construct($cacheFile, $debug, $bundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Configuration/PermissionConfigurationProvider.php#L28 "Oro\Bundle\SecurityBundle\Configuration\PermissionConfigurationProvider")</sup> method was changed to `PermissionConfigurationProvider::__construct($cacheFile, $debug)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Configuration/PermissionConfigurationProvider.php#L24 "Oro\Bundle\SecurityBundle\Configuration\PermissionConfigurationProvider")</sup>
* The `AuthorizationChecker::__construct(AuthorizationCheckerInterface $authorizationChecker, ObjectIdentityFactory $objectIdentityFactory, AclAnnotationProvider $annotationProvider, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Authorization/AuthorizationChecker.php#L23 "Oro\Bundle\SecurityBundle\Authorization\AuthorizationChecker")</sup> method was changed to `AuthorizationChecker::__construct(AuthorizationCheckerInterface $authorizationChecker, ObjectIdentityFactory $objectIdentityFactory, AclAnnotationProvider $annotationProvider, AclGroupProviderInterface $groupProvider, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Authorization/AuthorizationChecker.php#L26 "Oro\Bundle\SecurityBundle\Authorization\AuthorizationChecker")</sup>
* The following methods in class `PermissionManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L28 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup> were changed:
  > - `__construct(DoctrineHelper $doctrineHelper, CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L37 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>
  > - `__construct(DoctrineHelper $doctrineHelper, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L28 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>

  > - `buildCache()`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L134 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>
  > - `buildCache($save = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L101 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>

  > - `findGroupPermissions($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L176 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>
  > - `findGroupPermissions($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Permission/PermissionManager.php#L140 "Oro\Bundle\SecurityBundle\Acl\Permission\PermissionManager")</sup>

* The following methods in class `AbstractAccessLevelAclExtension`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/AbstractAccessLevelAclExtension.php#L59 "Oro\Bundle\SecurityBundle\Acl\Extension\AbstractAccessLevelAclExtension")</sup> were changed:
  > - `isAccessGranted($triggeredMask, $object, TokenInterface $securityToken)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/AbstractAccessLevelAclExtension.php#L73 "Oro\Bundle\SecurityBundle\Acl\Extension\AbstractAccessLevelAclExtension")</sup>
  > - `isAccessGranted($triggeredMask, $object, TokenInterface $securityToken)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/AbstractAccessLevelAclExtension.php#L59 "Oro\Bundle\SecurityBundle\Acl\Extension\AbstractAccessLevelAclExtension")</sup>

  > - `isAccessDeniedByOrganizationContext($object, OrganizationAwareTokenInterface $securityToken, $accessLevel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/AbstractAccessLevelAclExtension.php#L252 "Oro\Bundle\SecurityBundle\Acl\Extension\AbstractAccessLevelAclExtension")</sup>
  > - `isAccessDeniedByOrganizationContext($object, OrganizationAwareTokenInterface $securityToken, $accessLevel, $permissions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/AbstractAccessLevelAclExtension.php#L214 "Oro\Bundle\SecurityBundle\Acl\Extension\AbstractAccessLevelAclExtension")</sup>

* The `ObjectIdentityHelper::encodeIdentityString($extensionKey, $class)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/ObjectIdentityHelper.php#L46 "Oro\Bundle\SecurityBundle\Acl\Extension\ObjectIdentityHelper")</sup> method was changed to `ObjectIdentityHelper::encodeIdentityString($extensionKey, $class, $fieldName = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Extension/ObjectIdentityHelper.php#L44 "Oro\Bundle\SecurityBundle\Acl\Extension\ObjectIdentityHelper")</sup>
* The `AclCache::__construct(Cache $cache, PermissionGrantingStrategyInterface $permissionGrantingStrategy, UnderlyingAclCache $underlyingCache, EventDispatcherInterface $eventDispatcher, SecurityIdentityToStringConverterInterface $sidConverter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Cache/AclCache.php#L45 "Oro\Bundle\SecurityBundle\Acl\Cache\AclCache")</sup> method was changed to `AclCache::__construct(CacheInterface $cache, PermissionGrantingStrategyInterface $permissionGrantingStrategy, UnderlyingAclCache $underlyingCache, EventDispatcherInterface $eventDispatcher, SecurityIdentityToStringConverterInterface $sidConverter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Cache/AclCache.php#L35 "Oro\Bundle\SecurityBundle\Acl\Cache\AclCache")</sup>
* The `UnderlyingAclCache::__construct(CacheProvider $cacheProvider, $batchSize)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Acl/Cache/UnderlyingAclCache.php#L39 "Oro\Bundle\SecurityBundle\Acl\Cache\UnderlyingAclCache")</sup> method was changed to `UnderlyingAclCache::__construct(CacheItemPoolInterface $cacheProvider, $batchSize)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Acl/Cache/UnderlyingAclCache.php#L35 "Oro\Bundle\SecurityBundle\Acl\Cache\UnderlyingAclCache")</sup>
* The `OwnershipMetadataProviderInterface::clearCache($className = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/OwnershipMetadataProviderInterface.php#L60 "Oro\Bundle\SecurityBundle\Owner\Metadata\OwnershipMetadataProviderInterface")</sup> method was changed to `OwnershipMetadataProviderInterface::clearCache($className = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/Owner/Metadata/OwnershipMetadataProviderInterface.php#L58 "Oro\Bundle\SecurityBundle\Owner\Metadata\OwnershipMetadataProviderInterface")</sup>
* The `AclConditionDataBuilderInterface::getAclConditionData($entityClassName, $permissions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/AclConditionDataBuilderInterface.php#L25 "Oro\Bundle\SecurityBundle\ORM\Walker\AclConditionDataBuilderInterface")</sup> method was changed to `AclConditionDataBuilderInterface::getAclConditionData($entityClassName, $permissions)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SecurityBundle/ORM/Walker/AclConditionDataBuilderInterface.php#L22 "Oro\Bundle\SecurityBundle\ORM\Walker\AclConditionDataBuilderInterface")</sup>
* The `RememberMeListener::setCsrfRequestManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SecurityBundle/Authentication/Listener/RememberMeListener.php#L47 "Oro\Bundle\SecurityBundle\Authentication\Listener\RememberMeListener::setCsrfRequestManager")</sup> method was removed.

SegmentBundle
-------------
* The `ExtendSegment`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Model/ExtendSegment.php#L7 "Oro\Bundle\SegmentBundle\Model\ExtendSegment")</sup> class was removed.
* The `SegmentQueryConverterState::__construct(Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Query/SegmentQueryConverterState.php#L25 "Oro\Bundle\SegmentBundle\Query\SegmentQueryConverterState")</sup> method was changed to `SegmentQueryConverterState::__construct(CacheItemPoolInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SegmentBundle/Query/SegmentQueryConverterState.php#L22 "Oro\Bundle\SegmentBundle\Query\SegmentQueryConverterState")</sup>
* The `DoctrinePreRemoveListener::preRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/EventListener/DoctrinePreRemoveListener.php#L27 "Oro\Bundle\SegmentBundle\EventListener\DoctrinePreRemoveListener")</sup> method was changed to `DoctrinePreRemoveListener::preRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SegmentBundle/EventListener/DoctrinePreRemoveListener.php#L27 "Oro\Bundle\SegmentBundle\EventListener\DoctrinePreRemoveListener")</sup>
* The `StaticSegmentManager::__construct(EntityManager $em, DynamicSegmentQueryBuilder $dynamicSegmentQB, OwnershipMetadataProviderInterface $ownershipMetadataProvider, NativeQueryExecutorHelper $nativeQueryExecutorHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L39 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager")</sup> method was changed to `StaticSegmentManager::__construct(ManagerRegistry $doctrine, DynamicSegmentQueryBuilder $dynamicSegmentQueryBuilder, OwnershipMetadataProviderInterface $ownershipMetadataProvider, NativeQueryExecutorHelper $nativeQueryExecutorHelper, OrganizationRestrictionProviderInterface $organizationRestrictionProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L28 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager")</sup>
* The `SegmentFilter::getForm`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Filter/SegmentFilter.php#L91 "Oro\Bundle\SegmentBundle\Filter\SegmentFilter::getForm")</sup> method was removed.
* The `StaticSegmentManager::applyOrganizationLimit`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L161 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager::applyOrganizationLimit")</sup> method was removed.
* The `SegmentController::getFeatureChecker`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Controller/SegmentController.php#L210 "Oro\Bundle\SegmentBundle\Controller\SegmentController::getFeatureChecker")</sup> method was removed.
* The following properties in class `StaticSegmentManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L22 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager")</sup> were removed:
   - `$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L22 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager::$em")</sup>
   - `$dynamicSegmentQB`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SegmentBundle/Entity/Manager/StaticSegmentManager.php#L27 "Oro\Bundle\SegmentBundle\Entity\Manager\StaticSegmentManager::$dynamicSegmentQB")</sup>

SoapBundle
----------
* The following classes were removed:
   - `OldOptionsApiDocHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SoapBundle/Routing/OldOptionsApiDocHandler.php#L13 "Oro\Bundle\SoapBundle\Routing\OldOptionsApiDocHandler")</sup>
   - `OldOptionsRouteOptionsResolver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SoapBundle/Routing/OldOptionsRouteOptionsResolver.php#L16 "Oro\Bundle\SoapBundle\Routing\OldOptionsRouteOptionsResolver")</sup>
* The `DataTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SoapBundle/Serializer/DataTransformer.php#L25 "Oro\Bundle\SoapBundle\Serializer\DataTransformer")</sup> method was changed to `DataTransformer::transform($value, $config, $context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SoapBundle/Serializer/DataTransformer.php#L24 "Oro\Bundle\SoapBundle\Serializer\DataTransformer")</sup>

SyncBundle
----------
* The `ClientAttributes`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/Client/Wamp/Factory/ClientAttributes.php#L8 "Oro\Bundle\SyncBundle\Client\Wamp\Factory\ClientAttributes")</sup> class was removed.
* The following methods in class `ClientEventListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/EventListener/ClientEventListener.php#L86 "Oro\Bundle\SyncBundle\EventListener\ClientEventListener")</sup> were removed:
   - `onClientDisconnect`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/EventListener/ClientEventListener.php#L86 "Oro\Bundle\SyncBundle\EventListener\ClientEventListener::onClientDisconnect")</sup>
   - `onClientRejected`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/EventListener/ClientEventListener.php#L115 "Oro\Bundle\SyncBundle\EventListener\ClientEventListener::onClientRejected")</sup>
* The `ClientEventListener::__construct(ClientEventListener $decoratedClientEventListener, WebsocketAuthenticationProviderInterface $websocketAuthenticationProvider, ClientStorageInterface $clientStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/EventListener/ClientEventListener.php#L37 "Oro\Bundle\SyncBundle\EventListener\ClientEventListener")</sup> method was changed to `ClientEventListener::__construct(WebsocketAuthenticationProviderInterface $websocketAuthenticationProvider, ClientStorageInterface $clientStorage)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SyncBundle/EventListener/ClientEventListener.php#L29 "Oro\Bundle\SyncBundle\EventListener\ClientEventListener")</sup>
* The `ConnectionChecker::__construct(WebsocketClientInterface $client)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/Client/ConnectionChecker.php#L15 "Oro\Bundle\SyncBundle\Client\ConnectionChecker")</sup> method was changed to `ConnectionChecker::__construct(WebsocketClientInterface $client, ApplicationState $applicationState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SyncBundle/Client/ConnectionChecker.php#L24 "Oro\Bundle\SyncBundle\Client\ConnectionChecker")</sup>
* The `WebsocketClient::__construct(WampClientFactoryInterface $wampClientFactory, ClientAttributes $clientAttributes, TicketProviderInterface $ticketProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/Client/WebsocketClient.php#L30 "Oro\Bundle\SyncBundle\Client\WebsocketClient")</sup> method was changed to `WebsocketClient::__construct(WampClientFactoryInterface $wampClientFactory, WebsocketClientParametersProviderInterface $clientParametersProvider, TicketProviderInterface $ticketProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SyncBundle/Client/WebsocketClient.php#L26 "Oro\Bundle\SyncBundle\Client\WebsocketClient")</sup>
* The `WampClientFactory::createClient(ClientAttributes $clientAttributes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/Client/Wamp/Factory/WampClientFactory.php#L15 "Oro\Bundle\SyncBundle\Client\Wamp\Factory\WampClientFactory")</sup> method was changed to `WampClientFactory::createClient(WebsocketClientParametersProviderInterface $clientParametersProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SyncBundle/Client/Wamp/Factory/WampClientFactory.php#L16 "Oro\Bundle\SyncBundle\Client\Wamp\Factory\WampClientFactory")</sup>
* The `WampClientFactoryInterface::createClient(ClientAttributes $clientAttributes)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/SyncBundle/Client/Wamp/Factory/WampClientFactoryInterface.php#L12 "Oro\Bundle\SyncBundle\Client\Wamp\Factory\WampClientFactoryInterface")</sup> method was changed to `WampClientFactoryInterface::createClient(WebsocketClientParametersProviderInterface $clientParametersProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/SyncBundle/Client/Wamp/Factory/WampClientFactoryInterface.php#L13 "Oro\Bundle\SyncBundle\Client\Wamp\Factory\WampClientFactoryInterface")</sup>

TagBundle
---------
* The following classes were removed:
   - `SearchProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Provider/SearchProvider.php#L17 "Oro\Bundle\TagBundle\Provider\SearchProvider")</sup>
   - `ExtendTag`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Model/ExtendTag.php#L5 "Oro\Bundle\TagBundle\Model\ExtendTag")</sup>
   - `ExtendTagging`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Model/ExtendTagging.php#L5 "Oro\Bundle\TagBundle\Model\ExtendTagging")</sup>
   - `ExtendTaxonomy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Model/ExtendTaxonomy.php#L5 "Oro\Bundle\TagBundle\Model\ExtendTaxonomy")</sup>
* The `TagsExtension::__construct(TagManager $tagManager, EntityClassResolver $entityClassResolver, TaggableHelper $helper, AuthorizationCheckerInterface $authorizationChecker, TokenStorageInterface $tokenStorage, InlineEditingConfigurator $inlineEditingConfigurator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Grid/TagsExtension.php#L41 "Oro\Bundle\TagBundle\Grid\TagsExtension")</sup> method was changed to `TagsExtension::__construct(TagManager $tagManager, EntityClassResolver $entityClassResolver, TaggableHelper $helper, AuthorizationCheckerInterface $authorizationChecker, TokenStorageInterface $tokenStorage, InlineEditingConfigurator $inlineEditingConfigurator, FeatureChecker $featureChecker)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TagBundle/Grid/TagsExtension.php#L36 "Oro\Bundle\TagBundle\Grid\TagsExtension")</sup>
* The `TagSearchResultsExtension::__construct(ResultFormatter $formatter, ObjectMapper $mapper, EventDispatcherInterface $dispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Grid/Extension/TagSearchResultsExtension.php#L30 "Oro\Bundle\TagBundle\Grid\Extension\TagSearchResultsExtension")</sup> method was changed to `TagSearchResultsExtension::__construct(ResultFormatter $resultFormatter, ObjectMapper $mapper, EventDispatcherInterface $dispatcher, EntityNameResolver $nameResolver)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TagBundle/Grid/Extension/TagSearchResultsExtension.php#L33 "Oro\Bundle\TagBundle\Grid\Extension\TagSearchResultsExtension")</sup>
* The `TagListener::preRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/EventListener/TagListener.php#L25 "Oro\Bundle\TagBundle\EventListener\TagListener")</sup> method was changed to `TagListener::preRemove(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TagBundle/EventListener/TagListener.php#L25 "Oro\Bundle\TagBundle\EventListener\TagListener")</sup>
* The `TagManager::__construct(EntityManager $em, $tagClass, $taggingClass, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, UrlGeneratorInterface $urlGenerator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L59 "Oro\Bundle\TagBundle\Entity\TagManager")</sup> method was changed to `TagManager::__construct(ManagerRegistry $doctrine, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, UrlGeneratorInterface $urlGenerator)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L38 "Oro\Bundle\TagBundle\Entity\TagManager")</sup>
* The following methods in class `TagManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L391 "Oro\Bundle\TagBundle\Entity\TagManager")</sup> were removed:
   - `compareCallback`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L391 "Oro\Bundle\TagBundle\Entity\TagManager::compareCallback")</sup>
   - `deleteRelations`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L403 "Oro\Bundle\TagBundle\Entity\TagManager::deleteRelations")</sup>
   - `createTag`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L450 "Oro\Bundle\TagBundle\Entity\TagManager::createTag")</sup>
   - `createTagging`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L463 "Oro\Bundle\TagBundle\Entity\TagManager::createTagging")</sup>
   - `getOrganizationByUser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L497 "Oro\Bundle\TagBundle\Entity\TagManager::getOrganizationByUser")</sup>
   - `prepareTagIds`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L531 "Oro\Bundle\TagBundle\Entity\TagManager::prepareTagIds")</sup>
   - `getTagsRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L552 "Oro\Bundle\TagBundle\Entity\TagManager::getTagsRepository")</sup>
* The following properties in class `TagManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L31 "Oro\Bundle\TagBundle\Entity\TagManager")</sup> were removed:
   - `$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L31 "Oro\Bundle\TagBundle\Entity\TagManager::$em")</sup>
   - `$tagClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L34 "Oro\Bundle\TagBundle\Entity\TagManager::$tagClass")</sup>
   - `$taggingClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TagBundle/Entity/TagManager.php#L37 "Oro\Bundle\TagBundle\Entity\TagManager::$taggingClass")</sup>

TestUtils
---------
* The following classes were removed:
   - `OrmTestCase`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/OrmTestCase.php#L22 "Oro\Component\TestUtils\ORM\OrmTestCase")</sup>
   - `Cast`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/Cast.php#L23 "Oro\Component\TestUtils\ORM\Mocks\Cast")</sup>
   - `ConnectionMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/ConnectionMock.php#L9 "Oro\Component\TestUtils\ORM\Mocks\ConnectionMock")</sup>
   - `DatabasePlatformMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/DatabasePlatformMock.php#L12 "Oro\Component\TestUtils\ORM\Mocks\DatabasePlatformMock")</sup>
   - `DriverConnectionMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/DriverConnectionMock.php#L9 "Oro\Component\TestUtils\ORM\Mocks\DriverConnectionMock")</sup>
   - `DriverMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/DriverMock.php#L8 "Oro\Component\TestUtils\ORM\Mocks\DriverMock")</sup>
   - `EntityManagerMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/EntityManagerMock.php#L16 "Oro\Component\TestUtils\ORM\Mocks\EntityManagerMock")</sup>
   - `FetchIterator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/FetchIterator.php#L8 "Oro\Component\TestUtils\ORM\Mocks\FetchIterator")</sup>
   - `SchemaManagerMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/SchemaManagerMock.php#L9 "Oro\Component\TestUtils\ORM\Mocks\SchemaManagerMock")</sup>
   - `StatementMock`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/StatementMock.php#L10 "Oro\Component\TestUtils\ORM\Mocks\StatementMock")</sup>
   - `UnitOfWork`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/TestUtils/ORM/Mocks/UnitOfWork.php#L7 "Oro\Component\TestUtils\ORM\Mocks\UnitOfWork")</sup>

Testing
-------
* The following classes were removed:
   - `AddressFormExtensionTestCase`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/AddressFormExtensionTestCase.php#L20 "Oro\Component\Testing\Unit\AddressFormExtensionTestCase")</sup>
   - `FormHandlerTestCase`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/FormHandlerTestCase.php#L13 "Oro\Component\Testing\Unit\FormHandlerTestCase")</sup>
   - `EntityType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/Form/Type/Stub/EntityType.php#L16 "Oro\Component\Testing\Unit\Form\Type\Stub\EntityType")</sup>
   - `EnumSelectType`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/Form/Type/Stub/EnumSelectType.php#L12 "Oro\Component\Testing\Unit\Form\Type\Stub\EnumSelectType")</sup>
   - `AddressCountryAndRegionSubscriberStub`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/Form/EventListener/Stub/AddressCountryAndRegionSubscriberStub.php#L10 "Oro\Component\Testing\Unit\Form\EventListener\Stub\AddressCountryAndRegionSubscriberStub")</sup>
* The `ReflectionUtil::setId($entity, $id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/ReflectionUtil.php#L18 "Oro\Component\Testing\ReflectionUtil")</sup> method was changed to `ReflectionUtil::setId($entity, $id)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Testing/ReflectionUtil.php#L16 "Oro\Component\Testing\ReflectionUtil")</sup>
* The `FormIntegrationTestCase::getValidatorExtension($loadMetadata = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Unit/FormIntegrationTestCase.php#L52 "Oro\Component\Testing\Unit\FormIntegrationTestCase")</sup> method was changed to `FormIntegrationTestCase::getValidatorExtension($loadMetadata = false)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Testing/Unit/FormIntegrationTestCase.php#L43 "Oro\Component\Testing\Unit\FormIntegrationTestCase")</sup>
* The following methods in class `ArrayContainsConstraint`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Testing/Assert/ArrayContainsConstraint.php#L19 "Oro\Component\Testing\Assert\ArrayContainsConstraint")</sup> were changed:
  > - `__construct($expected, $strict = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Assert/ArrayContainsConstraint.php#L23 "Oro\Component\Testing\Assert\ArrayContainsConstraint")</sup>
  > - `__construct($expected, $strict = true)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Testing/Assert/ArrayContainsConstraint.php#L19 "Oro\Component\Testing\Assert\ArrayContainsConstraint")</sup>

  > - `matchArrayContains($expected, $actual, $path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Component/Testing/Assert/ArrayContainsConstraint.php#L79 "Oro\Component\Testing\Assert\ArrayContainsConstraint")</sup>
  > - `matchArrayContains($expected, $actual, $path)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Component/Testing/Assert/ArrayContainsConstraint.php#L75 "Oro\Component\Testing\Assert\ArrayContainsConstraint")</sup>


TranslationBundle
-----------------
* The following classes were removed:
   - `DynamicTranslationMetadataCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DynamicTranslationMetadataCache.php#L7 "Oro\Bundle\TranslationBundle\Translation\DynamicTranslationMetadataCache")</sup>
   - `OrmTranslationLoader`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/OrmTranslationLoader.php#L16 "Oro\Bundle\TranslationBundle\Translation\OrmTranslationLoader")</sup>
   - `OrmTranslationResource`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/OrmTranslationResource.php#L9 "Oro\Bundle\TranslationBundle\Translation\OrmTranslationResource")</sup>
   - `SanitizationErrorInformation`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/SanitizationErrorInformation.php#L8 "Oro\Bundle\TranslationBundle\Translation\SanitizationErrorInformation")</sup>
   - `TranslationListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/EventListener/TranslationListener.php#L12 "Oro\Bundle\TranslationBundle\EventListener\TranslationListener")</sup>
   - `AfterCatalogueDump`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Event/AfterCatalogueDump.php#L11 "Oro\Bundle\TranslationBundle\Event\AfterCatalogueDump")</sup>
   - `InvalidateTranslationCacheEvent`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Event/InvalidateTranslationCacheEvent.php#L10 "Oro\Bundle\TranslationBundle\Event\InvalidateTranslationCacheEvent")</sup>
   - `AbstractTranslationRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Entity/Repository/AbstractTranslationRepository.php#L11 "Oro\Bundle\TranslationBundle\Entity\Repository\AbstractTranslationRepository")</sup>
   - `Controller`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Controller/Controller.php#L14 "Oro\Bundle\TranslationBundle\Controller\Controller")</sup>
   - `RebuildTranslationCacheHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Cache/RebuildTranslationCacheHandler.php#L8 "Oro\Bundle\TranslationBundle\Cache\RebuildTranslationCacheHandler")</sup>
   - `RebuildTranslationCacheResult`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Cache/RebuildTranslationCacheResult.php#L9 "Oro\Bundle\TranslationBundle\Cache\RebuildTranslationCacheResult")</sup>
   - `TranslationCacheWarmer`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Cache/TranslationCacheWarmer.php#L10 "Oro\Bundle\TranslationBundle\Cache\TranslationCacheWarmer")</sup>
   - `RebuildTranslationCacheAction`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Action/RebuildTranslationCacheAction.php#L15 "Oro\Bundle\TranslationBundle\Action\RebuildTranslationCacheAction")</sup>
* The `CachingTranslationLoader::__construct(LoaderInterface $innerLoader, Cache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/CachingTranslationLoader.php#L16 "Oro\Bundle\TranslationBundle\Translation\CachingTranslationLoader")</sup> method was changed to `CachingTranslationLoader::__construct(LoaderInterface $innerLoader, MemoryCache $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Translation/CachingTranslationLoader.php#L18 "Oro\Bundle\TranslationBundle\Translation\CachingTranslationLoader")</sup>
* The `DatabasePersister::__construct(Registry $registry, TranslationManager $translationManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L28 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister")</sup> method was changed to `DatabasePersister::__construct(ManagerRegistry $doctrine, TranslationManager $translationManager, FileBasedLanguageHelper $fileBasedLanguageHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L28 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister")</sup>
* The `DebugTranslator::getStringFormat($id, $domain = null, $locale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DebugTranslator.php#L27 "Oro\Bundle\TranslationBundle\Translation\DebugTranslator")</sup> method was changed to `DebugTranslator::getStringFormat($id, $domain = null, $locale = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Translation/DebugTranslator.php#L18 "Oro\Bundle\TranslationBundle\Translation\DebugTranslator")</sup>
* The `MessageCatalogueSanitizer::__construct(HtmlTagHelper $htmlTagHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/MessageCatalogueSanitizer.php#L17 "Oro\Bundle\TranslationBundle\Translation\MessageCatalogueSanitizer")</sup> method was changed to `MessageCatalogueSanitizer::__construct(TranslationsSanitizer $sanitizer, TranslationMessageSanitizationErrorCollection $sanitizationError)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Translation/MessageCatalogueSanitizer.php#L16 "Oro\Bundle\TranslationBundle\Translation\MessageCatalogueSanitizer")</sup>
* The `Translator::__construct(ContainerInterface $container, MessageFormatter $formatter, $defaultLocale = null, $loaderIds = [], $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L101 "Oro\Bundle\TranslationBundle\Translation\Translator")</sup> method was changed to `Translator::__construct(ContainerInterface $container, MessageFormatter $formatter, $defaultLocale = null, $loaderIds = [], $options = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L46 "Oro\Bundle\TranslationBundle\Translation\Translator")</sup>
* The `DefaultTranslationStrategy::__construct(LanguageProvider $languageProvider, ApplicationState $applicationState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Strategy/DefaultTranslationStrategy.php#L25 "Oro\Bundle\TranslationBundle\Strategy\DefaultTranslationStrategy")</sup> method was changed to `DefaultTranslationStrategy::__construct(TranslationStrategyInterface $strategy, ApplicationState $applicationState)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Strategy/DefaultTranslationStrategy.php#L16 "Oro\Bundle\TranslationBundle\Strategy\DefaultTranslationStrategy")</sup>
* The `JsTranslationDumper::__construct(Controller $translationController, RouterInterface $router, $translationDomains, $kernelProjectDir, LanguageProvider $languageProvider, $jsTranslationRoute)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L45 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper")</sup> method was changed to `JsTranslationDumper::__construct(JsTranslationGenerator $generator, LanguageProvider $languageProvider, FileManager $fileManager)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L17 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper")</sup>
* The `TranslationDomainProvider::__construct(ManagerRegistry $registry, CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L26 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider")</sup> method was changed to `TranslationDomainProvider::__construct(ManagerRegistry $doctrine, CacheInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L21 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider")</sup>
* The `TranslationManager::__construct(ManagerRegistry $registry, TranslationDomainProvider $domainProvider, DynamicTranslationMetadataCache $dbTranslationMetadataCache, EventDispatcherInterface $eventDispatcher)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L49 "Oro\Bundle\TranslationBundle\Manager\TranslationManager")</sup> method was changed to `TranslationManager::__construct(ManagerRegistry $doctrine, TranslationDomainProvider $domainProvider, DynamicTranslationCache $dynamicTranslationCache, MessageProducerInterface $producer, $jsTranslationDomains)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L40 "Oro\Bundle\TranslationBundle\Manager\TranslationManager")</sup>
* The `TranslationChoiceLoader::__construct($className, ManagerRegistry $registry, ChoiceListFactoryInterface $factory, $queryBuilder, AclHelper $aclHelper = null, $aclOptions = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Form/ChoiceList/TranslationChoiceLoader.php#L54 "Oro\Bundle\TranslationBundle\Form\ChoiceList\TranslationChoiceLoader")</sup> method was changed to `TranslationChoiceLoader::__construct($className, ManagerRegistry $doctrine, ChoiceListFactoryInterface $factory, $queryBuilder, $aclHelper = null, $aclOptions = [])`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Form/ChoiceList/TranslationChoiceLoader.php#L33 "Oro\Bundle\TranslationBundle\Form\ChoiceList\TranslationChoiceLoader")</sup>
* The `Language::setCode($code)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Entity/Language.php#L85 "Oro\Bundle\TranslationBundle\Entity\Language")</sup> method was changed to `Language::setCode($code)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Entity/Language.php#L85 "Oro\Bundle\TranslationBundle\Entity\Language")</sup>
* The `CachingTranslationMetricsProvider::__construct(TranslationServiceAdapterInterface $adapter, Cache $cache, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Download/CachingTranslationMetricsProvider.php#L25 "Oro\Bundle\TranslationBundle\Download\CachingTranslationMetricsProvider")</sup> method was changed to `CachingTranslationMetricsProvider::__construct(TranslationServiceAdapterInterface $adapter, CacheInterface $cache, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Download/CachingTranslationMetricsProvider.php#L28 "Oro\Bundle\TranslationBundle\Download\CachingTranslationMetricsProvider")</sup>
* The `OroTranslationServiceAdapter::extractTranslationsFromArchive($pathToArchive, $directoryPathToExtractTo)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Download/OroTranslationServiceAdapter.php#L153 "Oro\Bundle\TranslationBundle\Download\OroTranslationServiceAdapter")</sup> method was changed to `OroTranslationServiceAdapter::extractTranslationsFromArchive($pathToArchive, $directoryPathToExtractTo, $languageCode)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Download/OroTranslationServiceAdapter.php#L132 "Oro\Bundle\TranslationBundle\Download\OroTranslationServiceAdapter")</sup>
* The `TranslationDownloader::__construct(TranslationServiceAdapterInterface $translationServiceAdapter, TranslationMetricsProviderInterface $translationMetricsProvider, JsTranslationDumper $jsTranslationDumper, TranslationReader $translationReader, DatabasePersister $translationDatabasePersister, ManagerRegistry $doctrine, $kernelCacheDir, $logger = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Download/TranslationDownloader.php#L44 "Oro\Bundle\TranslationBundle\Download\TranslationDownloader")</sup> method was changed to `TranslationDownloader::__construct(TranslationServiceAdapterInterface $translationServiceAdapter, TranslationMetricsProviderInterface $translationMetricsProvider, JsTranslationDumper $jsTranslationDumper, TranslationReader $translationReader, DatabasePersister $translationDatabasePersister, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Download/TranslationDownloader.php#L32 "Oro\Bundle\TranslationBundle\Download\TranslationDownloader")</sup>
* The `ResetTranslationsMassActionHandler::__construct(TranslationManager $translationManager, TranslatorInterface $translator, AclHelper $aclHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Datagrid/Extension/MassAction/ResetTranslationsMassActionHandler.php#L34 "Oro\Bundle\TranslationBundle\Datagrid\Extension\MassAction\ResetTranslationsMassActionHandler")</sup> method was changed to `ResetTranslationsMassActionHandler::__construct(TranslationManager $translationManager, TranslatorInterface $translator, AclHelper $aclHelper, MessageProducerInterface $producer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Datagrid/Extension/MassAction/ResetTranslationsMassActionHandler.php#L31 "Oro\Bundle\TranslationBundle\Datagrid\Extension\MassAction\ResetTranslationsMassActionHandler")</sup>
* The `TranslationController::patchAction($locale, $domain, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Controller/Api/Rest/TranslationController.php#L111 "Oro\Bundle\TranslationBundle\Controller\Api\Rest\TranslationController")</sup> method was changed to `TranslationController::patchAction(Request $request, $locale, $domain, $key)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Controller/Api/Rest/TranslationController.php#L95 "Oro\Bundle\TranslationBundle\Controller\Api\Rest\TranslationController")</sup>
* The `OroTranslationLoadCommand::__construct(ManagerRegistry $registry, TranslatorInterface $translator, DatabasePersister $databasePersister, LanguageProvider $languageProvider, OrmTranslationLoader $databaseTranslationLoader)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationLoadCommand.php#L34 "Oro\Bundle\TranslationBundle\Command\OroTranslationLoadCommand")</sup> method was changed to `OroTranslationLoadCommand::__construct(ManagerRegistry $registry, Translator $translator, DatabasePersister $databasePersister, LanguageProvider $languageProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationLoadCommand.php#L30 "Oro\Bundle\TranslationBundle\Command\OroTranslationLoadCommand")</sup>
* The `OroTranslationRebuildCacheCommand::__construct(RebuildTranslationCacheProcessor $rebuildTranslationCacheProcessor, MessageCatalogueSanitizerInterface $catalogueSanitizer)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationRebuildCacheCommand.php#L26 "Oro\Bundle\TranslationBundle\Command\OroTranslationRebuildCacheCommand")</sup> method was changed to `OroTranslationRebuildCacheCommand::__construct(RebuildTranslationCacheProcessor $rebuildTranslationCacheProcessor, TranslationMessageSanitizationErrorCollection $sanitizationErrorCollection)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationRebuildCacheCommand.php#L25 "Oro\Bundle\TranslationBundle\Command\OroTranslationRebuildCacheCommand")</sup>
* The `OroTranslationUpdateCommand::__construct(TranslationDownloader $translationDownloader, ManagerRegistry $doctrine, $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationUpdateCommand.php#L37 "Oro\Bundle\TranslationBundle\Command\OroTranslationUpdateCommand")</sup> method was changed to `OroTranslationUpdateCommand::__construct(TranslationDownloader $translationDownloader, ManagerRegistry $doctrine, FileBasedLanguageHelper $fileBasedLanguageHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Command/OroTranslationUpdateCommand.php#L32 "Oro\Bundle\TranslationBundle\Command\OroTranslationUpdateCommand")</sup>
* The `DownloadUpdateLanguageTranslationAction::__construct(ContextAccessor $actionContextAccessor, TranslationDownloader $translationDownloader)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Action/DownloadUpdateLanguageTranslationAction.php#L29 "Oro\Bundle\TranslationBundle\Action\DownloadUpdateLanguageTranslationAction")</sup> method was changed to `DownloadUpdateLanguageTranslationAction::__construct(ContextAccessor $actionContextAccessor, TranslationDownloader $translationDownloader, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Action/DownloadUpdateLanguageTranslationAction.php#L31 "Oro\Bundle\TranslationBundle\Action\DownloadUpdateLanguageTranslationAction")</sup>
* The `TranslationServiceAdapterInterface::extractTranslationsFromArchive($pathToArchive, $directoryPathToExtractTo)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Download/TranslationServiceAdapterInterface.php#L63 "Oro\Bundle\TranslationBundle\Download\TranslationServiceAdapterInterface")</sup> method was changed to `TranslationServiceAdapterInterface::extractTranslationsFromArchive($pathToArchive, $directoryPathToExtractTo, $languageCode)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/TranslationBundle/Download/TranslationServiceAdapterInterface.php#L65 "Oro\Bundle\TranslationBundle\Download\TranslationServiceAdapterInterface")</sup>
* The following methods in class `DatabasePersister`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L109 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister")</sup> were removed:
   - `getEntityManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L109 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister::getEntityManager")</sup>
   - `getConnection`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L118 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister::getConnection")</sup>
   - `getEntityRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DatabasePersister.php#L128 "Oro\Bundle\TranslationBundle\Translation\DatabasePersister::getEntityRepository")</sup>
* The `MessageCatalogueSanitizer::getSanitizationErrors`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/MessageCatalogueSanitizer.php#L62 "Oro\Bundle\TranslationBundle\Translation\MessageCatalogueSanitizer::getSanitizationErrors")</sup> method was removed.
* The following methods in class `Translator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L127 "Oro\Bundle\TranslationBundle\Translation\Translator")</sup> were removed:
   - `setTranslationDomainProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L127 "Oro\Bundle\TranslationBundle\Translation\Translator::setTranslationDomainProvider")</sup>
   - `setEventDispatcher`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L132 "Oro\Bundle\TranslationBundle\Translation\Translator::setEventDispatcher")</sup>
   - `setApplicationState`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L142 "Oro\Bundle\TranslationBundle\Translation\Translator::setApplicationState")</sup>
   - `clearCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L319 "Oro\Bundle\TranslationBundle\Translation\Translator::clearCache")</sup>
   - `setDatabaseMetadataCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L402 "Oro\Bundle\TranslationBundle\Translation\Translator::setDatabaseMetadataCache")</sup>
   - `applyCurrentStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L415 "Oro\Bundle\TranslationBundle\Translation\Translator::applyCurrentStrategy")</sup>
   - `initializeDynamicResources`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L496 "Oro\Bundle\TranslationBundle\Translation\Translator::initializeDynamicResources")</sup>
   - `registerDynamicResources`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L548 "Oro\Bundle\TranslationBundle\Translation\Translator::registerDynamicResources")</sup>
   - `ensureDynamicResourcesLoaded`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L566 "Oro\Bundle\TranslationBundle\Translation\Translator::ensureDynamicResourcesLoaded")</sup>
* The following methods in class `TranslationDomainProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L50 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider")</sup> were removed:
   - `getAvailableDomainsForLocales`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L50 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider::getAvailableDomainsForLocales")</sup>
   - `ensureAvailableDomainsLoaded`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L75 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider::ensureAvailableDomainsLoaded")</sup>
* The `TranslatableEntityType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Form/Type/TranslatableEntityType.php#L46 "Oro\Bundle\TranslationBundle\Form\Type\TranslatableEntityType::getName")</sup> method was removed.
* The `TranslationRepository::findAllByLanguageAndDomain`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Entity/Repository/TranslationRepository.php#L101 "Oro\Bundle\TranslationBundle\Entity\Repository\TranslationRepository::findAllByLanguageAndDomain")</sup> method was removed.
* The following properties in class `Translator`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L34 "Oro\Bundle\TranslationBundle\Translation\Translator")</sup> were removed:
   - `$databaseTranslationMetadataCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L34 "Oro\Bundle\TranslationBundle\Translation\Translator::$databaseTranslationMetadataCache")</sup>
   - `$dynamicResources`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L54 "Oro\Bundle\TranslationBundle\Translation\Translator::$dynamicResources")</sup>
   - `$registeredResources`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L57 "Oro\Bundle\TranslationBundle\Translation\Translator::$registeredResources")</sup>
   - `$installed`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L60 "Oro\Bundle\TranslationBundle\Translation\Translator::$installed")</sup>
   - `$strategyName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/Translator.php#L63 "Oro\Bundle\TranslationBundle\Translation\Translator::$strategyName")</sup>
* The `DefaultTranslationStrategy::$languageProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Strategy/DefaultTranslationStrategy.php#L17 "Oro\Bundle\TranslationBundle\Strategy\DefaultTranslationStrategy::$languageProvider")</sup> property was removed.
* The following properties in class `JsTranslationDumper`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L20 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper")</sup> were removed:
   - `$translationController`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L20 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper::$translationController")</sup>
   - `$translationDomains`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L23 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper::$translationDomains")</sup>
   - `$kernelProjectDir`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L26 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper::$kernelProjectDir")</sup>
   - `$router`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L32 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper::$router")</sup>
   - `$jsTranslationRoute`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/JsTranslationDumper.php#L35 "Oro\Bundle\TranslationBundle\Provider\JsTranslationDumper::$jsTranslationRoute")</sup>
* The `TranslationDomainProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Provider/TranslationDomainProvider.php#L18 "Oro\Bundle\TranslationBundle\Provider\TranslationDomainProvider::$registry")</sup> property was removed.
* The following properties in class `TranslationManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L26 "Oro\Bundle\TranslationBundle\Manager\TranslationManager")</sup> were removed:
   - `$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L26 "Oro\Bundle\TranslationBundle\Manager\TranslationManager::$registry")</sup>
   - `$dbTranslationMetadataCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L32 "Oro\Bundle\TranslationBundle\Manager\TranslationManager::$dbTranslationMetadataCache")</sup>
   - `$eventDispatcher`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Manager/TranslationManager.php#L47 "Oro\Bundle\TranslationBundle\Manager\TranslationManager::$eventDispatcher")</sup>
* The `TranslatableEntityType::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Form/Type/TranslatableEntityType.php#L25 "Oro\Bundle\TranslationBundle\Form\Type\TranslatableEntityType::$registry")</sup> property was removed.
* The `TranslationListener::$provider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/EventListener/Datagrid/TranslationListener.php#L13 "Oro\Bundle\TranslationBundle\EventListener\Datagrid\TranslationListener::$provider")</sup> property was removed.
* The following interfaces were removed:
   - `DynamicResourceInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/DynamicResourceInterface.php#L9 "Oro\Bundle\TranslationBundle\Translation\DynamicResourceInterface")</sup>
   - `MessageCatalogueSanitizerInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Translation/MessageCatalogueSanitizerInterface.php#L10 "Oro\Bundle\TranslationBundle\Translation\MessageCatalogueSanitizerInterface")</sup>
   - `TranslationRepositoryInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Entity/Repository/TranslationRepositoryInterface.php#L9 "Oro\Bundle\TranslationBundle\Entity\Repository\TranslationRepositoryInterface")</sup>
   - `RebuildTranslationCacheHandlerInterface`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/TranslationBundle/Cache/RebuildTranslationCacheHandlerInterface.php#L8 "Oro\Bundle\TranslationBundle\Cache\RebuildTranslationCacheHandlerInterface")</sup>

UIBundle
--------
* The `DynamicAssetVersionStrategy`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionStrategy.php#L10 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionStrategy")</sup> class was removed.
* The `Router::redirectAfterSave`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Route/Router.php#L61 "Oro\Bundle\UIBundle\Route\Router::redirectAfterSave")</sup> method was removed.
* The `OroUIExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/DependencyInjection/OroUIExtension.php#L37 "Oro\Bundle\UIBundle\DependencyInjection\OroUIExtension::getAlias")</sup> method was removed.
* The `Router::redirect($context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Route/Router.php#L99 "Oro\Bundle\UIBundle\Route\Router")</sup> method was changed to `Router::redirect($context)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UIBundle/Route/Router.php#L40 "Oro\Bundle\UIBundle\Route\Router")</sup>
* The following methods in class `DynamicAssetVersionManager`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L14 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager")</sup> were changed:
  > - `__construct(CacheProvider $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L18 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager")</sup>
  > - `__construct(CacheItemPoolInterface $cache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L14 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager")</sup>

  > - `getCachedAssetVersion($packageName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L58 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager")</sup>
  > - `getCachedAssetVersion($packageName)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L41 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager")</sup>

* The `DynamicAssetVersionManager::$localCache`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UIBundle/Asset/DynamicAssetVersionManager.php#L13 "Oro\Bundle\UIBundle\Asset\DynamicAssetVersionManager::$localCache")</sup> property was removed.

UserBundle
----------
* The following classes were removed:
   - `RoleEntityNameProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/RoleEntityNameProvider.php#L12 "Oro\Bundle\UserBundle\Provider\RoleEntityNameProvider")</sup>
   - `ExtendGroup`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Model/ExtendGroup.php#L5 "Oro\Bundle\UserBundle\Model\ExtendGroup")</sup>
   - `ExtendRole`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Model/ExtendRole.php#L11 "Oro\Bundle\UserBundle\Model\ExtendRole")</sup>
   - `ExtendUser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Model/ExtendUser.php#L14 "Oro\Bundle\UserBundle\Model\ExtendUser")</sup>
   - `SetUserProfileEntityId`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Api/Processor/Get/SetUserProfileEntityId.php#L14 "Oro\Bundle\UserBundle\Api\Processor\Get\SetUserProfileEntityId")</sup>
* The `LoginAttemptsHandler::__construct(BaseUserManager $userManager, UserLoggingInfoProviderInterface $loggingInfoProvider, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Security/LoginAttemptsHandler.php#L21 "Oro\Bundle\UserBundle\Security\LoginAttemptsHandler")</sup> method was changed to `LoginAttemptsHandler::__construct(BaseUserManager $userManager, UserLoginAttemptLogger $userLoginAttemptLogger, SkippedLogAttemptsFirewallsProvider $skippedLogAttemptsFirewallsProvider, $loginSourceProvidersForSuccessRequest, $loginSourceProvidersForFailedRequest)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Security/LoginAttemptsHandler.php#L28 "Oro\Bundle\UserBundle\Security\LoginAttemptsHandler")</sup>
* The following methods in class `DefaultUserProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/DefaultUserProvider.php#L17 "Oro\Bundle\UserBundle\Provider\DefaultUserProvider")</sup> were changed:
  > - `__construct(ConfigManager $configManager, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/DefaultUserProvider.php#L18 "Oro\Bundle\UserBundle\Provider\DefaultUserProvider")</sup>
  > - `__construct(ConfigManager $configManager, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/DefaultUserProvider.php#L17 "Oro\Bundle\UserBundle\Provider\DefaultUserProvider")</sup>

  > - `getDefaultUser($alias, $configKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/DefaultUserProvider.php#L30 "Oro\Bundle\UserBundle\Provider\DefaultUserProvider")</sup>
  > - `getDefaultUser($configKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/DefaultUserProvider.php#L23 "Oro\Bundle\UserBundle\Provider\DefaultUserProvider")</sup>

* The `EmailRecipientsProvider::__construct(Registry $registry, EmailRecipientsHelper $emailRecipientsHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/EmailRecipientsProvider.php#L22 "Oro\Bundle\UserBundle\Provider\EmailRecipientsProvider")</sup> method was changed to `EmailRecipientsProvider::__construct(ManagerRegistry $doctrine, EmailRecipientsHelper $emailRecipientsHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/EmailRecipientsProvider.php#L19 "Oro\Bundle\UserBundle\Provider\EmailRecipientsProvider")</sup>
* The `GenderProvider::getLabelByName($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/GenderProvider.php#L53 "Oro\Bundle\UserBundle\Provider\GenderProvider")</sup> method was changed to `GenderProvider::getLabelByName($name)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/GenderProvider.php#L35 "Oro\Bundle\UserBundle\Provider\GenderProvider")</sup>
* The `UserConfigurationFormProvider::setParentCheckboxLabel($label)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/UserConfigurationFormProvider.php#L35 "Oro\Bundle\UserBundle\Provider\UserConfigurationFormProvider")</sup> method was changed to `UserConfigurationFormProvider::setParentCheckboxLabel($label)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/UserConfigurationFormProvider.php#L14 "Oro\Bundle\UserBundle\Provider\UserConfigurationFormProvider")</sup>
* The `ChoiceTreeUserProvider::__construct(Registry $registry, AclHelper $aclHelper, DQLNameFormatter $dqlNameFormatter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/Filter/ChoiceTreeUserProvider.php#L23 "Oro\Bundle\UserBundle\Provider\Filter\ChoiceTreeUserProvider")</sup> method was changed to `ChoiceTreeUserProvider::__construct(ManagerRegistry $doctrine, AclHelper $aclHelper, DQLNameFormatter $dqlNameFormatter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Provider/Filter/ChoiceTreeUserProvider.php#L20 "Oro\Bundle\UserBundle\Provider\Filter\ChoiceTreeUserProvider")</sup>
* The `ResetPasswordHandler::__construct(EmailNotificationManager $mailManager, UserManager $userManager, Registry $registry, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Handler/ResetPasswordHandler.php#L24 "Oro\Bundle\UserBundle\Handler\ResetPasswordHandler")</sup> method was changed to `ResetPasswordHandler::__construct(EmailNotificationManager $mailManager, UserManager $userManager, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Handler/ResetPasswordHandler.php#L24 "Oro\Bundle\UserBundle\Handler\ResetPasswordHandler")</sup>
* The `UserType::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, RequestStack $requestStack, PasswordFieldOptionsProvider $optionsProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Form/Type/UserType.php#L45 "Oro\Bundle\UserBundle\Form\Type\UserType")</sup> method was changed to `UserType::__construct(AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, RequestStack $requestStack, PasswordFieldOptionsProvider $optionsProvider, RolesChoicesForUserProviderInterface $choicesForUserProvider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Form/Type/UserType.php#L42 "Oro\Bundle\UserBundle\Form\Type\UserType")</sup>
* The `ChoiceTreeFilterLoadDataListener::__construct(Registry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L19 "Oro\Bundle\UserBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup> method was changed to `ChoiceTreeFilterLoadDataListener::__construct(ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/ChoiceTreeFilterLoadDataListener.php#L16 "Oro\Bundle\UserBundle\EventListener\ChoiceTreeFilterLoadDataListener")</sup>
* The `DefaultUserSystemConfigListener::__construct(DefaultUserProvider $defaultUserProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/DefaultUserSystemConfigListener.php#L26 "Oro\Bundle\UserBundle\EventListener\DefaultUserSystemConfigListener")</sup> method was changed to `DefaultUserSystemConfigListener::__construct(DefaultUserProvider $defaultUserProvider, ManagerRegistry $doctrine, $configKey)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/DefaultUserSystemConfigListener.php#L21 "Oro\Bundle\UserBundle\EventListener\DefaultUserSystemConfigListener")</sup>
* The following methods in class `OwnerUserGridListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L31 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener")</sup> were changed:
  > - `__construct(EntityManager $em, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, AclVoterInterface $aclVoter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L44 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener")</sup>
  > - `__construct(ManagerRegistry $doctrine, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, AclVoterInterface $aclVoter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L31 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener")</sup>

  > - `applyACL(DatagridConfiguration $config, $accessLevel, User $user, Organization $organization)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L98 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener")</sup>
  > - `applyAcl(DatagridConfiguration $config, $accessLevel, User $user, Organization $organization)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L68 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener")</sup>

* The `RoleListener::prePersist(AbstractRole $role, LifecycleEventArgs $eventArgs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/RoleListener.php#L36 "Oro\Bundle\UserBundle\EventListener\RoleListener")</sup> method was changed to `RoleListener::prePersist(AbstractRole $role, LifecycleEventArgs $eventArgs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/EventListener/RoleListener.php#L36 "Oro\Bundle\UserBundle\EventListener\RoleListener")</sup>
* The `EmailOwnerProvider::findEmailOwner(EntityManager $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Entity/Provider/EmailOwnerProvider.php#L23 "Oro\Bundle\UserBundle\Entity\Provider\EmailOwnerProvider")</sup> method was changed to `EmailOwnerProvider::findEmailOwner(EntityManagerInterface $em, $email)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Entity/Provider/EmailOwnerProvider.php#L29 "Oro\Bundle\UserBundle\Entity\Provider\EmailOwnerProvider")</sup>
* The `ConfigurationController::userConfigAction(User $entity, Request $request, $activeGroup = null, $activeSubGroup = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Controller/ConfigurationController.php#L45 "Oro\Bundle\UserBundle\Controller\ConfigurationController")</sup> method was changed to `ConfigurationController::userConfigAction(User $entity, Request $request, $activeGroup = null, $activeSubGroup = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Controller/ConfigurationController.php#L49 "Oro\Bundle\UserBundle\Controller\ConfigurationController")</sup>
* The following methods in class `UserAclHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L39 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup> were changed:
  > - `__construct(EntityManager $em, PictureSourcesProviderInterface $pictureSourcesProvider, $className, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, EntityRoutingHelper $entityRoutingHelper, AclVoterInterface $aclVoter = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L72 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup>
  > - `__construct(ManagerRegistry $doctrine, PictureSourcesProviderInterface $pictureSourcesProvider, AuthorizationCheckerInterface $authorizationChecker, TokenAccessorInterface $tokenAccessor, OwnerTreeProvider $treeProvider, EntityRoutingHelper $entityRoutingHelper, EntityNameResolver $entityNameResolver, AclVoterInterface $aclVoter)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L39 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup>

  > - `applyAcl(QueryBuilder $queryBuilder, $accessLevel, User $user, Organization $organization)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L312 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup>
  > - `applyAcl(QueryBuilder $queryBuilder, $accessLevel, User $user, Organization $organization)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L158 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup>

* The `EmailRecipientsProvider::getUserRepository`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/EmailRecipientsProvider.php#L54 "Oro\Bundle\UserBundle\Provider\EmailRecipientsProvider::getUserRepository")</sup> method was removed.
* The following methods in class `UserConfigurationFormProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/UserConfigurationFormProvider.php#L19 "Oro\Bundle\UserBundle\Provider\UserConfigurationFormProvider")</sup> were removed:
   - `getTree`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/UserConfigurationFormProvider.php#L19 "Oro\Bundle\UserBundle\Provider\UserConfigurationFormProvider::getTree")</sup>
   - `getJsTree`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/UserConfigurationFormProvider.php#L27 "Oro\Bundle\UserBundle\Provider\UserConfigurationFormProvider::getJsTree")</sup>
* The `UserApiType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Form/Type/UserApiType.php#L74 "Oro\Bundle\UserBundle\Form\Type\UserApiType::getName")</sup> method was removed.
* The following methods in class `DefaultUserSystemConfigListener`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/DefaultUserSystemConfigListener.php#L37 "Oro\Bundle\UserBundle\EventListener\DefaultUserSystemConfigListener")</sup> were removed:
   - `setAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/DefaultUserSystemConfigListener.php#L37 "Oro\Bundle\UserBundle\EventListener\DefaultUserSystemConfigListener::setAlias")</sup>
   - `setConfigKey`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/DefaultUserSystemConfigListener.php#L49 "Oro\Bundle\UserBundle\EventListener\DefaultUserSystemConfigListener::setConfigKey")</sup>
* The following methods in class `User`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Entity/User.php#L455 "Oro\Bundle\UserBundle\Entity\User")</sup> were removed:
   - `getClass`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Entity/User.php#L455 "Oro\Bundle\UserBundle\Entity\User::getClass")</sup>
   - `getNotificationEmails`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Entity/User.php#L856 "Oro\Bundle\UserBundle\Entity\User::getNotificationEmails")</sup>
* The `OroUserExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/DependencyInjection/OroUserExtension.php#L57 "Oro\Bundle\UserBundle\DependencyInjection\OroUserExtension::getAlias")</sup> method was removed.
* The following methods in class `AuthenticatedRolesHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/AuthenticatedRolesHandler.php#L46 "Oro\Bundle\UserBundle\Autocomplete\AuthenticatedRolesHandler")</sup> were removed:
   - `getBasicQueryBuilder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/AuthenticatedRolesHandler.php#L46 "Oro\Bundle\UserBundle\Autocomplete\AuthenticatedRolesHandler::getBasicQueryBuilder")</sup>
   - `addSearchCriteria`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/AuthenticatedRolesHandler.php#L61 "Oro\Bundle\UserBundle\Autocomplete\AuthenticatedRolesHandler::addSearchCriteria")</sup>
* The following methods in class `UserAclHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L156 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup> were removed:
   - `searchById`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L156 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::searchById")</sup>
   - `setProperties`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L180 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::setProperties")</sup>
   - `setEntityNameResolver`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L185 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::setEntityNameResolver")</sup>
   - `getPropertyValue`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L219 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::getPropertyValue")</sup>
   - `addSearchCriteria`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L255 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::addSearchCriteria")</sup>
   - `addAdditionalFilterCriteria`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L295 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::addAdditionalFilterCriteria")</sup>
   - `excludeUser`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L354 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::excludeUser")</sup>
   - `getOrganization`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L363 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::getOrganization")</sup>
* The `EmailRecipientsProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/EmailRecipientsProvider.php#L17 "Oro\Bundle\UserBundle\Provider\EmailRecipientsProvider::$registry")</sup> property was removed.
* The `GenderProvider::$choices`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/GenderProvider.php#L18 "Oro\Bundle\UserBundle\Provider\GenderProvider::$choices")</sup> property was removed.
* The `ChoiceTreeUserProvider::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Provider/Filter/ChoiceTreeUserProvider.php#L15 "Oro\Bundle\UserBundle\Provider\Filter\ChoiceTreeUserProvider::$registry")</sup> property was removed.
* The `ResetPasswordHandler::$registry`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Handler/ResetPasswordHandler.php#L22 "Oro\Bundle\UserBundle\Handler\ResetPasswordHandler::$registry")</sup> property was removed.
* The `OwnerUserGridListener::$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/EventListener/OwnerUserGridListener.php#L23 "Oro\Bundle\UserBundle\EventListener\OwnerUserGridListener::$em")</sup> property was removed.
* The following properties in class `UserAclHandler`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L30 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler")</sup> were removed:
   - `$em`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L30 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::$em")</sup>
   - `$className`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L36 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::$className")</sup>
   - `$fields`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L39 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::$fields")</sup>
   - `$builder`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/UserBundle/Autocomplete/UserAclHandler.php#L51 "Oro\Bundle\UserBundle\Autocomplete\UserAclHandler::$builder")</sup>

WorkflowBundle
--------------
* The following classes were removed:
   - `ExtendWorkflowItem`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Model/ExtendWorkflowItem.php#L5 "Oro\Bundle\WorkflowBundle\Model\ExtendWorkflowItem")</sup>
   - `Topics`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/Topics.php#L5 "Oro\Bundle\WorkflowBundle\Async\Topics")</sup>
* The `WorkflowVirtualRelationProvider::__construct(DoctrineHelper $doctrineHelper, Cache $entitiesWithWorkflowCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Provider/WorkflowVirtualRelationProvider.php#L32 "Oro\Bundle\WorkflowBundle\Provider\WorkflowVirtualRelationProvider")</sup> method was changed to `WorkflowVirtualRelationProvider::__construct(DoctrineHelper $doctrineHelper, CacheInterface $entitiesWithWorkflowCache)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Provider/WorkflowVirtualRelationProvider.php#L28 "Oro\Bundle\WorkflowBundle\Provider\WorkflowVirtualRelationProvider")</sup>
* The `TransitActionProcessor::__construct(ProcessorBagInterface $processorBag, LoggerInterface $logger = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Processor/TransitActionProcessor.php#L24 "Oro\Bundle\WorkflowBundle\Processor\TransitActionProcessor")</sup> method was changed to `TransitActionProcessor::__construct(ProcessorBagInterface $processorBag, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Processor/TransitActionProcessor.php#L20 "Oro\Bundle\WorkflowBundle\Processor\TransitActionProcessor")</sup>
* The `TransitionContext::setFormData($formData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Processor/Context/TransitionContext.php#L239 "Oro\Bundle\WorkflowBundle\Processor\Context\TransitionContext")</sup> method was changed to `TransitionContext::setFormData($formData)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Processor/Context/TransitionContext.php#L190 "Oro\Bundle\WorkflowBundle\Processor\Context\TransitionContext")</sup>
* The following methods in class `WorkflowEntityConnector`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowEntityConnector.php#L36 "Oro\Bundle\WorkflowBundle\Model\WorkflowEntityConnector")</sup> were changed:
  > - `__construct(ManagerRegistry $managerRegistry, Cache $cache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowEntityConnector.php#L43 "Oro\Bundle\WorkflowBundle\Model\WorkflowEntityConnector")</sup>
  > - `__construct(ManagerRegistry $managerRegistry, $cache = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowEntityConnector.php#L36 "Oro\Bundle\WorkflowBundle\Model\WorkflowEntityConnector")</sup>

  > - `isSupportedIdentifierType($class)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowEntityConnector.php#L77 "Oro\Bundle\WorkflowBundle\Model\WorkflowEntityConnector")</sup>
  > - `isSupportedIdentifierType($class)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowEntityConnector.php#L57 "Oro\Bundle\WorkflowBundle\Model\WorkflowEntityConnector")</sup>

* The `EventTriggerCollectorListener::prePersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/EventTriggerCollectorListener.php#L53 "Oro\Bundle\WorkflowBundle\EventListener\EventTriggerCollectorListener")</sup> method was changed to `EventTriggerCollectorListener::prePersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/EventTriggerCollectorListener.php#L53 "Oro\Bundle\WorkflowBundle\EventListener\EventTriggerCollectorListener")</sup>
* The `SendWorkflowStepChangesToAuditListener::postPersist(WorkflowTransitionRecord $transitionRecord, LifecycleEventArgs $eventArgs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/SendWorkflowStepChangesToAuditListener.php#L28 "Oro\Bundle\WorkflowBundle\EventListener\SendWorkflowStepChangesToAuditListener")</sup> method was changed to `SendWorkflowStepChangesToAuditListener::postPersist(WorkflowTransitionRecord $transitionRecord, LifecycleEventArgs $eventArgs)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/SendWorkflowStepChangesToAuditListener.php#L28 "Oro\Bundle\WorkflowBundle\EventListener\SendWorkflowStepChangesToAuditListener")</sup>
* The `WorkflowAwareCache::__construct(Cache $cache, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowAwareCache.php#L29 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowAwareCache")</sup> method was changed to `WorkflowAwareCache::__construct(CacheInterface $cache, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowAwareCache.php#L24 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowAwareCache")</sup>
* The `WorkflowDefinitionEntityListener::__construct(ClearableCache $cache, WorkflowRegistry $workflowRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowDefinitionEntityListener.php#L24 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowDefinitionEntityListener")</sup> method was changed to `WorkflowDefinitionEntityListener::__construct(CacheInterface $cache, WorkflowRegistry $workflowRegistry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowDefinitionEntityListener.php#L21 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowDefinitionEntityListener")</sup>
* The `WorkflowItemListener::postPersist(WorkflowItem $workflowItem, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowItemListener.php#L43 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowItemListener")</sup> method was changed to `WorkflowItemListener::postPersist(WorkflowItem $workflowItem, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowItemListener.php#L46 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowItemListener")</sup>
* The `WorkflowStartListener::postPersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowStartListener.php#L36 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowStartListener")</sup> method was changed to `WorkflowStartListener::postPersist(LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowStartListener.php#L39 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowStartListener")</sup>
* The `WorkflowTransitionRecordListener::postPersist(WorkflowTransitionRecord $transitionRecord, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowTransitionRecordListener.php#L35 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowTransitionRecordListener")</sup> method was changed to `WorkflowTransitionRecordListener::postPersist(WorkflowTransitionRecord $transitionRecord, LifecycleEventArgs $args)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/EventListener/WorkflowTransitionRecordListener.php#L35 "Oro\Bundle\WorkflowBundle\EventListener\WorkflowTransitionRecordListener")</sup>
* The `AbstractConfigurationProvider::__construct($kernelBundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Configuration/AbstractConfigurationProvider.php#L24 "Oro\Bundle\WorkflowBundle\Configuration\AbstractConfigurationProvider")</sup> method was changed to `AbstractConfigurationProvider::__construct($kernelBundles, KernelInterface $kernel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Configuration/AbstractConfigurationProvider.php#L18 "Oro\Bundle\WorkflowBundle\Configuration\AbstractConfigurationProvider")</sup>
* The `ConfigFinderFactory::__construct($kernelBundles)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Configuration/ConfigFinderFactory.php#L12 "Oro\Bundle\WorkflowBundle\Configuration\ConfigFinderFactory")</sup> method was changed to `ConfigFinderFactory::__construct($kernelBundles, KernelInterface $kernel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Configuration/ConfigFinderFactory.php#L13 "Oro\Bundle\WorkflowBundle\Configuration\ConfigFinderFactory")</sup>
* The `ProcessConfigurationProvider::__construct($kernelBundles, ProcessDefinitionListConfiguration $definitionConfiguration, ProcessTriggerListConfiguration $triggerConfiguration)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Configuration/ProcessConfigurationProvider.php#L31 "Oro\Bundle\WorkflowBundle\Configuration\ProcessConfigurationProvider")</sup> method was changed to `ProcessConfigurationProvider::__construct($kernelBundles, ProcessDefinitionListConfiguration $definitionConfiguration, ProcessTriggerListConfiguration $triggerConfiguration, KernelInterface $kernel)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Configuration/ProcessConfigurationProvider.php#L21 "Oro\Bundle\WorkflowBundle\Configuration\ProcessConfigurationProvider")</sup>
* The `LoadWorkflowDefinitionsCommand::__construct(WorkflowConfigurationProvider $configurationProvider, WorkflowDefinitionHandler $definitionHandler, WorkflowDefinitionConfigurationBuilder $configurationBuilder, ManagerRegistry $registry)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Command/LoadWorkflowDefinitionsCommand.php#L31 "Oro\Bundle\WorkflowBundle\Command\LoadWorkflowDefinitionsCommand")</sup> method was changed to `LoadWorkflowDefinitionsCommand::__construct(WorkflowConfigurationProvider $configurationProvider, WorkflowDefinitionHandler $definitionHandler, WorkflowDefinitionConfigurationBuilder $configurationBuilder, ManagerRegistry $doctrine)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Command/LoadWorkflowDefinitionsCommand.php#L32 "Oro\Bundle\WorkflowBundle\Command\LoadWorkflowDefinitionsCommand")</sup>
* The `EventTriggerCache::setProvider(CacheProvider $provider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Cache/EventTriggerCache.php#L31 "Oro\Bundle\WorkflowBundle\Cache\EventTriggerCache")</sup> method was changed to `EventTriggerCache::setProvider(CacheItemPoolInterface $provider)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Cache/EventTriggerCache.php#L26 "Oro\Bundle\WorkflowBundle\Cache\EventTriggerCache")</sup>
* The `ExecuteProcessJobProcessor::__construct(DoctrineHelper $doctrineHelper, ProcessHandler $processHandler, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/ExecuteProcessJobProcessor.php#L35 "Oro\Bundle\WorkflowBundle\Async\ExecuteProcessJobProcessor")</sup> method was changed to `ExecuteProcessJobProcessor::__construct(DoctrineHelper $doctrineHelper, ProcessHandler $processHandler)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Async/ExecuteProcessJobProcessor.php#L31 "Oro\Bundle\WorkflowBundle\Async\ExecuteProcessJobProcessor")</sup>
* The following methods in class `TransitionTriggerMessage`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L19 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup> were changed:
  > - `__construct($triggerId, $mainEntityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L23 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup>
  > - `__construct($triggerId, $mainEntityId)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L19 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup>

  > - `create(BaseTransitionTrigger $trigger, $mainEntityId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L34 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup>
  > - `create(BaseTransitionTrigger $trigger, $mainEntityId = null)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L25 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup>

* The `TransitionTriggerProcessor::__construct(ManagerRegistry $registry, LoggerInterface $logger, TransitionTriggerHandlerInterface $handler)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L28 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor")</sup> method was changed to `TransitionTriggerProcessor::__construct(ManagerRegistry $registry, TransitionTriggerHandlerInterface $handler)`<sup>[[?]](https://github.com/oroinc/platform/tree/5.1.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L28 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor")</sup>
* The `WorkflowManagerRegistry::$applicationProvider`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Model/WorkflowManagerRegistry.php#L10 "Oro\Bundle\WorkflowBundle\Model\WorkflowManagerRegistry::$applicationProvider")</sup> property was removed.
* The `AbstractConfigurationProvider::$kernelBundles`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Configuration/AbstractConfigurationProvider.php#L22 "Oro\Bundle\WorkflowBundle\Configuration\AbstractConfigurationProvider::$kernelBundles")</sup> property was removed.
* The `TransitionTriggerProcessor::$logger`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L23 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor::$logger")</sup> property was removed.
* The `WorkflowStepSelectType::getName`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Form/Type/WorkflowStepSelectType.php#L136 "Oro\Bundle\WorkflowBundle\Form\Type\WorkflowStepSelectType::getName")</sup> method was removed.
* The `EventTriggerCache::isBuilt`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Cache/EventTriggerCache.php#L104 "Oro\Bundle\WorkflowBundle\Cache\EventTriggerCache::isBuilt")</sup> method was removed.
* The following methods in class `TransitionTriggerMessage`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L44 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage")</sup> were removed:
   - `createFromJson`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L44 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage::createFromJson")</sup>
   - `jsonToArray`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L83 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage::jsonToArray")</sup>
   - `getValue`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerMessage.php#L98 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerMessage::getValue")</sup>
* The following methods in class `TransitionTriggerProcessor`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L74 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor")</sup> were removed:
   - `createTransitionTriggerMessage`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L74 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor::createTransitionTriggerMessage")</sup>
   - `resolveTrigger`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WorkflowBundle/Async/TransitionTriggerProcessor.php#L84 "Oro\Bundle\WorkflowBundle\Async\TransitionTriggerProcessor::resolveTrigger")</sup>

WsseAuthenticationBundle
------------------------
* The `OroWsseAuthenticationExtension::getAlias`<sup>[[?]](https://github.com/oroinc/platform/tree/5.0.0/src/Oro/Bundle/WsseAuthenticationBundle/DependencyInjection/OroWsseAuthenticationExtension.php#L29 "Oro\Bundle\WsseAuthenticationBundle\DependencyInjection\OroWsseAuthenticationExtension::getAlias")</sup> method was removed.

